*COMDECK HISTORY CC4A023  CCP DOES NOT PROVIDE FOR USE OF THE SECOND COUPLER
          SJP       02/06/78            ZXHIP 
  
 CC4A286  NOTIFICATION OF A RECONFIGURE TERMINAL REQUEST TO THE TIP 
          BY THE SERVICE MODULE. ALSO REQUIRES WLE FROM TIP TO SUM
          WHEN IT IS OK TO TELL HOST THAT TERMINAL IS RECONFIGURED. 
          TWF            01/27/78       SVM 
                                        CONST 
                                        TYPE
                                        HASPTIP 
                                        ASYNCTIP
                                        MODE4TIP
  
 CC4A486  FIX OBL NEGATIVE PROBLEM
          LWS            2/10/78        STDPRUCMN,STDINTPRC 
  
 CC4A544  FIX DIAGNOSTICS-SITTBL INTERFACE
          LWS            1/25/78        TYPE,ZEXBDL,PIGETABLE 
  
 CC4A567  CCP SENDING WRONG RESPONSE CODE IN ABNORMAL LINE
          DISCONNECT SM.
          NN             02/03/78       SVM 
  
 CC4A575  ALLOWS HASPTIP TO ACCEPT BVT BLKS AND IVT BLKS WITH NO DATA 
          SENT TO TERMINAL. A BACK IS SENT TO HOST THOUGH.
          TWF            02/01/78       HASPTIP 
  
 CC4A577 CHANGE THE WAY MODE4 HANDLES BVT 
         DATA TO LP TO COMPLY WITH THE ERS
         RGT             02/06/78       REL4MD4,MODE4TIP
  
 CC4A579 FIX IDTBL INITIALIZATION MRTHOD
          LWS       2/7/78              ZEXBTP,PIDTBL,MAIN,PGMDECK
  
 CC4A588  ASYNCTIP CAN GET CONFUSED IF A NULL MSG COMES IN WHILE
          ITS DELAYING FOR AN OUTPUT TERMINATED WORKLIST ENTRY
          NOTE: THIS PSR ALSO REQUIRES CC4A559
          VMG            02/06/78            ASYNCTIP 
  
 CC4A601  MODE4 DROPS FIRST CHAR AFTER
          PAGE TURN 
          RGT       02/02/78            REL4MD4 
  
 CC4A632  ASYNCTIP LOSES FIRST CHARACTER AFTER NEW PAGE WHEN OUTPUTTING 
          POST PRINT FORMAT EFFECTORS 
          VMG            02/07/78            REL4ASYTP
  
 CC4A633  ASYNCTIP-IF REGULATION ON AN IVT CMD,INPUT BUFFER NOT RELEASED
          VMG            01/24/78            ASYNCTIP 
  
 CC4A634  IVT COMMAND LOSES THE BUFFER POINTER FOR CHAINED BUFFERS. 
          NN             01/  /78            ASYNCTIP ,PARSER 
  
 CC4A635 MODE4 DOES NOT CONVERT UPLINE
         DATA CORRECTLY 
         RGT        02/07/78            REL4MD4 
  
 CC4A645  FIX ASYNCTIP AUTO RECOGNITION 
          VMG            02/10/78            ASYNCTIP 
  
 CC4A168A FIXES TO IBM 2741.                                             CC4
          ADDITION OF TRANSLATION TABLE                                  CC4
          TO STRIP PARITY BIT ON XPT INPUT.                              CC4
          JIM     02/20/78             ASYNCTIP                          CC4
                                       CONASYNC                          CC4
                                       ASYMXCONS                         CC4
                                       ASYMCASCI                         CC4
                                       REL4ASY                           CC4
                                       REL4ASYTP                         CC4
                                       ZARASYNC                          CC4
                                       ZEXASYNC                          CC4
                                       VARASYNC                          CC4
                                                                         CC4
 CC4A291  SWITCHING AN ACTIVE CN FROM ONE LOGICAL LINK TO                CC4
          ANOTHER HANDLED INCORRECTLY.                                   CC4
          NN             11/02/77       SVM                              CC4
                                                                         CC4
 CC4A513 714 (MODE 4C) NOT AUTO RECOG-                                   CC4
         NIZED ON DIAL-UP LINE                                           CC4
         RGT        02/09/78            MODE4TIP                         CC4
                                                                         CC4
 CC4A580  DELETE MUX TIMEOUT ENTERIES ON HARD ERRORS                     CC4
          JWT            02/06/78       PBTOQUE,PMWOLP                   CC4
                                                                         CC4
 CC4A596  CORE SIZING FAILS FOR 65K MOS MACHINES.  CORE IS TO            CC4
          BE CLEARED DURING PHASE 1 LOAD TO HELP LOAD VERIFICATION       CC4
          SJP       01/27/78            PIRAM,PISIZCORE,PILMT            CC4
                                        ASMDECKS,BEGINA                  CC4
                                                                         CC4
 CC4A608  ASYNCTIP-MAKE TTY M33 IDLE CHAR EQUAL A NULL                   CC4
          VMG            02/11/78            ASYNCTIP                    CC4
                                             CONASYNC                    CC4
 CC4A626  ASYNCTIP-IN PAPER TAPE MODE,INPUT THAT CANNOT BE ACCEPTED      CC4
          BECAUSE OF REGULATION WILL CAUSE A SUBSEQUENT XOFF TO BE       CC4
          SEEN AS PART OF THE NEXT LOGICAL LINE. THIS CAN HANG THE       CC4
          LINE IN INPUT MODE.                                            CC4
          VMG            02/17/78            ASYNCTIP                    CC4
                                                                         CC4
 CC4A636  CORRECTIONS FOR 2552 AGAINST CY 31.                            CC4
          NN             02/08/78       VAR, REL4ASY, PD2552             CC4
                                        ZEXBDL                           CC4
                                                                         CC4
 CC4A637  CORRECTS HASPTIP TO MOVE ACK AND NAK CANNED MESSAGES INTO      CC4
          BUFFERS AND OUT OF GLOBALS FOR 2552.                           CC4
          TWF            02/08/78       HASPVAR                          CC4
                                        HASPVAL                          CC4
                                        HASPTIP                          CC4
                                                                         CC4
 CC4A639  MOVE THE ASYNCTIP CANNED                                       CC4
          MESSAGES OUT OF GLOBALS FOR 2552.                              CC4
          JIM       02/09/78           VARASYNC                          CC4
                                       ZEXASYNC                          CC4
                                       REL4ASY                           CC4
                                       ASYMSG                            CC4
                                                                         CC4
 CC4A640  CHANGES IN ASYNCTIP TO ELIMINATE                               CC4
          ADDRESS CONFLICTS BETWEEN                                      CC4
          THE MUX AND BASE SIDES  OF THE                                 CC4
          2552.                                                          CC4
          JIM     02/09/78             ZEXASYNC                          CC4
                                       TYPASYNC                          CC4
                                       VARASYNC                          CC4
                                       ASYNCTIP                          CC4
                                                                         CC4
 CC4A647  CHANGE SIZE OF MUX LCB.                                        CC4
          JWT            02/16/78       CONST,TYPE,PILCBS                CC4
                                                                         CC4
 CC4A648  CORRECTS HASPTIP TO HANDLE LL S WITH IGNORED FE S ONLY         CC4
          TWF            02/16/78       HASPTPS                          CC4
                                                                         CC4
 CC4A649 CHANGES IF DEF TIPDEBUG IN                                      CC4
         MODE 4 TO IF DEF M4DEBUG                                        CC4
         RGT        02/21/78            MODE4TIP                         CC4
                                                                         CC4
 CC4A650  CORRECT PGMDECKS AND PTCLAS VARIABLE                           CC4
          JWT            02/22/78       PGMDECKS,TIPSUBS,PMCDRV          CC4
          PTCLAS,PTLINIT                                                 CC4
                                                                         CC4
 CC4A651  ADDING YEAR OF 1978 IN COPYRIGTH.  BOOTDUMP ROUTINE            CC4
          SHOULD JUMP INTO BOOTDP IF 2550.                               CC4
          NN             02/23/78       BOOTDUMP                         CC4
                                                                         CC4
 CC4A652A TO CONSOLE/TO TUP IN IP GLOBALS INSTEAD OF BASE                CC4
          JWT            02/24/78       VAR                              CC4
                                                                         CC4
 CC4A652B TO CONSOLE/TO TUP IN IP GLOBALS INSTEAD OF BASE                CC4
          JWT            02/24/78       IPVAR                            CC4
                                                                         CC4
 CC4A657  ASYNCTIP SENDS XON AFTER USER BREAKS. SHOULD WAIT FOR MSG      CC4
          VMG            02/17/78            ASYNCTIP                    CC4
                                                                         CC4
 CC4A667  MAKE ASYNCTIP NOT LOSE A LOCAL                                 CC4
          VARIABLE AFTER A DL-IVT-CMD                                    CC4
          HJB            02/23/78       ASYNCTIP                         CC4
                                                                         CC4
 CC4A670  ASYNCTIP COULD LOSE LOCAL VAR                                  CC4
          DURING RECONF TCB AND A                                        CC4
          DELETE TCB ON OTHER LINE.                                      CC4
          HJB            02/23/78       ASYNCTIP                         CC4
                                                                         CC4
 CC4A671  ASYNCTIP COULD LOSE WORKCODES                                  CC4
          AFTER PAPERTAPE-INPUT AND EPL                                  CC4
          HJB            02/23/78       ASYNCT,ASYNCLCB                  CC4
                                                                         CC4
 CC4A672  FIX ASYNCTIP SUCH THAT IT WILL                                 CC4
          SEND A X-ON (DC1) AFTER                                        CC4
          REGULATION.                                                    CC4
          HJB            02/23/78       ASYNCTIP                         CC4
                                                                         CC4
 CC4A673  DO NOT ALLOW ASYNCTIP TO SEND                                  CC4
          IN BETWEEN XMISSION OF X-ON                                    CC4
          AND RECEPTION OF FIRST CHAR OF                                 CC4
          INPUT.                                                         CC4
          HJB            02/23/78       ASYNCTIP                         CC4
                                                                         CC4
 CC4A679  HAVE ASYNCTIP WAIT FOR DL MSG                                  CC4
          AS SOON AS INPUT IS RECEIVED                                   CC4
          SUCH THAT TIP WILL NOT SEND                                    CC4
          ANOTHER X-ON TO PT-TERMINAL                                    CC4
          IF OUTPUT-Q HAPPENS TO BE                                      CC4
          EMPTY.                                                         CC4
          HJB            02/23/78       ASYNCTIP                         CC4
                                                                         CC4
 CC4A682  IF REGULATION IS OVER AND THE TIP HAD TO SEND A REPEAT..,      CC4
          THE TIP SHOULD NOT SEND ANOTHER XON (DC1) TO TERM              CC4
          HJB            02/24/78            ASYNCTIP                    CC4
                                                                         CC4
 CC4A688  ASYNCTIP- PL=1 DOESNT WORK                                     CC4
          VMG            02/28/78            REL4ASYTP                   CC4
                                                                         CC4
 CC4A689  ASYNCTIP-WHEN USING PAPER TAPE INPUT, SUBSEQUENT OUTPUT        CC4
          FORMAT EFFECTOR ASSUMES CARRIAGE IS AT LEFT MARGIN AND         CC4
          TIP EXECUTES OPTIONAL LINEFEED CODE                            CC4
          VMG            02/24/78           ASYNCTIP                     CC4
                                                                         CC4
 CC4A690  CORRECT ASYNCTIP LEVEL 1 PROCEDURE NAMES                       CC4
          VMG            02/06/78            ASYNCTIP                    CC4
                                                                         CC4
 CC4A695  CHARACTER LENGTH WRONG WHEN DEFAULT IS NO PARITY AND USER      CC4
          CHANGES TO EVEN OR ODD PARITY.  TERMINAL IS HUNG.              CC4
          USE A TABLE FOR 2741 CHAR LEN AND A TABLE FOR ALL OTHERS.      CC4
          DEW            03/05/78       SVM,SVMVAR,SVMVALUE              CC4
                                                                         CC4
 CC4A578  CORRECTS HASPTIP OUTPUT TEXTPROCESSING STATES TO IGNORE 
          BVT EOR#S AND EOI#S ON PRINTER OR PLOTTER STREAMS AND 
          ACCEPT EOR OR EOI AS THE FIRST DATA IN THE BLOCK. THIS
          PSR IS A RESULT OF ERS REV. I.
  
          SOLUTION IS TO CHANGE TP STSTATE PGMS.
  
          NO SCF CORRECTIONS
          TWF            02/03/78       HASPTPS,HASPEQU 
  
 CC4A620  THE MODE 4 TIP FAILS WHEN LOGICAL LINES MUST BE 
          FRAGMENTED ACCROSS PAGE BOUNDARIES AND MORE THAN ONE
          LOGICAL LINE EXISTS PER NETWORK BLOCK.
  
          REMEMBER THAT FIRST FORMAT EFFECTOR IS NOT THE FIRST
          CHARACTER PROCESSED FOR FRAGMENTED LINE.
  
          NO SCF CHANGES REQUIRED 
          RGT            03/14/78       REL4MD4 
  
 CC4A658  CARD SLIP ERROR ALWAYS CAUSES TERMINAL FAILURE ON 
          THE WHOLE CLUSTER.
  
          CARD READING STOPS BUT A COMMUNICATION ERROR IS NOT 
  
          NO SCF CHANGES REQUIRED 
          RGT            03/02/78       MODE4TIP
  
 CC4A662  UNDER CERTAIN CONDITIONS A HASP LINE WILL BECOME INOPERATIVE
          AND THE HOST IS NOT NOTIFIED OF THE SITUATION. THIS CAN HAPPEN
          WHEN THE HASP TIP IS CALLED TO PROCESS A HARD ERROR WORKLIST
          ENTRY AT A TIME THAT THERE ARE NO OUTSTANDING I/O REQUESTS FOR
          THAT LINE. FOR EXAMPLE, IMMEDIATELY FOLLOWING THE DELETE TCB
          OR RECONFIGURE TCB PROCESSING.
  
          THE SOLUTION WAS TO CHANGE THE HARD ERROR WORKLIST PROCESSING 
          SO IT WOULD NOT BE DEPENDENT ON SOME I/O OPERATION THAT MAY OR
          MAY NOT BE IN PROGRESS. ALSO, CODE WAS ADDED TO SEND AN ACK 
          AT THE COMPLETION OF BOTH THE DELETE TCB AND RECONFIGURE TCB
          PROCESSING. 
  
          NO SCF CORRECTIONS ARE REQUIRED FOR THIS PSR. 
          TWF            03/16/78       HASPTIP 
  
 CC4A678  USING A PRINTER WITH A TERMINAL CLASS THAT IS DEFINED AS A
          DISPLAY CAUSES OVERPRINTING WHEN THE PRINTER WRAPS AT THE END 
          OF THE PHYSICAL LINE. 
  
          THE ASYNCTIP NEEDS TO INSERT IDLES ON DISPLAY WHERE IT IS 
TH        ASSUMED THE SCREEN WRAPS. THIS WILL GIVE PRINTERS SUFFICIENT
          TIMER FOR THE CARRIAGE TO RETURN TO THE LEFT MARGIN.
          THE NUMBER OF IDLES INSERTED WILL BE DEFINED BY THE 
          IVT COMMAND CI=NN, WHERE N IS THE NUMBER OF IDLES.
  
          NO SCF CHANGES
          VMG            03/14/78            REL4ASYTP
  
 CC4X687  CCP DOES NOT REPORT LINES WHICH HAVE UNSOLICITED
          LINE STATUS AVAILABLE IN RESPONSE TO THE LINE 
          COUNT REQUEST.
  
          COUNT ALL CONFIGURED LINES FOR LINE COUNT REQUEST.
  
          NO SCF CORRECTIONS. 
          NN             03/07/78       SVM 
  
 CC4X691  SERVICE MODULE DOES NOT ALLOW CONFIGURATION OF MODE 4C
          PRINTER.
  
          ALLOW PRINTER DEVICES TO BE CONFIGURED WITHOUT AN 
          ASSOCIATED CONSOLE FOR MODE 4C DEVICES. 
  
          NO SCF CORRECTIONS. 
          CAC            03/02/78       SVM 
  
 CC4A692  ASYNCTIP-IF A TERMINAL IS REQUESTING THE TIP TO PERFORM 
          ECHOPLEXING OF INPUT DATA AND A TERMINAL RECONFIGURE IS 
          PROCESSED, A HALT C CAN OCCUR.
  
          THE FLAG FOR ECHOPLEX DELAY ACTIVE NEEDS TO BE RESET WHEN I/O 
          FOR THE TERMINAL IS TERMINATED DURING THE RECONFIGURE.
  
          NO SCF CHANGES
          VMG            03/02/78            ASYNCTIP 
  
 CC4A693  ASYNCTIP-USER BREAK ENTERED DURING PAGE WAIT RESULTS
          IN GARBAGE BEING PRINTED ON SCREEN
  
          THE TEXT PROCESSING STATE (BSTPSTATE) NEEDS TO BE SET TO START
          OF LOGICAL LINE WHENEVER A NEW BLOCK IS REMOVED FROM THE
          OUTPUT QUEUE FOR TEXT PROCESSING. 
  
          NO SCF CHANGES
          VMG            03/02/78            ASYNCTIP 
  
 CC4A696  ASYNC TIP GETS C-HALT WHEN ABORT OUTPUT LINE ENTERED AT A VERY
          FAST RATE.
  
          NEED TO RESET BREAK FLAG (BSBREAK) BEFORE INPUT RESPONSE IS 
          SENT. THE TIP ALSO NEEDS TO INSURE THE FLAG IS RESET ON A 
          RECONFIGURE TCB OR THE SAME THING COULD HAPPEN. 
  
          NO SCF CHANGES
          VMG            03/05/78       ASYNCTIP
  
 CC4A697  ASYNCTIP-UNWANTED TIMEOUT CAUSES C HALT.
  
          BZWTCOUNT IN THE 100 MS TIMER ROUTINE (PTDELMS) WAS BEING 
          INCREMENTED ONLY WHEN A LINE WAS ACTUALLY REMOVED FROM THE
          TIMER LIST. SINCE AN UNWANTED TIMEOUT WOULD HAVE ALREADY
          OCCURRED (CAUSING THE LINE TO BE REMOVED FROM THE TIMER LIST
          ALREADY) THE CODE FOR BUMPING BZWTCOUNT DIDNT DO ANY GOOD.
          THIS WAS CHANGED SO THAT WHEN PTDELMS IS CALLED TO REMOVE A 
          LINE FROM THE ACTIVE TIMER LIST, BZWTCOUNT IS BUMPED WHETHER
          THE LINE IS FOUND OR NOT. 
  
          NO SCF CHANGES
         VMG             03/06/78            ASY100MS 
  
 CC4A699  THE 16-WORD BUFFER POOL CAN BE DEPLETED BY THE MUX
          SUBSYSTEM.  PB16ADJ IS BEING ADDED AS A SEPERATE SUBROUTINE 
          THAT IS CALLED AT HALF SECOND INTERVALS TO CHECK AND
          REPLENISH THE 16-WORD BUFFER POOL IF NECESSARY. 
          FAS            03/17/78       PB16ADJ,PBLCBTMSG,PGMDECKS
  
 CC4A700  THE MODE 4 TIP FAILS TO WAIT FOR A PAGE PROMPT BEFORE 
          CONTINUING OUTPUT IF NETWORK BLOCKS ENDS ON A PAGE
          BOUNDARY. 
  
          CORRECTLY CHECK FOR FULL PAGE TO REQUIRE THE PAGE 
          TURN PROMPT . 
  
          NO SCF CHANGE REQUIRED
          RGT            03/09/78       MODE4TIP
  
 CC4A702  THIS PSR FIXES THE HASPTIP SO THAT 2 DOWNLINE COMMANDS
          WILL NOT CAUSE THE TIP TO STALL BECAUSE OF NO NEW 
          A0QUEOUT. WE WILL NOW ACTION MULTIPLE COMMANDS IN QUEUE.
          TWF            03/10/78       HASPTIP 
  
 CC4A714  ASYNCTIP-WHEN AN ABORT LINE SEQUENCE IS PROCESSED AND THERE 
          IS STILL PART OF THE LOGICAL LINE THAT HAS NOT BEEN TEXT
          PROCESSED, THE TIP CALLS A PROCEDURE TO HANDLE THE REMAINING
          PART OF THE LINE. IF THIS LOGICAL LINE HAS A BAD FORMAT, THE
          TIP CURRENTLY WILL NOT DETECT IT AND WOULD CALL ITS POST
          OUTPUT POI PROCEDURE TO RELEASE THE OUTPUT BUFR WHICH IS NIL. 
          THIS WOULD RESULT IN A C HALT.
  
          THE TIP SHOULD CHECK FOR BAD FORMAT AFTER TEXT PROCESSING THE 
          REST OF THE LOGICAL LINE AND SEND A BREAK TO THE HOST IF THE
          IF THE BLOCK ISNT CORRECT.
  
          NO SCF CHANGES
          VMC            03/06/78            ASYNCTIP 
  
 CC4A715  ASYNCTIP DOESNT NEED TO PURGE ITS OUTPUT QUEUE ON UPLINE
          BREAK, ETC., BECAUSE CCP DOES IT ALSO 
  
          REMOVE CALL TO PNQREL WHEN PURGING OUTPUT QUEUES. TIP ONLY
          NEEDS TO RELEASE ITS OWN INTERNAL QUEUES. 
  
          NO SCF CHANGES
          VMG            03/08/78            ASYNCTIP 
  
 CC4A716  ASYNCTIP CAN LOSE FIRST CHARACTER AFTER PAGE WAIT IF IT TRYS
          TO OUTPUT OVER.. MSG AND IT IS ON THE BOTTOM LINE OF THE PAGE 
  
          WHEN BOTTOM OF LINE IS DETECTED, NEED TO SET FLAG INDICATING
          FORMAT EFFECTGOR IS TO BE PROCESSED AS FIRST CHARACTER AFTER
          PAGE WAIT.
  
         NO SCF CHANGES 
          VMG            03/09/78            REL4ASYTP
  
 CC4A718  UNIT TEST FOR IBM 2741 TERMINAL 
  
          REQUIRES SCF CHANGE IDENT SCFA718 
          VMG            03/13/78            ASYNCTIP 
                                             REL4ASYTP
                                             REL4ASY
  
 CC4A720  FIXES HASPTIP INTERACTIVE OUTPUT TEXT PROCESSING TO ALLOW 
          NULL <FE>#S ALONE IN A <LL>.
          TWF            03/15/78       HASPEQU 
                                        HASPTPS 
  
 CC4X721  NPU INIT SM#S NOT RELEASED IN REMOTE NODE.
  
          SWITCH CHECK FOR LINK TO DN MUST BE CORRECTED 
  
          LWS            03/23/78       NETINTPRC 
  
 CC4X722  CORE LOCATION C000 IS BEING 
          OVER WRITTEN IF PROCESSOR HAS 
          CORE MEMORY.  DONE BY RPR 
          (READ PAGE REGISTER) COMMAND. 
          SAVES LOCATION C000 AND THEN
          RESTORES IT AFTER RPR IS EXECUTED.
  
          NO SCF CORRECTIONS. 
          JIM            03/16/78       PILMT 
  
 CC4X723  A HALT C SOMETIMES OCCURS WHEN LOTS OF DATA IS BEING PROCESSED
          BY THE SYSTEM.
  
          TABLE BUFFER SIZES NEED TO BE MOVED TO PRIVATE GOLBALS. 
          WHEN PNDEQUE AND PNQUEUE ARE IN THE MUX PROCESSOR THEY
          NEED PRIVATE ACCESS TO J0T4BFSZE. 
  
          SEE SCFA723 FOR SCF CORRECTIONS.
          JWM            03/16/78       VAR 
  
 CC4X731  THE RECONFIGURE AND DELETE TCB REQUESTS FAIL IF IA LINE 
          GOES INOPERATIVE DURING THE PROCESSING OF THE REQUEST.
  
          PROCESSING OF THE RECONFIGURE OR DELETE TCB IS ENDED AND
          THE LINE INOPERATIVE SERVICE MESSAGE IS ALLOWED TO BE SENT. 
  
          SCF CORRECTIONS - SCFA731 
          NN             03/14/78       SVM 
  
 CC4X739  PSR CC4A291 INTRODUCED TWO PROBLEMS INVOLVING THE PROCESSING
          OF THE RECONFIGURE TERMINAL SERVICE MESSAGE.
          (1) WHEN DN AND SN WERE NOT SPECIFIED AND CN WAS SET TO ZERO
              THE SVM DID NOT RELEASE THE CN BUT RESPONDED TO THE HOST
              THAT THE REQUEST HAD BEEN PROCESSED. THE NEXT SM INVOLVING
            THAT CN WAS THEN REJECTED AS ALREADY ASSIGNED.
          (2) WHEN DN AND SN WERE NOT SPECIFIED AND CN WAS SET TO THE 
              SAME VALUE, THE SVM DELETED THE CN FROM THE DIRECTORY BUT 
              DID NOT READD IT.  THIS RESULTED IN HAVING TERMINALS
              CONFIGURED WITHOUT AN ASSOCIATED CONNECTION NUMBER. 
  
          THE SOLUTION TO THESE TWO PROBLEMS WAS TO REMOVE THE LOGIC
          FROM PSR CC4A291 THAT REQUIRED LOGICAL LINK INFORMATION 
          TO BE INCLUDED IN THE RECONFIGURED TERMINAL SERVICE MESSAGE.
  
          NO SCF CORRECTIONS REQUIRED.
          TBE            03/14/78       SVM 
  
 CC4A749  TERMINAL FAILURE ON THE PRINTER CAN CAUSE A BLOCK 
          SEQUENCE ERROR (BSN) IF CLUSTER IS RECOVERED ON FIRST 
          ERROR POLL. 
  
          DOWN THE ENTIRE CLUSTER BEFORE ALLOWING ERROR POLL. 
  
          NO SCF CORRECTION REQUIRED
          RGT            03/21/78       MODE4TIP
  
 CC4A753  INITIALIZING AEIN1 ON 2552 PHASE 2 CAUSES ERROR 
          WITH TESTGEN OFF. 
          AEIN1 SHOULD BE INITIALIZED IF NOT PHASE 2 2552 INIT. 
          NO SCF CORRECTION.
          NN             03/20/78       ZEXASYNC
  
 CC4X754  BUFFER BREAKUP INTERRUPT CONTENTION CAUSES HALT 9 
  
          THE STACK IS INCREMENTED BY 1 TO PREVENT UNLOCKING WHILE
          RELEASING BUFFERS.  THE STACK IS DECREMENTED AFTER ADJUSTMENT 
  
          THERE ARE NO SCF CHANGES
          JWT            03/20/78       BUFMAINT
  
 CC4X758  81K REMOTE FAILS WHEN CONNECTION EXTABLISHED. 
  
          SWITCH MUST BE ENTERED VIA WLE FROM 
          INTERNAL PROCESSING ROUTINES CALLED BY TIPS.
  
          LWS            03/23/78       STDINTPRC 
  
 CC4A769  ASYNCTIP DOES NOT SEND DC1 DURING 100 LINE ASTIM RUN
  
          THE CORRECT LINE NUMBER SHOULD BE SET IN BLTIMTBL,SO THAT 
          THE TIP RECEIVES A TIMEOUT TO SEND DC1 AFTER REGULATION 
          IS RELIEVED.
  
          NO SCF CHANGES
          VMG            03/31/78            ASYNCTIP 
  
 CC4X596A TO PREVENT USING THE FIRMWEAR WHICH IS NOT THERE.              CC4
          THIS PSR IS THE CORRECTION FOR CC4A596                         CC4
          SCF CORRECTION  IS REQUIRED - SCFA596A                         CC4
          NN             03/31/78       PIRAM                            CC4
 CC4A766  MODE 4 TERMINAL IS DISABLED WHEN                               CC4
          A NO RESPONSE CONDITION IS                                     CC4
          DETECTED BY THE TIP FOR A                                      CC4
          WRITE MESSAGE                                                  CC4
                                                                         CC4
          TERMINAL POLLED FOR TOGGLE AND NEVER                           CC4
          RECEIVED PROPER TOGGLE. THIS CAUSED                            CC4
          TERMINAL TO HANG. ALSO TIP HAD NO RECOVERY                     CC4
          CAPABILITY. WHEN STOP INPUT COMAND SENT                        CC4
          TIP SHOULD ALSO RESET THE LINE COUNT.                          CC4
                                                                         CC4
          NO SCF CHANGES REQUIRED                                        CC4
          RGT            03/28/78       MODE4TIP                         CC4
                                                                         CC4
 *L477*    **************************************************** 
 CC4A257  CHANGE NPU INITIALIZE USING A WORD FOR EACH VARSION,
          LEVEL AND VARIANT INSTED OF USING CHAR (8 BITS).
          NN             10/14/77       SVM 
  
 CC4X275  HEAVY LOADING OF A 2552 MAY CAUSE AN ERRONEOUS HALT 18 (MUX 
          PROCESSOR TIMEOUT). 
  
          THE HALT CAN OCCUR IF THE BASE PROCESSOR-S OPS LEVEL IS 
          DELAYED UNTIL 3 PBTIMAL WORKLIST ENTRIES ACCUMULATE AND 
          THE 3 ACCUMULATED WORKLIST ENTRIES ARE PROCESSED IN LESS
          THAN 100 MILLISECONDS.
          SOLUTION:  TEST IF THE MUX PROCESSOR IS ALIVE AT THE TIME 
          THE PBTIMAL WORKLIST ENTRY IS GENERATED INSTEAD OF WHEN 
          THE WORKLIST ENTRY IS PROCESSED.
  
          NO SCF CORRECTIONS. 
          CAC            04/05/78       PBTIMER,PBTIMOFDA 
  
 CC4A710 ASYNCTIP- IF AN END OF LOGICAL LINE IS RECEIVED WHILE THE
          TIP IS DELAYING BEFORE TURNING ON ECHOPLEXING, THE LINE 
          CONTROL BLOCK CAN BE PUT IN THE 200 MS TIMER CHAIN TWICE
          CAUSING THE SYSTEM TO BE FLOODED WITH FALSE TIMEOUTS FOR
          THAT LINE 
  
          THE TIP SHOULD CHECK FOR ECHOPLEX DELAY AT END OF INPUT 
          AND WAIT FOR TIMEOUT BEFORE PROCEDING 
  
          VMG            03/22/78            ASYNCTIP 
  
 CC4A718A UNIT TEST OF IBM 2741 TERMINAL. 
  
          SCF CHANGE - SCFA718A 
          VMG            03/29/78       REL4ASY 
                                        REL4ASYTP 
                                        ASYNCTIP
 CC4A726  WHEN A MODE4 LINE IS CONFIGURED WITH
          AUTO-RECOGNITION FOLLOWED BY A DELETE 
          LINE THE TIP SETS THE LINE INOPERATIVE
          CONDITION RATHER THAN LINE DISABLED.
  
          CHECK FOR DISABLE LINE REQUEST WORK LIST
          ENTRIES IN DISABLE LINE ROUTINE.
  
          NO SCF CHANGES REQUIRED 
          RGT            03/29/78        MODE4TIP 
  
 CC4A729  IVT PARSER GAVE ERROR MESSAGE TO THOSE DUMMY BUT LEGAL
          IVT COMMANDS WHICH TRIED TO REPLACE COMMAND CHARACTER WITH
          THE SAME CHARACTER I.E. %CT = %.
          AFTER THIS MODIFICATION, THE PARSER WOULD BE MORE GENEROUS
          AND NOT TO DECLARE ERROR. 
          FHY            03/20/78      PARSER,PTIVTCMD
  
 CC4X751  ANY KEY TYPED DURING OUTPUT HANGS 751 TERMINAL
          (TC = 7). 
  
          COMMAND DRIVER CHANGED MODEM STATE TO IDLE, 
          AFTER ASYNCTIP HAD SET IT TO INPUT, WHEN IT 
          HANDLED TERMINATE OUTPUT WORKCODE.  THE 
          TERMINAL WAS IN THE WRONG PARITY AND PARITY 
          ERRORS WERE GENERATED ON ALL CHARACTERS 
          INPUT.  IN IDLE STATE FIRMWARE DISCARDS 
          CHARACTERS WITH PARITY ERRORS, CAUSING THE LOSS OF
          THE CR ENDING INPUT.  ASYNCTIP NEVER
          SAW END OF INPUT. 
  
          NO SCF CHANGES. 
          JM             04/14/78       PMCDRV
  
 CC4A755  CCP GETS HALT 9 WHEN ASYNCTIP 
          TRIES TO SEND HOST UNAVAILABLE
          MESSAGE TO 100 TERMINALS. 
          MUST CHECK IF SYSTEM IN REGULATION
          BEFORE OUTPUTTING MESSAGE.
  
          NO SCF CHANGES. 
          JM             03/21/78       ASYNCTIP
  
 CC4A756  ERROR IN ASYNCTIP S ASCII TO MANIFOLD 
          CORRESPONDENCE CODE CONVERSION TABLE CAUSES 
          CHARACTER 0D TO BE MISTRANSLATED. 
          JM             03/22/78       ASYAMCORR 
  
 CC4X757  OLD OVERLAY CONTAINS INPUT STATE
          PROGRAMS.  THEY MUST RESIDE IN MUX MEMORY 
          IN ORDER TO RUN DIAGNOSTICS ON A 2552.
  
          OLD INPUT STATE PROGRAMS ARE MOVED TO MUX 
          SUBSYSTEM AND LINKED VIA MPEDIT.
  
          DEPENDENT PSR S- SCFA757,DG1A757
  
          DEW2           04/11/78       ASMDECKS
                                        ASMOVLY 
  
 CC4A759  ASYNCTIP:  IDLES ARE NOT INSERTED AFTER 
          A CARRIAGE RETURN.
  
          NO SCF CHANGES. 
          JM             03/24/78       REL4ASYTP 
  
 CC4A760  ASYNCTIP:  IF PARITY ERROR OCCURS ON
          UPLINE TRANSPARENT DATA, PARITY ERROR 
          FLAG IS NOT SET.
  
          NO SCF CHANGES. 
          JM             03/24/78       REL4ASY 
  
 CC4X761  THE PAGE NUMBER FOR PBADJUST IS NOT BEING SET IN THE TABLE
          FOR TIMER ROUTINES, RESULTING IN ERRORS WHEN PLACED IN
          PAGED CORE
  
          THERE ARE NO SCF DEPENDENCIES.
          JWT            3/29/78             ZEXBDL 
  
 CC4A762  HASPTIP DOES NOT REMEMBER WHETHER PERMISSION MUST BE
          REQUESTED OR HAS ALREADY BEEN GRANTED IF AN OUTPUT
          DEVICE#S TCB IS DELETED AND THEN CONFIGURED AGAIN.
  
          WORD 18, BITS 0 THRU 15 OF THE HASP LCB WILL CONTAIN
          THE PERMISSION STATUS OF THE OUTPUT DEVICES.
            1 - PERMISSION MUST BE REQUESTED TO OUTPUT TO THIS
                DEVICE. 
            0 - PERMISSION HAS ALREADY BEEN GRANTED TO OUTPUT 
                TO THIS DEVICE. 
  
          NO SCF CORRECTIONS.  THIS SAME PSR OCCURS IN THE CCI
          SYSTEM AS CCIB033.
          TWF            04/26/78       HASPLCB 
                                        HASPTIP 
  
 CC4A763  THE USER ACCIDENTALLY SWITCHED TO TERMINAL CLASS 3.  THIS 
          RESULTED IN THE TERMINAL APPEARING DEAD.  HOWEVER, DATA WAS 
          SENT UPLINE BY CCP TO THE APPLICATION.  DATA WAS GARBAGE. 
  
          SOLUTION IS TO PROHIBIT USER FROM ENTERING TERMINAL CLASS 3.
          FHY            04/04/78       SVM,SVMCONST,ZEXASYNC 
  
 CC4A773  CCP SENT A LINE STATUS SERVICE
          MESSAGE THAT WAS TOO LONG 
  
          THE MODE 4 TIP USES A LOCAL VARABLE 
          FOR MAKING WORK LIST ENTRY FOR
          AUTO-RECOGNITION THAT IS NOT ALWAYS RESET.
          AFTER THE TIP MAKES THE WORK LIST THE VARIABLE IS CLEARED 
  
          NO SCF CHANGES ARE REQUIRED 
          RGT       05/09/78            MODE4TIP
  
 CC4A779  DELETE TCB ON HASP LINE CAN HANG OTHER DEVICES ON 
          THE SAME LINE.
  
          THE SOLUTION IS TO CHECK IF A TCB IS IN THE DATA-LIST-QUEUE 
          BEFORE DELINKING IT AFTER RECEIVING THE A0SMDLTCB WORKLIST. 
          ENTRY 
  
          A SIMILAR CORRECTION IS NEEDED FOR THE CCI HASPTIP. 
          TWF            04/03/78       HASPTIP 
  
 CC4A784  ASYNC:  FOR TC = 8 (TEKTRONIX) INPUT IS 
          UNREADABLE.  ALSO BAD RESPONSE TO CR. 
  
          FIELDS IN THE ASYNC TERMINAL CLASS TABLE
          FOR TC = 8 ARE MISSING. 
  
          NO SCF CHANGES. 
          JM             04/07/78       ZEXASYNC
  
 CC4A792  ASYNCTIP CAN MIX UP LINE STATES IF
          BRINGING DOWN MULTIPLE LINES. 
  
          MOVE SETTING OF LINE STATE TO OCCUR 
          BEFORE TIP GIVES UP CONTROL.
  
          NO SCF CHANGES. 
          JM             04/11/78       ASYNCTIP
  
  CC4A800  HASPTIP IS NOT PUNCHING 026 FOLLOWING A MODECHANGE FOR 026.
           THIS OCCURS IN BLOCKS AFTER THE ONE WITH THE FF03. 
  
           SOLUTION IS TO SAVE THE FIELD NCCXLTA IN BSHSXLTA AND USE
           BSHSXLTA IN THE NEXT TPCB GENERATED. ALSO, MODE IS CHANGED 
           TO DEFAULT FOLLOWING BVT EOI SEQUENCE. 
  
           NO SCF CHANGES.
           TWF           04/17/78       HASPTIP 
                                        HASPTPS 
  
 CC4A803  HASPTIP SUSPENDS INPUT ON ALL STREAMS WHEN IT RECEIVES
          A STOP INPUT COMMAND.  THEREFORE, WHEN AN APPLICATION 
          SENDS A STOP INPUT TO A PARTICULAR CARD READER INPUT FROM 
          ALL OTHER CARD READERS AND THE CONSOLE IS SUSPENDED ALSO. 
  
          THE SOLUTION IS TO CLEAR THE STREAM CONTROL BIT FOR THE GIVEN 
          STREAM IN THE FCS BYTE. THIS ALLOWS SUSPENDING AN INDIVIDUAL
          STREAM. CURRENTLY THE WAIT-A-BIT IS SET SUSPENDING INPUT ON 
          ALL STREAMS.
  
          NO SCF CHANGES
          TWF            04/07/78       HASPTIP 
  
 CC4X804  THE CLA ON-LINE DIAGNOSTICS GET A TIME OUT ERROR MESSAGE
          WHEN RUN IN EITHER INTERNAL OR EXTERNAL LOOPBACK MODE 
  
          THIS PROBLEM IS SOLVED BY CHANGING 2 LRZ CONSTANTS AND
          PUTTING A CHECK IN THE PMCDRV CHECK FOR LRZ SPECIAL CODE
          FOR NKSPECIAL (SPECIAL CODE FOR DIAGNOSTIC USERS) SO THAT 
          DIAGNOSTICS DON#T GO THROUGH THE LRZ PSCDRV.
  
          JWM            04/07/78       PMCDRV,CONST
  
 CC4X807  MUX MACRO  RESYNC  IS DEFINED TWICE 
  
          IMPROPER DEFINITION OF  RESYNC  IS DELETED
  
          DKC            04/20/78       MUXMACROS 
  
 CC4X808  IT IS NECESSARY TO MAKE GLOBAL MODIFICATIONS TO THE BASE
          SYSTEM SOURCE PL WHEN BUILDING CLAIA ONLINE DIAGNOSTICS 
          FOR LRZ.
  
          THE CORRECTIVE CODE IS INSERTED WITH #*IF DEF,CLAIA# AND
          IS INVOKED BY AN #=DEFINE CLAIA# IN THE ONLINE DIAGNOSTIC 
          BUILD DECK. 
  
          SEE SCZX808 FOR LRZ SCF COM DECK CORRECTIONS NECESSARY
          FOR THESE MODS. 
          JWM            04/17/78       CONSTUSR,TYPEUSER,ASMOVLY 
                                        VARUSER,PGMOVLY,ZAPOVLY 
  
 CC4A809  ASYNCTIP-MODEL 40 POST PRINT CARRIAGE RETURN NOT CORRECT
          AND IDLE INSERT AFTER CARRIAGE RETURN AND HOME CURSOR USES
          LINE FEED IDLES INSTEAD OF CARRIAGE RETURN IDLES
  
          CHANGE POST PRINT TEXT PROCESSING STATE TO GO THROUGH 
          PRE-PRINT CR INSERTION LOGIC. MAKE SURE CARRIAGE RETURN 
          IDLES ARE INSERTED AFTER SCREEN WRAPS 
  
          NO SCF CHANGES
          VMG            03/31/78            REL4ASYTP
  
 CC4A810  SYSTEM HALT RUNNING A 2552
  
          SUB-LCBS ARE MOVED FROM GLOBALS TO
          BUFFER AREA IMMEDIATELY FOLLOWING 
          THE LCBS. 
  
          DKC            05/17/78       SVM, ZXHIP
  
 CC4X810  SYSTEM HALT 18 RUNNING A 2552 
  
          SUB-LCB#S ARE MOVED FROM GLOBALS TO 
          BUFFER AREA IMMEDIATELY FOLLOWING 
          THE LCB#S.
  
          DKC            05/09/78       PIGETABLE,
                                        PILININIT,
                                        PBMLIA, 
                                        PBDECODET,
                                        ADDRESSES,
                                        VAR,
                                        TYPE, 
                                        ZCNBDL, 
                                        ZARBDL, 
                                        ZEXBDL. 
  
 CC4A813  HASPTIP SENT UPLINE CR DATA ON NEW CONNECTION FOLLOWING 
          RECONFIGURE BEFORE START INPUT WAS RECEIVED FROM RBF. 
  
          SOLUTION IS TO PUT CR INTO CCS SUSPEND STATE UNTIL START
          INPUT IS RECEIVED. CONSOLE IS SUSPENDED UNTIL DATA OR ST IN.
  
          NO SCF CHANGES
          TWF            04/18/78       HASPTIP 
  
 CC4X818  65K CCP GETS HALT 9 ON 100 LINE ASTIM RUN 
  
          SYSTEM RUNS OUT OF 32 WORD BUFFERS
  
          JAL  06/05/78  MUX1412
  
  
 CC4A828  HASPTIP SENDS AN ILLEGAL FOR BLANK CARDS WHEN THE BLANK 
          CARDS FOLLOW A /*EOI CARD.
  
          CHANGES ARE MADE TO INPUT TEXTPROCESSING TO PROCESS BLANK 
          CARDS AFTER A /*EOI THE SAME AS ANY OTHER BLANK CARD. WITH
          AN FF0A.
  
          NO SCF CORRECTIONS OR PSR DEPENDENCIES. 
          TWF            04/28/78       HASPITXP
  
 CC4X834  AUTOSTART TIMER DOES NOT RECEIVE RESET SIGNAL.
  
          THERE EXISTS A FIRMWARE SEQUENCE WHICH CAUSES THE AUTOSTART 
          TIMER TO BE RESET, BUT UNTIL NOW THERE WAS NO CODE TO CAUSE 
          THAT MICROSEQUENCE TO BE EXECUTED.  THIS MICROSEQUENCE IS 
          NOW CALLED DURING THE INITIALIZATION PHASE AS WELL AS WITHIN
          PBTIMAL IN ORDER TO RESET THE TIMER AT LEAST EVERY 2.4 SECONDS. 
  
          DKC            04/20/78       PINIT, PBTIMAL
  
 CC4A835  HASP INPUT STATE FOR MUX BUFFER THRESHOLD NEEDS TO MAKE 
          A MMBUTCH WORKLIST TO MUX SUBSYSTEM TO RELEASE BUFFERS. 
  
          SOLUTION IS TO MAKE MMBUTCH WLE IN HASP INPUT STATE 3.
  
          NO SCF CORRECTIONS OR OTHER PSR DEPENDENCIES. 
          TWF            04/21/78       HASPINPS
  
 CC4A836  COMMENTS ARE ADDED TO THE HASPTIP TO MAKE SUBROUTINE HEADERS
          UP TO DATE AND CONSISTENT IN STYLE. 
  
          NO SCF CORRECTIONS ARE REQUIRED. NO DEPENDENT PSR#S.
          TWF            04/27/78       HASPTIP 
  
 CC4A838  ASYNCTIP GETS HALT A WHEN PROCESSING
          MULTI BUFFER AUTO INPUT.  CHAIN POINTER 
          OF FIRST AUTO INPUT BUFFER IS NOT 
          CLEARED CAUSING REMAINING AUTO
          INPUT BUFFERS TO BE RELEASED TWICE: AS
          SOURCE AND AS AUTO INPUT. 
  
          CLEAR AUTO INPUT BUFFER CHAIN POINTER 
          WHEN BUFFER IS SWITCHED FROM SOURCE TO
          AUTO INPUT. 
  
          NO SCF CHANGES. 
          JM             04/27/78       ASYNCTIP
  
 CC4A841  ASYNCTIP CAN LOSE LOCAL VARIABLE WHEN CONTROL GIVEN UP
  
          RESTORE LOCAL VARIABLE WHEN CONTROL RETURNED TO TIP 
  
          NO SCF CHANGES
          VMG            05/15/78       ASYNCTIP
  
 CC4A843  MODE 4 TIP CAN LOSE THE LINE
          NUMBER ON AUTORECOGNINTION
          WHEN THE LINE IS DECLARED OPEATIONAL
  
          SOLUTION STUFF THE LINE NUMBER
          INTO THE WORK LIST
  
          NO SCF CHANGES REQUIRED 
          RGT       05/16/78            MODE4TIP
  
 CC4A853  NPU HALTED WITH A HALT CODE 7 
          WHEN MODE4TIP MIXED UP THE RETURN 
          ADDRESSES 
  
          SOLUTION MOVE THE LOCAL VARIABLE
          SO IT WILL BE AFTER THE REENTERANT
          CODE
  
          NO SCF CHANGES REQUIRED 
          RGT       05/10/78            MODE4TIP
  
CC4X854   CCP DOES NOT SERVICE THE SECOND COUPLER 
  
          THE COUPLER CONNECT CODE IS DETERMINED DURING INITIALIZATION
          BY SENDING AN IDLE COMMAND TO EACH COUPLER.  THE HOST THAT
          READS THE IDLE INQUIRY IS ASSUMED TO BE THE ON-LINE HOST
  
          THIS CHANGE REQUIRES THE SCF CHANGE SCFX854 
  
          HJB            03/30/78       PILININIT,HIP30,INTRAPS,ZXHIP 
                                        PBLN06,SINTHNDLR,PI2552 
  
 CC4X855  CCP GOT HALT WITH ONLY ONE 16-WORD BUFFER LEFT
  
          SOLUTION IS TO INCREASE THE THRESHOLD OF 16-WORD BUFFER POOL
  
          NO SCF CORRECTION IS REQUIRED 
  
          FHY            05/17/78       PIBUF1
 CC4A858  REMOTE NPU FAILS WITH HALT A WHEN A TERMINAL IS CONFIGURED
            AT REMOTE 
  
          IN PBFRNCHK THE LIP IS NOW CALLED VIA PBXFER RATHER THAN
            PBPSWITCH AND PBCALL SO PAGE REGISTERS ARE RESTORED UPON
              RETURN. 
  
          NO SCF CORRECTIONS OR OTHER PSR DEPENDENCIES. 
          DKC            06/19/78       NETINTPRC 
  
 CC4A862  TRUNK STATUS SM HAS INCORRECT LRN AND TOT FIELDS. 
  
          SOLUTION IS TO COUNT NUMBER OF TRUNKS USING CONBPL INSTEAD OF 
          PNCNTLN.  ALSO THE LRN FOR A DISABLED TRUNK IS MADE ZERO. 
  
          NO SCF CORRECTIONS OR PSR DEPENDENCIES. 
          TWF       05/16/78            SVM 
  
 CC4A865  CCP FAILED TO RESPOND TO DELETE TCB MESSAGE WHEN LINE WENT
          DOWN
  
          SOLUTION IS TO ASK SERVICE MODULE TO GIVE RESPONSE BACK 
          EVEN WHEN LINE IS DOWN
  
          FHY            05/17/78       SVM 
  
 CC4A869  ASYNCTIP:  DELAY FOR END OF LINE RESPONSE 
          IS TOO LONG.
  
          SOLUTION:  SHORTEN THE DELAY TIME.
  
          NO SCF CHANGES. 
          JM             05/12/78       ASYTNCTIP 
  
 CC4A870  ASYNCTIP-HALT 9 WHEN %PL=0 BECAUSE TEST FOR OVER PAGE IS
          ALWAYS TRUE AND RESULTS IN INFINITE LOOP
  
          SET STATE SO THAT AFTER NEW LINE INSERTED,TIP WILL EXIT 
          FOR NEXT CHARACTER
  
          NO SCF CHANGES
          VMG            05/17/78            REL4ASYTP
  
 CC4A872  HASPTIP DOESNOT USE PROPER CODE TRANSLATE TABLE FOR UPLINE
          DATA FOR THE CONSOLE DEVICE AFTER IT HAS RECEIVED DOWNLINE
          DATA FOR THAT SAME DEVICE.
  
          SOLUTION IS TO INITIALIZE BSHSXLTA FOR THE CONSOLE. 
  
          NO SCF CORRECTIONS OR OTHER PSR DEPENDENCIES. 
          TWF            05/16/78       HASPTIP 
  
 CC4A878  HASPTIP NEED NOT SET UP THE DEFAULT PAGEWIDTH IN ITS TCB
          INITIALIZATION ROUTINE.  THIS IS SET UP IN MPEDIT AND 
          PLUGGED INTO THE TCB BY THE SERVICE MODULE. 
  
          SOLUTION IS TO DELETE DEFAULT PGWIDTH SETUP FROM
          HSPTCBUILD. 
  
          NO SCF CORRECTIONS OR OTHER PSR DEPENDENCIES. 
          TWF            05/17/78       HASPTIP 
  
 CC4A879  ASYNCTIP IS CHECKING THE BUFFER THRESHOLD 
          AFTER RECEIVING AN INPUT BUFFER.  THIS IS 
          CAUSING UNNECESSARY BUFFER REGULATION.
  
          REMOVE THE CHECK FOR BUFFER THRESHOLD 
          REGULATION SINCE IT IS UNNECESSARY. 
  
          NO SCF CHANGES. 
          JM             05/19/78       ASYNCTIP
  
 CC4X881  GET/PUT POINTER CONTENTION CAUSING A HALT C ON A 2552 
  
          RESEQUENCE MUX FIRMWARE LIST SERVICES TO UNLOCK LAST
  
          JAL   06/01/78      MUX1412 
  
 CC4A891  HALT C OCCURS WHEN A NON-AUTORECOGNITION LINE 
          ENCOUNTERS A ERROR WHILE OUTPUTING TO A MODE 4
          DEVICE WHICH CAUSES THE LINE TO BE DECLARED 
          INOPERATIVE. THIS INTERN CAUSES THE HOST TO SEND
          A LINE DISCONNET TO CCP. THEN TERMINALS ARE CONFIGURED
          AND THE HOST SENDS OUTPUT TO THE TERMINALS.SINCE A LOCAL
          VARIABLE WAS NOT SET TO NIL A HALT C CAN OCCUR WHEN THAT
          VARIABLE IS USED. 
  
          SOLUTION IS TO SET THAT LOCAL VARIABLE TO NIL 
          WHEN THE LINE IS ENABLED. 
  
          NO SCF CHANGES CONTINUED
  
          RGT            06/09/78       MODE4TIP
  
 CC4A921  HASP TIP DOES NOT TRANSMIT CARD DECKS CORRECTLY 
  
          INITIALIZE CARD READER TCB WITH DEFAULT EXBCD 029 TO ASCII
          TRANSLATION TABLE AND JOB EXPECTED FLAG 
  
          NO SCF REFERENCED 
          FHY            06/21/78           HASPTIP 
  
 *L485*    *****************************************************
 CC4A758A REMOTE FAILS WHEN CONNECTION ESTABLISHED. 
  
          SWITCH MUST BE ENTERED VIA WLE FROM INTERVAL
          PROCESSING ROUTINES CALLED BY TIPS. 
  
          CAT            05/26/78       STDINTPRC 
  
 CC4A777  CCP SENT BAD NETWORK BLOCK DUE TO 
          A FLAG GETTING SET OR CLEARED SIGNIFING 
          A BLOCK BEING SENT BUT GETTING THROWN AWAY
          INSTEAD 
  
          SOLUTION SET FLAG ONLY WHEN BLOCK IS SENT 
  
          NO SCF CHANGES REQUIRED 
          RGT       06/23/78            STDINTPRC 
  
 CC4X810A CCP STOPS COMMUNICATING WITH THE HOST WHENEVER THE LAST LEGAL 
          LINE IS CONFIGURED.  THIS CAUSES THE HOST TO STOP THE NPU.
  
          THE PASCAL CROSS COMPLIER INCORRECTLY COMPILES AN ARITHMETIC
          STATEMENT, CAUSING THE FIRST SUB-LCB TO OVERLAP THE LCB OF
          THE LAST LINE.  THE SOLUTION, IN THE ABSENCE OF A CORRECTION
          IN THE CROSS SYSTEM, IS TO PERFORM THE ARITHMETIC CALCULATION 
          IN A DIFFERENT MANNER.
  
          NO SCF CHANGES
          THIS PSR DEPENDS UPON PSR#S CC4A810 AND CC4X810.
  
          DKC            07/27/78       PIGETABLE 
  
 CC4X810B GARBAGE INSTRUCTIONS STILL REMAIN IN
          SUBLCBS CAUSING CCP 2552 TO FAIL. 
  
          THIS PSR WAS GENERATED TO CORRECT CC4X810 
          TO CLEAR SUBLCBS BEFORE INITILIZING THEM. 
  
          NN             09/12/78      PIGETABLE
  
 CC4X834A DEADMAN TIMER RESET CODE DOES NOT CONFORM TO CCP CONVENTION.
  
          ADDRESS OF DEADMAN TIMER RESET FIRMWARE IS MADE A GLOBAL
          VARIABLE AND IS VALUE INITIALIZED.
  
          NO SCF CHANGES
          DKC            05/22/78       PINIT, PIBUF2, PBTIMAL, VAR,
                                        VALUE.
  
 CC4A875  ASYNCTIP LOSES PAGE OF DATA WHEN PAGE WAIT
          IS ON BECAUSE CORRECT REENTRY STATE IS NOT
          SET UP BEFORE EXITING.
  
          SET CORRECT STATE BEFORE EXITING. 
  
          NO SCF CHANGES. 
          JM             05/30/78       REL4ASYTP 
  
 CC4X880  ADDITION OF TYPE 4 HDLC CLA (X27) FOR USE WITH
          ON-LINE DIAGNOSTICS.
  
          DEPENDENT PSRS : DG1A880
          JWM            06/14/78           CONST,PMCDRV
  
 CC4X882  ENABLES THE USE OF AN OPTION IN ON-LINE DIAGNOSTICS TO
          STAY IN DATA TURNAROUND.
  
          SEE DEPENDENT PSRS (DG1A882 AND SCFA882) FOR MORE 
          INFORMATION.
          JWM            06/16 /78      ASMOVLY 
  
 CC4X884  DUPLICATE BUFFER RELEASE CAUSED BY NOT ZEROING OF SOURCE
          BUFFER POINTER IN COMMAND DRIVER
  
          NO SCF CORRECTIONS OR OTHER PSR DEPENDENCIES
  
          HSN  05/17/78                 PMCDRV
  
 CC4X885  SYSTEM QUIT SERVICING TERMINALS.  NPU IN REGULATION DUE TO
          NON-RELEASE OF INPUT BUFFER CHAIN.  UNDER CERTAIN CONDITIONS
          CURRENT BUFFER POINTER FIELD IS ZERO.  HOWEVER, FIRST 
          BUFFER POINTER FIELD HAS CORRECT ADDRESS.  PSR MODIFIES 
          PMCDRV TO ALWAYS LOOK AT FIRST BUFFER POINTER FIELD.
  
          NO SCF CORRECTIONS OR OTHER PSR DEPENDENCIES. 
  
          HSN  06/13/78                 PMCDRV
  
 CC4X886  HALT MESSAGE IS NOT PRINTED ON CONSOLE WHEN NPU IS REMOTE 
            WITH AUTOSTART ENABLED. 
  
          AUTOSTART TIMER IS RESET TWICE IN PBHALT TO ENABLE THE HALT 
            MESSAGE TO BE PRINTED BEFORE AUTOSTART STOPS THE NPU. 
  
          NO SCF CORRECTIONS
          THIS PSR DEPENDS UPON PSR CC4X834 AND PSR CC4X834A. 
  
          DKC            06/21/78       PBHALT
  
 CC4A901  WHEN MODE 4 RECEIVES INTERNAL BLOCK ON
          CONSOLE CONNECTION WHILE IN BATCH MODE
          THE TIP DOES NOT STAY INTERACTIVE.
  
          SOLUTION SET CONSOLE STATE TO ACTIVE
          FOR INTERNAL BLOCKS.
  
          DEPENDENT ON PSRS CC4X942 AND CC4A942 
          NO SCF CHANGES
          RGT       06/27/78            MODE4TIP
  
 CC4A917  DELAY BEFORE TURNING ECHOPLEXING
          BACK ON AFTER OUTPUTTING IS TOO LONG. 
  
          REDUCE THE TIME OF DELAY. 
  
          NO SCF CHANGES. 
          JM             06/21/78       ASYNCTIP
  
 CC4A920  ASYNCTIP UPLINE TRANSPARENT DATA IS SENT
          UPLINE AS A BLOCK OF ZEROES.  MUX LCB 
          USER OPTION FLAGES ARE NOT CORRECT. 
          THE TRANSPARENT CHARACTER A DELIMITER IS
          ALSO USED TO INDICATE TRANSLATING 
          TRANSPARENT DATA TO STRIP PARITY FOR THE
          IBM 2741. 
  
          CORRECT THE EQUATES TO INDICATE THE 
          PROPER CONDITIONS.
  
          NO SCF CHANGES. 
          JM             06/21/78       ASYMXCONS 
  
 CC4A929  HASPTIP DOES NOT TRANSLATE EOR CARD CORRECTLY 
  
          FIX INPUT TEXT PROCESSING STATE PROGRAM SO THAT THE IMBEDDED
          BLANK IN EOR CARD COULD BE HANDLED CORRECTLY
  
          FHY            06/30/78       HASPITXP
  
 CC4A930  ASYNCTIP ECHOES CR-LF AFTER NEW LINE
          IS ENTERED ON IBM 2741.  THIS IS CAUSED 
          BY CONFLICT WITH THE RESPONSE FOR A LINE
          FEED IN APL SPECIAL MODE, AS BOTH 
          CONDITIONS ARE END OF LOGICAL LINE. 
  
          CHANGE THE LINE FEED TO MAKE A DIFFERENT
          WORK LIST ENTRY.
  
          NO SCF CHANGES. 
          JM             06/26/78       ASYNCTIP
                                        REL4ASY 
                                        ASYMXCONS 
  
 CC4A934  ASYNCTIP:  THE LOCKING OF THE KEYBOARD
          ON THE IBM 2741 SO THE BANNER CAN BE SENT 
          IS COMPLICATING THE LOGIN SEQUENCE. 
          THE CARRIAGE RETURN ENTERED TO LOCK THE 
          KEYBOARD IS GOING UPLINE AS THE FAMILY, 
          BUT THE FAMILY PROMPT IS ALSO SENT TO THE 
          TERMINAL AND RE-ENTERED BY THE USER.
          THIS CAUSES THE FAMILY AND USER NAME
          RESPONSES TO GET OUT OF SYNC RESULTING
          IN AN INPROPER LOGIN. 
  
          DO NOT SENT THE CARRIAGE RETURN THAT
          LOCKS THE KEYBOARD UPLINE, SO THE LOGIN 
          CAN PROCEED NORMALLY. 
  
          SCF CHANGE--SCFA934.
  
          JM             06/28/78       ASYNCTIP
                                        TYPEIVT 
  
 CC4X939  LINE TYPE 3 IS DROPPING RTS AFTER OUTPUT.  LINE HANGS 
  
          CHANGE THE OUTPUT BUFFER TRANSMITTED PARAMETER TO KEEP
          RTS ON. 
  
          NO SCF CORRECTIONS OR OTHER PSR DEPENDENCIES
  
          JWT  07/12/78                 ZEXBDL
  
 CC4X940  ON-LINE-DIAGNOSTICS REPORT ERRORS FOR ALL TESTS ON 2552.
  
          CANNED MESSAGES ARE COPIED FROM THE OVERLAY INTO A BUFFER 
          BEFORE BEING TRANSMITTED SO THE MUX SIDE WILL GET A VALID 
          BUFFER POINTER VALUE. 
  
          THIS PSR REQUIRES SCF CORRECTION SCFA940
          THIS PSR DEPENDS UPON DG1A940 
  
          DKC            07/12/78       TYPE, ZEXBDL
  
 CC4X941  INFORMATION SAVED IN LOW CORE BY PBHALT IS OVERWRITTEN BY 
          AUTOSTART CODE WHEN A REMOTE NPU HALTS. 
  
          WORDS 0 THROUGH 3F ARE COPIED BY PBHALT INTO A VARIABLE 
          LOCAL TO PBHALT.
  
          NO SCF CHANGES OR OTHER PSR DEPENDENCIES. 
          DKC            08/01/78       PBHALT
  
 CC4A958  CCP FAILS WITH NO HALT CODE WHEN A 2741 TERMINAL IS CONFIGURED
          ON AN AUTORECOGNITION LINE. 
  
          THE ASYNC TIP USED AN INCORRECT VALUE TO INDEX INTO THE 
          INPUT STATES POINTER FOR 2741 AUTORECOGNITION.  THIS PSR
          CORRECTS THAT INDEX VALUE.
  
          NO SCF CHANGES OR OTHER PSR DEPENDENCIES. 
  
          DKC            07/27/78       CONASYNC
  
 CC4A942  ASYNCTIP:  CHANGES MADE TO ALLOW THE
          TIP TO AUTO RECOGNIZE LINE SPPEEDS UP 
          TO 1200 BAUD. 
          NOTE:  CS SENDS THE CODE SET FN-FV PAIR IN THE
          CONFIGURE TERMINAL COMMAND.  THIS FN-FV PAIR IS 
          IGNORED BY THE HASP TIP.N 
  
          DEPENDENT ON PSR S SCFA942 AND CC4X942. 
  
          JM             08/03/78       ASYNCTIP
                                        ASYNCMUX
                                        ASYMXCONS 
                                        REL4ASY 
                                        TYPASYNC
                                        CONASYNC
                                        ZEXASYNC
                                        VARMD4
                                        MODE4TIP
                                        ZEXHASP 
                                        CONSTR4 
                                        SVMCONST
                                        SVM 
  
 CC4X942  BASE ROUTINE AND GLOBAL CHANGES REQUIRED
          FOR ADDITION OF ONE BYTE TO UNSOLICITED 
          LINE STATUS MESSAGE DURING AUTO 
          RECOGINITION. 
  
          DEPENDENT ON PSR S CC4A942 AND SCFA94 AND CCB0001.
  
          JM             08/07/78       TYPE
                                        CONST 
                                        ZARBLD
                                        ZEXBLD
                                        MUXMACROS 
  
  
 CC4A943  THIS PSR MODIFIES THE HASP OUTPUT TEXT PROCESSING PROGRAM 
          TO :  
          1) GENERATE A SEPERATE CARRIAGE CONTROL RECORD TO TRANSFORM 
             PRE-PRINT CARRIAGE CONTROLS TO AN ACCEPTABLE POST-PRINT
             FORMAT.  THE DATA IS SENT IN THE SUBSEQUENT RECORD WITH
             SUPPRESS AS THE CARRIAGE CONTROL DIRECTIVE.  THIS IS DONE
             ONLY IF PRE-PRINT CONTROLS ARE RECEIVED FROM THE HOST. 
          2) GENERATE A SINGLE RECORD WITH CARRIAGE CONTROL DIRECTIVES
             AND THE DATA.  THIS IS DONE ONLY IF POST-PRINT CONTROLS
             ARE RECEIVED FROM THE HOST.
  
          NO SCF OR OTHER PSR DEPENDENCIES. 
  
          HSN            08/01/78       HASPTPS, FCSRCB 
  
 CC4A944  CS REQUIRES PAGE LENGTH AND WIDTH REPORTED IN TERMINAL STATUS 
          RESPONSE SERVICE MESSAGE FOR RECOVERY PURPOSES. 
          TWO EXTRA FIELDS ARE ADDED TO THE TERMINAL STATUS RESPONSE
          SERVICE MESSAGE.  VALUES FOR PAGE LENGTH AND WIDTH ARE
          MOVED TO THESE FIELDS FROM THE TERMINAL@S TCB.
  
          NO SCF CHANGES OR OTHER PSR DEPENDENCIES. 
  
          DKC            081/03/78      SVM 
  
 CC4X990  CCP IS UNABLE TO SUPPORT THE REQUIRED TERMINAL LOAD WITHOUT 
          REGULATING INPUT.  MEMORY ABOVE 81K IN THE 2550 CANNOT BE 
          UTILIZED. 
  
          THIS CORRECTION SET CHANGES THE DYNAMIC PAGE SIZE FROM 4K 
          TO 8K WORDS.  THIS RESULTS IN A SIGNIFICANT INCREASE IN 
          AVAILABLE DATA BUFFERS AND ALLOWS CCP TO UTILIZE MEMORY 
          UP TO 96K.
  
          DEPENDENT PSRS - CC4A990, SCFA990, RN1A990 ARE REQUIRED.
  
          CAC/NNN        08/10/78       CONST,PBRDPGE,PBPSWITCH,ASMDECKS, 
                                        PBLN06,SSRVS,TYPE,VAR,FORWARD,
                                        PIBUF2,PBSUPMSG 
  
 CC4A990  CCP IS UNABLE TO SUPPORT THE REQUIRED TERMINAL LOAD WITHOUT 
          REGULATING INPUT.  MEMORY ABOVE 81K IN THE 2550 CANNOT BE 
          UTILIZED. 
  
          THIS CORRECTION SET CHANGES THE DYNAMIC PAGE SIZE FROM 4K 
          TO 8K WORDS.  THIS RESULTS IN A SIGNIFICANT INCREASE IN 
          AVAILABLE DATA BUFFERS AND ALLOWS CCP TO UTILIZE MEMORY 
          UP TO 96K.
  
          DEPENDENT PSRS - CC4X990, SCFA990, RN1A990 ARE REQUIRED.
  
          CAC/NNN        08/10/78       ZXHIP,STDPRUCMN,HIP30,SVMZAP, 
                                        SVM,SVMFWD,PTIVTCMD,TYPIVTC,
                                        CONIVTC,NETINTPRC,MODE4TIP
  
 CCB0001  CHANGES TO WORK LIST PROCESSOR (PMWOLP) 
          TO IGNORE UNSOLICITED INPUT OR OUTPUT 
          ON A LINE THAT IS IDLE. 
  
          NO SCF CHANGES. 
  
          JM             08/29/78       PMWOLP
  
 CCB0003  WHEN THE HOST ATTEMPTS TO CONFIGURE 128 TERMINALS ON A 65K
          NPU SEVERAL TERMINAL CONFIGURE SERVICE MESSAGES ARE REJECTED
          REPEATEDLY.  THE REASON REPORTED TO THE HOST IS THAT THERE
          ARE NO BUFFERS AVAILABLE FOR TERMINAL CONTROL BLOCKS. 
  
          BUFFER THRESHOLD FOR GETTING TCB#S IS ADJUSTED DOWNWARD TO
          ALLOW MORE TCB#S TO BE BUILT. 
  
          NO SCF CHANGES OR OTHER PSR DEPENDENCIES. 
  
          DKC            09/08/78       ZEXBDL
  
 CCB0004  BUFFER MAINTENANCE DOES NOT CHAIN PROPERLY THROUGH BUFFER 
          CONTROL BLOCKS IN A 2552. 
  
          INSTEAD OF CHAINING THROUGH THE BUFFER CONTROL BLOCKS WE NOW
          INCREMENT THE POINTER BY EIGHT TO POINT TO THE NEXT BUFFER
          CONTROL BLOCK.
  
          NO SCF CHANGES OR OTHER PSR DEPENDENCIES. 
  
          DKC            10/18/78       BUFMAINT
  
 CC40016  HALT 9 CAUSED BY AN INPUT BUFFER NOT BEING RELEASED WHEN
          MODE 4 TIP RECEIVES A TIMEOUT WORK LIST.
  
          RELEASE INPUT BUFFER WHEN MODE 4 TERMINATES INPUT.
  
          NO SCF CHANGES
  
          RGT       09/01/78            MODE4TIP
  
 CC40017  ASYNCTIP CAN GIVE CS THE WRONG RESPONSE WHILE BRINGING A
          LINE DOWN.  A LOCAL VARIABLE CAN BE BE LOST WHEN CONTROL
          IS GIVEN UP.
  
          THE TIP WILL PASS THE RESPONSE SAVED IN THE LINE CONTROL
          BLOCK TO CS INSTEAD OF THE LOCAL VARIABLE.
  
          NO SCF CHANGES. 
  
          JM             09/01/78       ASYNCTIP
  
 CC4B023  MODE4 TIP CAUSED A HALT 13 DUE TO A TERMINAL PROTOCAL 
          FAILURE. MODE 4 DID A WRITE AND RECEIVED A READ INSTEAD OF
          AN ACK. 
  
          SOLUTION IS TO REPEAT WRITE UNTIL AN ACK IS RECEIVED OR 5 BAD 
          RESPONSES ARE RECEIVED.NOTE A READ RESPONSE TO A WRITE WILL 
          BE TREATED AS A BAD RESPONSE. AFTER FIVE BAD RESPONSES THE
          TERMINAL AND CLUSTER WILL BE DECLARED IN ERROR. 
  
          NO SCF CHANGES
  
          RGT       08/31/78            MODE4TIP,TMD4D1 
  
 CC4B051  A MUX ROUTINE GOT CLOBBERED DURING THE PHASE 1 EDIT RUN.
  
          THE VARIABLE HIPAGE SHOULD BE INITIALIZED BY THE
          2552 PHASE 2 EDIT RUN OR THE 2550 EDIT RUN. 
  
          NN             10/25/78            ZXHIP
  
 *L498*    ************************************************ 
 CC4A991  ASYNCTIP:  RETAINS SOURCE BUFFERS OF
          DOWNLINE DATA TOO LONG. 
  
          AFTER EACH LOGICAL LINE HAS BEEN OUTPUT 
          CHECK IF A BUFFER BOUNDARY IN THE SOURCE
          CHAIN HAS BEEN CROSSED DURING TEXT
          PROCESSING.  IF SO, RELEASE THE PREVIOUS
          SOURCE BUFFER.
  
          NO SCF CHANGES. 
  
          JM             08/14/78       ASYNCTIP
                                        TYPEB0BUF 
                                        CZASYNC 
                                        ASYNCDBOV 
  
 CC4B050  ASYNCTIP:  IBM 2741 AUTO RECOGNITION DOES NOT WORK. 
  
          THE TIMING OF THE LINE CAUSED THE FIRST CHARACTER 
          THAT IS AUTOMATICALLY SENT BY THE TERMINAL TO BE LOST.
  
          THE AUTO RECOGNITION SEQUENCE FOR THE IBM 2741 HAS BEEN 
          CHANGED.  IT IS NOW RETURN, WAIT FOR LINE FEED PROMPT,
          C OR E INDICATIONG CODE SET.
  
          DEPENDENT ON CC4X942B.
          NO SCF CHANGES. 
  
          JM             10/05/78       ASYNCTIP
                                        CONSTR4 
                                        ASYLFM
                                        CONASYNC
  
 CC4B052  REQUIREMENT FOR AN APPLICATION TO SET TRANSPARENT INPUT MODE
          WHEN UNAWARE OF CURRENT INPUT DEVICE.  THERE IS NO CURRENT
          IVT PARAMETER FOR SELECTING TRANSPARENT MODE WITHOUT
          SELECTING INPUT DEVICE ALSO.
  
          ADD A NEW PARAMETER TO THE #IN# IVT COMMAND (IN = X ).
  
          DEPENDENT UPON THE FOLLOWING CHANGE TO THE ASYNC TIP: 
          DELETION OF CODE THAT SETS DEVICE TYPE TO KEYBOARD MODE 
  
          DLB            10/30/78       PARSER
 CC4B055  THIS PSR ADDS THE TRANSLATION TABLES TO CONVERT BETWEEN ASCII 
          AND BIT PAIRED AND TYPEWRITER PAIRED APL CODE.
  
          REQUIRES PSR SCFB055. 
          VCM            11/03/78            ASYATAPLA,ASYAASTAP, 
                                             ASYABAPLA,ASYAASBAP
 CC4B057  ASYNCTIP:  TERMINAL USER NEEDS A WAY TO CHANGE TO 
          APL CHARACTER SET DURING A SESSION. 
  
          AN IVT COMMAND CD = A IS BEING ADDED. 
  
          DEPENDENT ON CC4B058,CC4B055,CC4B050,CC4X057, 
          SCF058,SCF055.
  
          JM             11/02/78       ASYNCTIP
                                        TYPEIVT 
                                        ZEXASYNC
                                        SVMZAP
                                        PARSER
                                        PTIVTCMD
  
 CC5X005  WITH ASYNCTIP ABLE TO RECOGNIZE THE APL CODE
          SETS, THE IVT COMMAND AP = X IS NO LONGER NEEDED. 
  
          DEPENDENT ON CC5A005. 
  
          JM             11/02/78       TYPE
  
 CC4B058  ASYNCTIP:  ASCII TERMINALS MAY HAVE APL OPTION AND
          A METHOD FOR DETERMINING CODE SET IN USE DURING 
          AUTO RECOGNITION IS NEEDED. 
  
          DEPENDENT ON SCF055,CC4B055,SCF058,CC4B050. 
  
          JM             11/02/78       ASYNCTIP
                                        REL4ASY 
                                        REL4ASYTP 
                                        ASYMXCONS 
                                        VARASYNC
                                        ZCASYNC 
                                        ZARASYNC
                                        ZEXASYNC
  
 CC4X091  THIS PSR MOVES THE DYNAMIC PAGE AREA FROM $E000 TO $2000. 
          THIS MOVE HAS NO EFFECT BY ITSELF ON THE 2550, BUT ON THE 2552
          THERE IS SOME EFFECT. THROUGH THIS PSR THE AREA FROM $E000 TO 
          $FFFF WILL BE USEABLE FOR BUFFERS BY BOTH PROCESSORS. 
  
          SCFB090 AND SCFB091 ARE REQUIRED
  
          RGT            11/13/78       ASMDECKS
  
 CC4A829  MODE 4 TIP SENDS A STRING LENGTH
          INDICATOR AND END OF MEDIA FOR EACH 
          BLANK CARD . IT SHOULD SEND ONLY THE
          END OF MEDIA. 
  
          SOLUTION IS TO SEND ONLY THE END OF MEDIA IF
          THE CARD IS BLANK BY MODIFING THE INPUT STATE 
          PROGRAM.
  
          NO SCF CHANGES
  
          RGT            08/24/78       REL4MD4 
  
 CC4A968  CRT DRIVERS DO NOT ALLOW FOR NIP PRINTER CARRIAGE RETURN DELAY
  
          SOLUTION IS TO SEND 3 MORE CARRIAGE-RETURNS FOR EACH BANNER 
          MESSAGE.
  
          THIS PSR ALSO NEEDS CCB0002 TO SOLVE THE SAME PROBLEM ON EACH 
          CONSOLE MESSAGE AFTER INITIALIZATION MESSAGE. 
  
          NO SCF CHANGE 
  
          FHY            08/15/78       PIAPPS
  
 CC4A994  CCP SENT A GARBAGE MESSAGE TO HOST CONSOLE
          WHEN THE USER SENT THE IVT COMMAND WITH 
            %MS,DATA     NOTE : DATA COULD BE ANY 
                                MESSAGE.
  
          IVT COMMAND SHOULD CHECK THE LENGTH OF
          CHARACTERS IF THAT COMMAND IS MESSAGE 
          TO THE CONSOLE OPERATOR.
  
          NO DEPENDENT PSR OR SCF CHANGE
  
          NN             09/18/78       PARSER
  
 CC4A995  CCP HALTED WITH HALT CODE E AFTER THE HOST CONFIGURED 
          A MODE4 TERMINAL WITH INVALID FN VALUE WHICH IS 
          GREATER THAN $3C (60 BASE 10) 
  
          SET THE ADDRESS OF THE MODE4 VARIANT TCB FIELD
          DESCRIPTOR TABLE TO MODE4 TIP TYPE TABLE
  
          NO DEPENDENT PSR OR SCF CHANGE
  
          NN             09/18/78       ZEXMD4
  
 CC4B039  THE MODE 4 TIP CAUSES A HALT 7 WHEN IT RECEIVES A WORKLIST
          BUT WAS NOT WAITING FOR ONE.
  
          THE MODE 4 TIP RECEIVED AN UNEXPECTED WORKLIST ENTRY
          WHILE IN AN IDLE CONDITION AND RETURNED TO LOCATION ZERO. 
          THE TIMEOUT VALUE FOR SOH IS ALSO WRONG AND COULD CAUSE 
          AN ERRONOUS TIMEOUT.
  
          THE TIMEOUT PERIOD FOR SOH IS SET TO A VALUE OF 3 THUS
          INSURING A 1 SECOND MIN. TIMEOUT. 
          THE INPUT STATES ARE CHANGED TO IGNORE DCD DROPPING.
  
          JWT            10/18/78       MODE4TIP,REL4MD4
 CC4B049  SYSTEM FAILED WHEN CONSOLE OUTPUT INTERRUPTED BY USER-BREAK.
  
          IF DATA HAS BEEN SENT OUT TO THE CONSOLE AND TIP IS WAITING FOR 
          RESPONSE, THEN DELAY THE USER-BREAK UNTIL GOOD RESPONSE ARRIVES AND 
          BACK IS SENT UP TO THE HOST.  SYSTEM WOULD FAIL IF THE USER-BREAK 
          IS SENT UP TO THE HOST BEFORE THE BACK IS SENT UP.
  
          NO SCF CHANGE 
  
          FHY            10/17/78       HASPTIP,HASPTCB 
  
 CC4B032  CCP DID NOT CONVERT CHARACTERS PROPERLY.
  
          CORRECT THE CONVERSION TABLES - E29ASC AND E26ASC.
  
          NO SCF CHANGE.
  
          FHY            09/27/78       E29ASC,E26ASC 
  
 CC4B053  WHEN A TERMINAL USER SENDS THE CANCEL INPUT LINE CONTROL
          CHARACTER THERE IS NO INDICATION FROM CCP THAT THE LINE 
          HAS BEEN CANCELED.
  
          CHANGE EACH TIP TO INCLUDE LOGIC TO OUTPUT THE *DEL* CANNED 
          MESSAGE WHENEVER THE CANCEL INPUT LINE CHARACTER IS 
          RECOGNIZED. 
  
          NO DEPENDENCIES 
  
          DLB            11/01/78       ASYNCTIP
                                        MODE4TIP
                                        HASPTIP 
                                        HASPTCB 
  
 CC4B053A CANCELLED LINE ON 2741 GETS SENT TO APPLICATION 
          EVEN THOUGH *DEL* GETS PRINTED
  
          CALL TO PTSV2LCB AT CC4B053.35 HAD DIFFERENT
          *WITH* THAN CALLER SO PTAPBUFREL HAD INCORRECT *WITH*.
          CHANGE APSPECSEQ *WITH* TO MATCH. 
  
          NO SCF CHANGES. 
          DEPENDENT ON CC4B053. 
          JM/HGM         04/11/79.      ASYNCTIP
  
 CC4B054  ADD SPECIAL EDIT MODE FOR PROCESSING INPUT TO ASYNC TIP.
  
         DEPENDENT UPON PSR CC4B056 
  
          REQUIRES PSR SCFB054
          VCM            12/05/78       ASYNCTIP,REL4ASY,PARSER,SVM,
                                        ZEXASYNC,ASYMXCONS,ASYNCFWD,
                                        SVMCONST,CONSTR4
  
 CC4B054A ASYNC TIP ROUTINE WHICH BREAKS UPLINE DATA INTO BLOCKS SHOULD 
          NOT BE INVOKED FOR AUTO INPUT DATA, WHICH SHOULD BE HANDLED 
          AS A SINGLE BLOCK.
          VCM            03/12/79            ASYNCTIP 
  
 CC4B056  IBM 2741 CONTROL CHARACTER ENHANCEMENT. 
  
          THIS PSR ALLOWS THE IBM 2741 USER TO USE ALL PRINTING 
          KEYS FOR APL FUNCTIONS. 
  
          DEPENDENT ON CCB0011 AND CC4B054. 
          THERE ARE NO SCF CHANGES. 
  
          JM             12/06/78       ASYNCTIP
                                        ASYMXCONS 
                                        TYPEIVT 
                                        REL4ASY 
  
 CC4B057A THE LOGIC INVOLVED TO PROCESS THE IVT COMMAND CD=A CHANGES
          THE TCB FIELD #BSCHARREC# DIRECTLY IN THE ROUTINE #PARSER#. 
  
          THE FLAG BSCHARREC IN THE TCB SHOULD BE CHANGED BY PASSING A
          FN/FV PAIR TO PNCONFIGURE AND PNCONFIGURE WILL CHANGE THE 
          FLAG. 
  
          NO SCF CHANGES. 
  
          DLB            01/04/78       PARSER
                                        PTIVTCMD
                                        SVMZAP
                                        ZEXASYNC
                                        SVMZAPV 
  
 CC4B070  MODE4TIP SET TERMINAL CONNECTION TO IDLE WHEN THE 
          FIRST MESSAGE TO THE CONSOLE IS IN ERROR. THIS WILL THEN
          MAKE THE TERMINAL APPEAR TO BE HUNG. IN REALITTY THE TERMINAL 
          NEVER WENT ACTIVE DUE TO THE BAD DOWNLINE MESSAGE.
  
          SOLUTION IS TO SET THE TERMINAL ACTIVE BEFORE WE PROCESS
          THE DATA TO THE CONSOLE CONNECTION. THUS THE TIP WILL PERFORM 
          ERROR POLLING ON THE TERMINAL.
  
          NO DEPENDENT SCF CHANGES OR OTHER PSRS REQUIRED 
  
          RGT            11/16/78        MODE4TIP 
  
 CC4B084  OPERATOR MESSAGE SM CAN EXCEED 2047 BYTES.
  
          THE SOLUTION TO THIS PROBLEM IS TO TRUNCATE THE TEXT OF A 
          MESSAGE AT 50 CHARACTERS.  THIS IS DONE BY COUNTING THE 
          CHARACTERS IN THE MSG. BUFFER AND IF THE MSG IS GREATER THAN
          50 CHARS. THEN RESET THE LCD OF THE BUFFER TO THE 50TH CHAR.
  
          NO OTHER PSR DEPENDENCIES.
          JWM            12/12/78       PTIVTCMD
  
 CC4B085  DISABLING ACTIVE LINE PRINTER CAUSES LINE DOWN. 
          ERROR IS CAUSED BY TERMINATING INPUT,THROWING AWAY INPUT DATA AND 
          GIVING AN ACK TO THE WORKSTATION. 
          SOLUTION IS NOT TO DO SO.  AND SAVE MORE THAN 50 WORDS OF SPACE.
  
          NO SCF CHANGES
  
          FHY            12/01/78       HASPTIP 
  
 CC4B089  THE SYNCHRONOUS TEKTRONIX 4014 TERMINAL DOES NOT DISPLAY
          EVERY LINE OF DATA SENT TO IT BY CCP. 
  
          THE SEQUENCE COUNT IN SOME OUTPUT IS NOT WHAT THE 4014
          EXPECTS, HENCE THE 4014 DISCARDS THE DATA. TO INSURE
          THE CORRECT SEQUENCE COUNT SETTING THE FOLLOWING
          CHANGES WERE MADE TO THE MODE 4 TIP:  
            1)  INITIALIZE THE SEQUENCE COUNT SETTING OF THE TERMINAL 
                (ALL MODE 4A DEVICES) TO GUARANTEE DELIVERY OF FIRST
                DATA BLOCK. 
            2)  TOGGLE THE SEQUENCE COUNT USING THE VALUE IN THE
                LAST GOOD WRITE TO THE CLUSTER. RESPONCES OBTAINED
                WHILE POLLING SHOULD HAVE NO EFFECT ON THE SEQUENCE 
                COUNT USED FOR OUTGOING DATA. 
            3)  THE WRITE ERROR RECOVERY LOGIC SHOULD POLL WITH THE 
                POLLS SEQUENCE COUNT SET TO THE TOGGLED VALUE OF
                THE LAST WRITE MESSAGE. 
  
          SCF DEPENDENCIES - SCFB089
          CAT            12/15/78       TMD4D1,MODE4TIP 
  
 CC4B094  THIS PSR AND CODE COMES FROM H.BOTS IN CCI0105. 
  
          MODIFY THE HASPTIP SUCH THAT IT IS FAR LESS REPID IN BRINGING 
          THE LINE DOWN AFTER A SERIES OF CONSECUTIVE ERRORS (NAKS,LINE-
          ERRORS) 
          THE HASP TIP CAN LOSE THE LINE WHIILE DELETE TCB IS ACTIVE
          AND WHILE TERMINATING I/O.
  
          THERE ARE NO SCF CHANGES
  
          FHY            11/30/78       HASPTIP,HASPLCB 
  
 CC4B095    *** RELEASE 5 PERFORMANCE ENHANCEMENT *** 
  
           MO5ING BASE SYSTEM ROUTINES TO PAGED MEMORY. 
  
          MOVING BASE SYSTEM ROUTINES WHICH SIZES ARE GREATER THAN
          256 WORDS ($100) FROM ABSOLUTE MEMORY TO PAGED MEMORY 
          MAKES MORE SPACE IN ABSOLUTE MEMORY, THUS, INCREASING 
          BUFFER SPACE AND PERFORMANCE. 
  
          DEPENDENT PSR - CCB0007 AND SCFB095.
  
          NN             11/15/78       SVM         PARSER
                                        PTIVTCMD    SVMZAP
                                        IVTFWD
  
CC4B096   IMPLEMENTATION OF THE ASYNC EXTENDED BUILD OPTION 
          REQUIRES CHANGES TO PREVENT THE CONFIGURATION OF
          AN IBM 2741 TERMINAL AND USE OF ASCII APL CHARACTER 
          SETS UNLESS ASYNCEXT IS DEFINED.
  
          DEPENDENT ON SCFB096 AND CCB0010. 
  
          JM             12/21/78       ASYNCTIP
                                        SVM 
                                        SVMCONST
                                        VARASYNC
                                        ZEXASYNC
                                        ZEXBDL
  
 CC4B097  TRANSPARENT INPUT ON THE IBM 2741 STORES THE STX
          CHARACTER AS PART OF THE TRANSPARENT DATA.
  
          IT IS NECESSARY TO CHANGE THE INPUT STATES TO 
          DISCARD THE STX CHARACTER.
  
          THERE ARE NO DEPENDENT PSRS OR SCF CHANGES. 
  
          JM             12/20/78       REL4ASY 
                                        ZEXASYNC
  
 CC4B111  HARDWIRED TERMINALS POWERED OFF AT NETWORK INITIALIZATION TIME
          CANNOT ACCESS THE NETWORK.
  
          THE SOLUTION IS TO FAKE OUT THE HOST SO IT WILL NOT DISABLE 
          THE LINE.  THIS IS DONE BY NOT SETTING THE TIMEOUT PERIOD FOR 
          DEDICATED LINES AND BY NOTIFYING THE HOST THAT THE LINE DOES
          NOT HAVE A RING INDICATOR.
  
          NO ADDITIONAL CHANGES REQUIRED. 
  
          RGT            1/3/79         PTLINIT 
  
 CC4B115  CCP DOES NOT ASSIGN THE CORRECT CODE SET FOR THE 711 TERMINAL.
          THIS COULD CAUSE THE MISTRANSLATION OF CERTAIN CHARACTERS.
  
          THE SOULTION IS TO CHECK IF THE TERMINAL CLASS IS A 711 WHEN
          THE TERMINAL IS CONFIGURED. CCP WILL THEN ASSIGN THE CORRECT
          CODE SET.(MODE 4C)
  
          NO ADDITIONAL CHANGES REQUIRED. 
  
          RGT            1/09/79        SVM 
  
 CC4B116  CHANGE ALL REFERENCES TO CCP 3.1 TO CCP 3.2 AND UPDATE
          COPYRIGHT DATES.
  
          SCF CHANGES.
          DLB            01/11/79       PIAPPS
                                        ZAPOVLY 
  
  
 CC4B118  HASPTIP DID NOT CHECK WORKSTATION WAIT-A-BIT BEFORE GRANT PERMISSION
          TO CARD READER. 
  
          SOLUTION IS TO DELAY PERMISSION-GRANT BLOCK UNTIL WAIT-A-BIT IS OFF.
  
  
          NO SCF CHANGES
  
          FHY            01/29/79       HASPTIP 
  
  
 CC4B119  HASPTIP LOSES DATA IN THE FOLLOWING PROCEDURE:  
          (1) HASPTIP SENDS OUT DATA
          (2) TIMEOUT RECEIVED
          (3) HASPTIP SENDS OUT A NAK 
          (4) ACK RECEIVED
          (5) HASPTIP RELEASES CURRENT OUTPUT DATA
          STEP 5 SHOULD BE REPLACED BY
          (5) HASPTIP RESENDS CURRENT OUTPUT DATA 
  
          NO SCF CHANGES
  
          FHY            12/22/78       HASPTIP 
  
 CC4B120  THE TCB IS LOST DURING REQUEST PERMISSION/PERMISSION GRANTED
          DELAY.
  
          ALSO IMPROVE THE CODE EFFICIENCY OF CC4A762 AS FAR AS SPACE 
          IS CONCERNED. 
  
          NO SCF CHANGES
  
          FHY            12/28/78       HASPTIP 
  
 CC4B121  ASYNCTIP:  DATA CAN BE LOST AT START OF LINE IF 
          THE TERMINAL IS IN THE WRONG PARITY.
  
          AT THE END OF EACH LOGICAL LINE THE MODEM STATE IS
          RESET TO IDLE.  ALL INCOMING CHARACTERS WITH STATUS ARE 
          DISCARDED UNTIL A CHARACTER WITHOUT STATUS IS RECEIVED. 
  
          TO PREVENT LOSS OF DATA THE INPUT STATES WILL NOT 
          CHANGE THE MODEM STATE INDEX. 
  
          NO SCF CHANGES OR OTHER DEPENDENCIES. 
  
          JM             01/25/79       REL4ASY 
                                        ASYNCMUX
  
 CC4B126  ASYNCTIP:  A 9600 BAUD LINE CANNOT BE CONFIGURED. 
  
          THE 1200 AUTO RECOGNITION ENHANCEMENT CHANGED 
          THE LINE SPEED INDICES.  INDEX 8 NO LONGER CORRESPONDS
          TO 9600 BAUD.  IT IS NOW INDEX 9. 
  
          CHANGE RANGE CHECK VALUE IN THE LINE CONTROL BLOCK
          ACTION TABLE TO 9 INSTEAD OF 8. 
  
          JM             01/05/79       ZEXASYNC
  
 CC4B129  CCP DIED WITH A HALT 13. THIS IS CAUSED WHEN A SEND OR ETX KEY
          IS TYPED WITHOUT ANY OTHER INPUT ON A MODE 4 TERMINAL THAT IS 
          IN AUTO-INPUT MODE. 
  
          THE SOLUTION TO THIS PROBLEM IS TO RELEASE THE EMPTY BUFFER 
          THAT IS CREATED BY THE EMPTY SEND AND SET THE EOT FLAG IN THE 
          AUTO-INPUT OUTPUT BUFFER.  THE CHAIN WORD IN THIS BUFFER IS 
          THEN SET TO NIL.
  
          NO OTHER PSR DEPENDENCIES.
          JWM            01/29/79       MODE4TIP
  
 CC4B134  SET ASYNC DEFAULT CHARACTERS FOR CONTROL FUNCTIONS (CT, CN, 
          AL, B1, B2) TO NON PRINTING GRAPHICS. 
          M35 TERMS WITHOUT ESC KEY PRESS CONTROL,SHIFT K FOR ESC.
          VCM            02/26/79            PARSER,ZCASYNC,ZEXASYNC
                                             ZCNMD4, ZCHASP 
  
 CC4B138  MODIFY ASYNC TIP INPUT STATES TO SET TRANSLATION TABLE
          ADDRESSES FROM MPEDIT VIA NEW MUX MACRO.  REMOVE ASYNCEXT 
          IF DEFS FROM SOURCE CODE. 
  
          DEPENDENT UPON CCB0013
  
          REQUIRES SCFB138
          VCM            02/20/79            ASYMXCONS,REL4ASY,ZEXASYNC 
  
 CC4B139  ASYNCTIP:  THE KEYBOARD FOR THE IBM 2741 IS UNLOCKED
          AFTER AUTORECOGNITION FORCING THE USER TO HIT THE RETURN
          KEY TO GET THE BANNER.  IF TERMINAL IS NOT YET CONFIGURED 
          KEYBOARD IS LOCKED AND TIP THINKS IT IS UNLOCKED
          AND BANNER IS NOT SENT. 
  
          KEYBOARD IS NOT UNLOCKED AFTER AUTO RECOGNITION.
  
          DEPENDENT ON SCFB139. 
  
          JM             02/20/79       ASYNCTIP
                                        ASYLFM
                                        VARASYNC
                                        ZEXASYNC
  
 CC4B140  ASYNCTIP:  THE CORRESPONDENCE FLAG IS NOT SET FOR 
          CORRESPONDENCE APL CAUSING INCORRECT SHIFT CHARACTERS 
          TO BE SENT TO THE TERMINAL. 
  
          SET CORRESPONDENCE FLAG FOR CORRESPONDENCE APL. 
  
          NO SCF CHANGES OR OTHER DEPENDENCIES. 
  
          JM             02/20/79       ASYNCTIP
  
 CC4B141  ASYNCTIP:  STARTING OUTPUT WHILE OUTPUT ALREADY 
          ACTIVE CAUSES HALTS 1E AND 1F.
  
          INPUT ACTIVE FLAG IS RESET WHEN START OF LOGICAL
          LINE IS ENCOUNTERED DURING ECHOPLEX DELAY CAUSING 
          AN OUTPUT RESPONSE TO BE SENT.
  
          NO SCF OR OTHER DEPENDENCIES. 
  
          JM/VMG         03/06/79       ASYNCTIP
  
 CC4B145  ASYNCTIP PUTS LCB IN 200 MS TIMER CHAIN TWICE CAUSING LOSS
          OF OTHER LCB TIMER ENTRIES
  
          THE 100 MS TIMING RTNS WILL BE MODIFIED TO PREVENT MULTIPLE 
          CHAIN ENTRIES ON THE SAME LINE
  
          DEPENDENT UPON CC4B141
          CAC/VMG        03/12/79       ASY100MS
                                        ASYNCTIP
  
 CC4B151  CCP CAN NOT RECOVER FROM MODE4C TERMINAL FAILURE. 
  
          SOLUTION IS TO SEND START BLOCK AFTER TERMINAL RECOVERED. 
  
          NO SCF CHANGES
  
          FHY       03/16/79            MODE4TIP
  
 CC4B160  AN INPUT LINE CANNOT BE CANCELLED BY AN IBM 2741 USER 
          BECAUSE IAF PROCESSES THE BLK BLOCK WITHOUT WAITING 
          FOR THE MSG BLOCK WHICH HAS THE CANCEL BIT SET. 
          THE IBM 2741 CONTROL CHARACTER ENHANCEMENT CAUSES 
          EVERYTHING UP TO THE CANCEL INPUT CHARACTER TO BE 
          SENT UPLINE AS A BLK BLOCK. 
  
          THE ASYNCTIP NOW HOLDS ALL INPUT FROM THE IBM 2741
          UNTIL THE LOGICAL LINE TERMINATOR IS SEEN.
  
          MUST BE INSTALLED AFTER CC4B056.
          NO SCF CHANGES. 
  
          JM             01/15/79       ASYNCTIP
  
  CC4B162  ASYNC DOES NOT CHECK IF TCB EXISTS 
           WHEN GOING INTO REGULATION 
  
          RCN            04/12/79       ASYNCTIP
  CC4B175 714 TERMINAL CURSOR KEEPS WRAPPING THE SCREEN.
  
          MODE4TIP NEEDS TO DELAY THE POLL FOR RESPONSE TO
          A WRITE.
  
          SJP/RCN        04/10/79       MODE4TIP
  
  CC4B180  ASYNC TIP NOT SETTING UP WITH STATEMENT
           AND NOT EXITING PROPERLY 
  
          DEPENDENCIES - CC4B197
  
           RCN          04/04/79            ASYNCTIP
 CC4B184  ASYNCTIP IS NOT SUPPORTING PAPER TAPE INPUT 
  
          MUX LCB FLAG USAGE CONTENTION 
  
          NO SCF CHANGES
  
          DEPENDENCY - CC4B054 (I2C)
  
          VMG    03/30/79              REL4ASY
                                       ASYNCTIP.
  
  CC4B191  ASYNCTIP NOT EXITING PROCEDURE PROPERLY
  
          DEPENDENCIES - CC4B197
  
           RCN          04/04/79            ASYNCTIP
  CC4B196  ASYNCTIP NOT RESTORING LOCAL VARIABLE AFTER
           CONTROL HAS BEEN RETURNED TO IT
  
           RCN          04/04/79            ASYNCTIP
  CC4B197  ASYNC TIP NOT SETTING UP WITH STATEMENT
           AND NOT EXITING PROCEDURE PROPERLY.
  
           RCN          04/04/79            ASYNCTIP
                                            ASYNCLCB
  CC4B199  ASYNCTIP NOT EXITING PROCEDURE PROPERLY. 
           CAUSES WRONG LCB TO BE ASSOCIATED WITH 
           THE USER 
  
          DEPENDENCIES - CC4B197
  
           RCN          04/04/79            ASYNCTIP
  CC4B200 ASYNC TIP CRASHES WITH HALT 7 DURRING AUTO
          BAUD DETECT 
  
          ASYNC TIP NOT SAVING RETURN ADDRESS DURRING  AUTO 
          REC TIMEOUT IF BREAK RECEIVED.
  
          RCN            04/10/79       ASYNCTIP
 CC40034  THE RESPONSE SERVICE MESSAGE FOR BROADCAST ALL SM 
          COMES UP ON THE NPU CONSOLE.
  
          DISCARDS THE RESPONCE SERVICE MESSAGE IF THE RESPONCE 
          IS SENT TO THE NPU CONSOLE. 
  
          NO DEPENDENT PSR OR SCF CHANGE
  
          NN             10/16/78       SVM 
  
 CC40038  HASP TRANSLATED CARD PUNCH DATA INCORRECTLY.
  
          SOLUTION IS TO CORRECT THE TRANSLATION CHARACTER FOR LEFT PARENTHESIS.
  
  
          NO SCF CHANGE 
  
          FHY            10/21/78       ASCE26
  
 CC40043  HALT A DUPLICATE BUFFER RELEASE 
          TIP ASSUMES BUFFER PTR OF A0TIMEOUT IS ALWAYS ZERO
  
          ZERO V1IBUFF BUFFER POINTER BEFORE TIP EXITS
  
          JAL            11/13/78       MODE4TIP
 CC40052  ASYNC DOES NOT CHECK DELAY FOR ECHOPLEX BEFORE INPUTING 
          DATA FROM THE TERMINAL AGAIN. 
  
          ADD ONE LINE OF CODE TO CHECK DELAYING FOR ECHOPLEX.
  
          NO SCF CORRECTIONS OR OTHER PSR DEPENDENCIES. 
  
          VMG/RFS        01/03/79       ASYNCTIP
 CC40069  CCP CAN NOT COMMUNICATE WITH HARRIS 1620 HASP  TERMINAL.
  
          HARRIS 1620 INSERTS SOME ZEROS BETWEEN DLE AND ETB. 
          CCP SHOULD ACCEPT THEM AS LEGAL INPUT.
  
          NO SCF CHANGES
  
          FHY            01/03/79       HASPINPS
  
 CCB0007    *** RELEASE 5 PERFORMANCE ENHANCEMENT *** 
  
          MOVING BASE SYSTEM ROUTINES TO PAGED MEMORY.
  
          MOVING BASE SYSTEM ROUTINES WHICH SIZES ARE GREATER THAN
          256 WORDS ($100) FROM ABSOLUTE MEMORY TO PAGED MEMORY 
          MAKES MORE SPACE IN ABSOLUTE MEMORY, THUS, INCREASING 
          BUFFER SPACE AND PERFORMANCE. 
  
          DEPENDENT PSR - CC4B095 AND SCFB095.
  
          THE COMDECK PBTOPHAT IS ADDED BY THIS PSR.
  
          NN             11/15/78       CONST       TYPE
                                        VAR         PBTTYINT
                                        PBHALT      STDPRUCMN 
                                        PBTUP       PGMDECKS
                                        PBOFMT      PBDRCOMPL 
                                        FORWARD     PBIOSERV
                                        PBCONSOLE   PBIFMT
                                        PBSTARTIO   SSRVS 
                                        ZEXBDL      ZARBDL
  
 CCB0008  ALL DYNAMIC PAGE REGISTERS SHOULD BE SAVED FOR DUMP ANALYSIS. 
  
          STORE 4 DYNAMIC PAGE REGISTERS AT LOCATIONS $2C, $2D, $2E 
          AND $2F WHEN CCP HALTS. 
  
          NO DEPENDENT PSR OR SCF CHANGE
  
          NN             01/09/79       PBHALT
  
 CCB0009  WHEN AN ASYNC LINE IS IN THE DOWN OR DISABLED STATE, CCP DOES 
          NOT GENERATE A BUSY SIGNAL TO THE LOCAL MODEM. THIS CAUSES
          A PROBLEM FOR SITES THAT HAVE A ROTOR DEVICE FOR LINE 
          SELECTION. THE EFFECT IS THE ROTOR WILL STOP AT A LINE IN 
          THE DISABLED OR DOWN STATE. 
  
          THE SOLUTION IS TO SET THE BUSY OUT BIT (BIT 2) IN COMMAND
          WORD ONE. THIS WILL THEN FREE THE ROTOR TO CONTINUE ITS 
          SEARCH FOR ANOTHER LINE.
  
          NO ADDITIONAL OR DEPENDENT CHANGES
  
          RGT            1/3/79          ZEXBDL 
  
 CCB0010  IMPLEMENTATION OF ASYNCEXT BUILD TIME OPTION
          REQUIRES A BOOLEAN AVAILABLE TO THE PASCAL
          TO CHECK IF ASYNCEXT IS DEFINED.
  
          DEPENDENT ON SCFB096 AND CC4B096. 
  
          JM             12/21/78       VAR 
  
 CCB0011  ASYNCTIP:  IBM 2741 ENHANCED CONTROL CHARACTERS.
          ALL THE WORKCODE DEFINED IN THE PASCAL LEVEL ARE
          NEEDED ON THE STATES LEVEL. 
  
          NO DEPENDENCIES.
          NO SCF CHANGES. 
  
          JM             12/06/78       MUXMACROS 
  
 CCB0002  CRT DRIVERS DO NOT ALLOW FOR NIP PRINTER CARRIAGE RETURN DELAY
  
          SOLUTION IS TO SEND 6 MORE CARRIAGE-RETURNS FOR EACH LINE.
  
          THIS PSR NEEDS CC4A968 TO SOLVE THE SAME PROBLEM ON BANNER
          MESSAGE.
  
          NO SCF CHANGE 
  
          FHY            08/15/78       PBOFMT
  
 CCB0006  CORRECT OPERATION OF PILMT DEPENDS UPON WHERE IT IS LINKED. 
          THIS IS APPARENT WHEN PILMT IS EXECUTING OUT OF THE SAME
          PAGE THAT IT IS ALTERING.  WHEN THIS IS THE CASE CCP DIES IN
          INITIALIZATION. 
  
          THE SOLUTION TO THIS PROBLEM IS TO ALTER A PAGE IN WHICH NO 
          INITIALIZATION ROUTINES ARE RUNNING. I CHOSE TO USE THE HIGH- 
          EST POSSIBLE HARDWARE PAGE.  THEREFORE PILMT CANNOT BE LINKED 
          FROM F800 TO FFFF.
  
          NO OTHER PSR@S OR CORRECTIONS ARE NECESSARY.
          JWM            10/17/78       PILMT 
  
 CCB0013  ADD A NEW MUX MACRO TO SET TRANSLATION TABLE ADDRESS VIA AN 
          ENTRY POINT TO BE VALUE INITIALIZED IN MPEDIT.
       VCM               02/20/79            MUXMACROS
  
 CCB0014  MAKE ALL CE ERROR MESSAGES 9 BYTES LONG, AND ZERO OUT UNUSED
          BYTES.
          VCM            02/26/79            PNCEFILE 
  
 CCB0015  CHANGE ALL REFERENCES TO CCP 3.1 TO CCP 3.2 AND UPDATE
          COPYRIGHT DATES.
  
          SCF CHANGES.
          DLB            01/11/79       LABEL 
                                        VALUE 
                                        ZD30
  
 CCB0016  ASYNC LINE LOST WHEN THE BREAK KEY IS HIT.
  
          WHEN A BREAK IS DETECTED THE MODEM STATE IS 
          RESET TO IDLE AND WILL REMAIN IN THE IDLE STATE UNTIL 
          A DATA CHARACTER WITHOUT STATUS IS RECEIVED.  IF
          THE TERMINAL IS IN THE WRONG PARITY ALL INPUT 
          CHARACTERS WILL HAVE PARITY ERROR STATUS AND WILL BE
          DISCARDED.
  
          TO PREVENT LOSS OF DATA COMMAND DRIVER WILL NOT SET 
          THE MODEM STATE TO IDLE IF BREAK SEEN ON AN ASYNC 
          LINE. 
  
          NO SCF CHANGES OR OTHER DEPENDENCIES. 
  
          JM             01/25/79       PMCDRV
  
 CC40051  BLOCK MODE INPUT LOSES DATA WHEN MORE THAN SEVEN
          LINES ARE INPUT.
  
          THE SOLUTION IS TO ALTER THE INPUT REGULATION SCHEME
          WITH REGARDS TO OUTSTANDING BLOCK LIMIT. THIS WILL
          BE DONE AS FOLLOWS: 
          1) ALTER PNCONFIGURE TO IGNORE FN/FV PAIR SETTING 
             AVAILABLE BLOCK LIMIT (FN=16). 
          2) IN TCB ELIMINATE BSABL AND EXPAND BSOBL FIELD
             FROM 3 TO 6 BITS.
          3) ALTER ROUTINE PTREGL TO COMPARE BSOBL WITH A 
             FIXED VALUE RATHER THAN THE EXISTING CHECK 
             AGAINST BSABL. 
          4) IN ASYNC TIP ADD LOGIC TO CHECK FOR INPUT
             REGULATION AFTER RECEIVING EACH INPUT BLOCK
             OR MESSAGE.
  
          CAT            01/12/79       TYPE, 
                                        SVM,
                                        PTREGL, 
                                        ASYNCTIP, 
                                        STDINTPRC,
                                        SVMZAP, 
                                        ZEXMD4, 
                                        ZEXHASP,
                                        ZEXASYNC. 
  
 CC40091  DCD DROP ON S3 LINE BEFORE LINE IS INITIALIZED CAUSES 
          INPUT STATE DEEP END. 
  
          INITIALIZE INPUT STATE POINTER TABLE ADDRESS IN TERMINAL
          CHARACTERISTICS TABLE FOR MODE 4 TERMINAL CLASSES.
  
          NO PSR DEPENDENCIES.
  
          HGM         02/21/79     ZEXMD4.
 CC40100  RECOGNIZE AUTO CODE DETECT CHARACTERS WITH EITHER ODD OR
          EVEN PARITY.
          VCM            03/15/79            ASYMXCONS,REL4ASY
  
 CC40144  THE HASPTIP SENDS AN INPUT STOPPED COMMAND TO THE HOST
          WHEN THE CARD DECK READ CONTAINS JUST AN EOI CARD.
  
          THE INPUT STOPPED COMMAND MUST NOT BE SENT IF A DATA BLOCK
          HAS NOT PRECEDED. 
  
          THIS PSR DEPENDS ON CC4B119 
  
          NO SCF CHANGES
  
          FHY            06/06/79       HASPTIP 
  
 CC40152  MULTIPLE LINE FEEDS FROM ASYNC TERMINAL WITH ECHOPLEX FEATURE 
          ON RESULTS IN HALT C
  
          SOLUTION IS TO TURN ECHOPLEX ON IMMEDIATELY AFTER OUTPUT
          BUFFER TERMINATED WORKLIST IS RECEIVED RATHER THAN DELAYING 
          AS IS NECESSARY AFTER OUTPUT BUFFER TRANSMITTED WLE 
  
          NO SCF CHANGES
  
          VMG            06/04/79       ASYNCTIP
  
 CC4B175A FIX MODE4TIP NOT POLLING 714 TERMINAL AT 4800 BAID. 
  
          DEPENDENCIES - CC4B175
  
          RCN            04/24/79       MODE4TIP,TMD4D1 
  
 CC4B179  WHEN NHP IS RESTARTED AFTER A FAILURE AND RECOVERS A RUNNING
          NPU, THE HIP SENDS WHATEVER DATA IT HAS QUEUED TO NIP.
          NIP DAYFILES A MESSAGE AND A DUMP OF THE BLOCK. THIS DELAYS 
          RECOVERY. 
  
          WHEN PIP RECOVERS, IT WILL SEND A UNIQUE ORDER CODE. HIP WILL ACTION
          THIS ORDER CODE BY RELEASING THE HIP INPUT QUEUE. 
  
          DEW2           04/25/79       HIP30 
  
 CC4B180A ASYNC TIP HAS TWO UPDATES IN THE SAME PLACE 
  
          RCN            04/23/79       ASYNCTIP
  
 CC4B200A 2741 AUTO RECOGNITION DOESNT WORK 
  
          DEPENDENCIES CC4B200
  
          RCN            04/24/79       ASYNCTIP
  
 CC4B205
          IF THE HOST FAILS WHILE THE NPU IS WAITING FOR THE
          NPU STATUS WORD TO BE READ, THE HIP WILL NOT DETECT 
          THE FAILURE. CONSEQUENTLY, HOST UNAVAILABLE MESSAGE 
          WILL NOT BE SENT. 
  
          HIP30 IS MODIFIED TO MAINTAIN A DEADMAN TIMER WHILE 
          WAITING FOR THE STATUS WORD TO BE READ. HIP30 WILL
          PROGRESSIVELY REGULATE INPUT AS THE DELAY INCREASES.
          PNLLTC IS MODIFIED TO REGULATE AT ALL LEVELS. 
  
          CC4A996 SHOULD BE PURGED BEFORE INSTALLING CC4B205
  
          DEW2           05/18/79       HIP30,CONHIP,THIPD1,
                                        NETINTPRC,PILININIT 
 CC4B215  HASP TIP DOES NOT THROW AWAY OUTPUT DATA WHEN TCB RECONFIGURED. 
  
          SOLUTION IS TO THROW AWAY OUTPUT DATA IF NOT DELIVERED TO TERMINAL. 
          IF SOME DATA IS JUST SENT TO TERMINAL THEN ALLOW I/O TO COMPLETE, 
          BUT REMEMBER NOT TO GENERATE BACK.
  
          NO SCF CHANGES
  
          FHY            04/27/79       HASPTIP,SVM 
  
 CC4B238 WHEN INPUTTING MULTIPLE BLOCK MESSAGES FROM THE 2741 
         TERMINAL, ONLY THE FIRST AND LAST BUFFERS ARE SENT UPLINE
  
         WHEN A BLOCK IS CHAINED TO A PREVIOUS ONE, FIND LAST BUFFER
         BEFORE MAKING A NEW CHAIN
  
         NO SCF CHANGES 
  
         VMG             04/30/79       ASYNCTIP
 CC4B244  CCP WILL REJECT A SECOND TERMINAL STATUS REQUEST IF THE FIRST 
          IS IN PROCESS. THIS DELAYS RECOVERY.
  
          CCP IS MODIFIED TO RECYCLE THE SECOND REQUEST IF THE
          INPROG FLAG IS SET. ALSO, THE BUFFER THRESHOLD TEST IS SKIPPED
          IF THERE IS ONLY ONE TERMINAL ON THE LINE.
  
          DEW2           05/07/79       SVM 
  
 CC4B247  HALT A OF LOCAL 81K BUILD WITH HIP AND LIP ONLY.
  
          PIBUF2 WAS FAILING TO ZERO BUFFER POOL IF IT WAS
          GREATER THAN 32K. 
  
          CLEAR BUFFER POOL IN TWO CHUNKS USING PBCLR.
  
          NO DEPENDENCIES OR SCF CHANGES. 
  
          HGM.           05/02/79       PIBUF2. 
  
 CC4B248
          SVM DOES NOT CHECK BUFFER THRESHOLDS BEFORE CALLING 
          PTINIT. SINCE PTINIT USES A DATA BUFFER, BUFFERS CAN
          BE EXHAUSTED CAUSING A HALT 9.
  
          SVM IS MODIFIED TO CHECK BUFFER THRESHOLDS AND WAIT 
          FOR AVAILABILITY BEFORE CALLING PTINIT. 
  
          DEW2           05/14/79       SVM 
  
 CC4B261  ASYNCTIP CONCATENATES MULTIPLE BLOCKS FROM
          A 2741 TERMINAL 
  
          SOLUTION - FIX POST INPUT ROUTINE TO SHIP 
          EACH BLOCK AS A SEPERATE ENTITY 
  
          DEPENDENCIES - NONE 
  
          RCN            05/23/79       ASYNCTIP
  
 CC4B264  DUE TO A TIMING PROBLEM, THE MODE4 TIP RELEASES A BUFFER
          TWICE AND CAUSES A HALT A 
  
          SOLUTION - INSURE THAT THE MODE4 LOCAL VARIABLE, THAT CONTAINS
          A PREVIOUS BUFFER ADDRESS, IS SET TO NIL UPON ENTRY TO THE
          TIP.
  
          DEPENDENCIES - NONE 
  
          RCN            06/05/79       MODE4TIP
 CC40107  THE HASP TIP HOLDS THE FIRST INTERACTIVE DATA FOREVER IF
          THE WORKSTATION IS NOT INITIALIZED. 
  
          SOLUTION IS TO SEND A STOP TO THE HOST, WHEN UNABLE TO DELIVER
          TO THE TERMINAL.  THE TIP DELAYS FOR 30 SECONDS BEFORE
          REPORTING THE STOP CONDITION. 
  
          NO SCF CHANGES
  
          THIS PSR DEPENDS ON CC4B215 
  
          FHY            03/26/79           HASPTIP 
  
 *L505*    ************************************************ 
  
 CCB0017  CCP USES NUMBER INSTEAD OF NAME FOR TIP TYPE, 
          USES TIPTYPE NAME TO REPLACE NUMBERS. 
  
  
          NO SCF CHANGES. 
  
          WMB            02/27/79       TYPE
  
 CCB0024  REMOVE SYSTEM HALT FOR DUPLICATE CLA DETECTED DURING
          INITIALIZATION.  CONDITION WAS BEING FALSELY DETECTED 
          BECAUSE OF BAD CABLES.  STORE DUPLICATE CLA ADDRESS IN
          LOW CORE - ADDRESS $2B. 
  
          NO DEPENDENCIES.
          VCM            05/01/79       PIMLIA
                                        CONST,PBHALT
  
 CCB0027  EXTERNAL REFERENCE OUT OF BOUNCE DURING MPLINK. 
  
          THE CCP ROUTINE "QENTRY" HAS BEEN CHANGED TO REPLACE
          THE RTJ+ (QDEBUG) TO RTJ QDEBUG.
  
          NO PSR DEPENDENCY, NO SCF CHANGE
  
          DT             06/07/79       QENTRY
  
  
 CC4B146  CAN NOT OPEN PRINTER WITH RBF COMMAND.
  
          SOLUTION IS TO HANDLE CORRECTLY WHEN PERMISSION GRANTED.
  
          NO SCF CHANGES
  
  
          FHY       03/15/79            HASPTIP 
  
 CC4B171  MODE 4A TERMINAL IS ACCEPTING TIP COMMAND 
          %IN=X.  THIS CAUSES THE NEXT INPUT TO BE SENT 
          AS TRANSPARENT INPUT.  TRANSPARENT INPUT IS 
          NOT ALLOWED FOR MODE 4A TERMINALS.
  
          THE PARSER MUST BE ALTERED TO REJECT %IN=X
          FOR MODE 4A TERMINALS.
  
          NO SCF OR OTHER CHANGES.
  
          JM              04/30/79       PARSER 
  
 CC4B190  THE IVT PARSER SHOULD NOT ALLOWE THE 2741 TERMINAL (TC=4) 
          USER TO CHANGE THE TERMINAL CLASS TO NON-2741 TERMINAL OR 
          NOT ALLOWE THE NON-2741 TERMINAL (TC"4) USER TO CHANGE
          THE TERMINAL CLASS TO 4.
  
          GENERATE CODE TO DIAGNOSE THE TC COMMAND FOR ABOVE CONDITIONS.
  
          NO DEPENDENT PSR
  
          NN             4/25/79        SVM 
 CC4B195 WHEN A CANCEL INPUT CHAR IS ON PAPERTAPE, THE *DEL*MSG 
         IS OUTPUT SIMULTANEOUSLY WITH THE NEXT INPUT 
  
         ASYNCTIP SHOULD DELAY AFTER CANCEL INPUT CHAR TO SEE IF
         IN BLOCKMODE. IF SO, NO *DEL* MSG WILL BE OUTPUT 
  
         VMG             04/21/79       ASYNCTIP
                                        ASYNCLCB
                                        CONASYNC
 CC4B202  NO X-ON IS SENT FOLLOWING THE ERR.. REPLY TO AN 
          INVALID IVT COMMAND IN PAPER TAPE MODE. 
  
          SET BSXOFF FOR ERROR CASE ALSO. 
  
          NO SCF CHANGES OR DEPENDENCIES. 
  
          HGM.           04/11/79       ASYNCTIP
  
 CC4B223  MODE 4 TIP WAS TURNING OFF AUTO INPUT WHEN AN IVT COMMAND 
          WAS INPUT.
  
          SOLUTION IS TO SAVE AUTO INPUT FLAG WHILE TEXT PROCESSING 
          INPUT RESPONSES, AFTERWARD RESTORING AUTO INPUT AND INPUT 
          REQUIRED FLAGS. 
  
          NO DEPENDENCIES.
          VCM            05/03/79            MODE4TIP 
  
 CC4B232 CANNOT CANCEL AN IVT CMD ON 2741 
  
         ASYNCTIP SHOULD PURGE IVT COMMAND QUEUE WHEN CANCEL
         INPUT CHARACTER SEQUENCE PROCESSED 
  
         NO SCF CHANGES 
  
         VMG             04/28/79       ASYNCTIP
 CC4B234  ECHOPLEX = YES COMMAND IS ACCEPTED
          FOR TERMINAL CLASS 4 (IBM 2741) CAUSING 
          KEYBOARD TO LOCK ON OCCASSION.
  
          ALTER THE PARSER TO REJECT ECHOPLEX TIP 
          COMMAND IF TC = 4.
  
          NO SCF OR OTHER CHANGES.
  
          JM             04/30/79       PARSER
  
  
 CC4B241  MODE4TIP SEND E4 CODE UP AS PART OF TRANSPARENT INPUT DATA. 
  
          SOLUTION IS TO FILTER E4 CODE IN TRANSPARENT INPUT DATA.
  
          NO SCF CHANGES
  
          FHY         04/30/79      REL4MD4 
  
 CC4B259  CANNOT ASSEMBLE CCP WITH R3A CROSS DUE TO REINSTATEMENT 
          OF MACRO CONTINUATION FEATURE IN CLASS ASSEMBLER. 
  
          REMOVE TRAILING COMMAS FROM MACRO CALLS.
  
          NO SCF CHANGES OR DEPENDENCIES. 
  
          HGM    05/17/79    REL4MD4, 
                             HASPITXP,
                             HASPTPS. 
  
 CC40114  WRONG NPU HALT CODE 05 IS REPORTED FOR CIBERR INSTEAD OF HALT 
          CODE 06.
  
          REPLACE HALT CODE 05 BY HALT CODE 06 FOR CIB ERROR
  
          TMD            03/21/79       PBSTOP
  
 CC40142  IF MORE THAN 255 CHARACTERS ARE SENT IN TRANSPARENT 
           BLOCK MODE,  CCP ONLY SENDS THE LAST BLOCK UPLINE. 
  
          AEXBLS WAS NOT BEING INITIALIZED. 
  
          NO SCF CHANGES OR DEPENDENCIES. 
  
          HGM            05/11/79       ZEXASYNC
  
 *L508*    ************************************************ 
 CC4B276   HALT A OF LOCAL 81K BUILD WITH HIP AND LIP ONLY. 
  
          PIBUF2 WAS FAILING TO ZERO BUFFER POOL IF IT WAS
          GREATER THAN 32K. 
  
          CLEAR BUFFER AREA DIRECTLY RATHER THAN VIA PBCLR
  
          DEPENDENT ON CC4B247 - NO SCF CHANGES.
  
          CAC            07/13/79       PIBUF2
  
 CC4B247B IN A CCP SYSTEM WITH THE BUFFER AREA BEGINNING BEFORE 
          $7FFF AND ENDING AFTER $7FFF, THE BUFFERS ARE NOT 
          ALL BEING BUILT.
  
          THIS CHANGES THE TEST FOR END OF BUFFER AREA TO USE 
          EQUAL RATHER THAN GREATER-OR-EQUAL. 
  
          NO DEPENDENCIES.
          CAC            07/27/79       PIBUF2
  
 CC4B286  HALT 9 IN CCP (RAN OUT OF DATA BUFFERS).
  
          PROCEDURE PNLINE IN SERVICE MODULE DOES NOT TEST
          BUFFER THRESHOLDS BEFORE GETTING A DATA BUFFER. 
          THIS CAN RESULT IN A HALT 9.
  
          NO DEPENDENCIES 
  
          DEW2           07/13/79       SVM 
  
          SRN = 3352
  
 CC4B299  WHEN CS RECONFIGURES A PASSIVE DEVICE WITH A BSTTYP FN/FV 
          PAIR, CCP REJECTS IT WITH A REASON CODE = 5 (INVALID DT. .
  
          MODULE PNCONFIGURE IN DECK SVM IS MODIFIED TO IGNORE THIS FN/FV 
          PAIR IF FOR A PASSIVE DEVICE. 
  
          NO DEPENDENCIES 
  
          DEW2           08/02/79       SVM 
  
          SRN = 97394 
  
 CC4B316  WHEN A TERMINAL IS POWERED OFF BY A USER. 
          CS SOMETIMES DISABLES THE LINE. 
  
          WHEN THE TERMINAL IS POWERED OFF, CCP REPORTS 
          THE LINE INOPERATIVE. CS THEN SENDS A DISCONNECT
          WHICH CAUSES CCP TO ENABLE THE LINE. IN PROCESSING
          THE ENABLE, PTLINIT ISSUES AN INITIALIZE COMMAND
          TO THE CLA. DUE TO A DESIGN DEFICIENCY IN THE CLA,
          IT DOES NOT REPORT STATUS IF ISON (INPUT SUPERVISION
          ON) AND ISR (INPUT STATUS REQUEST) ARE CONTAINED
          IN ONE COMMAND. PTLINIT IS MODIFIED TO ISSUE ISON 
          AND ISR SEPARATELY.  THE LIP IS ALSO MODIFIED TO ISSUE
          ISON AND ISR SEPARATELY.
  
          THIS IDENT MUST BE ACCOMPANIED BY IDENT RN1B316.
  
          DEW2           08/23/79       PTLINIT,ZEXBDL
  
          SRN = NONE
  
 CC40131  THE MODE4 TIP IGNORES THE DISABLE LINE COMMAND DURING 
          ERROR RECOVERY. 
  
          SOLUTION IS TO CHECK AND HONOR THE OUTSTANDING DISABLE LINE 
          COMMAND RIGHT AFTER ERROR RECOVERY. 
  
          NO SCF CHANGES. 
  
          FHY            06/27/79       MODE4TIP
  
  
 CC40158  AFTER SOME USE,SYNCHRONOUS LINES ARE LEFT IN A DOWN STATE BY
          CCP AND CS.RESULTS IN RING NO ANSWER(OPEN RING).HOST CANNOT 
          CLEAR CONDITION THROUGH LOP COMMANDS.ENABLE RESULTS IN LINE 
          ALREADY ENABLED.DISABLE RESULTS IN UNABLE TO ACTION COMMAND 
          AT THIS TIME. 
  
          SOLUTION IS TO SET LINE TO DISABLE IF THERE IS A LINE ERROR,
          OR IF LINE IS DISABLED ,PREVENTING A HOST ENABLE COMMAND
          IN "LINE ALREADY ENABLED".ALSO WHEN HOST SENTS A DISABLE
          REQUEST SET LINE TO DISABLE PREVENTS "UNABLE TO ACTION COMMAND
          AT THIS TIME."
  
          NO DEPENDENCIES 
  
          ELK            07/25/79       MODE4TIP
  
 CCB0029  NPU REPORTS LINE INOPERATIVE TOO OFTEN
  
          THE CLA STATUS HANDLER WILL REPORT A HARD ERROR IF THERE
          ARE NOT ENOUGH BUFFERS TO START A DCD TIMEOUT WHEN DCD DROPS
  
          THE TRESHOLD LEVEL FOR CLA STATUS IS LOWERED TO THE 
          SAME VALUE AS MUX BUFFER THRESHOLD.  THE HARD ERROR IS NOT
          REPORTED IF THERE ARE NOT ENOUGH BUFFERS.  THE CE ERROR MSG 
          ABNORMAL DCD IS NOW REPORTED WHEN DCD RETURNS.  THIS PREVENTS 
          GENERATING THE CE ERROR IF THE LINE IS HUNG UP. 
  
          JWT            07/16/79       PTCLAS,ZEXBDL 
  
 CCB0031  INVALID CLA STATUS OVERFLOW REPORTED BY THE SYSTEM. 
  
          THE NPU OPERATING SYSTEM REPORTS CLA STATUS OVERFLOW WHEN 
          A LINE IS IDLE (NOT POLLING).   THE CLA STATUS COUNT FIELD
          IS NOT CLEARED WHEN THE LINE IS IDLE.  THE TIMEOUT INTERVAL 
          IS ALSO INCORRECT AND SHOULD BE ONE SECOND INSTEAD OF 10. 
          THE FIRMWARE DOES NOT NEED TO COUNT PARITY ERROR STATUS.
  
          THE CLA STATUS COUNTER IS CLEARED ONCE A SECOND IF THE
          OVERFLOW CONDITION HAS NOT ALREADY STARTED.  THE TIMEOUT
          IS SET TO 1 SECOND.  THE FIRMWARE IS CHANGED TO NOT COUNT 
          PARITY ERRORS.  THE MODEM STATES ARE CHANGED TO RESYNC IF 
          INPUT COMES IN WITH PARITY WHEN THE LINE IS IDLE OR IN OUTPUT 
  
          IT IS ADVISABLE TO ALSO INCLUDE PSR CCB0029 TO LOWER THE
          BUFFER THRESHOLD FOR CLA STATUS TIMEOUT.
          PSRS CC4X708 AND CC4X708A MUST BE PULLED. 
  
          HJB,JWT        08/06/79       CONST,PMT1SEC,MODMSTP,MF
  
 CCB0032  HALT 9 (OUT OF BUFFERS) CAUSED BY CONTINUOUS INPUT OF 
          CR,X-OFF SEQUENCE ON A 9600 BAUD ASYNC LINE. THIS TYPE OF 
          INPUT GENERATES FOUR WORKLIST ENTRIES PER LOGICAL LINE AND
          BEFORE THE BUFFER ADJUSTMENT ROUTINE CAN RUN TO INSURE
          SUFFICIENT WORKLIST BUFFERS, THE ENTIRE WORKLIST BUFFER 
          POOL IS DEPLETED AND THE HALT 9 OCCURS. 
  
          CURRENTLY THE BUFFER ADJUSTMENT ROUTINE RUNS EVERY 500 MS.
          THIS WILL BE CHANGED SO THAT IT WILL EXECUTE EVERY 100 MS,
          THEREBY PROVIDING THE BUFFERS NEEDED TO HANDLE THIS TYPE
          OF INPUT. 
  
          NO SCF OR OTHER DEPENDENCIES
  
          VMG            07/16/79       PBTIMER 
                                        PBLCBTMSC 
  
 CCB0034  AUTO-INPUT AT A TERMINAL ATTACHED TO A REMOTE NPU 
          SOMETIMES TRUNCATES THE INPUT LINES.  THIS OCCURS 
          ONLY WITH ASYNC TERMINALS, AND ONLY IN THE 65K AND
          96K VERSIONS OF CCP.  81K CCP SEEMS OK. 
  
          THE ODP FIRMWARE IS NOT HANDLING AN ODD FCD CORRECTLY WHILE 
          CHAINING TO THE SECOND BUFFER OF OUTPUT DURING TRUNK
          TRANSMISSION.  ONLY THE ASYNC TIP CREATES UPLINE DATA 
          BLOCKS THAT HAVE AN ODD FCD IN THE SECOND OR SUBSEQUENT 
          BUFFERS OF THE BLOCK. 
  
          DEPENDENT PSR:  RN1B221 
          CAC/JWM        09/25/79       MF
  
 *L518*    ************************************************ 
 CCB0025 CLAS ATTACHED TO POWERED DOWN TERMINALS SOMETIMES
         GENERATE STATUSES WHICH INDICATE THE LINE IS UP, AND THEN
         THE LINE APPEARS TO DROP. THIS CAUSES FLOODING OF THE
         LOP/NOP CONSOLE WITH SERVICE MESSAGES. 
  
         TO PREVENT THIS FROM HAPPENING, THE LINE INITIALIZER WILL
         MAKE SURE THE LINE STAYS STABLE FOR 1 SECOND BEFORE REPORTING
         TO THE HOST THE LINE STATUS. IF THE LINE DOESNT STAY STABLE, 
         THEN THE LINE WILL BE MONITORED EVERY 5 SECONDS TO SEE IF
         IT BECOMES STABLE. 
  
         DEPENDENT PSR :  RN1B231, SCFB231
  
         VMG             05/07/79      PTLINIT
                                       PTCLASS
                                       TYPE 
                                       MODMSTP
                                       MUXMACROS
                                       PMWOLP 
                                       PMCDRV 
  
 CCB0033  AN UNEXPECTED WORKLIST ENTRY FROM THE 
          INPUT STATES DURING ERROR RECOVERY
          CAUSES MODE 4 TO JUMP TO ZERO.
  
          THE FLAG INDICATING WORKLIST ENTRY TO 
          BE BUILT AT DCD DROP IS STILL SET AFTER 
          TERMINAL HAS BEEN TURNED OFF AND INPUT IS 
          TERMINATED. 
  
          SET THE MUX LCB FLAG NCETX FALSE WHEN INPUT 
          IS TERMINATED.
  
          NO DEPENDENCIES.
  
          JM             08/29/79       PMCDRV
  
 CCB0035  PBBFAVAIL DOESN T CHECK BUFFER AVAILABILITY CORRECTLY.
          IF A LARGE AMOUNT OF NON DATA BUFFERS IS REQUESTED AND
          THE REQUESTED BUFFER POOL IS BELOW THRESHOLD THE REQUEST
          MAY BE REJECTED EVEN IF THERE ARE SUFFICIENT DATA BUFFERS 
          TO SATISFY THE REQUEST. 
  
          BUFFER COUNT IS MODIFIED TO REFLECT THE FACT THAT LARGER
          BUFFERS CAN BE SPLIT INTO SMALLER ONES. 
  
          CAM            10/09/79       PBBFAVAIL 
  
 CCB0039  THE ODD PROCESSOR MAY OUTPUT EXTRANEOUS CHARACTERS AND
          MAY CAUSE CCP TO HALT IF AN OUTPUT BLOCK HAS A BUFFER 
          CONTAINING ONLY ONE CHARACTER.
  
          NEITHER THE COMMAND DRIVER NOR THE BUFFER CHAINING
          FIRMWARE (LINKCHAIN) SET THE CHAINING-REQUIRED FLAG IN THE
          MUX LCB IN THE CASE OF A BUFFER CONTAINING A SINGLE 
          CHARACTER.  THIS FLAG IS ONLY REQUIRED IF THAT CHARACTER
          RESIDES IN THE RIGHT HALF OF A WORD.  HOWEVER, IT IS
          ACCEPTABLE TO SET IT IF THE CHARACTER RESIDES ON THE
          LEFT.  THE FLAG IS CALLED NCBCREQ IN PASCAL AND CHAINREQ
          IN THE FIRMWARE.
  
          NO DEPENDENCIES.
          CAC/RFS        11/27/79       MF,PMCDRV 
  
  
 CC40151  THE MAXIMUM NUMBER OF STATIC LLCB#S HAS TO BE SET 
          TO NINE TO SUPPORT EIGHT REMOTE NODES.
          CCP CURRENTLY SUPPORT ONLY FOUR REMOTE NODES
          INSTEAD OF EIGHT. 
  
          RESET J0MAXLLCB TO NINE INSTEAD OF FIVE,ONE 
          LOGICAL LINK FOR THE FE,AND EIGHT LOGICAL 
          LINKS TO REMOTE NODES.
  
          NO DEPENDENCIES 
  
          ELK            07/05/79       CONBLK
  
 CC40171  SETTING CI PARAMETER VIA CONFIGURE TERMINAL FN/FV PAIR DOES 
          NOT WORK BECAUSE THE CALCULATE CI FLAG IN THE TCB DEFAULTS
          TO TRUE, CAUSING CI PARAMETER TO RETURN TO DEFAULT VALUE
          AFTER FIRST INPUT FROM TERMINAL.
  
          SOLUTION IS TO CHANGE THE DEFAULT VALUE FOR THE CALCULATE CI
          FLAG TO FALSE FOR ALL TERMINAL CLASSES EXCEPT THE 2741, WHICH 
          NEEDS TO USE THE CALCULATE FEATURE. 
  
          NO DEPENDENCIES.
          VCM            09/12/79       ZEXASYNC
  
 CC4B109  OUTPUT PERFORMANCE AT 9600 BPS TOO SLOW WHEN ECHOPLEX IS ON.
  
          TURN ON ECHOPLEX AT THE END OF SOURCE RATHER THAN AT THE END
          OF EACH LOGICAL LINE.  THIS WILL SPEED UP OUTPUT PROCESSING 
          WHEN IN ECHOPLEX MODE.
  
          DLB            013179         ASYNCTIP
  
 CC4B176  WHEN LAST OUTPUT LINE ON PAGE IS FULL,MODE 4 TIP OUTPUTS AN 
          ADDITIONAL LINE FOR TERMINATORS, CAUSING PAGE OVERFLOW. 
  
          SOLUTION IS TO TRANSFER FULL LAST LINE FROM ONE PAGE TO FIRST 
          LINE ON NEXT PAGE.
  
          NO DEPENDENCIES.
  
          VCM/DT         05/04/79       REL4MD4 
  
 CC40193  CHANGE DEFAULT INPUT BLOCK SIZE TO 150 CHARACTERS 
          IN ORDER TO ALLOW NAM/IAF TO GET 150 CHARACTERS BLOCKS. 
  
          CAM            11/09/79       CONSTR4 
  
 CC4B199 WHEN A LF IS FIRST CHAR INPUT IN SPECIAL EDIT MODE,IT IS 
         DISCARDED. 
  
         INPUT STATE ASELT2 IS MODIFIED SO LF IS NOT PART OF CRLF 
         SEQUENCE WHEN SPECIAL EDIT MODE ACTIVE,BUT IS PART OF NEXT 
         LOGICAL LINE.
  
         VMG             11/08/79       REL4ASY 
  
  
 CC4B287  LOCAL NPU DOES NOT RECOGNIZE #HOST UNAVAILABLE# 
          CONDITION.
  
          RESET LINE TIMER TO ONE HALF SECOND BEFORE CRITICAL 
          TIMEOUT OCCURS. 
  
          DEPENDENT UPON CC4B205
  
          ELK            07/16/79       HIP30 
  
 CC4B253  IVT COMMAND (DL) SHOULD ACCEPT HEX DIGITS IN EITHER UPPER OR
          LOWER CASE. 
  
          SOLUTION; CONVERT ANY LOWER CASE CHARACTER TO UPPER CASE
          CHARACTER.
  
          NO SCF CHANGES ARE REQUIRED.    THERE ARE NO DEPENDENCIES.
  
          DT,JWM         10/04/79       PARSER
  
 CC4B255  IBM 2741 TERMINAL HANGS WHEN ATTENTION
          KEY IS HIT TWICE. 
  
          TERMINAL IS HUNG BECAUSE SECOND ATTENTION 
          KEY IS SEEN AS A BREAK, AND THE BREAK 
          LOGIC DID NOT SET THE FLAGS NEEDED TO SEND
          THE UNLOCK SEQUENCE TO THE TERMINAL.
  
          THE BREAK LOGIC HAS BEEN FIXED TO UNLOCK
          THE KEYBOARD.  THE TIP WILL NOW IGNORE
          BREAKS IF INPUT IS ACTIVE.
  
          NO DEPENDENCIES.
  
          JM        08/27/79            ASYNCTIP
  
 CC4B268  CD=A TIP CMD CAUSES 2741 TERMINAL HANG WHEN CMD INTERRUPTS
          OUTPUT. 
  
          TERMINAL SHOULD BE PUT IN RECEIVE STATE AFTER CODE DETECT 
          SO THAT OUTPUT CAN RESUME 
  
          NO DEPENDENT PSR/NO SCF CHANGES 
  
          VMG            06/01/79       ASYNCTIP
  
 CC4B290  CODE SET INFORMATION LOST ACROSS HOST RECOVERY. 
  
          THIS INFORMATION WILL BE SUPPLIED IN THE TERMINAL STATUS
          REQUEST RESPONSE.  THE PW AND PL PARAMETERS WILL BE REPLACED
          BY CODE SET(C-SET) AND SUB TIP(S-TIP), RESPECTIVELY.
  
          THIS CODE IS DEPENDENT ON CS CODE ID=NA2B316. 
  
          JWM            10/22/79       SVM 
  
 CC4B293  AN UNEXPECTED WORKLIST ENTRY FROM THE 
          INPUT STATES DURING ERROR RECOVERY
          CAUSES MODE 4 TO JUMP TO ZERO.
  
          THE FLAG INDICATING WORKLIST ENTRY TO 
          BE BUILT AT DCD DROP IS STILL SET AFTER 
          TERMINAL HAS BEEN TURNED OFF AND INPUT
          IS TERMINATED.
  
          RESET THE MUX LCB FLAG IN THE INPUT STATE 
          THAT HANDLES DCD DROP.
  
          NO DEPENDENCIES.
  
          SRN = 3430. 
  
          JM             08/29/79       REL4MD4 
  
 CC4B301  NPU STILL IN REGULATION FOLLOWING RECOVERY BY HOST. 
  
          HIP30 IS MODIFIED TO RESTORE THE COUPLER REGULATION 
          LEVEL WHENEVER THE HOST READS THE NPU STATUS WORD.
  
          DEPENDENCIES : CC4B205,CC4B205A 
  
          DEW2           08/13/79       HIP30 
  
          SRN = R3B103
 CC4B315  MAKE ACCEPTABLE TERMDEF VALUES IN CCP CONSISTENT WITH 
          DOCUMENTATION.  THE FOLLOWING HEX VALUES WILL BE REJECTED 
          BY CCP : 02(STX), 04(EOT), 0A(LF), 0D(CR), AND 3D(=). 
  
          NO DEPENDENCIES.
          VCM            08/24/79            PARSER 
  
  
 CC4B322  IF MODE4TIP IS IN I/O WAIT FOR COMPLETION STATE WHEN
          A DISABLE IS REQUESTED,THE LINE STATE IS CHANGED TO 
          REFLECT THE DISCONNECT REQUEST THEN GIVES UP CONTROL
          TO ALLOW EVENT OF TIMER TO OCCUR.IF A HARDER WLE IS 
          THEN PROCESSED FOR THE SAME LINE,THE LINE STATE IS SET
          TO REFLECT A LINE ERROR LOOSING THE DISCONNECT REQUEST
          STATUS THEREBY HANGING THE LINE.
  
          SOLUTION IS TO CHECK FOR LOST OF THE DISCONNECT LINE
          REQUEST STATUS,THEN SET LINE STATE TO REFLECT A LINE
          ERROR PREVENTING HANGING OF LINE. 
  
          NO DEPENDENCIES 
  
          CB             09/12/79       MODE4TIP
  
 CC4B348  CCP FAILS TO AUTO-RECOGNIZE 300 BAUD ASYNC TERMINALS HAVING 
          ODD OR NO PARITY BIT. 
  
          NO SCF CHANGES
          JM             11/07/79       ASYNCTIP
                                        REL4ASY 
                                        ZEXASYNC
  
 CC4B366 NPS CANNOT RUN WITH CODE (CC4B231) WHICH PREVENTS NOP/LOP
         FLOODING 
  
         THE CODE TO PREVENT NOP/LOP FLOODING CHECKS FOR ONLY DSR ON
         WHEN ENABLING A CONSTANT CARRIER LINE TYPE, WHICH CAUSES NPS 
         PROBLEMS. CONSTANT CARRIER LINES WILL NOW CHECK FOR BOTH DSR 
         AND DCD BEFORE REPORTING THE LINE ENABLED. 
  
         DEPENDENCIES: CCB0025,RN1B231,SCFB231
  
         VMG             12/18/79       MODMSTP 
  
         SRN = 3602 
  
 *L525*    ************************************************ 
 CCP*80   UPDATE COPYWRITE NOTICE FOR 1980
  
          DEW            02/02/80       LABEL,VALUE,ZD30
  
 CC4B142  SPEED UP OUTPUT TRANSMISSION ON IBM 2741 TERMINALS BY 
          ELIMINATING OUTPUT OF THE LAST BUFFER, WHICH IS EMPTY.  NOTE, 
          THIS WAS DONE FOR NON-2741 TERMINALS IN ORDER TO ELIMINATE
          THE ECHOPLEX DELAY (PSR CC4B109). 
: 
          BEFORE OUTPUTING A BUFFER OF DATA, LOOK AHEAD INTO THE
          NEXT BLOCK. IF THERE IS NO MORE DATA TO OUTPUT, SET THE 
          BUFFER FLAGS IN THE CURRENT BUFFER TO INDICATE THAT 
          IT IS THE LAST BUFFER OF DATA.
: 
          NO DEPENDENCIES.
: 
          DLB            03/08/79       REL4ASYTP 
: 
 CC4B248A PSR CC4B248 FAILS TO RESTORE GLOBAL VARIABLES AFTER 
          DOING A PNAWAIT.
  
          RESTORE C0SMPTR AND B1TCB 
  
          DEPENDENT ON CC4B248
  
          DEW2           02/19/80       SVM 
  
          SRN = CC4B412 
  
 CC4B310 IN A REMOTE NPU, THE RESPONSE TO A CONFIGURE LINE SM IS
         ROUTED TO THE CONSOLE INSTEAD OF TO CS.
  
         MAKE CHANGE TO SVM TO ROUTE THE SM TO THE INTERNAL PROCESSOR 
         INSTEAD OF ROUTING TO THE NPU CONSOLE IF THE DESTINATION ID
         IN THE SM DOES NOT EXIST IN DIRECTORY TABLE. 
  
         THIS PSR DEPENDENT UPON  CCB0040 
  
         NN             12/10/79       SVM
 CC4B315A CORRECTS PROBLEM OF LOCAL INDEX GETTING CLOBBERED WHEN
          TERMDEF CHANGE IS ATTEMPTED.
  
          DEPENDENT ON CC4B315
  
          VCM            02/16/80            PARSER 
  
          SRN = CC4B404 
  
 CC4B356 THE TERMINAL AND LINE STATISTICS ARE SOMETIMES REPORTED
         WHEN THE VALUES ARE ZERO.
  
         ELIMINATE REPORTS OF ZERO VALUES 
  
         DEPENDENT ON SCFB356 
  
  
         SJP         02/02/80           SVM 
  
         SRN = CJBSVL 
  
 CC4B357  MODE4 AUTORECOGNITION LOGIC FLOODS CE ERROR LOG 
  
          SOLUTION IS TO RESET TIMER UNTIL ANY RESPONSE 
          IS DETECTED TO DETERMINE THE CA.
  
          CB/EK           02/08/80       MODE4TIP 
  
 CC4B367  ACTIVELY POLL IDLE CONSOLES TO RECOVER FROM 
          RBF/IAF FAILURE TO SEND DATA TO ACTIVATE INPUT
: 
          CCP SHOULD CONTINUE TO POLL TERMINALS 
          EVEN THO RBF/IAF FAIL.
: 
          NO SCF CHANGES,NO DEPENDENCIES
: 
          SJP       10/04/79         MODE4TIP 
: 
 FPOSTP   THIS CODE IMPLEMENTS THE ALGORITHM  DEVELOPED BY D.K. CROW
          FOR IMPROVING THE EFFICIENCY OF CONVERTING ALL FORMS
          CONTROL CHARACTERS TO POST PRINT CARRIAGE CONTROL FOR CCP 
          HASP PRINTER OUTPUT.
: 
          BECAUSE NEW MUX MACRO, TPINSR, DOES NOT PERMIT CRC
          ACCUMULATION ON THE STORED CHARACTER, OUTPUT TEXT PROCESSING
          WAS CONVERTED FROM 1 TO 2 PASSES, ACCUMULATING CRC ON THE 
          SECOND PASS, AND REMOVING CRC ACCUMULATION FROM PASS 1. 
: 
          INTERACTIVE AND BATCH OUTPUT PROGRAMS CAN NO LONGER HAVE
          SHARED STATES, SO SEPARATE STATES WERE GENERATED WHERE
          REQUIRED. 
          VCM            01/17/80       HASPTIP,HASPEQU,HASPTPS 
                                        MUXMACROS 
: 
 CC4B367A THE PSR CC4B367 DELETED CODE NECESSARY FOR THE 714. 
          WITHOUT THE 714 CODE, ALL MODE 4C TERMINALS ARE POLLED
          EVEN WHEN NOT NECESSARY.
  
          POLL ONLY WHEN REQUIRED 
  
          DEPENDENT ON CC4B367
  
          SJP            03/07/80       MODE4TIP
  
          SRN = CC4B367 
  
 CC4B368  THE NPU HALTED WITH HALT CODE OF #E# WHEN THE MODE4 TIP 
          PROCESSING THE WORKCODE OF #F# (HARD ERROR) ON THE LINE 
          WHICH DOES NOT HAVE THE TERMINAL CONFIGURED.
  
          WHEN THE TIP IS PROCESSING THE LINE HARD ERROR, CHECK 
          WHETHER TCB IS CONFIGURED OR NOT.  IF TCB IS NOT
          CONFIGURED, SET TH TIP ACTION CODE TO #EXIT#. 
  
          NN             02/09/80       MODE4TIP
  
 CC4B373  THE PARITY ERROR STATUS IS REPORTED TO THE CE ERROR 
          FILE BUT IT DOES NOT NECESSARILY INDICATE A FAILING 
          COMPONENT. IT REPORTS THOSE TERMINALS WHOS PARITY 
          ERROR SELECTION SWITCH IS SET INCORRECTLY.  THE 
          FLOODING OF THE ERROR FILE OF THE MESSAGE ELIMINATES
          ITS USEFULNESS. 
  
          REMOVE THE CE ERROR REPORT
  
          CCB0031,CC4X708,CC4X801,CCB0042 
  
          SJP            02/02/80       ASYNCTIP
  
          SRN = NONE
  
 CC4B382  CCP RESPONDS TO A RECONFIGURE REQUEST OF A PASSIVE
          DEVICE WITH REASON CODE = 5 ( INVALID DT ) .
  
          PROCEDURE PNCONFIGURE IS MODIFIED TO IGNORE THE 
          TCLASS FIELD ON PASSIVE DEVICES . 
  
          CC4B382 IS DEPENDENT ON F714SVM 
  
          DEW2           01/16/80       SVM 
  
          SRN = NE5463
  
 CC4B393  A 714 OR A 711 TERMINAL CAN CAUSE SOME OTHER MODE 4 
          TERMINAL TO STOP POLLING. 
  
          RESTORE THE CORRECT TCB ADDRESS IN THE R1 REGISTER AND
          PERMIT MODE 4C MULTIDROP. 
  
          NO DEPENDENCIES 
  
          SJP             02/23/80           MODE4TIP 
                                             SVM
  
          SRN = 249 
  
 CC4B430  AUTO COMMAND FAILS FROM MODE 4 TERMINAL 
  
          MODE4TIP IS MODIFIED TO DELETE FORMAT EFFECTOR
          FROM AUTO INPUT BUFFER. CONFLICTING CORRECTIONS 
          BETWEEN F714ASM AND CC4B176 ARE ALSO REMOVED. 
  
          DEPENDENCIES - CC4B176, F714ASM,F714MD4 
  
          DEW2           03/25/80       REL4MD4,MODE4TIP
  
          SRN = 3783
  
 CC40245  ASYNCTIP IS EXECUTING IN LOW CORE.
  
          AN OUTPUT TERMINATED WORKLIST RECEIVED AFTER
          THE LINE HAS BEEN DISABLED AND THE TERMINAL 
          DELETED CAUSES ASYNTIP TO EXECUTE THE WRONG 
          CODE. 
  
          THE TIP WILL REQUEST THE OUTPUT TERMINATED
          WORKLIST ONLY WHEN INPUT HAS INTERRUPTED
          OUTPUT.  IF OUTPUT IS TERMINATED BECAUSE
          OF LINE FAILURE OR TERMINAL DELETE THE WORKLIST 
          WILL NOT BE MADE. 
  
          JM             02/09/80       ASYNCTIP
                                        ASYNCFWD
  
          SRN   344 
  
 CCB0023  PROBLEM: HASP LINE PRINTER PERFORMANCE IS INADEQUATE. 
: 
          SOLUTION: PROVIDE A MEANS OF INSERTING PROPER CARRIAGE
                    CONTROL FOR HASP POST PRINT.THIS CODE PROVIDES
                    THE MEANS TO INSERT A TEXT PROCESSED CHARACTER
                    IN A PREVIOUSLY TEXT PROCESSED DESTINATION
                    BUFFER.CHANGES WERE MADE TO THE MUX FIRMWARE
                    TO INSERT A TEXT PROCESSED CHARACTER AND CHANGES
                    WERE MADE TO PMCOIN TO ALLOW CLA COMMAND DRIVER 
                    CODE TO EXECUTE AT THE MACRO LEVEL TO 
                    FREE UP SPACE IN THE FIRMWARE.
: 
          NO SCF CHANGES/PSR IS DEPENDENT ON CCIB139/PSR CCIB042 PURGED 
          JAL/DKC        04/30/79       MF,PMCOIN,PBSCLA,PTTPINF,ASMDECKS 
: 
 CCB0023A SENDCLA COMMAND WORDS FAILS BECAUSE IT IS INTERRUPTABLE 
          FROM THE MICRO LEVEL.THIS CAUSES INCOMPLETE LOOP CELLS
          TO THE CLA
: 
          OUTPUT CLA ADDRESS AND COMMAND WORDS AT THE MICRO LEVEL 
: 
          NO SCF CORRECTIONS / CODE IS DEPENDENT ON PSR CCB0023 
          JAL            06/12/79       PBSCLA,MF 
: 
 F8KBCLA  THIS ENHANCEMENT PROVIDES SUPPORT OF THE BUFFERED CLA 
          AND THE 8K MICROMEMORY BOARD. 
: 
          F8KBCSCF AND DECKOPL MODS ARE REQUIRED. 
          CAC/RFS       07/30/79       MF,PIRAM,PIFR1,TYPE,PILCBS 
                                       BOOT,BOOTDUMP,PMCDRV 
: 
 CCB0028  NPU HALT ZERO WHEN TYPING IN ON CONSOLE DURING OUTPUT.
: 
          THE NPU WILL LOOP IN THE CONSOLE ROUTINE DUE TO AN ALARM
          CONDITION IN THE TTY I/O BOARD CAUSED BY TYPING INPUT 
          DURING THE OUTPUT OF A MESSAGE. 
: 
          THE CONSOLE ROUTINE IS MODIFIED TO BYPASS OUTPUT ERRORS 
          IN ORDER TO PREVENT LOCKING UP THE SYSTEM 
: 
          JWT            05/10/79       PBTTYINT
: 
          THERE ARE NO DEPEMDENCES
: 
 CCB0040  ANY ROUTINES, WHICH SEARCHING FOR THE DESTINATION ID IN THE 
          DEORGDN TABLE, SCAN THRU BEYOND THE TABLE DUE TO THE END
          INDICATOR FOR THE DEORGDN TABLE BEING SET INCORRECTLY.
  
          SET 2ND WORD OF THE END INDICATOR TO ZERO INSTEAD OF THE
          ASSIGNING THE ADDRESS OF THE COUPLER TCB. 
  
          NO DEPENDENCIES.
             NOTE : CC4B310 IS DEPENDENT UPON THIS PSR. 
  
          NN             12/10/79       PINWINIT
 CCB0041  HALT ROUTINE OVERWRITES STACK AREA.THIS CLEARS
          INFORMATION NEEDED FOR HALT 1F DEBUGGING. 
  
          SOLUTION. 
          REMOVAL OF CODE FROM PGHALT TO PREVENT
          OVERWRITING OF STACK AREA.ALSO ENSURE 
          ALL ROUTINES CALLED BY PGHALT ARE R-I+. 
  
          KM             02/02/80       PBHALT,PBTOAH,PBWRITE,
                                        ASMDECKS
  
          SRN = CC4B379 
 CCB0042  THE PARITY ERROR STATUS IS REPORTED TO THE CE ERROR 
          FILE BUT IT DOES NOT NECESSARILY INDICATE A FAILING 
          COMPONENT.  IT REPORTS THOSE TERMINALS WHOS PARITY
          ERROR SELECTION SWITCH IS SET INCORRECTLY.  THE 
          FLOODING OF THE ERROR FILE OF THE MESSAGE ELIMINATES
          ITS USEFULNESS. 
  
          REMOVE THE CE ERROR REPORT
  
          CCB0031,CC4X708,CC4X801,CC4B373 
  
          SJP            02/02/80       CONST,PTCLAS,MODMSTP
                                        PNCEFILE
  
          SRN = CC4B373 
  
 CCB0043  THE DISCONNECT OF A DIAL-UP LINE IS REPORTED TO THE 
          CE ERROR FILE.  THIS NORMAL EVENT FILLS THE CE
          ERROR FILE WITH INFORMATION THAT IS NOT USEFUL FOR
          DIAGNOSTIC PURPOSES.
  
          REMOVE THE CE ERROR REPORT
  
          NO DEPENDENCIES 
  
          SJP            02/02/80       CONST,VAR,PTCLAS,PNCEFILE 
                                        PMWOLP
  
          SRN = CC4B374 
 CCB0044  FRAMING ERROR STATUS IS REPORTED TO THE CE ERROR
          FILE,BUT IS ACTUALLY THE INDICATION OF THE NORMAL 
          EVENT OF THE TERMINAL OPERATOR PRESSING THE BREAK 
          KEY.
  
          REMOVE THE CE ERROR REPORT. 
  
          NO DEPENDENCIES 
  
          SJP            02/02/80       CONST,PTCLAS,PNCEFILE 
  
          SRN = CC4B375 
 *L528*    ************************************************ 
 FCCONB   REMOVAL OF ONLINE CONSOLE TO BUFFER AREA. 
  
          ADD FLAG TOTUP TO ROUTINES WHICH CALL CONSOLE ROUTINES. 
  
          DEPENDENT ON FSCONR, FCCONN, AND CCB0047. 
  
          DK             10/19/79       PIAPPS
                                        PBHALT
                                        PBDEBUG 
                                        PBTIPDBG
                                        PIINIT
                                        PBTOPHAT
                                        PBTTYINT
                                        PBEDITTY
                                        PBCHDECOD 
                                        PBCHEXECU 
                                        PBTTYEOT
                                        PBTTYREAD 
                                        PBTTYWRIT 
                                        PBLN01
                                        PINWINIT
  
 FCCONN   REMOVAL OF CCP ONLINE CONSOLE TO BUFFER AREA. 
  
          ADD FLAG TOTUP TO ROUTINES WHICH CALL CONSOLE ROUTINES
  
          DEPENDENT ON FSCONR AND FCCONB. 
  
          DK             10/19/79       STDPRUCMN 
                                        SVM,ZEXBDL
  
 FCALWM   REMOVE UNNECESSARY DUMMY ASSEM PGM REDUNDANT CALL TO ISPOLD 
          COMDECK AND PAGE ORIGIN DECKS USED IN OLD SCF BUILD METHOD. 
          THIS MOD GETS RID OF AUTO-LINK WARNING MESSAGES.
  
          DEPENDENCY - THE BUILD PROCEDURES PRIOR TO NOS 5.3 RELEASE
          WILL NOT WORK WITH THIS CORRECTION SET. 
          TBE            04/03/80       ASMUSER,ENDBASE,PAGEORG,ASMDECK 
 FCADIR   TEXT DECK CONTAINING AUTO-LINK PROGRAM INPUT DIRECTIVES.
          THIS FEATURE IS PART OF THE SCF REPLACEMENT PROJECT WHICH 
          IS INCLUDED IN THE NOS 5.3 RELEASE. 
  
          DEPENDENCY - THE NEW CCP INSTALLATION PROCEDURES INTRODUCED 
          AT NOS 5.3 RELEASE DEPEND ON THIS FEATURE.
          TBE            04/02/80       ALINPDIR
 FCLDIR   TEXT DECKS CONTAINING MPLINK PROGRAM INPUT DIRECTIVES FOR 
          BUILDING MUX FIRMWARE LOAD MODULE, ON-LINE DIAGNOSTICS
          OVERLAY MODULE, AND REMOTE DUMP/LOAD OVERLAY MODULE.  THIS
          FEATURE IS PART OF THE SCF REPLACEMENT PROJECT WHICH IS 
          INCLUDED IN THE NOS 5.3 RELEASE.
  
          DEPENDENCY - THE NEW CCP INSTALLATION PROCEDURES INTRODUCED 
          AT NOS 5.3 RELEASE DEPEND ON THIS FEATURE.
          TBE            04/02/80       FWBUILD,DGBUILD,RMBUILD 
 FCEXPT   TEXT DECK CONTAINING EXPAND PROGRAM MACRO TEXT INPUT.  THIS 
          FEATURE IS PART OF THE SCF REPLACEMENT PROJECT WHICH IS 
          INCLUDED IN THE NOS 5.3 RELEASE.
  
          DEPENDENCY - THE NEW CCP INSTALLATION PROCEDURES INTRODUCED 
          AT NOS 5.3 RELEASE DEPEND ON THIS FEATURE.
          TBE            04/02/80       EXPTEXT 
 FCNOIF   CLEANUP USE OF IFDEF FOR SELECTION OF CCP COMPILE AND 
          VARIANT BUILD OPTIONS.
  
          FEATURE IS IN THREE PARTS:  
  
          STANDARD OPTIONS ALWAYS DEFINED 
          (IF DEFS HAVE BEEN REMOVED) 
            STDSYS
            SSERVICES 
            SVMODULE
            IVT 
            LISTBASE
            PAGING
            STAMPING
            ALARMS
            NETWORK 
            CONSOLE 
            DBUGALL 
            TSTSYS
            TIPDEBUG
            TESTGEN 
            UTOPIA
            STD2741 
  
          STANDARD COMPILE/ASSEMBLY BUILD OPTIONS ALWAYS DEFINED
          (IF DEFS REMOVED IN COMPILE AND ASSEMBLY DECKS ONLY)
            HIP 
  
          OBSOLETE BUILD OPTIONS NEVER DEFINED
          (IF DEFS AND ASSOCIATED CODE REMOVED) 
            DUALHIP 
            FRONTEND
            CALL360 
            LDDMPO
            HASPHIP 
            CCM 
            GMPKT 
            PRU 
            TIMING
            SDLCLIP 
            GMLIP 
            INELDIAG
  
          DLB            04/04/80 
  
 CC4B319  POLLING RATE FOR MODE 4 TERMINALS TOO SLOW
          TO SUPPORT CAD/CAM APPLICATIONS.
  
          POLLING RATE IS TO BE INCREASED FOR A GIVEN 
          CLUSTER FOR AN INTERVAL OF 60 SECONDS FOLLOWING 
          AN INPUT OF TERMINAL DISPLAY DATA.  AN OUTPUT 
          MESSAGE WILL EXTEND THE MAXIMUM RATE POLL TIMER 
          INTERVAL BY 60 SECONDS IF INTERVAL TIMER IS ACTIVE
          WHEN OUTPUT IS DETECTED. AN OUTPUT MESSAGE WILL 
          ACTIVATE THE INTERVAL TIMER OTHERWISE.
  
          NO DEPENDENCIES 
  
          PS             01/29/80       MODE4TIP
  
          SRN = AD2OK15 
  
 CC4B326 THE DISABLED STATE OF A TRUNK IS NOT REPORTED TO THE 
         HOST IN A TRUNK STATUS 
  
         REPORT A NEW REASON CODE RC=TRUNK DISABLED 
  
         NA20020
  
         SJP         02/02/80           SVM 
 CC4B337 THE SELECTION OF THE TRANSPARENT DELIMITER REJECTS 
         SOME VALUES. 
  
         PERMIT ANY HEX VALUE FROM 00 T0 FF 
  
         NO DEPENDENCIES
  
         SJP             02/02/80       PARSER
  
         SRN = NE5435 
  
 CCB0045  IMPROPER CHAINING WHEN REMOVING AN ACTIVE LINE FROM SERVICE.
  
          THE REMOVE ACTIVE LINE (PBLLRMOV) ROUTINE UPDATES TO THE NEXT 
          TCB ADDRESS WITHOUT CHECKING TO SEE IF IT IS A VALID ADDRESS. 
  
          THE REMOVE LINE FROM ACTIVE SERVICE ROUTINE IS MODIFIED 
          TO ONLY MOVE TO THE NEXT LCB AND CLEAR THE TCB POINTER FOR
          STATISTICS PROCESSING 
  
          JWT            01/30/80       PBLLRMOV
  
          SRN = CC4B398 
  
 CC4B402  WHEN THE DOUBLE SPACE OR TRIPLE SPACE FORMAT EFFECTORS, 
          OR THE VIRTUAL LINE FEED OR CARRIAGE RETURN, OR THE 
          OVER .. PROMPT ARE SENT TO A MODE 4 DISPLAY, ALL THE
          DATA ARE TRANSLATED TO ZERO. SINCE THESE ZEROES ARE 
          NOT DISPLAYED, MESSAGES APPEAR TO BE LOST.
  
          SOLUTION- DONT REQUEST TRANSLATION FOR MODE 4C
          DISPLAYS. 
  
          NO DEPENDENCIES 
  
          SJP            04/11/80       REL4MD4 
 CCB0047  CCP STOPS PROCESSING WITH NO HALT CODE. 
  
          PBLCBTMSC IS MODIFIED TO PREVENT EXITING WITH THE 
          INTERRUPT SYSTEM DISABLED.
  
          NO DEPENDENCIES 
  
          DEW2           02/25/80       PBLCBTMSC 
  
          SRN = CC4B416 
  
 CC40215  CORRECT COMMAND DRIVER FROM SETTING MODEM STATE TO IDLE 
          IF THE PREVIOUS MODEM STATE WAS NOT INPUT WHEN TERMINATING
          INPUT.
  
          AFJ    79/07/15.             PMCDRV 
  
          SRN = SUDC003 
  
 CC40261  HALT C IN MODE4TIP
  
          THE ONE OF BUFFER POINTERS IN MODE4 TCB WHICH IS THE ONE
          OF THE MODE4 C MULTIDROP LINE ASSIGNED INVALID BUFFER 
          ADDRESS CAUSED HALT C 
  
          CHECK THE BUFFER POINTER BEFORE GETTING QUEUE CHAIN BUFFER
          ADDRESS FROM IT 
  
          NO DEPENDENSIES 
  
          NN             11/29/79           MODE4TIP
 CC40266  HALT 9 OCCURRED WHEN ASYNC TIP TRIED TO GET BUFFER FOR CODE 
          SET RECOGNITION MESSAGE WITHOUT CHECKING BUFFER AVAILABILITY. 
  
          SOLUTION IS TO CHECK BUFFER AVAILABILITY BEFORE ACTIONING CODE
          SET RECOGNITION WORKLIST ENTRY DURING AUTORECOGNITION OF LINE,
          AND, IF NO BUFFERS ARE AVAILABLE, TO MAKE A TIMER ENTRY FOR 
          THE LINE. 
  
          NO DEPENDENCIES 
  
          VCM            02/23/80       ASYNCLCB,ASYNCTIP 
  
          SRN = PJW002
  
 CC4B411  MOVE VALUE INITIALIZATION OF SYSTEM IDENTIFICATION FIELDS 
          FROM MPLINK TO MPEDIT, AND ADD NEW FIELDS TO AID IN DEBUG.
          NOTE - THIS CODE SHOULD BE IN PLACE BEFORE AUTOLINK IS
          IMPLEMENTED FOR BUILDS, BECAUSE MPLINK USER INPUT WILL NO 
          LONGER BE PERMITTED.
  
          DEPENDENCY - IF AN SCF IS USED, SCFB411 IS ADVISABLE BUT
          NOT NECESSARY.
          VCM            03/21/80            ADDRESSES,ZD30,ZBLDID
  
 FCWBCB   CIB-WRAP OCCURS BUT IS NOT DETECTED WHEN 3 OR MORE
          TRUNKS ARE OPERATED A EXTREMELY HIGH PROCESSOR LOAD RATES.
  
          THE LENGTH OF THE CIB IS MADE ODD TO ALLOW DETECTION
          OF THE WRAP CONDITION.  A CHECK IS MADE IN INITIALIZATION 
          TO INCREASE THE SIZE OF THE CIB WHEN MORE THAN 2 TRUNKS 
          ARE PRESENT.
  
          NO DEPENDENCIES.
          CAC            05/14/79       CONST,VAR,VALUE,PINWINIT
  
 FCWBWL   LIP OPS LEVEL PROCESSING IS LIMITED TO ONE WORKLIST ENTRY 
          PER MONITOR CYCLE.  THIS REDUCES THE LIKELYHOOD THAT THE
          LIP WILL BE ABLE TO COMBINE SMALL BLOCKS INTO LARGER FRAMES.
          THE RESULT IS DEGRADED LINE UTILIZATION.
  
          THE LIP AND INTERNAL PROCESSING ARE ALLOWED TO PROCESS UP 
          TO FOUR WORKLIST ENTRIES PER MONITOR CYCLE AND THE
          SERVICE MODULE IS ALLOWED TO PROCESS ONLY ONE WORKLIST
          ENTRY PER MONITOR CYCLE.
  
          DEPENDENCIES:  FRWBWL 
          DKC/CAC        03/19/79       ZEXBDL
  
 FCTIMR   TIMER SERVICES IS DESIGNED TO SATISFY A VARIETY OF USER NEEDS,
          NAMELY, A FINE TIMING CAPABILITY, PERIODIC AND NONRECURRING 
          TIMERS, TIMERS WHICH ALMOST ALWAYS EXPIRE AND THOSE WHICH 
          RARELY DO.  IT MINIMIZES OVERHEAD BY LIMITING TABLE AND LIST
          SEARCHES.  TIMES OF 3-1/3 MS INCREMENTS UP TO 109 SECONDS WILL
          BE HANDLED.  IT REPLACES PBTIMER. 
  
          MAM           02/06/80        PINIT 
                                        PBLN08
                                        ZEXBDL
                                        PBTIMER 
                                        PBTIMAL 
                                        PITMRSRVS 
                                        PB100MS 
                                        PBTMRSRVS 
                                        PBTUPBREA 
  
 FCTCBX   THE TCB IS TOO SMALL TO CONTAIN NEW TERMINAL INFORMATION
          REQUIRED FOR X.25, PRU, AND MULTI-HOST FEATURES.
  
          PROVIDE THE OPTION FOR 40-, 48-, 56-, AND 64-WORD TCBS TO BE
          SPECIFIED BY THE PARAMETER BJTCBSIZE IN THE TIPTYPE TABLE.
  
          NO DEPENDENCIES 
  
          DLB            01/31/80 
 FCX25    INCLUDE THE X25 FEATURE. INITIAL SUPPORT CONSISTS OF
          THE TRANSPORT PROTOCOL (LEVEL2 AND LEVEL 3) PLUS
          THE NETWORK PAD INTERFACE.
  
          DEPENDENCIES: FCX25B,FCX25SM,FCX25Z,FBX25EN,FCTCBX
                        FCTIMR,FCX25I,FCX25M
          CAM/NN         09/06/80 
  
 FCX25D   X.25 DEBUG CODE 
  
          DEPENDENCIES: FCX25B,FCX25SM,FCX25Z,FBX25EN,FCTCBX
                        FCTIMR,FCX25I,FCX25M
          CAM/KM         09/06/80 
  
 FCX25B   BASE SYSTEM MODIFICATIONS NECESSARY TO
          ACCOMODATE THE X25 FEATURE. 
  
          DEPENDENCIES: FCX25,FCX25SM,FCX25Z,FBX25EN,FCTCBX 
                        FCTIMR,FCX25I,FCX25M
  
          CAM/NN/DLB     09/06/80 
                                        SVMCONST
                                        CONSTR4 
                                        PBLCBP
                                        TYPE
  
 FCX25SM  SERVICE MODULE MODIFICATIONS TO ACCOMODATE
          THE X.25 FEATURE. 
  
          DEPENDENCIES: FCX25,FCX25B,FCX25Z,FCTCBX,FCX25I 
  
          CAM/NN/DLB     09/06/80 
                                        SVM 
  
  
 FCX25Z    MPEDIT MODIFICATIONS NECCESARY TO SUPPORT
          THE X.25 FEATURE. 
  
          DEPENDENCIES: FCX25,FCX25B,FCX25SM,FCX25I 
  
          CAM/NN/DLB     09/06/80 
                                        ZEXASYNC
                                        SVMZAP
                                        ZEXBDL
  
  
 FCX25I   X.25 TIP INTEGRATION
  
          DEPENDENCIES: FCX25B,FCX25SM,FCX25Z,FCX25 
                        FBX25EN,FCTCBX,FCTIMR,FCX25M
  
          CAM/NN         09/06/80 
  
FBX25EN   TRY TO KEEP A LINE ALIVE FOREVER
  
          DEPENDENCIES: NONE
          CAM/SJP        09/06/80 
                                        PTLINIT 
                                        MODE4TIP
                                        HASPTIP 
                                        HASPLCB 
                                        ASYNCTIP
                                        SVM 
  
  
 FCX25M   CORRECTS A DEFICIENCY IN THE MUX FIRMWARE.
          WHEN TRYING TO USE A SET OF STATES AS A SUBROUTINE, IF THE
          CALLING STATE INDEX IS SAVED IN USER FILE REGISTERS ONE, AND
          RESTORED LATER ON, THE WORKING FILE REGISTERS ONE ARE NOT 
          UPDATED AND THE RETURN JUMP DOESN T MAKE IT.
          A NEW STATE INSTRUCTION IS CREATED, WITH OPCODE -$811F- 
          WHICH WILL FIRST RESET WORKING FILE REGISTERS ONE TO THE
          VALUES STORED IN THE MUXLCB, AND THEN EXECUTE THE RETURN JUMP.
  
          AS IN COMDECK -MUXMACROS- TWO MACROS ARE COMPILING THE SAME CODE
          (JUMP CURRENT AND RTRN) RTRN IS CHANGED TO COMPILE THIS NEW 
          INSTRUCTION.
  
          CAM/RFS        06/05/80       MF,MUXMACROS
  
 CC4B478  WIDEBAND FEATURE CHANGES HLIP TO RUN AT MUX LEVEL.
          THIS CAN NOT BE DONE. 
  
          REMOVE THE OFFENDING IDENTS.
  
          DEPENDENT ON RN1B478
  
          D2W            05/22/80       ZARBDL
                                        CONSTR4 
                                        ZEXASYNC
                                        ZEXHASP 
                                        ZEXMD4
                                        ALINPDIR
  
          SRN = AN008 
  
 CC4B490  ERROR IN CONFIGURING 32- AND 64-WORD TCBS.
  
          CHANGE THE CODE THAT RELEASES THE UNUSED PORTION OF THE TCB 
          BUFFER IN THE CONFIGURE TERMINAL ROUTINE PNTMLCNF.
  
          DEPENDENT UPON FCTCBX.
  
          DLC    05/27/80     SVM 
  
 CCB0050 WHEN USER HANGS UP PHONE ON ASYNCHRONOUS LINES CLA STATUS
          OVERFLOW IS DETECTED CAUSING SUPERVISION TO BE TURNED OFF.
          IF ANOTHER USER DIALS IN WHILE SUPERVISION IS OFF, RING ISNT
          DETECTED AND A SECURITY PROBLEM RESULTS.
  
          WHEN THE CLA STATUS OVERFLOW IS DETECTED, THE LINE WILL BE
          TAKEN DOWN. ALSO,THIS PSR CHANGES THE MODEM RESPONSE TIME 
          OUT FROM 15 SECONDS TO 300 MILLISECONDS.
  
          VMG            04/19/80       CONST 
                                        TYPE
                                        PMT1SEC 
                                        PTCLAS
  
          SRN = CC40270 
  
 CC4B467  MODE 4 TERMINAL(711) HANGS AFTER DISPLAYING 
          BANNER. PORT DOES NOT RECOVER AFTER HANG UP.
  
          LINE DOES NOT RECOVER BECAUSE THE HARD ERROR
          GENERATED BY HANGING UP THE TELEPHONE RECEIVER
          DOES NOT CAUSE THE TIP TO DISABLE THE LINE AS 
          IT SHOULD. PHONE HANG-UP WILL NOW INITIATE LINE 
          DISCONNECT SEQUENCE.
  
          AT PRESENT, THE MODE4TIP DOES NOT UNDERTAKE 
          ANY MEASURES TO RECOVER A CLUSTER ONCE IT HAS 
          GONE INTO LONG TERM ERROR RECOVERY. THE TIP 
          WILL ISSUE CLUSTER STATUS REQUESTS INDEFINITELY 
          UNLESS THE CLUSTER RECOVERS ON ITS OWN. THIS
          CODE WILL NOW CAUSE THE TIP TO EXECUTE A CLEAR -
          WRITE TO THE TERMINAL FOLLOWING AN UNANSWERED 
          STATUS REQUEST(NO READ E1 RESPONSE). IF THE CONSOLE 
          THEN RESPONDS WITH AN ACKNOWLEDGEMENT(ACK) THE
          TIP WILL CLEAR THE CLUSTER AND TERMINAL ERROR 
          STATES AND SEND START TO THE HOST CAUSING THE LOGON 
          BANNER TO BE DISPLAYED AT THE USER CONSOLE. 
  
          DEPENDENCIES - F714M4,CC4B468,CC4B175A
  
          PS             05/05/80       MODE4TIP,TMD4D1 
  
          SRN = 3980
  
 CC4B468   MODE 4 LINE HANG WITH DISABLE/DISCONNECT.
  
          MODE 4 TIP NOT RESPONDING TO DISABLE/DISCONNECT LINE
          SERVICE MESSAGE CORRECTLY. THIS CODE ELIMINATES THE 
          TIPS DEPENDENCY ON THE BZSTATE COUNTER FOR BUILDING 
          THE CORRECT RESPONSE MESSAGE. 
  
          ALSO, IF A LINE DISABLE REQUEST OCCURS WHILE THE
          LINE IS WAITING FOR AN I/O SEQUENCE TO COMPLETE 
          THIS CODE WILL PREVENT THE DISABLE REQUEST FROM 
          BEING FORGOTTEN.
  
          DEPENDENCIES - CC4A726,F714M4 
  
          EPL/PS         4/23/80        MODE4TIP,TMD4D2 
  
 CC4B498  ASYNC LINE STAYED ACTIVE AFTER PHONE HUNG UP
  
          CODE INSERTED TO CORRECT PROBLEM WITH TIMER WHEN
          DCD DROPS 
  
          NONE
  
          OB             07/08/80       PBTOQUE,PB100MS 
  
          SRN=NE5540
  
 CC4B538  E HALT, MODE 4 TIP LOOPING. THE MODE 4 TIP WILL NOT 
          EXIT IF IT IS IN THE FAST POLL MODE AND BUFFER
          REGULATION IS IN EFFECT. THIS WAS CAUSED BY CC4B319.
  
          THE FAST POLL TIMER IS RESET IF BUFFER REGULATION IS
          IN EFFECT SO THE TIP WILL EXIT. 
  
          NO DEPENDENCIES 
  
          EPL            7/27/80        MODE4TIP
  
 CC4B572  LOW BUFFER CONDITIONS EXIST WITH ADDITION 
          OF FCTCBX CODE IN I7A.
  
          MAKE ALL TCB'S 64 WORDS.
  
          NO PSR DEPENDENCY.
  
          SJP             08/01/80       ZEXMD4 
                                         ZEXASYNC 
                                         ZEXHASP
                                         ZXHIP
                                         ZEXX25 
  
 FCX25ZA  DATA TERMINAL READY(DTR) IS NOT HANDLED CONSISTENTLY
          FOR LINE TYPE $A. 
  
          NBLYT IS CHANGED TO SET DTR FOR ALL COMMANDS USED BY X.25 
  
          CAM            06/18/80      ZEXBDL 
          SRN CC4B493 
  
 FCX25ZB  MPEDIT ERROR DURING CCP BUILD 
          IVT DEFAULT CONST DEFINITION WAS NOT DEFINED DUE TO 
          (IF DEF,X25,1) FOR THE CCP BUILD WITHOUT X25 TIP. 
          DELETE THIS CARD. 
  
          X25 PADTIP USED ASYNC TIP TEXT PROCESSING FIELD NAME
          CAUSED PASCAL ERROR WHEN ASYNC TIP IS NOT COMPILED
  
          USE PADTIP FIELD NAME INSTEAD OF ASYNC TIP
  
          NN             06/10/80      ZCONUSER 
          SRN CC4B494 
                                       X25PAD 
  
FCNT401   NTSD4 WRITES OUTSIDE BUFFER BOUNDARIES. 
          REMOVE MONITORING OF INACTIVE CHANNELS. 
  
          KM             06/19/80      X25NTSD4 
  
          SRN CC4B578 
  
 FCXDB01  NTS TIP ADDRESS IS NOT SET UP PROPERLY. 
          TOPSEUDO NOT SET FOR STIMULATION. 
          X25LINO NOT SET FOR STIMULATION 
  
          CAM            06/18/80      ZEXX25 
                                       ZEXNTS 
                                       X25L2D3
  
          SRN CC4B578 
  
 FCLVL2A  BZPOLL RESET WHILE SENDING A RESPONSE FRAME 
          THEN, WHEN RECEIVING A RESPONSE FRAME WITH THE FINAL BIT
          SET, A EXTRA COMMAND IS SENT. 
  
          SET BZPOLL ONLY WHEN A COMMAND FRAME IS SENT. 
  
          CAM            06/24/80      X25LVL2
          SRN CC4B505 
  
 FCLVL2B  LINK SET UP STATE HANDLED INCORRECTLY.
          WHILE IN LINK SET UP, IF THE REMOTE SECONDARY STATION DOESN T 
          ACKNOWLEDGE THE INITIAL SARM, WHEN HITTING THE N2 LIMIT 
          X25LVL2 WILL RETRY FOREVER STARTING WITH A SARM(P=0). 
  
          IF NO RESPONSE TO SARM SWITCH TO LINK DISCONNECT
          AND SEND DISC.
  
          CAM            06/25/80      X25LVL2
          SRN CC4B506 
 FCLVL2C  SEVERAL FRAMES BEING OUT AND T1 TIMER RUNNING, WHEN 
          T1 EXPIRES THE FIRST NON-ACKED IS SENT WITH POLL BIT SET. 
          WHEN RECEIVING THE PROPER ACKNOWLEDGMENT FOR IT (RR,RNR,REJ)
          THE NEXT IN SEQUENCE FRAME (IF ANY) IS SENT, WHICH IS AGAINST 
          CCIT RULES. WITHIN PRIMARY RECOVERY STATE, ANY RESPONSE FRAME 
          WITH FINAL BIT SET ACTS AS A CHECKPOINT, BACKSPACING V(S).
          FRAME LENGTH COMPUTED USING WRONG CHAINING WORD(QCHN
          INSTEAD OF DBUFLENGTH). 
          INBOUND FRAME TYPE NOT BEING PRESET LEADS IN INCORRECT
          FRAME BEING MISHANDLED. 
  
          BACKSPACE V(S) WHEN RECEIVING THE PROPER RESPONSE.
          CORRECT CHAINING WORD.
          PRESET INBOUND FRAME TYPE TO ERROR. 
  
          CAM            06/30/80      X25LVL2
          SRN CC4B508 
  
 FCLVL2E  INBOUND FRAMES WITH A VALID A-FIELD AND AN INVALID
          C-FIELD ARE DISCARDED AND NOT PROCESSED. THIS LOGIC IS INCORRECT, 
          ONLY FRAMES WITH AN INVALID A-FIELD SHOULD BE DISCARDED.
          WHILE IN PRIMARY RESET STATE,AFTER T1 EXPIRED, IF AND INVALID 
          RESPONSE FRAME IS RECEIVED, A SARM FRAME IS SENT WITH THE POLL
          BIT RESET. THIS IS INCORRECT, THE INBOUND FRAME SHOULD BE 
          DISCARDED, THE PRIMARY STILL WAITING FOR AN INBOUND -UA-. 
  
          CAM            07/07/80      X25LVL2
          SRN CC4B510 
  
 FCLVL2F  CHANGE IN THE STOP LINK SEQUENCE. 
  
          CAM            07/08/80      X25LVL2
          SRN CC4B511 
  
 FCLVL2G  POLLED I FRAMES ARE NOT ACKED WHEN SECONDARY IS 
          IN REJECT STATE.
  
          CAM            07/11/80      X25LVL2
  
          SRN CC4B563 
  
 CC4B520  IMPROVE MEMORY UTILIZATION. 
          SEVERAL VARIANTS CANNOT INITIALIZE MAINLY AS EVEN IF TUP
          IS NOT REQUESTED IT IS LINKED IN (BEFORE BEING OVERWRITTEN) 
          AND INITIALIZATION CANNOT COMPLETE. 
  
          ACTIONS TAKEN:  
          X25 RELATED ROUTINES ARE NOT LINKED IN IF X25 IS NOT DEFINED. 
          TUP AND CONSOLE ARE NOT LINKED IN IF TOTUP IS NOT SET.
          ALL 2552 RELATED CODE IS DELETED. 
          ONLY X25 USER TIP ENTRY POINT IS COMPILED WHEN X25DEBUG 
          IS NOT SET DURING FCA.
  
          CAM            07/09/80      ZEXBDL 
                                       ALINPDIR 
                                       X25USRTIP
                                       X25IST 
                                       VALUE
                                       ZARASYNC 
                                       PILCBS 
                                       PIGETABLE
                                       ASYNCTIP 
                                       VARASYNC 
                                       ZEXASYNC 
                                       ZARNTS 
          DEPENDENCIES: XSYA125 
  
FCLVL3A   CHANGE IN TELENET DOCUMENTATION FOR RESTART PACKETS 
          DIAGNOSTIC CODES. 
          DUE TO AN ERROR IN MACRO PROCESSING FROM THE CROSS-SYSTEM 
          MACRO ASSEMBLER, X25NETDEFS NEEDS TO BE CHANGED TO HAVE 
          ALL MACRO PARAMETERS TO BE NOT GREATER THAN 6 CHARACTERS LONG.
  
          CAM            07/24/80      X25NETDEF
  
          SRN CC4B565 
  
 FCLVL3B  MAJOR CHANGES IN LEVEL 3 CONNECTION PROTOCOL HANDLING.
          ON THE ORIGINAL LOGIC THE PSN AND CS WERE RUN SYNCHRONOUSLY,
          THIS LOGIC IS CHANGED TO INSULATE CS FROM THE PSN(EG: WHILE 
          WAITING FROM CS REPLY, EVENTS ON A SPECIFIC STATE WILL BE 
          RECORDED, BUT THE NECESSARY ACTION WILL BE TAKEN ONLY AFTER 
          CS ACKOWLEDMENT). 
  
          DUE TO THE SLOW RESPONSE TIME FROM CS-NVF TO LOG IN AND OUT 
          A USER, SEVERAL STATES WERE MISHANDLED (EG: WHEN A CLEAR
          REQUEST IS RECEIVED, AND CS DID NOT ACKED THE UPLINE TERMINAL 
          CONNECT,OR WHEN SWITCHING FROM STATE P7 TO P6 WHEN CS DID NOT 
          ACKED THE UPLINE TERMINAL DISCONNECT).
          THIS PROBLEM AROSE DURING TELENET CERTIFICATION, AS PACKETS ARE 
          TIMED-OUT EVERY 3 SECONDS, AND IT TAKES ABOUT 4 SECONDS TO CS-NVF 
          TO GET A NEW CONNECTION ASSIGNED. 
  
          CHANGES IN ERROR PROCESSING AT PACKET LEVEL.
          SEVERAL ERRORS CONDITIONS ARE NOW PROCESSED WHEN IN 
          READY(P1) OR DTE CLEAR (P6) STATES. ONE SUB-STATE IS
          ADDED AS, WHEN IN READY STATE THE RECOVERY LOGIC MUST 
          BE TRANSPARENT TO CS. 
          ONE SUB-STATE IS ADDED FOR RESTART INDICATION PROCESSING, 
          THIS PACKET WILL NOW BE ACKNOWLEDGED WHEN BEING THE 
          FIRST UPLINE PACKET,(AND WHEN THE REASON CODE IS LINK 
          OPERATIONAL), OR IN THE MIDST OF A SESSION, WHEN ALL
          CHANNELS ARE IN STATE READY(P1).
  
          INCORRECT P(R) FOR RR-RNR PACKETS WAS NOT PROCESSED.
  
          CHANGE IN DATA FIELD LENGTH CHECK FOR DATA FRAMES.
          LEVEL 2 ACCEPTS AND DISCARDS ZERO LENGTH DATA FRAMES (A-C FIELDS
          ONLY). LEVEL 2 DOESN'T CHECK FOR DATA FRAMES LENGTH ANYMORE.
          THIS CHECK IS DONE AT THE PACKET LEVEL, AND IF THE LENGTH IS
          INCORRECT THE CHANNEL WILL BE CLEARED.
          THIS CHANGE AS THE ADVANTAGE OF CLEARING A SINGLE 
          CHANNEL INSTEAD OF UP TO K CHANNELS IN CASE OF A REMOTE 
          PRIMARY ERROR.
  
          CAM            07/20/80      X25LVL3
                                       X25LCCB
  
          SRN CC4B566 
  
          DEPENDENCIES: FCLVL2H 
  
 FCLVL2H  CHANGE IN DATA FIELD LENGTH CHECK FOR DATA FRAMES.
          LEVEL 2 ACCEPTS AND DISCARDS ZERO LENGTH DATA FRAMES (A-C FIELDS
          ONLY). LEVEL 2 DOESN'T CHECK FOR DATA FRAMES LENGTH ANYMORE.
  
          CAM            07/20/80      X25LVL2
  
          DEPENDENCIES: FCLVL3B 
  
          SRN CC4B564 
  
 FCXPADA  THERE IS INCONSISTENCY IN FORMATTING OF OVER.. MESSAGE IN PAD 
          OUTPUT TEXT PROCESSING STATE PROGRAM. 
  
          THE OUTPUT STATE DETECTS THE PAGE OVERFLOW WHILE THE OUTPUT 
          STATE IS PROCESSING THE DOUBLE OR TRIPLE SPACE FORMAT 
          EFFECTOR, STATE PROGRAM SENDS OVER.. MESSAGE AFTER IT FILLS 
          THE PAGE WITH BLANK LINES.  WHILE THE OUTPUT STATE IS 
          PROCESSING THE TOP OF PAGE OR HOME CURSOR, IT SENDS OVER..
          MESSAGE AT THE NEXT LINE FORM THE CORRENT OUTPUT LINE 
          POSITION. 
  
          MAKE FORMATTING CONSISTENT WITH OTHER TIP.  (I.E. DOES NOT
          FILL THE PAGE WITH BLANK LINES BEFORE SEND OVER.. MESSAGE)
  
          NO DEPENDENCY 
  
          NN             06/27/80       PADOUTP 
  
          SRN CC4B525 
  
 FCXPADB  PAD OUTPUT TEXT PROCESSING STATE DOES NOT CHECK FOR THE POST
          PRINT START OF CURRENT LINE FE WHEN LOOKING AHEAD AT THE
          END OF LOGICAL LINE . 
  
          CHECK FOR THE POST PRINT START OF CURRENT LINE FE AS WELL 
          AS POST PRINT SINGLE SPACE, PRE PRINT START OF CURRENT LINE 
          AND NO ACTION.
  
          NO DEPENDENCY 
  
          NN             06/30/80       PADOUTP 
  
          SRN CC4B526 
  
 FCXPADC  PAD OUTPUT TEXT PROCESSING STATE SENDS CR CHARACTER ON TC=5 
          (M-40) TYPE TERMINAL FOR SINGLE, DOUBLE, TRIPLE SPACE AND 
          POST PRINT SINGLE SPACE FE. 
  
          CHANGE STATE INDEX TABLE FOR TC=5.
  
          NO DEPENDENCY 
  
          NN             06/30/80       PADOUTP 
  
          SRN CC4B527 
  
 FCXPADD  PAD OUTPUT STATE PROGRAM FOR TC = 6 (HAZELTINE 2000) GETS 
          INTO A INFINITE LOOP WHILE PROCESSING CR CHARACTER FE 
          AND LOSES THE FIRST DATA CHARACTER AFTER THE EMBEDDED CR. 
  
          NO DEPENDENCY 
  
          NN             07/14/80       PADOUTP 
  
          SRN CC4B528 
  
 FCXPADE  THE FIRST TRANSPARENT DTAT LOST IN THE OUTPUT TEXT
          PROCESING STATE.
  
          THE FIRST DATA CHARACTER SHOULD BE STORED AT FCD OF $D
          INSTED OF AT $C.
          ALSO CHANGE PASCAL CODE TO NOT SET THE PACKET COUNT IF
          THERE IS NO OUTSTANDING PACKET. 
  
          NO DEPENDENCY 
  
          NN             08/22/80        PADOUTP
                                         X25PAD 
  
          SRN CC4B553 
 FCXPADF  PAD OUTPUT STATE PROGRAM DOES NOT RESET PAGE WIDTH WHEN 
          THE STATE TRIES TO STORE THE CR CHARACTER FOR THE START 
          OF CURRENT LINE FORMAT EFFECTOR.
  
          THIS PSR DEPENDS UPON FCXPADC (CC4B527) 
  
          NN             08/22/80       PADOUTP 
  
          SRN CC4B554 
  
 FCXPADG  PAD TEXT PROCESSING STATE (TC OF 6) DOES NOT STORE THE POST 
          PRINT START OF CURRENT LINE FE CHARACTER (CR) IF THE
          DATA IS MISSING THE UNIT SEPARATOR AT THE END OF IT 
  
          JUMP TO THE STORE CR ROUTINE IF REACHED THE END OF
          SOURCE WITHOUT SEEING THE UNIT SEPARATOR. 
  
          NO DEPENDENCY 
  
          NN             08/23/80       PADOUTP 
  
          SRN CC4B555 
  
 FCXPADH  PAD OUTPUT TEXT PROCESSING STATE (TC OF 8) DOES NOT 
          STORE LINE FEED DUE TO THE STATE INDEX TABLE FOR THE
          TERMINAL CLASS OF 8 WAS NOT SET CORRECTLY.
  
          CHANGE THE STATE INDEX TABLE SO THAT STORES THE LINE
          FEED WHEN IT NEEDS TO STORE.
  
          NO DEPENDENCY 
  
          NN             08/23/80       PADOTP
  
          SRN CC4B556 
  
 FCX25BA  X25 VARIABLE DEFINED IN THE ONLINE DIAGNOSTICS OVERLAY
          BUILD CAUSED THE OLD PROGRAM TO OVERFLOW THE SIZE OF
          OVERLAY AREA. 
  
          CREATE X25  IF DEF  SO THAT X25 VARIABLES WILL BE APPLIED 
          ONLY X25 IS DEFINED.
  
          NO DEPENDENCY 
  
          NN             06/30/80       VARUSER 
  
          SRN CC4B529 
  
 F8KBCLAA THE SYNC AND ASYNC VERSIONS OF THE BUFFERED CLA HANDLE THE
          LCT (LAST CHARACTER TRANSMITTED) COMMAND DIFFERENTLY THAN THE 2563-2. 
          THIS CODE SET UPGRADES THE BUFFERED CLA ENHANCEMENT TO DRIVE THE
          SYNC AND ASYNC BUFFERED CLAS CORRECTLY. 
  
          F8KBCLA MUST BE INSTALLED BEFORE THIS CODE SET. 
  
          CAC/RFS       06/06/80       MF,MF8K,PIFR1
  
          SRN = CC4B470 
  
 FCWSAM   SAM FAILED WHEN IT RECEIVES MESSAGE WITH RATE 
          35 KB. ALSO, ITS CAPABILITY HANDLING 56 KB IS 
          EXPECTED. 
  
          CIB SIZE IS INCREASED TO 512 WORDS TO RECEIVE 
          ENTIRE MESSAGE WITHOUT PROCESSING ANY CHARACTER.
          PASCAL PROGRAM PMODDI IS SUBSTITUTED BY ASSEMBLY
          PROGRAM.
          ROUTINE PMCLRI IS INSERTED IN PMSETI, WHICH CAN 
          BE USED TO ENABLE REAL TIME CLOCK. ALSO, TICKS
          PER INTERRUPT IS INCREASED TO BE 30.
  
          NO DEPENDENCIES.
  
          DK              05/27/80       PMDEAD 
                                         PMASSEM
  
          SRN = CC4B476 
  
 CC4B544  81K LOCAL NPU HALTS WITH A $1F HALT CODE. BUILD 
          CONTAINED HASP,MD4,HIP,AND LIP. 
  
          LIP PERIODIC TIMER ROUTINE (PLIPTC) AUTO-LINK MOD DIRECTIVE 
          NEEDS TO BE FORCED ON A PAGE WITH OTHER LIP PAGED PROCEDURES. 
  
          NO DEPENDENCIES 
  
          VMG            07/29/80       ALINPDIR
  
          SRN = AN034 
  
 CC40234  NPU HALTS WHEN THE ASYNC TIP DOES OUTPUT ON OUTPUT
          DURING AUTO RECOGINITION. 
  
          CHANGE THE TIP TO NOT TURN ON INPUT FOR CODE SET RECOGNITION
          UNTIL AFTER THE LINE FEED PROMPT HAS BEEN OUTPUT FOR THE SPEED
          RECOGNITION.  THIS WILL PREVENT THE SECOND LINE FEED PROMPT 
          FROM BEING OUTPUT ON TOP OF THE FIRST LINE FEED PROMPT. 
  
          NO DEPENDENCIES 
  
          EPL            06/23/80       ASYNCTIP
  
          SRN=HDR0080 
  
 CC4B432  MODE 4C TRANSPARENT DATA CAUSES 'INCORRECTLY FORMATED DATA'.
  
          THIS IS CAUSED BY A CHECK FOR NO FORMAT EFFECTORS IN THE
          DBC OF THE TRANSPARENT BLOCK.  THE SOLUTION IS TO DELETE
          THE CHECK FOR NO FORMAT EFFECTORS IF THE BLOCK IS 
          TRANSPARENT.
  
          NO DEPENDENCIES 
  
  
          EPL            06/10/80       MODE4TIP
  
          SRN = 3799
  
CC4B483   AN EMPTY BUFFER TO THE COUPLER CAUSES HALT 13.
          THE HASP TIP CREATES AN EMPTY BUFFER WHEN A SINGLE
          BLANK IS INPUT WHILE AUTO-INPUT IS ON (TRAILING BLANKS
          ARE SUPRESSED IN IVT TEXT PROCESSING).
  
          CODE IS ADDED TO DISCARD EMPTY BUFFERS IN INTERNAL
          PROCESSING (PBPIPOI) BEFORE SENDING A MESSAGE UPLINE. 
  
          NO DEPENDENCIES 
  
          EPL            05/24/80       STDINTPRC 
  
          SRN = AN013 
  
 CC40281  NPU RECOVERY NO HALT CODE,ASYNCTIP
          RUNNING WITH NO TCB 
  
          CODE ADDED TO PREVENT ASYNC TIP RUNNING 
          WHEN THE LINE INITIALIZER IS RUNNING
  
          NO DEPENDENCIES 
  
          OB             05/28/80       ASYNCTIP
  
          SRN=406 
  
 FCTIMRB  THIS MODIFICATION TO TIMER SERVICES CHANGES THE INTERFACE 
          BY WHICH A WORK LIST ENTRY IS PASSED BACK TO THE USER AS
          FOLLOWS:  
               THE FIRST WORD OF THE WORK LIST ENTRY IS THE 
          SIXTH WORD OF THE TIMER PACKET WHICH CONTAINS BKUSRBYTE 
          IN THE MOST SIGNIFICANT 8 BITS AND BKWKCODE, THE WORK 
          CODE, IN THE LEAST SIGNIFICANT 6 BITS.
               THE SECOND AND THIRD WORDS OF THE WORK LIST
          ENTRY CONTAIN THE 7TH AND 8TH WORDS OF THE TIMER
          PACKET RESPECTIVELY, BK1USRWRD AND BK2USRWRD OR BK1UPTR 
          AND BK2UPTR.
               THE ADDRESS OF THE TIMER PACKET IS NOT RETURNED
          TO THE USER.  THIS CHANGE ALLOWS THE TIP TO RECEIVE 
          THE WAIT COUNT IN BKUSRBYTE, THE LINE NUMBER IN 
          BK1USRWRD AND THE BUFFER POINTER IN BK2UPTR WHICH IS
          CONSISTEENT WITH OTHER MUX LEVEL WORK LIST ENTRIES. 
  
          MAM          06/12/80       PBTICK
 CC4B500  HELLO CAUSES TERMINAL TO STICK IN PAGE WAIT.
  
          HELLO CAUSES CLEAR SCREEN FORMAT EFFECTOR FROM NEW
          APPLICATION. THE CLEAR SCREEN FORMAT EFFECTOR CAUSES AN OVER .. 
          MESSAGE TO BE OUTPUT FOR THE PAGE WAIT BEFORE THE BANNER IS 
          OUTPUT. THIS RESULTS IN A TEXT PROCESSING BACKUP WITHOUT A MARK.
  
          THE SOLUTION IS TO MARK THE FORMAT EFFECTOR AFTER THE OVER .. 
          IN THE ASYNC TIP TEXT PROCESSING STATES.
  
          NO DEPENDENCIES 
  
          COB/EPL         08/19/80       REL4ASYTP
  
          SRN=4115
  
 CC4B551  ON LINE DIAGNOSTICS PRODUCE ERROR CODE 09.
  
          THE FAILURE IS CAUSED BY CODE INTRODUCED INTO THE BASE
          PROCEDURE PMCMDRV WITH IDENT. CCB0046. THIS CODE CHANGED
          THE DIAGNOSTICS INTERFACE TO THE PMCMDRV WHICH WAS
          NOT INCORRECT. THE SOLUTION IS TO PURGE CCB0046.
  
          NO DEPENDENCIES 
  
          EPL            08/28/80       PMCDRV
  
          SRN=AN041 
  
 FCTIMRA  THIS MODIFICATION TO TIMER SERVICES REDUCES THE NUMBER OF 
          PARTITION PACKETS FROM 100 TO 10 THUS REDUCING THE GLOBAL 
          AREA BY 90 WORDS OF POINTERS AND 360 WORDS OF PARTITION 
          PACKETS.  THE INTERVAL BETWEEN TIMER PACKETS IS ALSO
          INCREASED.
  
          NO DEPENDENCIES 
  
          MAM            06/12/80       CONTIMER
  
          SRN=CC4B594 
  
CC4B594   WHEN THE CLOCK COMPARES THE LIMIT AGAINST THE CURRENT 
          COUNTER IT ONLY PROVIDES AN INTERRUPT WHEN THEY ARE EQUAL.
          BECAUSE ODD/IDP CAN TAKE CONTROL FOR LONGER THAN ONE TICK 
          WHEN TIMER SERVICES EXITS WITH THE NEXT EXPECTED INTERRUPT
          ONE TICK AWAY IT MAY BE MISSED ALTOGETHER AND THE CLOCK WILL
          NOT PROVIDE ANOTHER INTERRUPT UNTIL IT HAS WRAPPED.  BY THIS
          TIME THE HOST HAS BROUGHT THE SYSTEM DOWN.
  
          TIMER SERVICES WILL PROCESS EXPIRED TIMERS UP TO THREE TICKS
          AHEAD OF THE CLOCK WHILE IT HAS CONTROL.
  
          NO DEPENDENCIES 
  
          MAM            08/26/80       PBTMRSRVS 
                                        CONTIMER
  
          SRN = 149121
  
 CC4B568  TCB COUNT IS NOT DECREMENTED WHEN A TERMINAL IS DELETED.
  
          ADD LOGIC INTO THE TCB DELETE ROUTINE WHICH WILL DECREMENT
          THE TCB COUNT WHEN A TERMINAL IS DELETED. 
  
          DLC            09/05/80       SVM 
  
          SRN = 118372
  
 CC4B590  MODE 4C HARDWIRED TERMINAL HANGS WHILE
          DISPLAYING LARGE OUTPUT FILE. 
  
          TIP IS CODED TO EXECUTE A CLEAR WRITE  FOR EACH 
          SHORT-TERM ERROR RECOVERY ATTEMPT. CLEAR WRITES 
          SHOULD BE SENT ONLY AFTER SHORT-TERM ERROR RECOVERY 
          IS COMPLETE AND CLUSTER STATE HAS BEEN CHANGED TO 
          INDICATE CLUSTER IS IN ERROR. 
  
          ALSO, CLEAR WRITE LPC BASE VALUE WAS CORRECTED. 
  
          PS             08/27/80       MODE4TIP
  
          DEPENDENCIES - CC4B543
  
          SRN = NE5568
  
 CC4B598  CANNOT DISABLE/ENABLE MODE 4 LINE.
  
          THE MODE 4 TIP WILL NOT PROCESS A DISABLE 
          LINE REQUEST AFTER A HARD ERROR WHEN THERE
          IS NO TCB CONFIGURED. 
  
          NO DEPENDENCIES 
  
          EPL            09/08/80       MODE4TIP
  
          SRN = 3862
  
 CC4B605  ENABLING AN X.25 LINE CAUSES AN NPU HALT. 
  
          THE PROCEDURE PBLCBP DOES NOT WORK FOR LINE 
          NUMBERS GREATER THAN $7F.  THE LINE NUMBER
          IS NOW DIVIDED BY $100 AND PRODUCES A NEGATIVE
          RESULT.  THE FIX IS TO DELETE THE DIVIDE BY $100
          AND ACCESS BDPORT DIRECTLY. 
  
          NO DEPENDENCIES 
  
          EPL            09/03/80        PBLCBP 
  
          SRN=3864
  
 CC4B658  NPU HALTS AFTER NPU LOAD WITH THE X.25 LINE ACTIVE. 
  
          PBTMRSRVS CAUSES THE COMMAND DRIVER (PMCMDRV) TO BE 
          REENTERED.  THE SOLUTION IS TO RUN THE TIMER (PBTICK) 
          AT PRIORITY 9 INSTEAD OF PRIORITY 3.
  
          DEPENDENT ON FCTIMR 
  
          EPL            09/29/80       PBTMRSRVS 
                                        PBLN08
  
          SRN=ARHC3014
  
 CC4B646 DL IVT COMMAND PARSED INCORRECTLY - CAUSES 
          IAF CONTROL BYTE 6 TO FAIL
          COMMAND ERRORS NOT DIAGNOSED ON MULTIPLE PARAMETER
          DL COMMAND
  
          CHANGE LOCAL VARIABLE WRONGLY USED BY CC4B253 
  
          DEPENDENCIES - CC4B253
  
          HGM            09/26/80       PARSER
  
          SRN=ARHK4214
  
 CC4B569  NPU DUMP ANALYSIS IS DIFFICULT FOR OUTPUT 
          ON OUTPUT.
  
          HALT NPU WITH HALT CODE J0ONOUTPT WHENEVER
          OUTPUT ON OUTPUT OCCURES. 
  
          NO PSR DEPENDENCY.
  
          EPL/DK         09/16/80       CONST 
                                        PMCDRV
  
          SRN = 118369
  
 CC4B619  CROSS PROGRAM *EXPAND* DOES NOT HANDLE *R* (DEVICE TYPE) PARAMETER. 
  
          CHANGE TO EXPAND TEXT NEEDED TO SUPPORT CHANGE TO EXPAND (CROSS PL),
          AND TO BUILD PROCEDURES.
  
          DEPENDENT UPON XSYA142 AND INSA015. 
  
          RWH           09/03/80       EXPTEXT
  
 CC4B435A CCP ALLOWS IVT COMMAND CTL TC = NN TO SWITCH BETWEEN
          MODE 4A, 4B, AND 4C TERMINAL CLASSES. SUCH CHANGES ARE ILLEGAL. 
  
          EXAMINATION OF IVT PROCESSING CODE REVEALED THAT THE
          MODULE PNCONFIGURE WAS USING RECENTLY STORED TERMINAL 
          CLASS VALUES FROM THE TCB IN CHECKING THE CLASS VALIDITY
          OF THE NEW TC VALUES. IT WAS ACTUALLY COMPARING THE NEW 
          VALUES AGAINST THEMSELVES. THE PROPER OLD VALUES WILL 
          NOW BE USED.
  
          DEPENDENCIES - NONE 
  
          PS             04/14/80       SVM 
  
          SRN = 3902
  
 CC4B629  ASYNC TIP LOSE SOURCE BUFFERS IN PAGE 
          WAIT MODE FOR DOWNLINE BLOCKS WITH
          PREPRINT FE.
  
          EXIT TO TIP  AFTER INSERTION OF NEW 
          PAGE AND KEEP  THE CURRENT STATE IN-
          STEAD OF JUMP TO STATE ASEXIT AND 
          CHANGE THE STATE TO ASSOL.
  
          DEPENDENT ON CC4B500. 
  
          VMG/DK         10/8/80        ASYNCTIP
                                        REL4ASYTP 
  
          SRN=020070
  
 CC4B655  NO BANNER ON ASYNC TERMINAL AFTER DIAL IN.
  
          THE ASYNC AUTO RECOGNITION DOES NOT WORK FOR
          300 BAUD IF THE FIRST CHAR. GETS GARBLED. 
  
          NO PSR DEPENDENCIES 
  
          EPL            10/20/80       REL4ASY 
  
 FCPRUMA  FIRST CORRECTION SET FOR MODE4 TIP AFTER
          INTEGRATION 
  
 CC40410  PBHALT/PGHALT DO NOT SAVE DYNAMIC PAGE REGISTER CONTENTS
          PROPERLY. 
  
          THE ROUTINE PBHALT DESTROYES THE PAGE REGISTER VALUE
          BEFORE SAVING IT FOR THE CALL TO PGHALT.
  
          THE PAGE REGISTER IS READ AND SAVE IN LOCATION 2F BEFORE
          CALLING THE PAGED HALT ROUTINE. 
  
          JWT            11-24-80       PBHALT,PBTOPHAT 
  
 CC4B696  MODE 4 TIP OUTPUT ON OUTPUT (HALT 20).
  
          THE MODE 4 TIP ISSUES AN OUTPUT COMMAND AFTER HARD
          ERROR AND CAUSES CCP HALT 20.  THIS IS CORRECTED
          BY STOPPING THE RETRY ON HARD ERROR IN THE MODE 4 TIP.
  
          DEPENDENT ON IDENTS CC4B468,CC4B598 
  
          EPL            11/03/80       MODE4TIP
  
          SRN = YYYY
  
 CC4B722  MODE 4 TIP OUTPUT ON OUTPUT (HALT 20).
  
          THE MODE 4 TIP ISSUES AN OUTPUT COMMAND AFTER HARD
          ERROR AND CAUSES CCP HALT 20.  THIS IS CORRECTED
          BY STOPPING THE RETRY ON HARD ERROR IN THE MODE 4 TIP.
  
          DEPENDENT ON IDENTS CC4B468,CC4B598 
  
          EPL            11/14/80       MODE4TIP
  
          SRN = 0002
  
 CC4B577  ALL TERMINAL CLASSES IN ASYNC TIP USE COMMON
          STATE ASMBT TO HANDLE MUX BUFFER THRESHOLD
          CONDITION. THE LAST STEP IN ASMBT IS TO JUMP
          TO STATE ASTOSS. BUT SOME TERMINAL CLASSES DO 
          NOT HAVE STATE ASTOSS IN STATE TABLE. 
  
          ADD STATE ASTOSS TO TERMINAL CLASSES 4, 5 & 7 
          JUST AS IN TERMINAL CLASS 6.
          TERMINAL 2741 WILL HAVE DIFFERENT STATES TO  HANDLE 
          MUX BUFFER THRESHOLD. 
          REWRITE CASE AWBUTCH IN ASYNC TIP WORKLIST HANDLER. 
          ASYNC CONSTANTS ASAUTO, AS2741, ASASCI IN GLOBAL
          ARE INCREASED BY ONE TO MATCH THE INSERTION OF STATE
          ASTOSS. 
  
          NO PSR DEPENDENCY.
  
          EPL/DK         08/18/80       REL4ASY 
                                        CONASYNC
                                        ASYNCTIP
                                        ZEXASYNC
  
          SRN=015935
  
 CC4BZZZ  CCP ISSUES ERROR RESPONSE TO RECONFIGURE TCB WITH TERMINAL
          CLASS 17 (3780).
  
          SERVICE MODULE RANGE CHECK ON TERMINAL CLASS IS INCREASED TO
          INCLUDE THE 3780 TERMINAL CLASS AND USER TERMINAL CLASSES AND 
          USER TIP TYPES. 
  
          DEPENDENT ON FCPRU FEATURE CODE 
  
          JWT/EPL        12/19/80       SVM 
  
          SRN=XXXX
  
 CC4BHSP  CCP SENDS EOI ACCOUNTING UPLINE, WHILE NO EOI BLOCK WAS SENT
  
          IF THE HASPTIP DURING TRANSMISSION OF AN EOI BLOCK RECEIVES A 
          ABORT STREAM, THE TIP WILL AT POST-OUTPUT TIME SEND A EOI 
          ACCOUNTING MESSAGE UPLINE.
  
          MAKE SURE THAT THE POST-OUTPUT CALL IS NOT MADE AT THE END OF 
          THE TRANSMISSION, IN CASE OF AN ABORT STREAM. 
  
          HJB            80/12/18       HASPTIP 
  
 CC4B756  CCP LOOPING AT TIMER INTERRUPT LEVEL. TIMER WRAPS AROUND
  
          TIMER CHAIN GETS CLOBBERED, BECAUSE OF IMPROPER WAY OF
          LOCKING OUT INTERRUPTS. 
  
          THIS CODE IS A RE-WRITE OF THE TIMER MODULES, WITHOUT 
          AFFECTING THE USER INTERFACES.
  
          HJB            01/09/80       PBTMRSRVS 
  
 CC4B759   SUPERVISION ERROR - CS,RC=CNFLDEN,1,1
  
           X25 LINE CONFIGURED WITH A RETRY LIMIT OF 15 
  
           CCP ALLOWS THE MAXIMUM LIMIT TO BE 7 
  
           CHANGE CCP SUCH THAT THE MAXIMUM RETRY LIMIT IS 15 
  
           HJB            80/12/19       SVMZAP 
  
 CC40408  CCP SUPPORTS ONLY 7 REMOTE NODES IF LOGICAL LINK TO LOCAL 
          DEFINED.
  
          CHANGE THE LLCB FIXED ARRAY DECLARATION TO 10 IN ORDER TO 
          ALLOW 8 REMOTE NODES. 
  
          JWT            01-07-81       CONBLK
  
          SRN = 1120C2
  
 CC4B725  HALT 20 - MODE4 TIP.
  
          AFTER A0HARDERR WAS PROCESSED BY MUX SUBSYSTEM
          MODE4 TIP WAS ISSUING MULITPLE OUTPUT REQUESTS. 
  
          HARD ERROR WLE SHOULD TERMINATE INPUT AND OUTPUT. 
  
          EPL            12/08/80      MODE4TIP 
  
 CC4B729  CHANGE TO SEND A POLL AFTER CLEAR WRITE FOR MODE 4
          TERMINAL RECOVERY.
  
          THIS CHANGE IS NECESSARY FOR THOSE TERMINAL EMULATORS THAT
          WILL NOT INITIALLY RESPOND TO A WRITE UNTIL THEY RECEIVE A POL
  
          NO DEPENDENCIES 
  
          EPL            11/04/80       MODE4TIP
 CC4B748  ASYNCTIP IS SENDING OUT ONE LF ON TOP OF THE OTHER DURING 
          AUTO-RECOGNITION. 
  
          WAIT BEFORE OUTPUT OF SECOND LF 
  
          EPL            12/15/80      ASYNCTIP 
  
 CC4B730  NPU SENDING BLOCKS OF INCORRECT SIZE
  
          HOST EXPECTS UPLINE BLOCKS EQUAL TO TWO PRU'S IN SIZE, CCP IS 
          SENDING BLOCKS OF ONE PRU RESULTING IN PIP ABORT WITH 
          ERROR 135.
  
          FIX THE BLOCK SIZE AT TWO PRU'S BY SETTING A GLOBAL CONSTANT. 
  
          NO DEPENCENCIES 
  
          TAW            12/08/80       HIP80,PBULTS,SVM,SVMCONST 
  
          SRN=NE5610
  
 CC4B739  BLOCK PROTOCOL ERROR -- LIMITS AT EOI 
  
          NO DEPENDENCIES 
  
          JWT            11/18/80       PBQUEMAIN 
  
          SRN=JIT097
  
 CC4B740  TRANSPARENT DATA NOT PROCESSED CORRECTLY BY BIP 
  
          BIP IS CHECKING THE WRONG FLAG IN UPLINE TIP SERVICES 
  
          NO DEPENDENCIES 
  
          WHM            11/19/80       PBULTS
  
 CC4B779  BISYNC TIP DOES NOT WORK. 
  
          UNABLE TO PRINT OR PUNCH ON THE BISYNC TERMINAL WITH
          THE PRU FEATURE CODE. 
  
          THIS CODE IS DEPENDENT ON THE PRU FEATURE.
  
          HSN/WMH         01-12-81
  
 CC4B778  PRU MODE 4 DOES NOT MEET DR PERFORMANCE REQUIREMENTS. 
  
          THE MODE 4 TEXT PROCESSING STATES TAKE TWICE AS MANY
          INSTRUCTIONS AS THE R5 MODE 4.
  
          THE MODE 4 TEXT PROCESSING STATES FOR PRU ARE RE- 
          WRITTEN.
  
          THIS CODE IS DEPENDENT ON THE PRU FEATURE RELEASE.
  
          EPL           01-27-81       MODE4TIP 
  
 CC4B567  PGHALT DOES NOT SAVE CALLER-S ADDRESS IF NOT PAGED. 
  
          PGHALT ASSUMES IT HAS A TOPHAT (PBHALT) WHICH SAVES 
          THE CALLER-S ADDRESS.  IF PGHALT IS NOT PAGED, IT HAS NO
          TOPHAT AND THE CALLER-S ADDRESS IS SET TO ZERO.  ALSO,
          INTERRUPTS SHOULD NOT BE ENABLED UNLESS THE CONSOLE IS
          PRESENT.
  
          JWT           01-10-81       PBHALT 
  
 CC4B672  RESPONSE TO NO-CHARACTER *IVT* COMMAND CONTAINS GARBAGE.
  
          A SINGLE *IVT* CHARACTER INPUT THAT IS INTENDED FOR THE 
          APPLICATION WILL GET EITHER AN *ERR* RESPONSE OR WILL GET 
          THE RESPONSE FROM THE LAST *IVT* COMMAND. 
  
          THE PARAMETER AREA IS CLEARED.
  
          JWT            01-13-81       PARSER
  
          SRN = DCM100
  
 CC4B716  TYPO ERROR IN CC4B646 - DL IVT COMMAND REJECTS LOWER CASE.
  
          THE CHARACTER SCAN ROUTINE SHOULD USE THE LCD INSTEAD 
          OF THE FCD IN THE WHILE LOOP. 
  
          JWT          01-12-81      PARSER 
  
          SRN = 4310
  
 CC40357  REMOVE EXTRA PAGE EJECT IN GLOBAL DECK VAR. 
  
          THERE IS AN EXTRA PAGE EJECT IN THE DECK VAR. 
  
          JWT          01-11-81       VAR 
  
          SRN = TLNP116 
  
 CC40358  TEST UTILITY PACKAGE (TUP) HANGS NPU ON TCB COMMANDS. 
  
          TUP CALLS (SMALL) SVM ROUTINES THAT ARE ON PAGED MEMORY.
  
          REMOVE THESE ROUTINES (PNTCBSRCH, PNGTCB) FROM PAGED MEMORY,
          SO THAT THIS WILL NOT INCREASE THE GLOBAL MEMORY USAGE, 
          SINCE THE SVM CURRENTLY OVERFLOWS ITS PAGE ANYWAY.
  
          HJB          01/13/81       ALSMOD
  
          SRN = TLNP114 
  
 CC4B720  DOUBLE SPACING ON MODE4 CONSOLES. 
  
          IAF SEND EXTRANEOUS NULL LINE WITH NO ACTION FE. NO ACTION
          FE IS TREATED BY M4TIP AS SINGLE SPACE CAUSING AN EXTRANEOUS
          BLANK LINE IF LINE FROM IAF DID NOT CONTAIN ANY DATA. 
  
          REMOVE SAID BLANK LINES.
  
          HJB         01/13/81       MODE4TIP 
  
          SRN = 4313
  
 CC40354  CCP WILL NOT COMPILE WITHOUT MODE4 DEFINED. 
  
          SERVICE MODULE REFERENCES MODE4 TCB VARIANT FIELD *BSCLSPTR*
          WHEN SETTING UP TCB FOR MODE4C TERMINALS. 
  
          INSERT *IF DEF* TO MAKE SERVICE MODULE CODE DEPENDENT ON
          THE MODE 4 TIP BEING DEFINED BY UPDATE DIRECTIVES.
  
          TAW         01/14/81       SVM
  
          SRN = TLNP121 
  
 CC40349  TYPING ERRORS IN UPDATE DIRECTIVES FOR DECK *PBIFMT*
            DO NOT ACTIVATE MODE 4 DEPENDENT CODE.
  
          TWO OCCURRENCES OF MODE4 ON UPDATE *IF DEF* DIRECTIVES ARE
          SPELLED WITH ZEROES (I.E. M0DE4). 
  
          CHANGE ZEROES TO ALPHABETIC O.
  
          TAW         01/14/81       PBIFMT 
  
          SRN = UITO016 
  
 CC40312  DISCONNECT OF PORT AFTER BREAK BECAUSE OF 
          UNSOLICITED OUTPUT DATA DEMAND(ODD).
  
          IGNORE UNSOLICITED INPUT AND ODD-S FROM MODEM 
          EXCEPT FOR DIAGNOSTICS. 
  
          DEPENDENT ON PSR'S CCB0001,CCB0025
  
          EPL            06/07/80       PMWOLP
  
 CC40409  CCP GENERATES AN EXCESSIVE AMOUNT OF MAINTENANCE ALARMS.
  
          THE NUMBER OF MAINTENANCE ALARMS IS NOT LIMITED AS IS THE 
          NUMBER OF CE ALARMS.
  
          THE GENERATION OF ALARMS IS LIMITED TO EITHER THE OVERFLOW
          OF THE CE LIMIT (10) OR THE OVERFLOW OF ALARMS(10) IN A 
          TEN SECOND PERIOD.
  
          JWT          01-15-81       VAR PNCEFILE
  
          SRN = 1120C3
  
 CC4B477  HARD ERRORS ON THE ASYNC TIP DURING DISABLE LINE MAY
          CAUSE LOSS OF THE DISABLE REQUEST AND HANG THE LINE.
  
          CODE WAS ADDED TO IGNORE A HARD ERROR AFTER DISABLE LINE. 
  
          THIS PSR IS DEPENDENT ON CC4A261
  
          EPL             05/10/80              ASYNCTIP
  
 CC40304  CCP IS TOO STRICT DURING AUTOBAUD DETECTION.
  
          THE 300 AUTOBAUD DETECTION DOES NOT ALLOW FOR TOLERANCES
          GREATER THAN 6.3 PER CENT.  MARIGINAL ACOUSTIC COUPLERS 
          WERE NOT ABLE TO BE AUTO RECOGINIZED.  BY CHANGING THE
          ERROR MARGIN TO 18 PER CENT THE ASYNC TERMINALS WERE ABLE 
          TO BE AUTO RECOGNIZED.
  
          CCP IS MODIFIED PER THE CUSTOMERS SUGGESTED CODE TO ALLOW 
          MODEM VARIANCE UP TO 18 PER CENT. 
  
          THIS PSR IS DEPENDENT ON CCP PSR CC4A942
  
          OP             07/02/80       REL4ASY 
  
          UVA556
  
 CC40236  MODE 4 LINE COUNT IS NOT BEING CLEARED TO ZERO ON ERROR OR
          RECONFIGURE, CAUSING PAGE WAIT CONDITION ON THE TERMINAL..
  
          SOLUTION IS TO CLEAR LINE COUNT IN ERROR CONDITIONS.
  
          NO DEPENDENCIES.
  
          VCM            06/28/80       MODE4TIP
  
          SRN = NONE
  
 CC40334  DIAL-UP ASYNC LINES ARE SOMETIMES DISABLED WHEN USER
          HANGS UP IMMEDIATELY AFTER DIAL-IN. 
  
          ANALYSIS:  WHEN A USER HANGS UP TO TERMINATE A SESSION
          ON AN ASYNC DIAL-UP LINE A LINE INOPERATIVE SERVICE MESSAGE 
          IS SENT TO CS.  THE LINE IS THEN REINITIALIZED AND CONTROL
          IS GIVEN TO THE CCP LINE INITIALIZER.  IF ANOTHER USER
          DIALS IN AT THAT TIME AND THE LINE INITIALIZER DETECTS
          THE RING INDICATOR, THEN IT DOES NOT SEND A LINE ENABLED
          SERVICE MESSAGE TO CS, BUT INSTEAD WAITS IN FAVOR OF
          COMPLETING INITIALIZATION OF THE LINE.  HOWEVER, IF THE 
          USER HANGS UP, THEN LINE INITIALIZATION DOES NOT COMPLETE 
          AND THE LINE INITIALIZER REPORTS THE LINE INOPERATIVE TO
          CS AGAIN.  THEN CS GIVES UP AND LEAVES THE LINE DISABLED. 
          TWO CONSECUTIVE INOPERATIVE MESSAGES IMPLY A HARD FAILURE.
  
          SOLUTION:  THE LINE INITIALIZER SHOULD REPORT THE LINE
          OPERATIONAL BEFORE LOOKING FOR RING INDICATOR, THEN IT
          CAN REPORT THE PRESENCE OF RING INDICATOR AFTER THE 
          LINE IS INITIALIZED.  IF A USER HANGS UP WHILE THE LINE 
          INITIALIZER IS IN CONTROL, A LINE OPERATIVE SERVICE 
          MESSAGE WILL PRECEDE THE LINE INOPERATIVE, AND THE SITUATION
          WILL NOT BE A HARD ERROR. 
  
          DCM       1/07/81       PTLINIT 
  
          SRN=RUG014
  
 CC40345  ERRORS IN 2741 EBCD AND EBCD APL TRANSLATION. 
  
          THE 2741 EBCD CHARACTERS QUOTE, RT PAREN, AND 
          H ARE NOT TRANSLATED CORRECTLY. 
          THE 2741 EBCD APL CHARACTERS MINUS, COMMA, TAU, 
          VERTICAL LINE, SEMICOLON, AND COLON ARE NOT 
          TRANSLATED CORRECTLY. 
  
          JWT           01-24-81       ASYEBCDAS,ASYEAPLAS,ASYAEAPL 
  
          SRN = UMAS410 
  
 CC40404  PBSTRIP DOES NOT WORK AS ADVERTISED.
  
          WHEN THERE ARE MULTIPLE EMPTY BUFFERS PBSTRIP 
          WILL MISS THE SECOND DUE TO THE FACT PBREL1BF 
          UPDATES THE POINTER.
  
          PBSTRIP IS REWRITTEN. 
  
          JWT          01-26-81       PBSTRIP 
  
          SRN = CBS0008 
  
 CC4B773  *USER INTERRUPT DISCARDED* MESSAGE IS MISPELLED.
  
          DISCARDED IS SPELLED DISCARDND. 
  
          CORRECT CANNED MESSAGE IN UPLINE TIP SERVICES.
  
          JWT           01-27-81       PBULTS 
  
          SRN = NE5665
  
 CC4B726  NIP RECEIVED BAD BSN FROM CCP 
  
          WHEN A TERMINATE OUTPUT (USER BREAK 2) IS GENERATED 
          THE OUTSTANDING BACKS DUE COUNT IS NOT CLEARED. 
  
          BIP IS CHANGED TO CLEAR THE BACKS DUE COUNT ON AN UPLINE
          BREAK.
  
          JWT       01-27-81                PBBPM TYPE PBQUEMAIN
  
          SRN = NE5611
  
 CC4B775  BLK/BLK IS NOT SENT UPLINE ON PW OR LF BOUNDARY 
  
          THE PRU ASYNC TIP IS NOT SETTING THE SEND FLAG FOR
          UPLINE TIP SERVICES WHEN LINE FEED OR PAGE WIDTH
          IS ENCOUNTERED. 
  
          JWT            01-28-81       ASYNCTIP
  
          SRN = NE5667
  
 CC4B477  ASYNC AUTO INPUT IS NOT WORKING 
  
          THE ASYNC TIP SETS A FIRST BUFFER OUTPUT FLAG IN THE SAVED
          DBC WHICH IS USED FOR AUTO INPUT.  THE TYPE OVERLAY FOR 
          THIS BIT IS WRONG DUE TO THE NATURE OF THE PASCAL COMPILER. 
  
          JWT           01-29-81      ASYNCTIP
           SRN = NE5664 
  
 CC4B789  BLOCK PROTOCAL ERROR WHEN READING CARDS.
  
          BIP IS NOT RESETING THE PRU CHARACTER COUNT WHEN EOI
          IS RECEIVED ON CARD INPUT.  TH IS CAUSES A SHORT PRU TO 
          BE SENT UPLINE WHEN THE NEXT JOB IS READ IN. THE SOLUTION 
          IS TO RESET THE COUNT ON EOI.  ALSO TERMINATE INPUT IS
          CHANGED TO MARK ANY PARTIAL PRUS AS EOR BEFOR SENDING 
          THEM UPLINE.
  
          NO DEPENDENCIES 
  
          EPL/JWT         02/05/80       PBULTS 
  
          SRN=PR0001
  
 CC4B761  OPERATOR MESSAGE IS NOT SENT TO ASYNC TERMINAL. 
  
          THE OPERATOR MESSAGE *MS* IS NOT SENT TO THE ASYNC
          TERMINAL DUE TO A PRIORITY MISMATCH.  BIP DISCARDS
          A MESSAGE IF THE PRIORITY DOES NOT MATCH.  THE SERVICE
          MODULE DOES NOT SET THE PRIORITY ON A BROADCAST MESSAGE 
          THUS CAUSING IT TO BE DISCARDED.
  
          BIP IS CHANGED TO IGNORE THE PRIORITY SETTING ON INTERNAL 
          MESSAGES. 
  
          JWT           01-10-81      PBBLOCKTR 
  
          SRN = NE5670
  
 CC4B794  PBHALT DOES NOT SAVE REGISTERS IF THE TOP HAT IS NOT
          PRESENT.
  
          THE TOP HAT ROUTINE (FOR PAGING THE PBHALT ROUTINE) 
          SAVES THE REGISTERS AND THE PAGE ADDRESS.  IF IT IS 
          NOT LINKED (PBHALT IN LOW CORE) THEN THE REGISTERS
          AND PAGE ARE NOT SAVED. 
  
          FORCE TOP HAT ROUTINE TO ALWAYS BE LINKED.
  
          THIS PSR IS DEPENDENT ON THE R9A VERSION OF PBHALT
          AND AUTO LINK DIRECTIVES (ALBASESY).
  
          JWT           02-11-81       PBHALT, ALBASESY 
  
 CC4B786  HALT A, HALT C, AND FAILURE TO CONNECT WITH TERMINAL
          AFTER A DISCONNECT
  
          IF OUTPUT WAS IN PROGRESS DURING A DISCONNECT SEQUENCE
          THE OUTPUT TCB POINTER WAS NOT CLEARED DURING DISCONNECT. 
          ON THE SUBSEQUENCE RECONNECT THE BAD POINTER WAS USED TO
          TRY TO ESTABLISH COMMUNCATIONS. 
          ADD COMMENTS TO INTERACTIVE/PUNCH CHARACTER PROCESSING
  
          NO DEPENDENCIES 
  
          HSN            02-02-81       BSCLV2, BSCTIP,BSCMLO 
  
 CC4B792  BSC TERMINAL SEEMS TO BE HUNG TRYING TO RECEIVE DATA
          FROM THE 2550.
  
          TERMINAL IS NOT HUNG.  TERMINAL CAN NOT ACCEPT MORE DATA
          AT THE PRESENT TIME AND IS WACK'ING 2550.  SOLUTION IS TO 
          COUNT THE NUMBER OF WACKS RECEIVED AND IF IT EXCEEDES AN
          ARBITRARY FIGURE (16) THE TIP WILL CEASE TRYING TO SEND THE 
          BLOCK TO THE TERMINAL.  AFTER A TIME THE TIP WILL AGAIN TRY 
          TO SEND THE REMAINDER OF THE FILE FROM EXACTLY WHERE IT HAD 
          LEFT OFF. 
  
          NO DEPENDENCIES.
  
          HSN/WMH        02/12/81       BSCLV2
  
 CC40363  GARBLED TRAILING CHARACTER ON ASYNC OUTPUT WHEN ECHOPLEX ON 
  
          IDENT CC40274 ELIMINATES A DELAY BEFORE TURNING ON ECHOPLEX.
          CC40274 CAUSES THE LAST OUTPUT CHARACTER TO BE WIPED OUT. 
          CC40274 WAS INSTALLED TO FIX A HALT C WHICH OCCURRED WHEN 
          INPUT WAS RECEIVED DURING THE ECHOPLEX DELAY. 
  
          SOLUTION:  RELEASE OUTPUT BEFORE DOING ECHOPLEX DELAY IN
          ROUTINE APIOCHECK.
  
          DEPENDS ON PSR CC4B109,CC4B141,AND CC40274, R9A 
  
          DCM       11/30/80      ASYNCTIP
  
          SRN=RUG038
  
 CC4B776  GARBAGE OUTPUT AT BEGINNING OF LINE.
  
          WHEN A LOGICAL LINE IS TERMINATED WITH TWO UNIT 
          SEPARATORS, TREAT THE SECOND AS A FORMAT EFFECTOR, AND
          FORCE END OF LINE.
  
          NO DEPENDENCIES.
  
          SAP            02/13/81/      REL4ASYTP 
  
          SRN  =  NE5663
  
 CC4B801  HALT CODE 42
  
          X25 CODE IN THE SERVICE MODULE CHECKS FOR AVAILABLILITY OF
          A SINGLE 32 WORD BUFFER FOR USE AS LCB EXTENTION. IF NOT
          ENOUGH BUFFERS ARE AVAILABLE, THE CONFIGURE LINE WL IS
          RE-ISSUED, BUT THE WORKCODE AND PORT/SUBPORT NR ARE NOT 
          RESTORED, CAUSING THE SYSTEM TO CRASH LATER.
  
          REMOVE THE CODE THAT CHECKS AVAILABILITY. 
  
          HJB            02/17/81       SVM 
  
 CC4B785  SUPERVISION ERROR - CS,RC=STUSLNN,1,1 
  
          HOST ORDINAL FIELD INCORRECT ON RESPONSE TO CONFIGURE 
          LINE FOR X.25.  SOME X.25 SPECIAL CODE IS MISSING FROM
          THE SERVICE MODULE ON THE PRU SYSTEM.  THE SOLUTION IS
          ADD THE X.25 MISSING CODE FROM THE R5 RELEASE.
  
          NO DEPENDENCIES 
  
          EPL/TAW        02/09/81       SVM 
  
          SRN=NE5656
  
 CC4B793  WHILE ENABLING A HASP TERMINAL, THE TIP CAN LOSE A BUFFER 
          IF THE TERMINAL SEND A MSG INSTEAD OF THE EXPECTED ENQ. 
  
          RELEASE POSSIBLE RECEIVED INPUT BUFFER(S) WHILE AWAITING
          THE INITIAL ENQ.
  
          HJB            02/11/81       HASPTIP 
  
CC4B790  MODE 4 TIP TURNS CR ON FOR ABORT CR. 
  
         FIX CODE TO PROCESS ABORT CR WITHOUT TURNING THE CARD
         READER ON. 
  
         NO DEPENDENCIES
  
         EPL             02/04/81       MODE4TIP
  
         SRN=XXXX 
  
 CC4B791  PM CAUSES NPU HALT. 
  
          THE MODE 4 TIP IS NOT STORING THE LAST CHAR. DISPLACEMENT 
          FOR PM MESSAGES.  THIS CODE STORES THE LCD FOR PM MESSAGES. 
  
          NO DEPENDENCIES 
  
  
          EPL            02/09/81       R6M4O1,MODE4TIP 
  
          SRN=NE5684
  
 CC4B788  HALT C WHEN MODE 4 IS LOGGED INTO LOP.
  
          THE MODE 4 TIP CALLS THE IVT CMD PROCESSOR INCORRECTLY. 
          THE SOLUTION IS TO REVERSE THE CALLING PARAMETERS.
  
          NO DEPENDENCIES 
  
          EPL            02/12/81       MODE4TIP
  
          SRN=NE5676
  
  CC4B813 FIRST CHARACTER OF TRANSPARENT AUTOINPUT IS LOST
  
          BIP ADJUSTS FOR FORMAT EFFECTOR PRESENT EVEN THOUGH DATA
          IS TRANSPARENT.  SOLUTION IS TO ADD A CHECK FOR TRANSPARENCY. 
  
          NO DEPENDENCIES 
  
          WMH           02-26-81            PBULTS
 CC4B812  BSC TERMINAL GETS HUNG DOING INPUT OR OUTPUT. 
  
          THE SOLUTION IS IN A FEW PARTS: 
          1.  THE MODEM STATES MUST BE SET TO INPUT WHEN WE RECEIVE THE 
              FIRST SYNC FROM THE CLA.
          2.  THE INPUT STATES MUST ALLOW FOR GRAPHICS PRECEDING SOME 
              MESSAGES (ACK0, ENQ, NAK).
          3.  THE ENABLE LINE LOGIC MUST SET UP THE LCB TO TERMINATE
              BOTH INPUT AND OUTPUT ON A LINE TIMEOUT.
          4.  REINITIALIZE RETRY COUNTERS AFTER SIXTY TRYS SO THE 
              CE ERROR FILE DOES NOT GET FLOODED. 
          5.  IF TERMINAL RESPONDS WITH WACK TO REQUEST TO TRANSMIT 
              TREAT AS IF HE NAKED US.
          6.  CHANGE PTS2ERROR TO  ABORT OUTPUT IF RETRYS REACH 
              DEFINED LIMIT 
          7.  SEND EOT TO TERMINAL IF MORE DATA FOLLOWS AN ETX BLOCK
          8.  SET INPUT AND RESPONSE TIMERS FOR THOSE CONDITIONS WHERE
              TERMINAL MIGHT NOT RESPOND, IN OTHER WORDS WE'RE HUNG.
          9.  MAKE LISTING A LITTLE MORE READABLE.
  
          NO DEPENDENCIES 
  
          WMH/HSN        02/19/81       BSCL2I, BSCLV2
  
 CC40248  A CLEAR SCREEN FORMAT EFFECTOR CLOBBERS ASYNC TIP DATA
          WHICH FOLLOWS IMMEDIATELY AT 9600 BAUD. 
  
          SOLUTION IS TO SEND NULL DATA WITH CLEAR SCREEN FE, DELAY 
          FOR ONE SECOND,  THEN SEND DATA WITH A NULL FE. 
  
          THIS PSR DEPENDS ON THE R9A VERSION OF ASYNC TIP
  
          VCM            06/21/80       ASYNCTIP,ASYNCLCB 
  
          SRN = UVA527
  
 CC4B317  DOWNLINE *CR* OVERWRITES DATA ON A 756 TERMINAL (TC=7). 
  
          THE 756 TERMINAL USES A CHARACTER POSITION TO DISPLAY THE 
          CURSOR.  WHEN CCP SENDS A CR/LF SEQUENCE THE CR OVERWRITES
          THE FIRST CHARACTER OF THE INPUT LINE.
  
          THE SOLUTION IS TO SEND THE *LF* FIRST THEN THE *CR*. 
  
          THIS CODE DEPENDS ON THE R9A RELEASE OF THE ASYNC TIP.
  
          JWT           02-20-81       VALASYNC 
  
 CC4B775A INTERACTIVE DATA TERMINATED BY A LINE FEED CHARACTER IS SENT
          TO THE HOST IN A MSG TYPE BLOCK INSTEAD OF A BLK TYPE BLOCK.
  
          DEFINE A NEW BIP INTERFACE BIT IN THE INTERFACE WORD SO THAT
          A TIP CAN INSTRUCT BIP TO TRANSMIT DATA AS A BLK TYPE BLOCK.
  
          NO DEPENDENCIES 
  
          WMH/HSN          02/25/81       FCPRUB, ASYNCTIP, PBULTS
  
 CC4B805  SECOND ATTEMPT TO READ /*CONFIG MAY FAIL FOR HASP 
  
          FCS BITS NOT TURNED ON UNTIL /*CONFIG PROCESS COMPLETED 
  
          TURN FCS BITS FOR CARD READERS RIGHT AFTER THE SIGNON CARD
          IS RECEIVED.
  
          HJB            02/19/81       HASPTIP 
  
 CC4B784  MODE 4 BANNER IS INCORRECT WITH TVF.
  
          THE MODE 4 INTERACTIVE TEXT PROCESSING IS INCORRECT WHEN
          FORMAT EFFECTORS ARE NOT PRESENT.  INITIALIZE THE COLUMN
          BEFORE PROCESSING DATA. ALSO ELIMINATE INITIALIZING THE 
          FCD OF A FRAGMENTED DATA BUFFER WHEN IN PAGE WAIT.
  
          NO DEPENDENCIES 
  
          EPL            02/16/81       R6M4O2,MODE4TIP 
  
          SRN=NE5673
  
 CC4B803  MODE 4 TEXT PROCESSOR HALT 9. 
  
          THE MODE 4 TIP FAILS WHEN PROCESSING AN EMPTY EOI BLOCK.
          THE SOLUTION IS TO EXIT THE TEXT PROCESSOR WHEN AT END OF 
          SOURCE AND THE STATE IS HEADER BUILD. 
  
          NO DEPENDENCIES 
  
          EPL            02/18/81      R6M4O1 
  
          SRN=5695
  
 CC4B828  HASP AND BSC TERMINALS DO NOT RESPOND TO IVT INPUT
  
          MODIFY BIP TO CALL DOWNLINE TIP SERVICES TO TEXT
          PROCESS IVT RESPONSES AND PLACE THEM IN QUEUE.
  
          NO DEPENDENCIES 
  
          WMH/HSN        03/02/81       PBULTS, PBTRNSFR, PBDLTS
  
 CC4B835  BIP SENDS BACKS WHEN BACKS ARE NOT DUE. 
  
          BIP DOES NOT CLEAR THE UP AND DOWN-LINE QUEUES
          ON A TCB INIT.  THIS CAUSES A BACK TO BE SENT 
          BECAUSE THE COUNT IS NOT CLEARED. 
  
          THE UPLINE INIT COMMAND IS CHANGED TO CALL PURGE
          QUEUE AND CLEAR THE BACKS DUE COUNT.
  
          JWT           03-09-81       PBBPM, PBQUEMAIN 
  
 CC4B846  INVALID RESOPNSE TO *ESC* E  RECEVIED.
  
          BIP SENDS MESSAGE ACCEPTED TO USER INTERRUPT
          COMMANDS.  BIP ALSO DOES NOT CLEAR THE USER 
          INTERRUPT OUTSTANDING FLAG WHEN AN APPLICATION
          FAILS.
  
          THE *ACCEPTED * MESSAGE IS NOT SENT FOR USER
          INTERRUPT COMMANDS.  THE INIT COMMAND IS USED 
          TO CLEAR THE INTERRUPT OUTSTANDING FLAG.
  
          JWT           03-18-81       PBBPM, PBULTS
  
          SRN = NSDS 020630 
  
 CC4B787  NPU HALT E WHILE RUNNING ON LINE DIAGNOSTICS. 
  
          THE SERVICE MODULE ROUTINE FOR OVERLAY CONTROL
          USES THE ROUTINES PNRVRSE AND PNSMDISP WHICH ARE
          ON ANOTHER PAGE. IN ADDITION, THE OVERLAY AREA FOR ONLINE 
          DIAGNOSTICS IS BEING OVERFLOWED DUE TO THE UNCONDITIONAL
          ASSEMBLY OF THE BISYNC GLOBALS. 
  
          THE ROUTINES *PNRVRSE* AND *PNSMDISP* ARE MADE
          NON PAGEABLE. BISYNC GLOBALS IN COMDECK *VARUSER* 
          ARE MOVED TO A NEW COMDECK *VARBSC*. THE NEW COMDECK IS 
          CALLED FROM *VARUSER* BASED ON THE DEFINITION OF SYMBOL 
          *BSC*.
  
          JWT/HSN       02-19-81       ALSMOD,VARUSER,BSCLV2,VARBSC 
  
          SRN = NE5678
  
 CC4B829  BSC TIP DOES NOT RESPOND TO ABORT INPUT CAUSING INPUT 
          PATH TO BE HUNG.
  
          FORCE THE BSC TIP TO CALL PBULTS AND INITIATE SENDING OF
          AN ACCOUNTING DATA COMMAND. 
  
          NO DEPENDENCIES 
  
          HSN/WMH        03/13/81       BSCTIP,HASPTIP
  
CC4B858   HASP PRINTER OR PUNCH OUTPUT GETS MESSED UP IF LINE FOLD
          OCCURS FOLLOWING A BLANK OR TWO BLANKS AT START OF STRING 
          E.G. SEQUENCE = AAAAA(BLANK)(LINEFOLD)BCD(ETC)
  
          EXTRANEOUS SCB WAS BEING LEFT AT END OF LINE IN THIS PARTICULA
          SITUATION.  SOLUTION IS TO CHECK FOR EMPTY UNCOMPRESSED STRING
  
          NO DEPENDENCIES 
  
          WMH            03/20/81       HASPOTXP
  
 CC4B818  CCP TRIPLE BUFFERS TRANSMIT BLOCKS INSTEAD OF DOUBLE
          BUFFERING.
  
          THE NUMBER OF XMIT BLOCKS DOES NOT COUNT THE BLOCK
          CURRENTLY BEING XMITTED.  THIS CAUSES TRIPLE BUFFERING
          AND WASTES BUFFER SPACE.
  
          THE CONTROL VARIABLE IS SET TO 1
  
          JWT           03-01-81       SVM, PBQUEMAIN 
  
 CC4B806  PTCLAS CLA STATUS HANDLER DOES NOT PROCESS UNSTABLE LINE
          STATUS CORRECTLY. 
  
          THE UNSTABLE LINE STATUS CASE SET THE RESULT TO FALSE 
          WHICH WAS ALREADY SET INITIALLY BY PTCLAS.
  
          DELETE SETTING CONDITION CODE TO FALSE. 
  
          DCM           02-20-81       PTCLAS 
  
          SRN = DCM101
  
 CC4B831  CIB WRAP CAUSED BY NOT CLEARING NASPILL 
  
          THE *NASPILL* FIELD IS NOT CLEARED WHEN A COMMAND 
          WORD CONTAINS AN *ISON* PARAMETER.  THIS CAUSES CLA 
          STATUS OVERFLOW NOT TO BE DETECTED THUS PRODUCING 
          A HALT 6. 
  
          CLEAR NASPILL ON ALL I/O CALLS WHERE ISON IS SET. 
  
          THIS PSR IS DEPENDENT ON CCB0023
  
          JWT           03-12-81       PMCOIN 
  
 CC4B712  PRU PERFORMANCE ENHANCEMENT 
  
          *CREATE A NEW STATE INSTRUCTION,OPCODE 041F,
           THAT WILL DECODE A BLANK(2D), A ZERO(1B),OR AN EOL(FF).
           IF NON OF THE ABOVE CHARACTERS ARE RECOGNIZED,A DECC1
           INSTRUCTION IS EXECUTED. 
           STATE PROGRAM CONTROL IS RETURNED TO P+1 FOR A BLANK,
           P+2 FOR A ZERO,P+3 FOR AN EOL,P+4 FOR CHARACTER NOT
           RECOGNIZED AND COUNTER 1 NON ZERO,AND P+5 FOR COUNTER ZERO.
          *INCLUDED CODE TO PREVENT MACRO INTERRUPTS AT PBHALT. 
          *REMOVE USELESS OUTPUT ON OUTPUT MF CODE TO PROVIDE 
           SPACE FOR NEW INSTRUCTION. 
  
          DEPENDENT ON CCB0023
  
          JAL            03/19/81       MF
                                        MUXMACROS 
                                        PIFR1 
  
          SRN=STAOPS
  
 CC4B865  BAD RESPONSE TO RECONFIGURE TCB AFTER CONNECT.
  
          CS SENDS A TERMINAL CLASS THE SAME AS THE PREVIOUS. 
          AFTER A TERMINAL CONNECT WHICH CAUSES A BAD RESPONSE FROM CCP.
  
          THIS CHANGE WILL ALLOW A CHANGE TO THE SAME TERMINAL CLASS. 
  
          NO DEPENDENCIES 
  
          EPL            03/30/81       SVM 
  
 CC4B817  THE MODE 4C TERMINAL FAILURE AND RECOVERY DOESN'T WORK. 
  
          THE RECOVERY LOGIC FOR MODE 4 TERMINALS DOES NOT DELAY
          BETWEEN ATTEMPTS. THIS CODE ADDS A DELAY. IT ALSO CHANGES 
          THE RETRY LOGIC WHEN THE LINE IS BEING DISABLED OR TERMINAL 
          IS IN LONG TERM ERROR RECOVERY. 
  
          NO DEPENDENCIES 
  
          EPL            02/27/81       MODE4TIP
  
          SRN=PRU 
  
 CC4B822  MODE4 PAGING HAS PROBLEMS.
  
          THE PROBLEMS NOTED ARE LISTED BELOW.
  
            1. PAGE WAIT IS SOMETIMES IGNORED (DOES NOT STOP).
  
            2. PAGE WAIT OCCURS AT THE PAGE LENGTH INSTEAD OF PL-1. 
  
            3. THE LAST LINE OF A PAGE HAS PW-1 CHARACTERS. 
  
            4. THE PAGE TURN PROMPT CHAR. IS FORWARDED TO THE 
               APPLICATION. 
  
          NO DEPENDENCIES 
  
          EPL            03/04/81       MODE4TIP,R6M6O2 
  
 CC4B851  NPU HALT E WHILE PRINTING MODE 4 A. 
  
          HALT E CAUSED BY TRANSMISSION BLOCKS OUT OF ORDER IN
          THE OUTPUT QUEUE.  THE CALL TO QUEUE MAINTENANCE FOR
          ABNORMAL RETURN OF A BLOCK HAD INCORRECT PARAMETERS.
  
          NO DEPENDENCIES 
  
          EPL/JWT        03/17/81       MODE4TIP
  
          SRN=020660
  
 CC4B772  MODE 4 DOES NOT STOP POLLING AFTER INPUT IS RECEIVED. 
  
          THE MODE 4 TIP SHOULD STOP POLLING AFTER RECEIVING INPUT
          IN ORDER TO ALLOW THE HOST TO SEND OUTPUT.  THIS IS 
          ESPICALLY NEEDED IN A TRANSACTION ENVIROMENT. 
  
          HJB           02-09-81       MODE4TIP 
  
 CC4B679  X25 PAD SHOULD ACCEPT IVT *OP* CMD WHICH SELECTS OUTPUT 
          DEVICE AND IVT *DL* CMD WHICH SETS THE TRANSPARENT
          DELIMITER CHARACTER.
  
          CHANGE MPEDIT TO SET THE NEW VALUE IN TCB INSTEAD 
          OF SENDING THE ABNORMAL RESPONSE TO THE USER TERMINAL.
  
          NO DEPENDENCY 
  
          NN             10/06/80       SVMZAP
                                        PARSER
  
          SRN = CC4B679 
  
 CC4B659  NO LINE FEED WAS INSERTED AFTER ASSIGNING THE APPLICATION 
          DURING THE LOG-IN SEQUENCE.  THIS CAUSES THE TERMINAL 
          CONNECTION NUMBER MESSAGE TO OVERWRITE THE CURRENT LINE.
          THE PAD SUBTIP CLEARS A FLAG WHICH REMEMBERS THEM SENDING 
          OF AN EXTRA LINE FEED BEFORE THE DATA WHEN CS SENDS A 
          RECONFIGURE TERMINAL MESSAGE TO CCP WHEN SWITCHING
          THE HOST APPLICATION. 
  
          CLEAR THE FLAG ONLY WHEN THE TERMINAL IS RECONFIGURED WITH
          TERMINAL CONNECTION NUMBER OF ZERO. 
  
          NO PSR DEPENDENCY 
  
          NN             10/01/80       X25PAD
  
          SRN = CC4B659 
  
 CC4B704  WHILE PAD SUBTIP IS IN PAGING OR PAGE WAIT MODE, PAD SUBTIP 
          OUTPUTS THE DATA ON THE CURRENT LINE IF THE LAST EVENT WAS
          INPUT AND AT THE TOP OF PAGE CONDITION. 
          OUTPUT STATE PROGRAM CHECKS FOR THE EXTRA LINE FEED FLAG
          IF IT SEES THE POST PRINT FORMAT EFFECTOR.
  
          CHECKS THE FLAG WHICH SENDS THE EXTRA LINE FEED IF THE
          TOP OF PAGE AND THE LAST EVENT WAS INPUT. 
  
          PSR DEPENDENCY - FCXPADF (CC4B554)
  
          NN             10/02/80       PADOUTP 
  
          SRN = CC4B704 
  
 CC4B705  PAD SUBTIP DOES NOT PROCESS THE OUTPUT DATA CORRECTLY 
          WHEN THE VALUE OF THE PAGE LENGTH IS NON ZERO AND 
          THE VALUE OF THE PAGE WIDTH IS SET LESS THAN THE NUMBER 
          OF DATA CHARACTERS IN THE LOGICAL LINE. 
  
          SETTING THE END OF PAGE FLAG IN THE TPCMPR INSTRUCTION
          CAUSED TEXT PROCESSING STATE TO JUMP AND EXCUTE WRONG 
          INSTRUCTION.
  
          MOVE THE SET MUX FLAG INSTRUCTION OUT OF TPCMPR INSTRUCTION.
  
          PSR DEPENDENCY - FCXPADF (CC4B554)
  
          NN             10/08/80       PADOUTP 
  
          SRN = CC4B705 
  
 CC4B678  X25 PAD SUBTIP REPEATS LINES IF THE PAGE WAIT OPTION SET. 
          PAD RESETS THE CURRENT BUFFER FCD BEFORE GOING INTO THE 
          OUTPUT TEXT PROCESSING STATE. 
  
          SET BUFFER FCD TO THE BEGINNING OF DATA AT HIGHER LEVEL 
          OF PROGRAM SO THAT CURRENT FCD WILL NOT BE DESTROYED. 
  
          NO DEPENDENCY 
  
          NN             10/24/80       X25PAD
  
          SRN = CC4B678 
  
 CC4B714  TELENET CHANGED THE VALUES OF THEIR ERROR CODES.
  
          UPDATE X25NETDEFS FOR TELENET AS PER OCTOBER,1 1980.
  
          NO DEPENDENCIES 
  
          CAM            09/30/80       X25NETDEF 
  
          SRN = CC4B714 
  
 CC4B713  WHEN UNABLE TO COMPLETE THE INITIAL DISCONNECT
          SEQUENCE, X25 ISSUES A MEANINGLESS ALARM. 
  
          CODE IS CHANGED TO ISSUE THE FOLLOWING MESSAGE. 
             ---X25 NETWORK DOWN ON PORT XX---
  
          NO DEPENDENCIES 
  
          CAM            10/02/80       X25LVL2 
  
          SRN = CC4B713 
  
 CC4B795  THE INTERFACE BETWEEN THE 100 MS TIMER AND TIP-S WAS CHANGED
          FOR THE PRU CAUSED THE X25 LINK LEVEL INITIALIZATION TO FAIL. 
  
          1) USE THE SECOND WORD OF THE INCOMING WORKLIST AS A LINE 
             NUMBER INSTED OF A TIMER PACKET POINTER. 
          2) CHANGE X25TIP TO GET SUB TIP CONNECTION TYPE FROM
             *USERBYTE* IN A TIMER PACKET INSTED OF *USER 2 FIELD*. 
          3) CHANGE PAD SUB TIP TO GET THE TIMER PACKET POINTER FROM
             THE SECOND WORD OF INCOMING WORKLIST.
  
          NN               02/02/81               X25LVL2 
                                                  X25TIP
                                                  X25PAD
  
          PSRCODE DEPENDENCY  :  PSR ID CC4B756 
                                     ID CONTIMER
                                     ID TYPTIMER
                                     ID VARTIMER
                                     ID PBTMRSRVS 
                                     ID PITMRSRVS 
  
          SRN = CC4B795 
  
 CC4B796  X25 LEVEL 2 PRIMARY STATE NOT HANDLED CORRECTLY WHEN LEVEL 2
          IS IN RECOVERY STATE, AN INBOUND I FRAME ACKS THE TIMED 
          OUT FRAME (ONLY RR,RNR,REJ SHOULD DO IT). 
          WHEN RECEIVING A REJECT, TIMER T1 MAY BE STOPPED, HANGING THE 
          LINE. 
  
          CONTENTION BETWEEN THE T1 TIMER EXPIRATION AND OBT INTERRUPT
          IF T1 EXPIRES WHILE OUTPUT IS IN PROGRESS, OUTPUT MAY BE
          STOPPED.
  
          CAM/NN         03/03/80       X25LVL2 
  
          PSR CODE DEPENDENCY : NONE
  
          SRN = CC4B796 
  
 CC4B799  THE X25 CONNECTION (TERMINAL) DISCONNECTED WHEN THE TELENET 
          SENDS THE *RESET REQUEST PACKET* TO X25 TIP.
  
          ADDING THE RESET LOGIC TO RESPOND *RESET CONFIRMATION PACKET* 
          INSTED OF RESPONDING WITH *CLEAR REQUEST PACKET*. 
  
          CAM            02/13/81       X25LVL3 
                                        X25NETDEF 
  
  
          PSR DEPENDENCY : NONE 
  
          SRN = CC4B799 
  
 CC4B838  X25 LEVEL 2 DOES NOT FORMAT AN ALARM MESSAGE CORRECTLY. 
  
          PROBLEM IS CORRECTED BY GETTING THE FRAME HEADER FROM THE 
          30TH WORD IN THE BUFFER, WHEN LEVEL 2 FORMATING THE MESSAGE.
  
          NN              02/20/81       X25LVL2
  
          PSR DEPENDENCIES : NONE 
  
          SRN = CC4B838 
  
 CC4B839  THE X25 LEVEL 2 INPUT STATE CLOBBER THE LOW CORE.  THE INPUT
          STATE RECEIVES PARITY ERRORS OR DATA TRANSFER OVERRUNS
          WHILE NO DATA WAS STORED IN THE BUFFER. 
  
          PROBLEM IS CORRECTED BY ADDING A NEW STATE AND THIS STATE 
          TO BE THE NORMAL INPUT STATE. 
  
          HJB/NN          02/20/81       X25IST 
  
          PSR DEPENDENCIES : NONE 
  
          SRN = CC4B839 
  
 CC4B840  WHEN THE X25 LINE FAILS AND THE TERMINAL CONNECT SERVICE
          IS OUTSTANDING THE NPU HALTS WITH THE HALT CODE OF *E*. 
  
          PROBLEM IS CORRECTED BY NOT CLEARING THE TCB POINTER IN 
          LCCB WHEN THE LINE FAILS.  THE TCB POINTER SHOULD ONLY
          BE CLEARED WHEN TCB IS DELETED. 
  
          NN              02/20/81       X25LVL3
  
          PSR DEPENDENCIES : NONE 
  
          SRN = CC4B840 
  
 CC4B841  X25 LEVEL 2 DOES NOT RELEASE FRAMES WHICH WERE READY TO 
          SEND TO THE NETWORK WHEN THE LINK BECOMES INOPERATIVE.
  
          CAM            02/20/80       X25LVL2 
  
          PSR CODE DEPENDENCY : NONE
  
          SRN = CC4B841 
  
 CC4B844  X25 TIP RECEIVED THE UNKNOWN LOGICAL CHANNEL NUMBER CAUSED
          X25 LEVEL 3 TO BRING LINE DOWN. 
  
          PROBLEM SHOULD BE FIXED BY THE TELENET FOR SENDING THE
          UNKNOWN LOGICAL CHANNEL NUMBER.  X25 TIP WILL BE IGNORE 
          THE PACKET WHICH HAS THE UNKNOWN LOGICAL CHANNEL NUMBER.
          THEN THE MESSAGE WILL BE SENT TO THE NAM DAYFILE. 
  
          NN              03/10/81       X25LVL3
  
          PSR DEPENDENCIES : NONE 
  
          SRN = CC4B844 
  
 CC4B862  RECEVING *ODD TIMEOUT WORKLIST* WHILE X25 TIP IS WAITING FOR
          *OBT* RESPONSE CAUSES X25 LINE TO HUNG. 
  
          PROBLEM IS CORRECTED BY RESETTING THE OUTPUT OUTSTANDING FLAG 
          *BZOON* JUST BEFORE TIP TRY TO BRING THE LINK UP. 
  
          NN              03/16/81       X25LVL2
  
          PSR DEPENDENCIES : NONE 
  
          SRN = CC4B862 
  
 CC4B863  X25 TIP DOES NOT RELEASE 2 8 WORD BUFFERS WHICH ARE USED
          FOR THE T1 TIMER AND THE X25 BUFFER REGULATION TIMER WHEN 
          THE X25 LINE IS DELETED.
  
          PROBLEM IS CORRECTED BY RELEASEING THE 8 WORD BUFFERS IF
          SERVICE MODULE REQUESTS TO DELETE LINE (*A0SMDA*) WHICH IS
          THE ONLY CASE THAT X25 SUB LCB IS DELETED.
  
          NN              03/18/81       X25LVL2
  
          PSR DEPENDENCIES : CC4B795
  
          SRN = CC4B863 
  
 *L543*    ************************************************ 
 CC4*81   UPDATE COPYRIGHT NOTICE FOR 1981
  
          JGS            04/29/81       LABEL,VALUE,ZD30
  
 CC4B798  HALT 9
  
          RAPID AND REPEATED DTO CLA STATUSES ON ASYNC LINE, WITH CR AS 
          CURRENT CHARACTER, NEGATES CLA STATUS OVERFLOW LOGIC (IN THE
          MICROCODE) CAUSING LARGE ENOUGH NUMBER OF MUX AND ASYNC 
          TIP WORKLISTS ENTRIES TO BE GENERATED TO EXHAUST 16-WORD
          BUFFER SPACE. 
  
          ON ASYNC LINE, IF DTO CLA STATUS, CONSIDER CURRENT CHARACTER
          TO BE A NULL. 
  
          JN             05/07/81       REL4ASY 
 CC4B845  X25 LEVEL 2 DOES NOT STOP THE T1 TIMER WHEN X25 RECEIVED
          THE REJECT PACKET FRON THE NETWORK. 
  
          PROBLEM IS CORRECTED BY STOPPING THE T1 TIMER RECEIPT OF
          THE REJECT PACKET.
  
          NN              04/08/81       X25LVL2
  
          PSR DEPENDENCIES : NONE 
  
          SRN = CC4B845 
  
 CC4B860  NPU HALT 9 - OUT OF WORKLIST BUFFERS. 
  
          THE NPU STOPPED WITH A HALT 0 WHICH IS IN FACT
          A HALT 9.  THE 16 WORD BUFFER POOL IS EMPTY DUE TO
          A LARGE NUMBER OF PARITY ERROR WORKLISTS. 
  
          SINCE THE PARITY ERROR CE CODE IS NO LONGER SUPPORTED 
          THE REPORTING OF PARITY ERROR TO OPERATING SYSTEM 
          IS DELETED.  THIS DOES NOT AFFECT THE CALL TO THE USER
          TIP AT STATE 0 ON A PARITY ERROR. 
  
          THERE ARE NO DEPENDENCIES.
  
          JWT           04-29-81       MODMSTP
  
          SRN = Z8282 
  
 CC4B867  MODE4 PAGING SOMETIMES PRINTS WRONG NUMBER OF LINES.
  
          THIS CODE SAVES THE LINES REMAINING COUNT AFTER ALL 
          OUTPUT TO THE SCREEN. 
  
          DEPENDENT ON PRU
  
          EPL            04/06/81       MODE4TIP
  
 CC4B869  THE MODE4 TRANSPARENT OUTPUT IS DISCARDED.
  
          THIS CODE CHANGES THE STATE TABLE SO DATA WILL
          NOT BE DISCARDED. 
  
          DEPENDENT ON PRU
  
          EPL            04/07/81       R6M4O2
  
 CC4B870  THE MODE4 CONSOLE OUTPUT LOSES ONE CHAR. AFTER A "BELL".
  
          THIS CODE FIXES THE PROBLEM.
  
          DEPENDENT ON PRU
  
          EPL            04/05/81       R6M4O1
  
 CC4B872  THE MODE4 TIP DOES NOT HANDLE FE'S CORRECTLY. 
  
          THE PROBLEM WAS CAUSING THE RBF HEADER TO BE OUTPUT 
          WITHOUT A CLEAR WRITE.  THIS CODE FIXES THE PROBLEM.
  
          DEPENDENT ON PRU
  
          EPL            04/06/81       R6M4O2
  
 CC4B873  LOWER CASE ON MODE 4C DOESN'T WORK WHEN IN ASCII. 
  
          MODE 4C WAS ALWAYS TRANSLATING INPUT CHARACTERS.
          THIS CODE TURNS OF INPUT TRANSLATION FOR MODE 4C SO 
          UPPER AND LOWER CASE CHARATERS WILL BE SENT UPLINE. 
  
          DEPENDENT ON PRU
  
          EPL/JWT        04/05/81       MODE4TIP
  
 CC4B876  DOUBLE ESCAPE-E CAUSES GARBAGE OUTPUT TO BE SENT TO ASYNC 
          TERMINAL. 
  
          IF NO DESTINATION BUFFER IS GENERATED DURING TEXT-PROCESSING
          THE ASYNCTIP GETS A BUFFER, BUT FORGETS TO INSERT THE 
          LCD AND THE FCD.
  
          INSERT EMPTY BUFFER LCD/FCD IN SAID BUFFER
  
          HJB            04/21/81       ASYNCTIP
  
 CC4B878  X25 PAD SUBTIP DOES NOT TAKE *CTRL-C (ETX)* OR *CTRL-S (DC3)* 
          AS THE IVT CONTROL CHARACTER. 
  
          PAD SUBTIP ACCEPTS WHEN THE USER SET ETX OR DC3 AS THE IVT
          CONTROL CHARACTER BUT WHEN THE USER TRIED TO USE ONE OF THEM
          AS THE IVT CONTROL CHARACTER, PAD SUBTIP DISCARDS IT. 
  
          PROBLEM IS CORRECTED BY NOT DISCARD THE CHARACTER AND LET 
          *BIP* DETERMINES THE TYPE OF DATA.
  
  
          NN              05/05/81       PADINTP
  
          PSR DEPENDENCIES : NONE 
  
          SRN = CC4B878 
  
 CC4B884  IVT COMMANDS AND USER BREAKS NOT RECOGNIZED WHILE 
          UPLINE AUTO-INPUT OUTSTANDING.
          UPLINE IVT BLOCK ARE TO LARGE (150 * NR PRU IN PRUB). 
          PERFORM VARIOUS SPACE OPTIMIZATIONS FOR BIP.
          USER INTERRUPT CAUSES OVERPRINT ON ASYNC TERMINALS IF 
          ENTERED WHILE OUTPUTTING. 
  
          BIP IS PROCESSING AUTO-INPUT BEFORE RECOGNIZING IVT 
          COMMANDS AND USER BREAKS. 
  
          PROCESS POSSIBLE AUTO-INPUT AFTER IVT PROCESSING AND
          TERMINATE AUTO-INPUT UPON RECOGNITION OF USER BREAK 
          OR CANCEL SEQUENCE. 
  
          HJB            04/20/81       PBULTS
  
 CC4B884A ACCEPTED.. MSG SHORTENED
  
          CHANGE MSG BACK TO ITS ORIGINAL FORM. 
  
          HJB            05/07/81       PBULTS
  
 CC4B886  ASYNCTIP ROUTINE DOES NOT RETURN CORRECT BOOLEAN. 
          HALT A CAUSED BY REENTRANCY PROBLEM ON DL IVT COMMAND.
          CODE FOR PSR CC40363 CAUSES TIP TO WORK WITH ZERO BUFFER. 
          ASYNC ROUTINE AFREGAFTERINPUT DOESNOT RETURN THE BOOLEAN
          FUNCTION AT ALL, CAUSING INPUT TO BE PURGED.
  
          RETURN CORRECT BOOLEAN (FROM ROUTINE AFIOTERM). 
          FIX REENTRANCY PROBLEM (IN ROUTINE APGETOUTPUT).
          RELEASE DL IVT COMMAND BUFFER IN PGIVTCMD ROUTINE.
          FIX BAD CODE FOR PSR40363 (IN ROUTINE APIOCHECK). 
  
          HJB            04/20/81       ASYNCTIP,PTIVTCMD,
                                        MODE4TIP,PBULTS 
  
 CC4B891  NPU FAILED WITH A HALT CODE 7.
  
          THE MODEM STATE PROGRAM CAUSES A JUMP TO ZERO ON A DCD
          DROPPED CONDITION.  THE INPUT STATE TABLE ADDRESS IS NOT
          SET UP BY THE LINE INITIALIZER DUE TO THE FACT THAT THE 
          MODE 4 TIP DID NOT INITIALIZE THE *NJTECT* TABLE.  THIS 
          PROBLEM WAS ORIGINALLY FOUND AND CORRECTED IN RELEASE 4 
          UNDER THE IDENT OF CC40091. 
  
          THE SIX *NJTECT* TABLES FOR MODE 4 ARE CHANGED TO INITIALLY 
          POINT TO THE AUTO REC STATE TABLE.
  
          THIS PSR IS DEPENDENT ON THE PRU RELEASE OF CCP.
  
          JWT          04-29-81      ZEXMD4 
  
          SRN = WM00038 
  
 CC4B896  X25 LEVEL 2 RELEASES THE OUTPUT BUFFER WHILE FM IS DOING
          OUTPUT. 
  
          WHILE LEVEL 2 IS IN THE RECOVERLY STATE AND ONE FRAME IS
          OUTSTANDING.  THE LEVEL 2 SENDS THE SECOND RETRANSMITTION 
          FRAME TOO SOON CAUSES THE CONTENTION PROBLEM. 
  
          PROBLEM IS CORRECTED BY CHECKING *T1TIMER* AND *L2GDFRM*
          INSTED OF *T1TIMER* AND *L2OBT* WHEN LEVEL 2 TRIES FOR
          NEXT OUTPUT.
  
          NN              05/01/81       X25LVL2
  
          PSR DEPENDENCIES : CC4B796
  
          SRN = CC4B896 
  
 CC4B899  X25 PAD SUBTIP HALTS WITH HALT CODES OF *A* OR *E*
          WHEN PADTIP TRIES TO PROCESS MORE THEN 2 INCOMING PACKETS 
          (M-BIT SET IN ALL THE PACKETS) AT THE SAME TIME.
  
          PROBLEM IS CORRECTED BY CHECKING THE CHAIN BUFFER POINTER 
          OF THE SOURCE PACKETS WITH THE CURRENT SOURCE BUFFER
          POINTER INSTED OF CHECKING WITH THE NIL POINTER.
  
          NN              04/20/81       X25PAD 
  
          PSR DEPENDENCIES : NONE 
  
          SRN = CC4B899 
  
 CC4B901  CANCEL CHARACTER CAUSES ERRONEOUS MESSAGE ON MODE 4 TERM. 
  
          THE MODE4TIP TREATS THE CHARACTER FOLLOWING A CR AS A 
          FORMAT EFFECTOR.
  
          DONT DO THAT. 
  
          HJB            04/29/81       R6M4O2
  
 CC4B889  %PL CALCULATIONS INCORRECT FOR MODE4 WHEN LINE FOLDING. 
  
          THE MODE 4 TIP HAS PROBLEMS WITH THE BLANKFILL AND CHECKING 
          FOR US WHEN DOING LINE FOLDING.  THESE PROBLEMS HAVE BEEN 
          CORRECTED.
  
          SRN=000036
  
          EPL            05/18/81       R6M402
  
 CC4B902  IVT COMMANDS ON MODE4 TERMINALS LOSE BLANKFILL. 
  
          IVT RESPONSE IS USED TO REPLACE BLANKFILL.
  
          DONT DO THAT. 
  
          HJB            05/04/81       MODE4TIP
  
 CC4B905  CNTRL-E USED TO BREAK OUTPUT CAUSES OVERPRINTING. 
  
          NO LF ISSUED AFTER RECEPTION OF CR TERMINATING IVT COMMAND. 
  
          FIX IT (IN THE ASYNCTIP)
  
          HJB            04/29/81       ASYNCTIP,PBULTS 
  
 CC4B906  ECHOPLEX CAUSES GARBAGE AT END OF OUTPUT LINE.
          ECHOPLEX IS NOT TURNED ON IF INPUT BREAKS ACTIVE OUTPUT.
  
          ECHOPLEX DELAY IS NOT PERFORMED AFTER DL DATA.
  
          FIX IT
  
          HJB            05/15/81       ASYNCTIP
  
 CC4B909  HALT A WHEN ENTERING MANY CONSECUTIVE IVT COMMANDS
          AT A HIGH FREQUENCY.
  
          BAD QUEUEING LOGIC OF IVT COMMANDS IN SPECIAL-EDIT MODE.
  
          FIX IT
  
          HJB            04/27/81       ASYNCTIP
  
 CC4B909A HALT A WHEN ENTERING SECOND IVT CMD WITHIN 200 MSEC 
          DURING SPECIAL EDIT MODE. 
  
          ROUTINE AFIVTCMD ADDS IVT COMMAND TO QUEUE, WHILE IT
          IS ADDED TO THE SAME QUEUE FOR A SECOND TIME LATER. 
  
          REWRITE AFIVTCMD TO PREVENT A SECOND ADD TO THE QUEUE.
  
          HJB            05/07/81       ASYNCTIP
  
 CC4B910  PRU BUILD WITH X25 AND X25DEBUG DEFINED CAUSES PASCAL ERROR.
  
          INTERFACE BETWEEN TIP AND INTERNAL PROCESSING PROCEDURE 
          (BIP ROUTINE) HAS BEEN CHANGED. 
  
          CHANGE THE PROCEDURE CALLS FROM *PBPROPOI* TO *PBQUEMAINT*
          WHEN TIP TRIES TO GET THE DOWNLINE NETWORK BLOCK FROM 
          *BSQPTR* AND *PBPIPOI* TO *PBULTS* WHEN TIP IS READY TO 
          SEND THE UPLINE DATA TO HAST. 
  
          NN              03/27/81       X25USRTIP
                                         X25PADD3 
                                         X25NTSD3 
                                         X25NTSD4 
  
          PSR DEPENDENCIES : THIS MOD SET ONLY APPLIES TO THE PRU 
                             SYSTEM.
  
 CC4B912  PRU X25 TIP SENDS *CALL REQUEST PACKET* TO THE NETWORK. 
  
          PRU ADDED THE NEW WORKCODE *A0TCBINIT ($17)* WHICH BIP
          SENDS TO TIP CAUSED X25 TIP TO SENDS THE *CALL REQUEST
          PACKET*.
  
          PROBLEM IS CORRECTED BY CHANGING THE VALUE OF X25 WORKCODES 
          TO ABOVE $20 INSTED OF VALUES BELOW $20.
  
          NN              04/27/81       X25CON01 
  
          PSR DEPENDENCIES : NONE 
  
          SRN = CC4B912 
  
 CC4B915  PSR CC4B859 MUST BE PURGED
  
          JGS            04/28/81 
  
 CC4B916  HALT 0, HALT 1E, BAD JUMPS TAKEN. 
  
          HIP PAGING LOGIC BAD, DETECTED ONLY WHEN NOT ALL HIP ROUTINES 
          ARE LOADED ON THE SAME PAGE (BY AUTOLINK PROGRAM).
  
          PROVIDE FOR PROPER PAGE REGISTER SETTING WHEN CALLING HIP.
  
          HJB            04/15/81       ZXHIP 
  
 CC4B917  CCP HALTED WITH THE HALT CODE OF *E*. 
  
          SERVICE MODULE DELETED THE TERMINAL CONNECT WORKLIST ENTRY
          FROM THE SVM TIME-OUT WORKLIST QUEUE INSTED OF THE UNSOLICITED
          LINE STATUS WORKLIST ENTRY CAUSED TO HALT WHEN SVM TRIED TO 
          TERMINATE THE TERMINAL CONNECT/DISCONNECT SM. 
  
          THE PROBLEM IS CORRECTED BY CHECKING THE VALUE OF SFC IN
          THE SERVICE MESSAGE FOR TERMINAL CONNECT/DISCONNECT BEFORE
          DEQUEUEING THE LINE STATUS WORKLIST ENTRY.
  
          NN              05/05/81       SVM
  
          PSR DEPENDENCIES : NONE 
  
          SRN = Z4715 
  
 CC4B918  HALT 9, OUT OF 16 WORD BUFFERS. 
  
          MODE4 LINE RECEIVING FF CHARACTERS, EVERY SINGLE ONE OF 
          THEM REPORTED AS AN ERROR, THROUGH WLE TO PMWOLP. 
  
          DONT GENERATE WLE ON TO PMWOLP FOR PARITY ERRORS, REPORT
          ERRORS TO THE TIP IN ALL INSTANCES. 
  
          HJB            04/29/81       MODMSTP,R6M4IN
  
 CC4B928  DEFAULTS FOR CARD-READERS ARE 026 INSTEAD OF 029. 
  
          CONSTANT DEFINTION IS REVERSED. 
  
          CORRECT THEM. 
  
          HJB            05/04/81       CONSTR4 
  
 CC4B929  IVT COMMAND ENTERED IN AUTO INPUT MODE CAUSES AN EMPTY
          LINE TO BE SEND UPLINE. 
  
          AFTER BIP IS DONE WITH THE AUTO INPUT (AND ALL OTHER
          SPECIAL IVT PROCESSING THE UPLINE SEND FLAG IS STILL
          SET, CAUSING BIP TO GENERATE AN EMPTY UL MSG. 
  
          MAKE SURE THE SEND FLAG IS RESET AFTER SUCCESSFULL
          PROCESSING OF IVT COMMANDS ETC. 
  
          HJB            04/30/81       PBULTS,PBACCOUNT, 
                                        PBQUEMAIN,PBBIPTH 
  
 CC4B930  MODE4TIP DOES PAGEWAIT IF PL=0. 
  
          PAGEWAIT IS REQUESTED DURING TEXTPROCESSING ON BSPGWAIT ONLY. 
  
          CHECK ALSO FOR PL=0.
  
          HJB            05/04/81       MODE4TIP
  
 CC4B932  HALT 9 OCCURRED WHEN ENTERING IVT CMD WHILE PW=1. 
  
          ASYNCTIP USES SINGLE BUFFER FOR EACH IVT CMD CHARACTER. 
  
          RELEASE THESE BUFFERS AS SOON AS REPEAT.. IS SENT.
          (CURRENTLY TIP WAITS FOR CR TO BE ENTERED)
  
          HJB            05/04/81       ASYNCTIP
  
 CC4B941  MODE4TIP SENDS BCD CARRIAGE CONTROL CHARACTERS TO ASCII 
          M4A TERMINALS.
  
          MODE4TIP INSERTS BCD CC FOR BOTH ASCII AND BCD TERMINALS. 
  
          INSERT DISPLAY CODE CC AND LET TRANSLATE TABLE TAKE CARE OF 
          PROPER CONVERSION.
  
          HJB            05/05/81       R6M4O1
  
 CC4B942  ASYNC TIP ISSUING OUTPUT ON OUTPUT CAUSING HALT 20. 
  
          ASYNC TIP CAUSING OUTPUT ON OUTPUT WHEN MUX BUFFER THRESHOLD
          REACHED.
  
          SOLUTION - TO MAKE SURE OUTPUT IS TERMINATED BEFORE 
          ISSUING ANOTHER OUTPUT. 
  
          FOR PRU ONLY. 
  
          SAP            05/15/81       REL4ASY,ASYNCTIP
  
 CC4B944  GARBAGE OUTPUT DURING LOGOFF FROM IAF.
  
          BIP PRE-BACKS THE OUTPUT, CAUSING HOST APPLICATIONS TO
          RETURN THE CONNECTION BEFORE OUTPUT MAY HAVE COMPLETED. 
          (PRESUMABLY APPLICATIONS WAIT FOR THE OUTSTANDING BACKS). 
          THIS WILL CAUSE THE TCB TO BE RECONFIGURED WHILE OUTPUT 
          MAY STILL BE ACTIVE.
  
          WAIT FOR OUTPUT TO COMPLETE INSTEAD OF TERMINATING IT.
  
          HJB            05/14/81       ASYNCTIP
  
 CC4B950  ASYNC TIP DOES NOT HANDLE TERMINAL CLASS SWITCH CORRECTLY.
  
          IF AFTER A <CNTRL>TC=N THE ECHOPLEX MODE IS TURNED OFF, 
          THE ASYNCTIP FORGETS TO TURN THIS OPTION OFF IN THE CLA.
          THIS BECAUSE THE BIT BSECHOPLEX IS ALWAYS TESTED PRIOR TO 
          TURNING THE CLA OPTION ON/OFF.
  
          DONT TEST FOR BSECHOPLEX ON/OFF PRIOR TO TERMINATING INPUT, 
          THIS WILL FIX THE PROBLEM SINCE INPUT IS TERMINATED BEFORE
          IVT COMMANDS ARE PROCESSED. 
  
          HJB            05/18/81       ASYNCTIP
  
 CC4B960  MODE4TIP STOPS POLLING TERMINAL 
  
          DOWNLINE BATCH OUTPUT MARKER TREATED AS DATA BY BIP,
          CAUSING A SECOND LIMIT EXCEEDED MSG TO BE SENT UPLINE.
  
          CHECK FOR NON CMD BLOCK BEFORE MAKING THE LIMIT EXCEEDED
          TEST IN BIP (ROUTINE PBQUEMAINT). 
  
          HJB            05/13/81       PBQUEMAIN 
  
 *L552*    ************************************************ 
 CC4B832  THERE ARE BAD MACRO CALLS IN THE CCP CODE.
          THIS CODE ELIMINATES COMMA BLANK OCCURRENCES AS THE LAST
          CHARACTER SEQUENCES OF MACRO CALLS. 
  
          JGS             04/14/81       HASPOTXP 
                                         HASPITXP 
                                         X25IST 
                                         BSCMLI 
                                         BSCL2I 
                                         BSCMLO 
                                         REL4ASYTP
                                         R6M4IN 
                                         R6M4IT 
                                         R6M4O1 
                                         R6M4O2 
  
          PSR DEPENDENCIES: NONE
  
          SRN = 149039
  
 CC4B931  X25 PAD SUBTIP LOSES THE FIRST DATA AFTER THE FORMAT EFFECTOR 
          IF THE FE CHARACTER WAS THE HOME CURSOR OR TOP OF PAGE AND
          USING THE PRINTER TYPE TERMINAL.
  
          SUBTIP GOES INTO THE START OF LOGICAL LINE STATE INSTED OF
          THE START OF DATA STATE CAUSED TO LOSE THE FIRST DATA.
  
          PROBLEM IS CORRECTED BY RESETTING THE END OF LOGICAL LINE 
          FLAG WHEN SUBTIP IS PROCESSING THE FE OF HOME CURSOR OR TOP 
          OF PAGE.
  
          NN              06/01/81       PADOUTP
  
          PSR DEPENDENCIES : NONE 
  
          SRN = 4697
  
 CC4B948  ABORT OUTPUT LINE DOES NOT WORK.
  
          PUT CODE IN TO PROCESS ABORT OUTPUT LINE CHARACTER. 
  
          PRU SYSTEM. 
  
          SAP            06/02/81       ASYNCTIP
  
          SRN=010430
  
 CC4C031  THIS IDENT PURGES CC4B951 SO THAT IT CAN BE RETRANSMITTED 
          FOR N0A 
  
          JGS        07/01/81            SVM
  
 CC4B951  USER BREAK DOESN'T PURGE THE TYPEAHEAD QUEUE HELD 
          BY CCP AFTER NBL IS REACHED.
  
          THE NBL FOR INTERACTIVE UPLINE TRAFFIC WILL BE FIXED AT 
          63 FOR ASYNC AND X25 AND 15 FOR OTHER TIPS. INPUT WILL
          BE STOPPED WHEN THE NBL VALUE IS REACHED.  THIS WILL
          SOLVE THE UPLINE BREAK PROBLEM AND STILL REGULATE UPLINE
          TRAFFIC.
  
          EPL            05/08/81       SVM,TYPE,PTREGL 
  
          SRN=XXXX
  
 CC4B961  NPU LOGS FIRST 4 BAD BLOCKS INSTEAD OF LAST 4.
          *DEL* MESSAGE FROM BIP OVERPRINTS USER INPUT. 
  
          PBLOST RELEASES BAD BLOCKS AFTER 4 ARE LOGGED.
          INSERT CR/LF SEQUENCE IN FRONT OF *DEL* MESSAGE.
  
          CHANGE PBLOST TO LOG THE LAST 4 BAD BLOCKS AND RELEASE
          POSSIBLE OLDER BAD BLOCKS, ALSO RELEASE ALL BUT THE FIRST 
          BUFFER OF A BAD BLOCK.
          REMOVE SOME NON ERROR CALLS TO PBLOST.
          REMOVE SOME REDUNDANT CODE FROM PBULTS. 
  
          HJB            05/20/81       PBLOST,PBBPM,PBULTS 
  
 CC4B962  X25 PAD SUBTIP OCCASIONALLY OVERWRITES THE LAST INPUT.
  
          THE HOME CURSOR FAOMAT EFFECTOR CAUSES OUTPUT TO OVERWRITE
          THE LAST INPUT IF THE USER USES THE PRINTER TERMINAL WITH 
          THE TERMINAL CLASS SET TO DISPLAY TYPE TERMIANL.
  
          PROBLEM IS CORRECTED BY GIVING A BLANK LINE BEFORE FE 
          CHARACTER IF THE LAST EVENT WAS INPUT.
  
          NN              06/03/81       PADOUTP
                                         X25PAD 
  
          PSR DEPENDENCIES : NONE 
  
          SRN = NE5740
  
 CC4B965  X25 PAD SUBTIP DOES NOT SET THE TRANSPARENT BIT IN THE UPLINE 
          BLOCK WHILE SUBTIP IS IN TRANSPARENT MODE.
  
          PRU CHANGES CAUSED SUBTIP TO SET THE PARITY ERROR BIT WHICH 
          WAS USED TO BE THE TRANSPARENT BIT POSITION.
  
          PROBLEM IS CORRECTED BY MOVING THE BIT POSITION OF THE
          TRANSPARENT FLAG IN INPUT STATE.
  
          NN              05/29/81       X25PAD 
                                         PADMXCONS
  
          PSR DEPENDENCIES : NONE 
  
          SRN = NE5739
  
 CC4B968  CCP HALT ZERO CAUSED BY THE MODE 4 TIP. 
  
          THE MODE 4 TIP CANNOT HANDLE A LINE INOPERATIVE FOLLOWED
          BY A DISABLE LINE.  THIS CODE CORRECTS THE PROBLEM SO THE 
          LINE DWILL NOT BE DISABLED ON LINE INOPERATIVE AND THE LINE 
          WILL BE DISABLED IMMEDIATELY IF IT IS ALREADY IN THE
          STATE WHEN ANOTHER DISABLE IS RECEIVED. 
  
          DEPENDENT ON PRU
  
          EPL            05/27/81       MODE4TIP
  
          SRN=XXXX
  
 CC4B969  THE ASYNC TIP IS NOT DISCARDING NULL LINE AND CONTROL CHAR
          FOR PAGE  TURN PROMPTS. 
  
          THIS CHANGE SETS THE KTCKPGTRN FLAG SO BIP SILL DISCARD THE 
          ABOVE MESSAGES FOR PAGE TURNS.
  
          DEPENDENT ON PRU
  
          EPL             05/26/81      ASYNCTIP
  
          SRN=XXXX
  
 CC4B970  HASPTIP DOES NOT SUPPORT NON-TRANSPARENT WORK STATIONS. 
  
          CODE TO SUPPORT NON-TRANSPARENT WORK STATIONS WAS INADVERTEDLY
          LEFT OUT OF THE PRU HASPTIP.
  
          STICK IT BACK IN. 
  
          HJB            05/27/81       HASPTIP,HASPOTXP
  
 CC4B975  MODE4 CARRIAGE PRINTER CARRIAGE CONTROL IS INCORRECT. 
  
          PSR CC4B941 CAUSED PROBLEMS WITH MODE4 PRINTER CARRIAGE 
          CONTROL FOR SUPRESS AND DOUBLE SPACE.   THIS CODE CORRECTS
          THE PROBLEMS. 
  
          DEPENDENT ON PRU AND CC4B941
  
          EPL            06/01/81       R6M4O1
  
          SRN=000303
  
 CC4B980  CCP ABORTED VIA HALT 9, AFTER HOST WENT DOWN. 
  
          PSR CC4B626 PUT A PROCEDURE NAMED PBPERFORM IN CCP
          TO SEND NPU STATISTICS TO THE HOST EVERY 20 SECONDS.
          HOWEVER, NO CHECK FOR BUFFER AVAILABILITY IS MADE BEFORE
          REQUESTING A BUFFER.  PBPERFORM OBTAINED ALL THE
          REMAINING 64-WORD BUFFERS WHILE THE HOST WAS DOWN,
          WITHOUT CHECKING THAT CCP WAS ALREADY IN REGULATION.
  
          SOLUTION, PURGE CC4B626 
  
          DEPENDENCIES - CC4B626. 
  
          SAP            06/11/81       PBPERFORM,PTREGL
  
          SRN  =  000315. 
 CC4B982  SOME MESSAGES DELIVERED TO X25 TIP ARE NOT DELIVERED TO 
          TERMINALS IN TIMELY FASHION.
  
          PAD SUBTIP DOES NOT SENDS THE PACKET RIGHT AWAY AND WAITS FOR 
          THE MORE DOWNLINE BLOCK (BLK OR MSG) IF THE RECEIPT OF THE
          LAST DOWNLINE BLOCK WAS BLK-TYPE BLOCK WHICH DID NOT FILL 
          THE PACKET COMPLETLY (128 CHARACTERS) AFTER TEXT PROCESSING.
  
          PROBLEM IS CORRECTED BY CHANGING THE PACKETIZING LOGIC SO THAT
          SUBTIP WILL SEND THE DOWNLINE PACKETS AS SOON AS A DOWNLINE 
          BLOCK WAS TEXT PROCESSED. 
  
          NN              07/08/81       X25PAD 
                                         X25TCB 
  
          PSR DEPENDENCIES : FCXPADE,CC4B678
  
          SRN = CC4B800 
  
 CC4B984  BAD BSN ON UPLINE BREAK.
  
          CCP IS SENDING THE NEXT BSN NUMBER ON AN UPLINE BREAK 
          INSTEAD OF THE BSN OF THE LAST BACKED BLOCK.  THIS CODE 
          CORRECTS THE PROBLEM. 
  
          DEPENDENT ON PRU
  
          EPL            06/10/81       PBBPM 
  
          SRN=000324
 CC4B988  NPU IN PERMANENT REGULATION.
  
          ALMOST ALL BUFFERS ARE LOST.
  
          ASYNCTIP PROBLEM UNCOVERED WHILE HANDLING TRANSPARENT INPUT 
          SWITCHING FROM TRANSPARENT TO NON-TRANSPARENT MODE CAN MAKE 
          THE TIP LOSE A BUFFER, FIX THESE PROBLEMS BY REORGANIZING THE 
          CALL TO PROCESS INPUT DATA (APPOSTINPUT). 
  
          HJB            06/05/81       ASYNCTIP
  
 CC4B994  THERE ARE RELATIVE EXTERNAL DECLARATIONS WITHIN PBSCLA. 
          THIS CODE REMOVES THEM, AND MAKES THEM ABSOLUTE EXTERNALS.
          JGS    06/17/81          PBSCLA 
  
 CC4B996  MODE 4 TERMINALS NOT BEING POLLED AFTER HOST RECOVERY.
  
          THE MODE 4 TIP WAS HUNG WAITING FOR A RECONFIGURE CN=0
          AFTER A TERMINAL DISCONNECT.  THE SVM WAS REJECTING THE 
          RECONFIGURE BECAUSE THERE IS NO LOGOCAL LINK.  THIS CODE
          FIXES THE SVM TO ACCEPT A RECONFIGIGURE TO CN=0 WITH NO 
          LOGICAL LINK.  ALSO, SEVERAL OTHER ERRORS WERE DETECTED 
          THE SVM WITH RESPECT TO TERMINAL DISCONNECT/CONNECT LOGIC.
          THESE PROBLEMS ARE FIXED. 
  
          DEPENDENT ON PRU
  
          EPL            06/18/81       SVM 
  
          SRN=359 
  
 CC4B997  HALT 7 DURING DURING REMOTE NODE RUNNNIG. 
  
          HASPTIP CALLED PBULTS (BIP), WHICH HAPPENED TO BE LOADED
          IN NON PAGED MEMORY, PBULTS CALLED PBACTADD, THIS ROUTINE 
          IS ON A PAGE, CAUSING A RANDOM JUMP BACK INTO THE HASPTIP,
          AND AN EVENTUAL JUMP TO ZERO. 
  
          FORCE PBULTS TO BE PAGED WITH THE REST OF BIP ON THE SAME 
          PAGE, SUCH THAT SMALLER ROUTINES MIGHT GET PUSHED OFF THE 
          PAGE. DELETE SOME USELESS GLOBAL BIP VARIABLES. 
  
          HJB            06/30/81       ALBIP,IPVAR,PBBIPTH 
  
 CC4C003  X25 TIP USES THE VALUE OF T1 TIMER INCORRECTLY. 
  
          USING THE MULTIPLE X25 LINES, X25 TIP TAKES THE T1 VALUE
          FROM THE LAST CONFIGURE LINE SM FOR ALL OF X25 LINES. 
  
          NN/CAM/FR       06/04/81       X25LVL2
  
          PSR DEPENDENCIES : NONE 
  
          SRN = CC4C003 
  
 CC4C004  X25 TIP RECEIVES REJECT FRAMES IN A ROW CAUSES TIP TO HUNG. 
  
          PROBLEM IS CORRECTED BY DISCARDING THE MULTIPLE REJECT
          FRAMES AFTER ONE HAS BEEN RECEIVED, PROCESSED AND NOT ACKED.
  
          NN/CAM/FR       06/05/81       X25SLCB
                                         X25LVL2
  
          PSR DEPENDENCIES : CC4B796
  
          SRN = CC4C004 
  
 CC4C005  THE X25 LINE CANNOT BE REENABLED AFTER DISABLED THE LINE. 
  
          THE X25 LINE CANNOT BE REENABLED IF THE LINE WAS DISABLED 
          WHILE THE LINE WAS ACTIVE (SOME USERS WERE LOGGED IN).
  
          PROBLEM IS CORRECTED BY ISSUING A *NKDISL* COMMAND PACKET 
          TO THE COMMAND DRIVER BEFORE REPORTING THE LINE DISABLE.
  
          NN/CAM/FR       06/05/81       X25LVL2
  
          PSR DEPENDENCIES : CC4B841, FCLVL2F 
  
          SRN = CC4C005 
  
 CC4C006  X25 TIP MAY ADVERTENTLY RESTART OUTPUT ON A DISABLED LINE.
  
          PROBLEM IS CORRECTED BY CHECKING THE LINK CONDITION AND 
          THE OUTPUT IN PROGRESS FLAG BEFORE LAUNCHING AN OUTPUT. 
  
          NN/CAM/FR       06/08/81       X25LVL2
  
          PSR DEPENDENCIES : NONE 
  
          SRN = CC4C006 
  
 CC4C007  X25 TIP IS UNABLE TO ACTIVATE THE LINE AFTER HARD ERROR 
          OCCURED WHILE TRANSMITTING A FRAME. 
  
          PART OF THIS PROBLEM IS CORRECTED BY CC4B862.  THIS PSR IS
          RELEASEING THE LAST FRAME IF THE FRAME WAS SUPERVISORY
          FRAME.
  
          NN/CAM/FR       06/09/81       X25LVL2
  
          PSR DEPENDENCIES : CC4B862
  
          SRN = CC4C007 
  
 CC4C008  X25 TIP GETS INTO AN ENDLESS LOOP BETWEEN PACKET LEVEL AND
          FRAME LEVEL.
  
          TIP GETS INTO AN ENDLESS LOOP BETWEEN PACKET LEVEL RESTART THE
          THE LINK AND FRAME LEVEL RESETTING THE LINK OR MAY SEND LINK
          LEVEL OPERATIVE AFTER LINK INOPERATIVE (RC=6) SENT TO CS. 
  
          PROBLEM IS CORRECTED BY MODIFING PACKET LEVEL TO REQUEUE
          FRAME LEVEL DISCONNECTION WHEN PACKET LEVEL IS INVOKED. 
  
          NN/CAL/FR       06/09/81       X25LVL3
  
          PSR DEPENDENCIES : FCLVL3B
  
          SRN = CC4C008 
  
 CC4C009  X25 FRAME LEVEL MISHANDLES RECEIPT OF THE REJ FRAME AND T1
          TIMER EXPIRATION. 
  
          THE T1 TIMER SHOULD BE STOPPED WHEN RECEIVING THE REJ FRAME 
          AND I-FRAME MAY BE LOST WHEN RECEIVING CONCECUTIVE REJ
          FRAMES FROM THE NETWORK, WITHOUT ANY NUMBERING ERROR THAT 
          COULD BE DETECTED AT FRAME LEVEL. 
  
          NN/CAM/FR       06/10/81       X25SLCB
                                         X25LVL2
  
          PSR DEPENDENCIES : CC4C004
  
          SRN = CC4C009 
  
 CC4C013  NPU HALTED WITH HALT 20.
  
          PSR CC4B906 PUT CODE IN SUCH THAT THE ASYNCTIP WILL 
          ATTEMPT OUTPUT ON TOP OF OUTPUT WHEN OUTPUT BECOMES QUEUED
          AND WE ARE IN AN ECHOPLEX DELAY WAITING ON A TIP
          CREATED  DOWNLINE MESSAGE.
  
          SOLUTION IS TO REMOVE MOST OF THE EFFECTS OF CC4B906
          AND TO CREATE A NEW LOCAL VARIABLE TO TEST WHEN 
          INPUT IS ACTIVE WHEN A WLE OF AWINACT IS RECEIVED.
  
          DEPENDENCIES - CC4B906. 
  
          SAP            06/25/81       ASYNCTIP
  
          SRN = 409.
  
 CC4C016  MODE 4C PRINTERS DO NOT SUPPORT THE 96 CHARACTER
          SET OPTION. 
  
          THIS CODE ADDS THE 96 CHARACTER SET SUB DEVICE TYPE SUPPORT.
          IT ALSO CHANGES THE ASCII TO ASCII TRANSLATION TABLES TO
          FROM 64 TO 96 CHARACTER TRANSLATION.  THE 64 CHARACTER PRINTER
          IS SUPPORTED BY CHANGING THE CHARACTER, WHEN REQUIRED, WITHIN 
          THE STATE PROGRAM.
  
          DEPENDENT ON PRU
  
          EPL            07/03/81       MODE4TIP,R6M401 
  
          SRN=XXX 
  
 CC4C025  TRANSPARENT UPLINE DATA INCORRECTLY BLOCKED AT 150 CHARACTERS 
  
          UPLINE IVT DATA WAS BEING BLOCKED AT 140 OR 150 CHARACTERS
          FOR BOTH TRANSPARENT AND NON TRANSPARENT DATA, DONT BLOCK FOR 
          NON TRANSPARENT DATA. 
  
          DEPENDENT ON PRU
  
          EPL/HJB        06/29/81       PBULTS
  
 CC4C027  DATA SCRAMBLED ON FULL SCREEN SENDS TO 714-10'S.
  
          FOR IVT DATA ON MODE 4, ALL CONTROL CHARS (LESS THAN
          $20) WERE BEING CONVERTED TO BLANKS.  CCP 3.3 DID NOT 
          DO THIS CONVERSION.  THIS CHANGE CONVERTS ONLY LINE 
          FEED AND ANY CHARACTER LESS THAN $08 TO A BLANK.
  
          DEPENDENT ON PRU AND PSR CC4B901,CC4B822,CC4C016
  
          EPL            07/20/81       R6M402
  
          SRN=XXXX
  
 CC4C042  714 PRINTER ACTS DIFFERENTLY THAN AT LEVEL 534. 
  
          THE MODE4C IMPACT PRINTER PAGE EJECT CHARACTER SENT BY
          CCP WAS INCORRECT.  THIS CODE CHANGES THE PAGE EJECT CHAR.
          ALSO THE MODE 4A EOL SEQUENCE WAS BEING SENT TO THE MODE
          4C PRINTER. THIS IS CORRECTED.
  
          DEPENDENT ON CC4C016
  
          EPL            07/14/81       R6M401,MODE4TIP 
  
          SRN=XXXX
  
 CC4C043  SUPERVISION ERR AFTER NAM RECOVERY. 
  
          CS SENDS INVALID TERMINAL CLASS AFTER TERMINAL CONNECT IF 
          IT HAS NOT PREVIOUSLY RECEIVED A TERMINAL STATUS CONTAINING 
          THE SUBTIP TYPE.  THE CONNECT SERVICE MESSAGE IS CHANGED TO 
          INCLUDE THE CODE SET AND SUBTIP TYPE.  THE TERMINAL STATUS
          RESPONSE IS CHANGED TO ELIMINATE THE DN,SN,CN, SO THE CONNECT 
          AND TERMINAL STATUS RESPONSE HAVE COMPATABLE FORMATS. 
  
          DEPENDENT ON PRU,NA2B659
  
          EPL            07/08/81       SVM,MODE4TIP,PNCONTML 
  
          SRN=025954
  
 CC4C044  MODE 4 TIP DOES NOT HANDLE DOWNLINE IVT FORMAT EFFECTOR 
          COMMA "," CORRECTLY. IT SHOULD BE TREATED AS NULL INSTEAD 
          OF PRINTING A BLANK LINE. 
  
          ADD A NEW STATE "NA" TO THE OUTPUT TEXT PROCESSING TO CHECK 
          IF THE NULL FORMAT EFFECTOR IS FOLLOWED BY A UNIT SEPARATOR.
          IF IT IS THEN THE LINE IS DISCARDED.
  
          DEPENDENCIES: NONE
  
          SRN = 4850
  
          JGS          07/28/81          R6M4O2 
  
 CC4C052  HALT CODE C.
          WHEN AUTO RECOGNIZING A LINE, IF THE SECOND CARRIAGE RETURN 
          (RECOGNIZE CHARACTER SET) IS ENTERED EXACTLY AT THE TIME
          THAT THE 1 MIN TIMER EXPIRES, THE ASYNC TIP MAY RECEIVE THE 
          TIMEOUT WORKK LIST AFTER THE CHARACTER SET DETECT WORK LIST.
  
          BUMP BZWTCOUNT SO THAT THE TIME OUT WORKLIST WILL BE IGNORED
  
          JGS        08/03/81            ASYNCTIP 
  
          DEPENDENCIES: PRU 
          SRN = Z4773 
  
 CC4C053  CCP BUILD ABORTED BY MPEDIT ERRORS WHEN ALL TIPS WERE DEFINED 
  
          ERRORS WERE DUE TO TCB ACTION TABLE OVERFLOW. 
  
          PROBLEM HAS BEEN CORRECTED BY INCREASING THE NUMBER OF
          ENTRIES FOR TCB ACTION TABLE. 
  
          NN              07/04/81       CONST
  
          PSR DEPENDENCIES : NONE 
  
          SRN = CC4BXXX 
  
 CC4C054  BATCH DEVICES ARE NOT RECOVERED AFTER A MODE 4 TERMINAL FAILURE.
  
          AFTER A MODE 4 HARDWIRED TERMINAL FAILURE AND RECOVERY, THE 
          BATCH DEVICES ARE NOT RECOVERED.  THIS CODE SENDS A "CONNECT" 
          AFTER IF THE CLUSTER IS WORKING, THE BATCH DEVICE HAS GOOD
          STATUS AND A "DISCONNECT" HAD BEEN PREVIOUSLY SENT. 
  
          DEPENDENT ON PRU
  
          EPL          08/03/81         MODE4TIP
  
          SRN=XXXX
  
 CC4C062  THE OUTPUT STOPS ON X25TML. 
  
          X25 LEVEL2 DOES NOT UPDATE THE VALUE OF N(R) WHEN LVL2
          HANDLING REJECT CONDITION.
  
          PROBLEM HAS BEEN CORRECTED BY UPDATING THE N(R) WHEN
          THE REJECT CONDITION OCCURED. 
  
          NN              08/07/81       X25LVL2
  
          PSR DEPENDENCIES : CC4C004, CC4C009 
  
          SRN = CC4C062 
  
 CC4C066  MODE4C TERMINAL BUFFER REMAINS LOCKED AFTER 
          TRANSPARENT INPUT.
  
          THIS CODE ISSUES A WRITE TO THE TERMINAL AFTER TRANSPARENT
          INPUT WITH A LOCK KEYBOARD COMMAND.  THE WRITE FREES THE
          TERMINAL BUFFER AND THE LOCK KEYBOARD PREVENTS FURTHER INPUT
          SO THE APPLICATION MAY SET TRANSPARENT INPUT IF DESIRED.
  
          DEPENDENT ON PRU
  
          EPL            08/13/81       MODE4TIP,R6M4O2 
  
 CC4C076  THE 2741 TERMINAL DOES NOT PRINT OUTPUT.
  
          THE CONTROL CODE TO ENABLE THE 2741 PRINTER IS NOT
          BEING OUTPUT AFTER INPUT FROM THE TERMINAL.  THIS 
          CODE OUTPUTS THE CONTROL CODE AFTER INPUT.
  
          DEPENDENT ON PRU
  
          EPL            08/25/81       ASYNCTIP
  
          SRN=XXXX
  
          THESE CHANGES ALLOW THE REPORTING OF THE NPU PERFORMANCE
          COUNTERS TO BE SENT TO THE CYBER HOST INSTEAD OF THE LOCAL
          NPU CONSOLE.
  
          THE DATA OF THE NPU STATISTICS SERVICE MESSAGE IS REPLACED
          WITH THE PERFORMANCE DATA.  THE NPU STATISTICS SERVICE MES- 
          SAGE IS REPORTED EVERY -CBTIMTBL[C0PERF].CBINTVAL- (AND 
          -CBTIMER-), DIVIDED BY 2, SECONDS.
  
          THE FOLLOWING PERFORMANCE PARAMETERS ARE REPORTED : 
  
          . CPU LOAD OF THE NPU (% OF TIME CPU IS NOT IDLE).
          . MINIMUM DATA BUFFERS AVAILABLE IN THE LAST REPORTING PERIOD.
          . AVERAGE CHARACTERS PER SECOND RECEIVED FROM THE HOST
          . AVERAGE CHARACTERS PER SECOND SENT TO THE HOST
          . AVERAGE NUMBER OF WORKLISTS (OPS LEVEL WORKLIST ENTRIES)
            PROCESSED PER SECOND. 
          . THEORETICAL MAX NUMBER OF ACTIVE PRINTERS AT END OF REPORT
            PERIOD. 
          . NUMBER OF REJECTS DURING SAMPLING PERIOD OF INPUT FROM
            TERMINALS DUE TO REGULATION.
          . NUMBER OF REJECTS DURING SAMPLING PERIOD OF DATA FROM 
            HOST DUE TO INSUFFICIENT BUFFER SPACE.
          . ACTUAL NUMBER OF ACTIVE PRINTERS AT END OF REPORT PERIOD. 
          . DATA INDICATING TIME CONSUMED IN VARIOUS CCP PROCESSING 
             STEPS, E.G. TEXT-PROCESSING, MUX INTERRUPT PROCESSING, 
             HIP INTERRUPT PROCESSING, WORKLIST PROCESSING. 
  
          EPL, JN        07/31/81       ALBASESY, ALINPDIR, ALTUP,
                                        ZEXBDL, ASMDECKS, PERFCOD,
                                        PGMDECKS, PBPERFORM, PERFCON, 
                                        CONSTR4, PERFTYPE, TYPEUSER,
                                        PERFVAR, VARUSER, PERFVAL,
                                        VALUSER, HIP30, MONITER,
                                        PBTIPDBG, SVM, PBLN03, PBLN06,
                                        PTTPINF, CONSTUSR 
  
 CC4C089 DUE TO A HARDWARE DEFFICIENCY IN THE 2563-2 CLA-S, IF ONE
         TURNS ISON AND ISR ON THE SAME COMMAND, THE ISR SIGNAL 
         DROPS JUST AS THE ISON SIGNAL RISES, THUS THE ISR IS LOST
  
         SOLTION - ISSUE TWO SEPARATE COMMANDS TO THE CLA. THE FIRST ONE
                   TURNS ISON, AND THE SECOND ONE TURNS ISR.
  
         JGS/EPL         09/25/81         PMDEAD
  
         DEPENDENCIES NONE
  
 CC4C092  ASYNC TERMINAL IN REGULATION AFTER REMOTE LINK FAILURE
          AND RECOVERY. 
  
          THE SERVICE MODULE WAS REPORTING ALL TERMINALS INOPERATIVE
          AFTER NPU RECOVERY DUE TO INCORRECT CODE IN CC4C040.  THIS
          CODE DELETES CC4C040 AND CHANGES THE TERMINAL INOPERATIVE FLAG
          USED BY MODE 4 TO REPORT TERMINAL DOWN TO THE SERVICE MODULE. 
  
          DEPENDENT CC4C040,CC4B817 
  
          EPL            11/01/81       SVM,MODE4TIP
  
          SRN=25345 
  
 CC4C101  CONNECTING X25 TIP TO DATAPAC.
  
          ADDING DATAPAC CLEAR, RESET AND RESTART INDICATION
          PROCESSING TABLE. 
  
          DCK/NN          09/07/81       X25NETDEF
  
          PSR DEPENDENCIES : FCLVL3A
  
          SRN = CC4C101 
  
 CC4C102  CONNECTING X25 TIP TO TYMNET. 
  
          ADDING TYMNET CLEAR, RESET AND RESTART INDICATION 
          PROCESSING TABLE. 
  
          NN              09/01/81       X25CON03 
                                         X25NETDEF
                                         SVMZAP 
  
          PSR DEPENDENCIES : FCLVL3A,CC4B714
  
          SRN = CC4C102 
  
 CC4C120  CANNOT LOGIN REPEATABLY THRU X25 LINE.
  
          DURING LOG OUT SEQUENCE PIP DISCARDS THE DOWNLINE INIT
          RECEIPT OF THE DELETE NETWORK QCB REQUEST FROM CS 
          CAUSES BIP TO IGNORE SENDING THE UPLINE INIT WHEN 
          THE USER LOG BACK IN. 
  
          PROBLEM IS CORRECTED BY CLEARING *BSWAIT* AND *BSINITSENT*
          FLAGS RECEIPT OF THE RECONFIGURE TERMINAL SERVICE MESSAGE 
          SO THAT BIP WILL NOT WAIT FOR THE DOWNLINE INIT FROM THE
          PRIVIOUS UPLINE INIT BEFORE SENDING THE NEXT UPLINE INIT. 
          THIS PSR ALSO FIXES THE CONDITION THAT FAILING APPLICATION
          DURING INIT EXCHANGES.
  
          NN              11/06/81       SVM
  
          PSR DEPENDENCIES : NONE 
  
          SRN = CC4C120 
  
 CC4C123  SETTING THE CDC RECOMMENDED VALUES BY PAD SUBTIP RATHER 
          THAN THE USER TO DO IT. 
  
          ADDING A LEVEL 1 PROCEDURE *PADTABLE* WHICH CONTAINS
          THE CDC RECOMMENDED PAD REFERENCE PARAMETER NUMBERS AND 
          VALUES, A LEVEL 2 PROCEDURE *PXPSETX3* TO GENERATE
          A DOWNLINE PAD MESSAGE PACKET AND A NEW TCB FLAG *BSXSETX3* 
          TO DETERMIN WHEN TO SEND A PAD MESSAGE PACKET.
  
          NN              10/29/81       X25PAD 
                                         ALX25TIP 
                                         VAR
                                         TYPE 
                                         ZD30 
                                         ZEXPAD 
  
          PSR DEPENDENCIES : CC4B982,CC4C102
  
          SRN = CC4C123 
  
  CC40439  MODE4 ERROR RECOVERY IS INCORRECT. 
  
           THE MODE 4A CLEAR WRIT HAS THE WRONG TERMINAL ADDRESS. 
           THE MODE 4C STATUS REQUEST IS DELAYS TOO LONG BECAUSE IT 
           TRIES MODE 4B IF MODE 4C DOES NOT RESPOND.  ALSO, LONG TERM
           ERROR RECOVERY IS DONE TOO OFTEN.
  
           SRN=DV001
  
           EPL            05/08/81      MODE4TIP
  
 CC40511  HASP TIP DOES NOT IGNORE DLE/SYN SEQUENCES IF THEY ARE PART 
          OF THE DATA STREAM. 
  
          CHANGE THE INPUT STATES TO IGNORE DLE/SYN SEQUENCES IF THEY ARE PART
          OF THE DATA STREAM. 
  
          JGS/HJB       09/02/81             HASPINPS 
  
          DEPENDENCIES: NONE
  
          SRN = UMAS433 
  
 CC40512 HALT C 
          IF TERMINAL IS IN ECHOPLEX MODE AT LOGOUT TIME, THE ASYNC TIP 
          RECEIVES A RECONFIGURE TCB WLE (A0SMRCTCB). IF WHILE WAITING
          FOR INPUT TO BE TERMINATED IT RECEIVES A A0OBUX WLE, IT 
          DELAYS FOR ECHOPLEX TO BE TURNED ON WHICH CLOBBERS RET1ADR. 
          THEN WHEN THE AWTERMIN WLE IS RECEIVED IT EXITS TO PTRT1LCB,
          EXITING TO THE WRONG ADDRESS. 
  
          SOLUTION - MODIFY APCHECKEP NOT TO RETURN TRUE IF BZINTERM
                     IS SET.
  
          JGS        09/15/81            ASYNCTIP 
  
          DEPENDENCIES: NONE
  
          SRN = UMASS 434 
  
 CC40537  EXCESSIVE DCD DROPPED (EC=3) MESSAGES IN THE ERROR LOG FILE.
  
          PROBLEM    MODEM STATE PROGRAMS REPORT DCD DROP DIRECTLY TO 
                     PMWOLP, AND ALSO TO THE TIP. 
  
          SOLUTION   FIX MODEM STATE PROGRAMS TO REPORT DCD DROP ONLY 
                     TO THE TIPS, SO THAT ON CONTROLLED CARRIER LINES 
                     WE DON"T ISSUE AN EC=3 EVERY TIME DCD DROPS. 
  
          JGS/EPL    10/28/81            MODMSTP
  
          SRN = WASH145 
  
          DEPENDENCIES@D NONE 
 CC40540  HALT 20 WHILE RUNNING ASYNC TIP.
  
          THE FIRMWARE HAD A PROBLEM WITH NOT RESETING "OUTPUT ON"
          IN SOME CASES.  THIS COULD HAPPEN IF RUNNING FULL DUPLEX
          AND AN "ODD" OCCURRED WHILE THE "IDP" WAS PROCESSING A CHAR.
          WHICH CAUSED A "TIBLWL" STATE INSTRUCTION TO BE EXCUTED.
          THIS CHANGE ELIMINATES RESETING THE CLA STATUS OVERFLOW 
          COUNT ON THE "TIBLWL" WHICH IS UNNECESSARY. 
  
          DEPENDENT ON CC4B831
  
          EPL            10/27/81       MF
  
          SRN=WASH41
  
 *L562*    ************************************************ 
 CC4C094  /*CONFIG CARD BEING ERRONEOUSLY REJECTED WITH 
          -BAD /*CONFIG- DIAGNOSTIC.
  
          ON THE /*CONFIG CARD, ANY PARAMETER(S) FOLLOWING A PARAMETER
          OF FORM XX=Y CAUSES THE ABOVE PROBLEM.
  
          ENSURE THE LCD OF THE BUFFER CONTAINING THE /*CONFIG CARD IS
          NOT ALTERED BY ROUTINE -PTCONVERT- (WITHIN -PGCNFCARD-).
  
          JN             81/12/07       PTCNFCARD 
  
 CC4C097  BIP IS DISCARDING ALL EMPTY DOWN LINE MSG BLOCKS. 
  
          THIS CODE REMOVES THE CODE THAT DISCARDS EMPTY
          BLOCKS IN BIP AND ADDS CODE IN THE MODE4 TIP TO 
          DISCARD EMPTY BLOCKS SO EXTRA LINES ARE NOT OUTPUT
          TO THE TERMINAL.
  
          DEPENDENT ON PRU
  
          SRN=ARHK 5152 
  
          EPL            01/14/82       MODE4TIP
  
 CC4C124  HALT20
  
          ENQ SENT DOWNLINE BEFORE EOT IS COMPLETELY TRANSMITTED. 
  
          SET A TIMER UPON EOT TRANSMITTAL.  UPON TIMEOUT 
          (OR RECEIPT OF THE NEXT WORKLIST BY BSC LEVEL 2), ISSUE 
          ANY REQUIRED WORKLIST TO BSC MAIN LEVEL.  (THIS WORKLIST
          MAY CAUSE BSC MAIN LEVEL TO ISSUE A WORKLIST BACK TO BSC
          LEVEL 2 CAUSING BSC LEVEL 2 TO ISSUE A DOWNLINE MESSAGE SUCH
          AS AN ENQ.  ENQ WOULD THUS BE ISSUED AFTER EOT TRANSMITTAL IS 
          COMPLETE, AVOIDING THE HALT 20.)
  
          JN             81/11/10       BSCLCBL2, BSCLV2
 CC4C128  ASYNC TIP SOMETIMES LOSES REPEAT..
          THIS CAUSES PACER TO HANG.
  
          EPL            12/09/81        ASYNCTIP 
  
          SRN = ARHK 5225 
  
 CC4C164  BAD DATA SENT TO T4014 AT 9600 BAUD 
  
          ASYNC TIP DID NOT CHECK THE TRANSPARENT BIT IN THE DBC BEFORE 
          CHECKING FOR FORMAT EFFECTORS ON LINE SPEEDS OF 9600 BAUD 
  
          MODIFY THE ASYNC TIP TO CHECK THE TRANSPARENT BIT, AND IF SET 
          IGNORE FORMAT EFFECTOR PROCESSING 
  
          EPL/JGS        01/13/82        ASYNCTIP 
  
          DEPENDENCIES: CC40248 
  
 CC4C147  ANOTHER MODE4 TERMINAL RECOVERY PROBLEM.
  
          THE MODE4TIP WAS SENDING THE CLEAR WRITE FOR TERMINAL 
          RECOVERY TO THE WRONG CLUSTER AND TERMINAL ADDRESS. 
          THIS CODE CORRECTS THE PROBLEM. ALSO, THE RETRY COUNT BEFORE
          TERMINAL FAILURE IS CHANGED FROM 5 TO 12 AND THE CLA IS RESYNCED
          AFTER DCD DROPS TO CAUSE A TIMEOUT BEFORE RETRYING.  THE TIP
          WAS NOT RETRYING A WRITE TO THE PRINTER IF A REJECT WAS 
          RECEIVED.  THE TIP IS CHANGED TO RETRY ON REJECT TO A WRITE.
  
  
          DEPENDENT ON CC40439
  
          EPL            11/13/81       MODE4TIP
  
          SRN=XXXX
  
 CC4C158  CCP HALT 0 CAUSED BY X.25 LINE. 
  
          TRANSITIONS OF DCD ON AN X.25 LINE SOMTIMES CAUSE CCP 
          TO FAIL WITH A HALT 0 (NO HALT CODE).  THIS CODE CORRECTS 
          THE PROBLEM BY ASSIGNING INPUT STATES TO HANDLE CLA STATUS
          AFTER AN ENABLE LINE COMMAND AND BEFORE AN INPUT COMMAND
          IS ISSUED BY THE TIP. 
  
  
          NN/EPL          12/31/81       MODMSTP
                                         PMCDRV 
  
          PSR DEPENDENCIES : NONE 
  
          SRN = Z5099 
  
 CC4C174  HASPTIP DOES NOT RELEASE LINE PRINTER AFTER FIRST FILE PRINTED
  
          AFTER TRANSMISSION OF THE EOF TO LP/CP, THE TIP DOES SEND OUT 
          OUT A RQP (REQUEST PERMISSION) WITHOUT AWAITING THE ARRIVAL OF
          THE NEXT DOWNLINE FILE, CAUSING THE LP/CP DEVICES TO BE 
          PERMANENTLY RESERVED FOR ON-LINE OPERATIONS.
  
          THIS PSR FIXES SAID PROBLEM. THIS PSR ALSO FIXES A IVT AUTO-
          INPUT PROBLEM, AS WELL AS A RESTART CARD INPUT PROBLEM. 
  
          HJB            12/31/81       HASPTIP 
  
 CC4C188  CCP PERFORMANCE MODS (CC4C079) CAUSE THE ISSUANCE OF A LARGE
          NUMBER OF "SCNP...C4" ACCOUNT DAYFILE MESSAGES. 
  
          THE "SCNP...C4" MESSAGE INDICATES THE TIME OF VARIOUS CCP 
          PROCESSING STEPS.  THE USER MAY NOT BE INTERESTED IN THESE; 
          YET THEY APPEAR WITH EVERY INSTANCE OF THE "SCNP...C1, C2, C3"
          ACCOUNT DAYFILE MESSAGES. 
  
          INTRODUCE A NEW UPDATE "DEFINE" NAME ("PERFXTRA") WHICH, IF 
          ACTIVATED, CAUSES THE GENERATION OF DATA REQUIRED FOR THE 
          "SCNP...C4" MESSAGE; AND IF NOT ACTIVATED, CAUSES NO
          "SCNP...C4" DATA TO BE GENERATED. 
          THIS CODE ALSO PREVENTS THE GENERATION OF THE PERFORMANCE 
          DATA SM (0700) IF THE HOST IS DOWN. 
  
          JN             82/01/27           MONITER, PBLN03, PBLN06 
                                            PBPERFORM, PTTPINF, TYPE
  
 CC4C198  TOO MANY LOST BUFFERS 
          BIP MAY LOSE BUFFERS IF INPUT IS ENTERED WHILE THERE
          IS A CONNECTION SWITCH IN PROGRESS. 
  
          JGS/EPL        PBULTS,ASYNCTIP          02/09/81
  
 CC4C212  MODE4 KEYBOARD REMAINS LOCKED AFTER TRANSPARENT OUTPUT. 
  
          PSR CODE CC4C066 ADDED A LOCK KEYBOARD AFTER TRANSPARENT INPUT
          BUT NEGLECTED TO UNLOCK THE KEYBOARD AFTER TRANSPARENT OUTPUT.
          THIS CODE ADDS THE UNLOCK KEYBOARD AT THE END OF TRANSPARENT
          OUTPUT BEFORE THE ECS E4 (START INDEX). 
  
          DEPENDENT ON CC4C066
  
          EPL            02/10/82       R6M4O2
  
 CC40534  PLOTTER RECEIVED BAD DATA 
          THE HASP TIP DOES NOT CHECK IF DATA IS FOR A PUNCH STREAM 
          BEFORE CHECKING FOR *PM* MESSAGES, AND GETS LOST IF THE FIRST 
          CHARACTER OF THE TRANSMISSION BLOCK IS A *P*. 
  
          MODIFY HASPOTXP TO CHECK MXPUNCH FLAG BEFORE DECIDING ON *PM* 
          PROCESSING
  
          JGS/HJB    11/05/81            HASPOTXP 
  
          SRN = EDS102
  
 CC40554  HALT 9 WHEN USING BLANK COMPRESSION FEATURE WITH
          BISYNC TERMINAL 
  
          SIMILAR TAGS FOR A FILE 1 REGISTER AND A TEXT PROCESSING
          CONTROL BLOCK COUNTER CAUSED MISUSE OF THE LATTER.
  
          CORRECT THE STATE PROGRAM INSTRUCTIONS WHERE THIS 
          CONFUSION OCCURRED. 
  
          JN             81/12/11       BSCEQU, BSCMLO, BSCTIP
 CC40597  BSC TIP INSERTS A BLANK LINE AFTER EACH INPUT TRANSMISSION
          BLOCK.
  
          (INPUT) ETB CAUSES INSERTION OF A 60 ZERO BITS (BLANK LINE).
          IF ETB IMMEDIATELY FOLLOWS IUS, THEN AN UNWANTED 60 ZERO
          BITS (BLANK LINE) ARE GENERATED.
  
          PREVENT INSERTION OF ZERO BITS WHEN ETB IMMEDIATELY FOLLOWS 
          IUS.
  
          JN             82/01/08       BSCMLI
 CC40598  MULTIPLE CONSECUTIVE NON-COMPRESSED BLANKS IN 95-CHARACTER
          SET ASCII PRINTER (BATCH) OUTPUT APPEAR AS DASHES (-----).
  
          IN PRINTER (BATCH) OUTPUT, THE BISYNC TIP CONVERTS THE FILE,
          AS PRESENTED TO IT BY BIP, FROM DISPLAY CODE OR ASCII TO
          EBCDIC.  FOR THE SPECIAL CASE OF MULTIPLE CONSECUTIVE 
          NON-COMPRESSED BLANKS, DISPLAY CODE WAS ALWAYS ASSUMED. 
  
          ENSURE THAT EBCDIC BLANKS ARE GENERATED WHETHER BIP PRESENTS
          DISPLAY CODE OR ASCII DATA. 
  
          JN             82/01/12       BSCMLO
  
 CC40602  MODE4 DOES NOT PRINT AFTER A GO,LP. 
  
          AFTER A LINE FAILURE, CCP DOES NOT CLEAR THE BSSTSTOP 
          BIT ON CONNECTION INIT. THIS CAUSES BIP TO NOT BACK THE 
          FIRST DEVICE COMMAND TO THE PRINTER CONNECTION, WHICH MAY 
          CAUSE THE CONNECTION TO HANG. 
  
          DEPENDENT ON PRU
  
          EPL            01/05/82       PBBPM 
  
          SRN=XXXX
  
 *L571*    ************************************************ 
 CC4B743  X25 TIP MISCALCULATES PAGE LENGTH.
  
          PAD SUBTIP MISCALCULATES THE PAGE LENGTH WHEN SUBTIP
          PROCESSING THE LOGICAL LINE WHICH THE TOTAL NUMBER OF THE 
          CHARACTER GREATER THAN THE PAGE WIDTH CHARACTER.  THIS
          PROBLEM OCCURED ON THE DIAPLAY TERMINAL.
  
          THE PROBLEM IS CORRECTED BY CHANGING THE OUTPUT STATE 
          PROGRAM (END OF PAGE AND PROCESS THE DATA STATES).
  
          NN              07/13/81       X25PAD 
                                         PADOUTP
  
          PSR DEPENDENCIES : CC4B835
  
          SRN = NE5619
  
 CC4B767  UNEXPECTED PAGE WAIT FROM X25 TIP.
  
          PAD SUBTIP SETS THE PAGE WAIT FLAG *BSXEPAGE* AFTER PAD 
          SUBTIP SENDS THE DOWNLINE TRANSPARENT DATA. 
  
          PROBLEM WAS CORRECTED BY SETTING THE *BSXEPAGE* TO WAIT FOR 
          THE USER INPUT IF THE LAST DOWNLINE BLOCK SENT WAS THE MSG
          BLOCK AND THE PAGE OPTION FLAG WAS SET, CONTINUE ON OUTPUTTING
          DATA OTHERWISE. 
  
          NN              07/02/81       X25PAD 
  
          PSR DEPENDENCIES : NONE 
  
          SRN = NE5646
  
 CC4B800  PRU NTS LINE DOES NOT BECOME ACTIVE IF ASYNC TIP IS NOT 
          INCLUDED IN THE CCP.
  
          THE LCB AND TCB ACTION TABLES FOR THE NTS TIP IS MISSING
          IF THE ASYNC TIP IS NOT DEFINED.
  
          PROBLEM IS CORRECTED BY ADDING THE NTS LCB AND TCB ACTION 
          TABLES IF THE ASYNC IS NOT DEFINED. 
  
          NN              05/01/81       SVMZAP 
                                         SVMZPAV
                                         ZEXUSR 
                                         FCPRUBF
                                         CONST
                                         PNTSMON
                                         X25NTSD4 
                                         ZEXNTS 
  
          PSR DEPENDENCIES : FCPRUBF
                             DEPENDENT UPON THE PRU SYSTEM. 
  
          SRN = CC4B800 
  
 CC4B919  X25 HUNGS IN PAGE WAIT IF THE VALUE OF PAGE LENGTH SET TO 1 OR 2. 
  
          THE PROBLEM IS CORRECTED BY CHANGING PAD SUBTIP TO PROCESS ONE
          DOWNLINE BLOCK AT TIME INSTED OF CHAINING THE DOWNLINE BLOCKS 
          AND PROCESSING THEM AT ONCE.
  
          NN              07/27/81       X25PAD 
  
          PSR DEPENDENCIES : CC4B678, CC4B990 
  
          SRN = CC4B919 
  
 CC4B990  X25 TIP DOES NOT PAGE WAIT. 
  
          PAD SUBTIP DOES NOT SET THE END OF PAGE FLAG WHILE PAD OUTPUT 
          TEXT PROCESS PROGRAM IS PROCESSING THE LAST LINE OF PAGE AND
          THEN THE END OF SOURCE CONDITION OCCURED. 
  
          PROBLEM IS CORRECTED BY SETTING THE END OF PAGE FLAG IF IT IS 
          AT THE END OF PAGE AND SEES THE UNIT SEPARATER.  IF THE END 
          OF SOURCE CONDITION DOES NOT OCCURE, THE FLAG WILL BE RESET 
          LATER.
  
          NN              06/12/81       PADOUTP
                                         PADTPCB
                                         PADMXCONS
                                         X25PAD 
                                         X25TCB 
  
          PSR DEPENDENCIES : FCXPADF
                             FCXPADG
                             CC4B759
                             CC4B678
                             CC4B704
                             CC4B743
                             CC4B931
                             CC4B962
  
          SRN = NE5748
  
 CC4C039  SEVERAL DECLARATIONS (ESPECIALLY BISYNC) HAVE BEEN TACKED 
          ON TO OTHER COMMON DECKS INSTEAD OF BEING DECLARED IN THEIR 
          OWN COMMON DECKS
  
          SOLUTION: INTRODUCE NEW COMMON DECKS INTO THE CCP PL. 
  
          JGS        07/13/81               TYPE,TYPETCB,TYPEUSER 
                                            TYPELCB,TYPEBUF,X25LCB
                                            ASYNCBUF,ASMUSER,REL6MD4
                                            BSCTCB,BSCTPCB,TYPEBSC
                                            BSCLCB,MODE4BUF,BSCBUF
  
 CC4C088  IN THE BISYNC INPUT STATES, NO WLE IS ISSUED ON A CONTROLLED
          CARRIER LINE (S2) UNTIL DATA CARRIER DROPS. 
  
          IF A LINE IS DEFINED IN THE LCF AS CONTROLLED CARRIER (S2), 
          BUT IS IN REALITY CONSTANT CARRIER (S3), NO WLE IS ISSUED 
          SINCE DATA CARRIER NEVER DROPS. 
  
          CHANGE THE BISYNC INPUT STATES TO PROCESS ALL INPUT AS IF IT
          WERE ON A CONSTANT CARRIER LINE.  IF DATA CARRIER DROPS,
          THE FOLLOWING ACTIONS ARE TAKEN:  
          1. IF 1ST CHARACTER NOT YET RECOGNIZED, OR IN IDLE STATE
             (WLE ISSUED), IGNORE (RESYNC LINE).
          2. IF IN THE MIDST OF INPUT, ISSUE "BAD DATA" WLE AND 
             TERMINATE INPUT. 
  
          JN             82/03/17       BSCC3, BSCLCBL2, BSCLV2, BSCL2I 
  
 CC4C122  LIP/TIP DOES NOT WORK CORRECTLY WITHOUT FLAGS OPTION FCO. 
  
          THE 2563-1 ORIGINALLY DID NOT HAVE AN OPTION TO SEND FLAGS
          ON AN IDLE LINE.  CODE WAS ADDED TO CCP TO GET AROUND THIS
          PROBLEM BUT THE CODE (LEAVES OUTPUT ON AFTER OUTPUT) CAUSED 
          ANOTHER PROBLEM IN THE 2563-2 CLA. THE CODE IS BEING DELETED
          BY THIS PSR CODE. THE CLA MUST HAVE AN FCO INSTALLED TO ADD 
          THE OPTION TO SEND FLAGS. 
  
          DEPENDENT ON RN1C005
  
          EPL            11/04/81       PMCDRV,ZEXBDL 
  
          SRN=XXXX
  
 CC4C133  CHARACTER WITH DISPLAY CODE 76B (LOGICAL NOT) IS PRINTED
          AS PERCENT SIGN AT A BCD 200 UT STATIO, INSTEAD OF A BLANK
  
          JGS            11/16/81        DC4BCD 
  
          SRN = 81CK86
  
          DEPENDENCIES NONE 
  
 CC4C150  CCP HALT 9 WHEN RUNNING ASYNC XPARENT OUTPUT. 
  
          THE ASYNC TIP COPIES ALL TRANSPARENT OUTPUT WITH THE
          PBCOPY ROUTINE.  THE PBCOPY ROUTINE HAS NO BUFFER THRESHOLD 
          CHECKS THEREFORE DEPLETES THE SUPPLY OF DATA BUFFERS.  THIS 
          CODE ELIMINATES THE COPY OF TRASPARENT OUTPUT TO A NEW SET
          OF BUFFERS SINCE THIS OPERATION IS A WASTE OF NPU RESOURCES 
          AND SERVES NO PURPOSE.
  
          DEPENDENT ON PRU
  
          EPL            01/11/82       ASYNCTIP
  
          SRN=LT06
  
 CC4C161  DURING PRINTING, USER STOPS PRINTER, READS "/*STOP,LP" CARD,
          AND RESTARTS PRINTER.  PRINTING RESUMES AND THEN STOPS, AND NO
          CARDS CAN BE READ.
  
          UPON RECEIPT OF "STOP,LP", RBF NOTIFIES NIP TO STOP OUTPUT- 
          TING.  NIP CEASES MAKING CIO REQUESTS.  THE BISYNC TIP, NOT SEEING
          EOI, CONTINUES TO AWAIT OUTPUT DATA (BUT RECEIVES NONE) AND RE- 
          PEATEDLY GOES THROUGH ITS OUTPUT DELAY SEQUENCE: ISSUES TTD,
          RECEIVES NAK. 
  
          BISYNC TIP WILL RELINQUISH THE LINE (BY SENDING EOT) AFTER 5
          CONSECUTIVE OUTPUT DELAY SEQUENCES (TTD/NAK).  (5 IS AN 
          ARBITRARY VALUE.) 
  
          JN             82/01/15       BSCWCS, BSCTIP, BSCLCBL2, BSCLV2
  
 CC4C166  STIS/LNSTI/SM ALWAYS REPORTS ZERO CHARACTER COUNTS. 
  
          ERRONEOUS CALCULATION OF CHARACTER COUNTS (TRANSMITTED AND
          RECEIVED).
  
          CORRECT THE CALCULATIONS (NOTE THAT AS PER CC40138, THE 
          STIS/LNSTI/SM REPORTS THE CHARACTER COUNTS DIVIDED BY 32).
  
          JN             82/01/05       PNSGATH, SVM
  
 CC4C172  X25 TIP HUNGS IN TVF. 
  
          PROBLEM  : X25 LEVEL 3 STOPS SENDING FRAGMENT REQUEST TO
                     PAD SUBTIP IF SUBTIP QUEUES MORE THAN 16 PACKETS 
                     TO LEVEL 3.
  
          SOLUTION : EXTEND SIZE OF DOWNLINE PACKET COUNTER.
  
          NN              12/31/81       X25LCCB
  
          PSR DEPENDENCIES : NONE 
  
          SRN = 024923
  
 CC4C205  300 BAUD AUTO-REC DOES NOT RECOGNIZE $CE AS A VALID 
          CARRIAGE RETURN 
  
          SOLUTION - MODIFY REL4ASY TO ACCEPT $CE AS A VALID
                     CARRIAGE RETURN. 
  
          JGS            02/08/82        ASYMXCONS,REL4ASY
  
          SRN = UW300BPS
  
 CC4C208  THIS CODE INCLUDES AUTO-LINK DIRECTIVES TO GENERATE 
          A BUFFER SPACE REPORT IF BUFSRPT IS DEFINED.
  
          JGS          02/10/82          ALINPDIR 
  
 CC4C217  CCP FAILS TO RESPOND TO DOWNLINE ICMDS
          BIP IS THROWING AWAY ALL DOWNLINE MESSAGES THAT DO
          NOT HAVE A DBC
  
          MODIFY BIP TO CHECK FOR MESSAGE TYPES OF LESS THAN HTBACK 
  
          JGS            02/26/82        PBDLTS 
  
          SRN = NE5857
  
          DEPENDENCIES = CC4C097
  
 CC4C220  ON LINE DIAGNOSTICS DO NOT WORK ON 2563 CLA,S.
  
          CC40312 CHANGED PMWOLP UNSOLICITED INPUT AND OUTPUT 
          LOGIC THAT CAUSES ON LNE DIAGNOSTICS TO FAIL.  THIS 
          CODE CORRECTS THE PROBLEM.
  
          DEPENDENT ON CC40312,DG1C001
  
          EPL            01/28/82       PMWOLP
  
 CC4C223  HALT C CAUSED BY BAD CODE IN CC40248
          (SEE CC40512 FOR SIMILIAR PROBLEM AND FULL DESCRIPTION.)
          CLEAR SCREEN DELAY OVERWRITES BZRET1ADR CAUSING RE-ENTRY
          PROBLEMS IF INPUT-TERMINATED WORKLIST IS OUTSTANDING. 
  
          RMF       82/02/15           ASYNCTIP 
  
          DEPENDENCIES:  CC40248
  
 CC4C224   MODE 4 TIP SOMETIMES DOES NOT RETRANSMIT A BLOCK 
          TO THE PRINTER AFTER A LINE ERROR.
          IT IS CHECKING THE WRONG BIT FOR TOGGLE.
  
          MODIFY THE TIP TO CHECK THE CORRECT BIT FOR TOGGLE. 
  
          JGS/EPL        82/03/10        MODE4TIP 
  
 CC4C225  ASYNC TIP SPECIAL EDITING ISSUES WRONG CHARACTER AS A 
          RESPONSE TO <BS><LF> SEQUENCE.
          THE CHARACTER ! IS BEING ISSUED INSTEAD OF THE CHARACTER ^
  
          CHANGE THE CANNED MESSAGE TO ISSUE ^ ($5E) INSTEAD OF ! ($21).
  
          JGS            82/03/16        ASYNCTIP 
  
          SRN = PGDQ2 
 CC4C227  X25 TIP HALT A. 
  
          PROBLEM  : FRAME LEVEL INITIALIZATION ROUTINE RELEASED A BUFFER 
                     WHICH HAS ALREADY RELEASED BY STOP LINK ROUTINE. 
                     HALT A WILL LIKELY OCCUR AFTER LAUNCH A OUTPUT 
                     AND LINE GOES DOWN.
  
          SOLUTION : CHECK *BZLFRM* POINTER AGAINST *BZIFQW* AND *BZSFQW* 
                     SET *BZLFRM* TO NIL IF THEY ARE SAME.
  
          NN              03/23/82       X25LVL2
  
          PSR DEPENDENCIES : CC4B841, CC4C007 
  
          SRN = CC4C227 
  
 CC4C228  X25 PAD SUBTIP STRIPS THE HIGH BIT WHEN NONE PARITY IS SET
          AND IN TRANSPARENT MODE.
  
          PROBLEM  : PAD SUBTIP ACCESSES WRONG FIELDS FOR PARITY SETTING. 
  
          SOLUTION : USE *BSPARTYPE* INSTED OF *BSPARITY*.
  
          NN              03/18/82       SVMZAP 
                                         SVM
                                         X25PAD 
  
          PSR DEPENDENCIES : NONE 
  
          SRN = CC4C228 
  
 CC4C234  CODE TRANSLATION TABLES ATAPLAS AND ABAPLAS ARE BEING 
          PAGED, WHICH CAUSES CHARACTER SET TRANSLATION PROBLEMS
          IF THE USER TRIES TO USE APL CHARACTER SET. 
  
          SOLUTION - MOVE THE TWO TABLES OUT OF PAGED MEMORY. 
  
          JGS            82/03/30        ALASYNC
  
 CC4C235  BUFFER ALLOCATED FOR UPLINE (BISYNC) TTD IS NEVER RELEASED. 
  
          INPUT STATES ALLOCATES A BUFFER WHEN IT RECOGNIZES THE
          -STX- CHARACTER OF THE TTD.  OPS LEVEL DOES NOT RELEASE 
          THIS BUFFER.
  
          RELEASE THE BUFFER ALLOCATED WHEN TTD IS RECOGNIZED.
  
          JN             82/03/31       BSCLV2
  
 CC4C236  HALT E. 
  
          BISYNC TIP IS SENDING ACCOUNTING DATA AT EOI ON A CONSOLE 
          STREAM; AND WHICH STREAM HAS MORE THAN 'BSXMTT' (7) MESSAGES
          QUEUED DOWNLINE.
  
          DO NOT SEND ACCOUNTING DATA AT EOI ON AN INTERACTIVE STREAM;
          AND ALSO DO NOT SEND ACCOUNTING DATA AT EOI IF A 'TERMINATE 
          OUTPUT' COMMAND (ICMD) IS IN PROCESS. 
  
          JN             82/04/05       BSCTIP
  
  
 CC40560  NON-PRINTABLE CHARACTERS NOT MAPPED TO BLANK
  
         SOLUTION - MODIFY BCD CODE 
         PLJ    11/18/81                 BCDDC3,BCDDC4
                                         E6DC4,E9DC4
                                         ASKDC3,ASKDC4
                                         E6DC3,E9DC3
                                         DC3BCD,DC3ASK
  
          DEPENDENCIES: NONE
  
          SRN = CC40560 
  
 CC40569  MPEDIT DIRECTIVES ARE NOT GENERATED FOR USER TIPS.
  
          EXPAND GENERATES THE UPDATE SYMBOL DEFINITION *DF UTIPX 
          (WHERE X=1,2,3, OR 4) FOR USER DEFINED TIPS 1 THRU 4. 
          COMMON DECKS ZCONUSER, ZVARUSR, ZARRUSR AND ZEXUSR HAVE 
          CONDITIONAL CALLS BASED ON SYMBOL USERTIPX, INSTEAD OF
          UTIPX. THIS PREVENTS GENERATION OF USER TIP MPEDIT DIRECTIVES 
  
          COMMON DECKS ZCONUSER, ZVARUSR, ZARRUSR AND ZEXUSR HAVE BEEN
          MODIFIED TO USE UTIPX INSTEAD OF USERTIPX.
  
          JGS            12/01/81        ZCONUSER,ZVARUSR,ZARRUSR,ZEXUSR
  
          SRN = TLNP126 
  
 CC40570  ERROR IN X25 LEVEL 2 WHEN SECONDARY IS IN REJECT STATE. 
  
          PROBLEM  : THE SECONDARY STATE DOES NOT RESPONSE TO RR, 
                     RNR OR REJ COMMAND WITH POLL BIT SET IF THE
                     SECONDARY IS IN REJECT STATE.  THE SECONDARY 
                     CHANGES THE STATE FROM REJECT STATE TO 
                     OPERATIONAL STATE, IF IT RECEIVES AN I FRAME 
                     EVEN IF N(R) IS NOT EQUAL TO V(R). 
  
          SOLUTION : THE SECONDARY WILL STAY IN REJECT STATE UNTIL
                     IT RECEIVES THE FRAME WITH THE EXPECTED N(S) AND 
                     IT WILL RESPOND WITH A RR (F=1) RESPONSE IF IT 
                     RECEIVES A COMMAND WITH THE POLL BIT SET.
  
          NN/KL/JP        12/04/81       X25LVL2
  
          PSR DEPENDENCIES : FCLVL2G
                             FCLVL2H
  
          SRN = DXP06 
  
 CC40571  X25 LEVEL 2 DOES NOT CHECK LENGTH OF I FRAME. 
  
          PROBLEM  : LEVEL 2 ACCEPTS AN I FRAME EXCEEDING THE MUXIMUM 
                     FRAME SIZE AND PASSES THE I FIELD TO LEVEL 3.
  
          SOLUTION : ADD CODE IN PXPFLCORRECT TO CHECK FOR THE LENGTH 
                     OF THE I FRAME.
  
          NN              12/05/81       X25LVL2
  
          PSR DEPENDENCIES : FCLVL2H
  
          SRN = DXP10 
  
 CC40572  SEVERAL BUGS IN X25 LEVEL 2 REJ PROCESSING INTRODUCED 
          AT L443.
  
          PROBLEM IS CORRECTED BY 
  
          NN              12/18/81       X25LVL2
                                         X25SLCB
  
          PSR DEPENDENCIES : CC4C004
                             CC4C009
                             CC4C062
  
          SRN = DXP09 
  
 CC40574  INCONSISTENCIES IN N(R) PROCESSING BY X25 LEVEL 2.
  
          PROBLEM  : X3NVSENR IS NEVER GENERATED, X3VSENR IS ALWAYS 
                     GENERATED IF N(R) = V(S).  IN RETRANSMISSION 
                     STATE LEVEL 2  MAY RESTART T1 TIMER ERRONOUSLY 
                     EVEN THOUGH ALL FRAMES SENT SO FAR ARE BACKED. 
  
          SOLUTION : CHECK FOR NEW N(R) IF N(R) = V(S).  STOP T1
                     TIMER IF NOT IN RETRANSMISSION STATE AND ALL 
                     FRAMES SENT ARE BACKED.
  
          NN              12/23/81       X25LVL2
  
          PSR DEPENDENCIES : CC4B796
  
          SRN = DXP07 
  
 CC40575  ERROR IN X25 LEVEL 2 RNR HANDLING.
  
          PROBLEM  : ACCORDING TO THE CCITT X25 2.3.4.4, AN RNR SHOULD
                     NOT BACKSPACE V(S) TO LAST N(R) RECEIVED.
  
          SOLUTION : NOT BACKSPACEING V(S) RECEIPT OF RNR FRAME 
                     THE PRIMARY STATE WILL UPDATE LAST N(R)
                     ACCORDING TO THE N(R) OF INCOMING FRAMES.
  
          NN/JP           12/12/81       X25LVL2
  
          PSR DEPENDENCIES : NONE 
  
          SRN = DXP05 
  
 CC40576  X25 LEVEL 2 DOES NOT ACK UPLINE FRAMES UNDER CERTAIN
          CONDITIONS. 
  
          PROBLEM  : AN I FRAME IS NOT ACKED BY LEVEL 2 IF I FRAMES 
                     ARE IN THE DOWNLINE FRAME QUEUE AND NO FRAMES
                     CAN BE SENT BECAUSE THE DOWNLINE WINDOW IS 
                     CLOSED OR THE PRIMARY IS IN REMOTE BUSY STATE. 
  
          SOLUTION : SEND RR RESPONSE IN ABOVE CASES. 
  
          NN/KL/JP        12/14/81       X25LVL2
  
          PSR DEPENDENCIES : NONE 
  
          SRN = DXP04 
  
 CC40577  ERROR IN X25 LEVEL 2 WHEN SECONDARY IS BUSY STATE.
  
          PROBLEM  : IN BUSY STATE THE SECONDARY IGNORED I FRAME
                     WITH N(S) NOT EQUAL TO V(R) EVEN IF THE P BIT
                     IS SET.  THE REGULATION TIMER SHOULD NOT BE
                     STOPPED IN THIS CASE.
  
          SOLUTION : SENDS THE RNR OF N(R) = V(R) WITH F = 1 FOR
                     RECEIPT OF AN I FRAME WHILE THE SECONDARY IS IN
                     BUSY STATE.  STOP AND RESTART THE BUFFER REGULATION
                     TIMER AFTER BUFFER REGULATION CHECK IS DONE. 
  
          NN              12/30/81       X25LVL2
  
          PSR DEPENDENCIES : FCLVL2H
  
          SRN = DXP08 
  
 CC40580  MULTIDROP MODE4B TERMINALS CAN BECOME PERMANENTLY 
          HUNG IN RECOVERY AS A RESULT OF USING V1REPLY FOR THE 
          PREVIOUS TERMINAL.
          JGS/SAP        12/10/81        MODE4TIP 
  
          SRN = STTC CCP-10 
  
 CC40591  CONTENTION BETWEEN T1 TIMER EXPIRATION AND OUTPUT ACTIVITY. 
  
          PROBLEM  : IF T1 TIMER EXPIRES WHILE OUTPUT IS IN PROCESS, THE
                     TRANSMITTER IGNORES THE EXPIRTION OF T1 TIMER. 
                     THIS CAUSES THE DOWNLINE DIRECTION OF THE LINK TO
                     HANG AND NO MORE FRAMES ARE SENT TO THE NETWORK. 
  
          SOLUTION : IF OUTPUT IS IN PROCESSING T1 TIMER EXPIRATION 
                     IT RECORDED IN A NEW FLAG IN SUB LCB.  WHEN THE
                     OBT WORKLIST COMES IN AND THE FLAG IS SET, IT IS 
                     CLEARED AND THE LAST UNACKED FRAME IS RETRANSMITTED. 
  
          JP/NN           01/25/82       X25SLCB
                                         X25LVL2
  
          PSR DEPENDENCIES : CC4B896
  
          SRN = DXP12 
  
 CC40608 PROBLEM - CCP CANNOT BE BUILT WITH CONSOLE BUT NO TUP. 
  
         SOLUTION - ADD NEW VARIANT TYPE OPTION TO USERBPS ENTRY (VT=C).
         ALSO INCLUDES CHANGE TO ALLOW TS=E TO IMPLY TS=A/E.
  
         DEPENDENT UPON XSYA180 ONLY IF VT=C IS USED. 
  
         82/02/26       RWH       EXPTEXT 
  
 CC40611  X25 LEVEL 2 DOES NOT DISPLAY THE FRAME HEADER PROPERLY
          IN ALARM MESSAGE. 
  
          SOLUTION : DELETING PX2ALARMMSG ROUTINE AND USE PX2WARNING
                     ROUTINE TO NOTIFY NAM DAYFILE. 
  
          NN              01/07/82       X25LVL2
  
          PSR DEPENDENCIES : NONE 
  
          SRN = DXP02 
  
 CC40614  SUPPRESS SPACE FOR ASCII CODED HASP FILES DOES NOT WORK 
          IVT FORMAT EFFECTORS DOUBLE/TRIPLE SPACE CAUSE EXTRA BLANKS 
  
          THE CARRIAGE CONTROL CHARACTER DEFINITION FOR THE NO
          SPACE FORMAT EFFECTOR IS INCORRECT
  
          THIS PSR CORRECT THIS PROBLEM 
  
          HJB            02/11/82       HASPOTXP
  
 CC40615  PAGE EJECT DOES NOT WORK FOR ASCII FILES IN MODE4 PRINTER.
  
          TEXT PROCESSING STATE VAFC IS STORING THE WRONG DISPLAY CODE
          FOR PAGE EJECT. $31 (B8FCPE) IS BEING STORED INSTEAD OF A $1C 
          (B9FCPE). 
  
          JGS            02/11/82        R6M4O1 
  
          SRN = RBK804
  
 CC40620  PRU CARD COUNTS INPUT FROM A UT200 ARE BAD.  COUNTS 
          MAY BE INFLATED BY AS MUCH AS 65K.  THE PROBLEMS ARE
          THREE:  
          1)  REGISTER HOLDING V4CARDCNT IN TP IS NOT INITIALIZED 
              BEFORE COUNTING START.
          2)  IN PT4CRINP, IF AN EOI/EOR BUFFER COMES IN WITHOUT
              DATA, THE TP IS NOT CALLED.  HOWEVER THE ACCOUNTING 
              HOLD WORD (BAINT[4]) WAS NOT SET TO ZERO. 
          3)  IN PBACCOUNTING, THE ACCOUNTING COUNTS ARE TREATED AS 
              INTEGER DATA WHILE FORMING THE ACCOUNTING DATA COMMAND
              BUFFER W/CHAR DATA.  THE MIDDLE 8 BITS OF THE COUNT ARE 
              DIVIDED BY $100 HEX, CAUSING RIGHT SIGN EXTENSION IF
              THE COUNT (OR GARBAGE FROM 1 + 2 ABOVE) IS GE $8000.
              (WILL ALSO CAUSE ERRONEOUS LINES PRINTED COUNTS.) 
  
          SOLUTION:  INITIALIZE V4CARDCNT BEFORE STARTING TO COUNT, 
                     INITIALIZE BIINT[4] OF EOR/EOF BUFFER IF NOT TP'ED 
                     TREAT COUNTS AS CHARACTER DATA, DON'T DIVIDE IT
  
          TGW/RMF    82/02/15    R6M4IT,MODE4TIP,PBACCOUNT
  
 CC40628  ENFORCE REGULATION OF UPLINE BLK BLOCKS, AND DISCARD EMPTY
          ONES (CAUSED BY REPEATED <LF> INPUTS) IN ORDER TO PREVENT A 
          POSSIBLE HALT 9.
  
          EWB    82/02/26    ASYNCTIP 
  
 CC40630   HALT 20-S CAUSED BY ATTEMPTING TO OUTPUT REPEAT..
           ON TOP OF PREVIOUS OUTPUT. 
           SOLUTION:  TURN OFF OUTPUT IN ALL CASES BEFORE ISSUING 
           REPEAT.. 
  
           RMF   82/02/13    ASYNCTIP 
  
 CC40632  CODE TABLE E29ASC IS AN OLD TABLE LEFT OVER FROM PREVIOUS 
          VERSIONS OF CCP AND SHOULD BE PURGED. 
  
  
          JGS            82/03/09        E29ASC 
  
          SRN = HQDS 9804 
  
 CC40636  PROBLEM - HALT 20 CAUSED IF OUTPUT IS TERMINATED AFTER AN 
                    OBT W/L HAS BEEN GENERATED, BUT BEFORE OBT W/L IS 
                    PROCESSED.
  
          SOLUTION- DISCARD OBT IF OUTPUT TERMINATED OUTSTANDING. 
  
          RMF/JGS            82/03/09    ASYNCTIP 
                                         ASYNCLCB 
  
 CC40649  HALT 9 CAUSED BY RUNAWAY 2741 TERMINAL. 
  
          ASYNCT TIP HAS BEEN CHANGED MAKE A TERMINAL GO INTO REGULATION
          (ISSUE REPEAT..) IF IT TIES UP MORE THAN 40 INPUT BUFFERS.
  
          HJB            82/04/06        REL4ASY
  
          SRN=WASH172 
  
 CC40659  CONSTANTS USING THE SAME NAME ARE DEFINED TWICE 
  
          V4RETRY IS DEFINED TWICE AND EQUATED TO TWO DIFFERENT VALUES
          IN THE MODE4 TIP. 
          IT IS DEFINED AT THE TIP LEVEL AND THEN AGAIN IN PT4RETRY.
  
          DELETE DEFINITION AT THE TIP LEVEL. 
  
          JGS            82/04/01        MODE4TIP 
  
 FCBMSYS  BLOCKMODE ASYNCTIP FEATURE CODE, CHANGES TO SYSTEM (AUTOLINK, 
          MPEDIT, UPDATE) 
  
          HJB            07/28/81       CONASYNC,PB100MS,USERAPPS 
                                        ALBASESY,ALASYNC,ZCASYNC, 
                                        ZARASYNC,ZEXASYNC 
 FCBMASY  BLOCKMODE ASYNCTIP FEATURE CODE, CHANGES TO PASCAL CODE.
  
          HJB            07/03/81       CONASYNC,ASYNCLCB,ASYNCTCB, 
                                        ASYNCMLCB,ASYNCBUF,VARASYNC,
                                        VALASYNC,ASYNCWFD,ASYNCTIP
  
 FCBMISP  BLOCKMODE ASYNCTIP FEATURE CODE, INPUT STATE PROGRAMS,
          MESSAGE MODULE
  
          HJB            07/13/81       CONASYNC
  
 FCXCALL  THIS FEATURE INTRODUCES OUTBOUND CALL REQUEST SUPPORT 
          FOR X25 LEVEL 3.
  
          CAM             10/01/81       X25TIP 
                                         X25LVL3
                                         X25LINK
  
          DEPENDENCIES:    THIS FEATURE DEPENDS ON AN R7 BASE 
  
 FCXLAPB   THIS FEATURE REMOVES LAB SUPPORT FROM X25 LEVEL 2
           AND INTRODUCES LAP-B SUPPORT.
  
          THE NAM'S DAYFILE MESSAGE -ALARM ON PORT XX FRMHDR=XXXX  XX/YY- 
          HAS BEEN ELIMINATED.
          THE NAM'S DAYFILE MESSAGES -PRIMARY LINK RESET ON PORT XX-
          AND -SECONDARY LINK RESET ON PORT XX- ARE REPLACED BY 
          -LINK RESET ON PORT XX-.
  
          THE MESSAGE -X25 NETWORK DOWN ON PORT XX- OCCURS IN THE 
          FOLLOWING CONDITIONS: 
            N2 TIMES DISC IN DISCONNECT STATE 
            N2 TIMES SABM IN SET UP STATE 
            IF DM IS RECEIVED AS A RESPONSE TO SABM IN SET UP STATE 
            IF SABM WAS SENT N2 TIMES IN RESET STATE
  
          THE MESSAGE -LINK RESET ON PORT XX- IS SENT BOTH FOR
          PRIMARY AND SECONDARY LINK RESET. 
  
          ALSO, X25LVL2 REORGANISATION DROPS MEMORY REQUIREMENTS
          BY 200 HEX WORDS. 
  
          CAM             10/01/81       X25LVL2
                                         X25CON01 
                                         PX2MUX 
                                         X25IST 
  
 ATOAMOD  . 
  
          PROBLEM  :  
  
          SOLUTION :  
  
          NN              MM/DD/YY       ZZZ
  
          PSR DEPENDENCIES : $
  
          SRN = CC4CXXX 
  
 BLKMODE  . 
          . 
  
          . 
          . 
          . 
          . 
          . 
  
          NN              MM/DD/81       X25PAD 
                                         ALX25TIP 
                                         VAR
                                         TYPE 
                                         ZD30 
                                         ZEXPAD 
                                         ZARRUSR
  
          PSR DEPENDENCIES : NONE 
  
          SRN = BLKMODE 
  
 CC4C254  2780 AND 3780 TERMINAL TRANSPARENT MODE ACHIEVE SPURIOUS
          RESULTS.
  
          3780 TERMINAL TRANSPARENT MODE INPUT WITH THE MULTIPLE CARD 
          RECORD OPTION (6 80-COLUMN CARDS PER BLOCK) DOES NOT WORK.
          2780 TERMINAL TRANSPARENT MODE DOES NOT WORK. 
  
          IN TERMINAL TRANSPARENT MODE, "END" A CARD AFTER 80 COLUMNS,
          ALONG WITH (THE CURRENT) DLE IUS, DLE ETB, DLE ETX. 
          ALSO DO SOME MINOR CLEANUP (BLANK COMPRESSION, CHECK FOR
          ETX FOLLOWING IUS, ENSURE SYNCS ARE STRIPPED FROM INPUT). 
  
          JN             82/05/18       BSCL2I,BSCMLI 
  
 CC40447  IF THERE IS NOISE ON A TELEPHONE LINE AFTER HAVING DIALED UP
          INTO THE NPU AND BEFORE PLACING THE RECEIVER INTO THE ACOUSTIC
          COUPLER, CCP HANGS UP THE LINE IMEDIATELY.
          THIS HAPPENS BECAUSE THE NOISE CAN PRODUCE A SHORT ACTIVATION 
          OF THE DCD SIGNAL FROM THE MODEM. 
  
          SOLUTION - CCP WILL REENTER THE MODEM-STATE "ENABLE" AS LONG AS 
          THE 30 SEC. PERIOD, BEGINNING AT THE DETECTION OF RI, IS NOT
          EXPIRED.
  
          HJB            82/05/19        MODMSTP
  
          SRN = ER60
          DEPENDENCIES - NONE 
  
 HSP56KB  PERFORMANCE IMPROVEMENTS TO HASPTIP FOR 56 KB SUPPORT 
  
          SLOW ACKING MECHANISM HAS BEEN CHANGED TO SEND A FAST ACK AFTER 
          EVERY FCS CHANGE (WAIT-A-BIT ON/OFF, DEVICE-BITS CHANGE)
  
          OUTPUT TEXT PROCESSOR WILL NOT ATTEMPT TO FILL ANOTHER RECORD 
          IN THE TRANSMISSION BLOCK IF THERE IS LESS ROOM LEFT THAN THE 
          LENGTH OF THE PREVIOUS RECORD, THUS PREVENTING MOST OF THE
          FRUITLESS ATTEMPTS TO OPTIMIZE THE SIZE OF THE XMIT BUFFER, 
          AT THE COST OF TEXTPROCESSOR CP TIME. 
  
          THE TEXTPROCESSING OF UNCOMRESSED BATCH OUTPUT DATA HAS 
          BEEN IMPROVED (BY 45 MICRO-SECONDS / CHAR)
          TEXTPROCESSING OF COMPRESSABLE DATA HAS ALSO BEEN IMPROVED
          (15 - 40 MICRO-SECONDS / CHAR)
  
          OUTPUT CRC GENERATION IS REMOVED FROM OPS-LEVEL TEXT-PROCESS
          TO THE ODD (REAL-TIME) LEVEL, PREVENTING A 20 MILLISECONDS
          GAP BETWEEN INPUT AND OUTPUT FOR 800 CHARACTER XMIT BLOCKS. 
  
          PROCESSING OF ASCII AND DISPLAY CODED FILES HAS BEEN COMBINED 
          BY USING THE NEW -XLATE- INSTRUCTION. 
  
          HJB            06/22/82       HASPTIP,HASPOTXP
                                        HASPINPS,HASPITXP 
  
 CC40677  THERE ARE STILL SOME CODE CONVERSION PROBLEMS NOT FIXED 
          BY CC40560. 
          THIS CODE FIXES THE PROBLEM.
  
          JGS            82/04/26        E6DC3
                                         DC3E6
                                         BCDDC3 
                                         E9DC4
                                         E6DC4
          DEPENDENCIES - CC40560
  
 CC40735  IT IS POSSIBLE FOR A USER TO ROUTE A FILE TO A HASP RJE 
          STATION WHICH CONTAINS DLES AND THUS VIOLATE THE BSC PROTOCOL.
          THE HASP TIP DOES NOT PROTECT THE PROTOCOL. 
  
          THE SOLUTION IS TO MAP THE PROTOCOL CHARACTERS SOH, STX, ETX, EOT,
          ENQ, ACK, DLE, NAK, SYN AND ETB TO NUL. 
  
          JGS/HJB        82/07/20        ASKEC
  
          SRN = RAY837
  
          DEPENDENCIES - NONE 
  
 *L577*    ************************************************ 
 MFSPC3   THE SPC3EQ STATE INSTRUCTION HAS MARGINAL CODE. 
  
          THIS CODE MAKES IT NOT MARGINAL.
  
          DEPENDENT ON MHO
  
          EPL            8/26/82        MF
  
 MODE4HLT THE MODE 4 TIP HAS A DEBUG HALT INSTALLED.
  
          THE MODE 4 TIP HALTS WHEN TOO MANY INPUT BUFFERS ARE USED.
          THIS HALT SHOULD BE REMOVED FOR NORMAL OPERATION. 
  
          DEPENDENT ON MHO
  
          EPL            8/28/82      MODE4ISP
  
 MH0A277  MODE TIP WRITES TO THE MODE 4A CONSOLE WHILE PRINTING.
  
          THE MODE 4 TIP WRITES TO THE MODE 4A CONSOLE IF THE PRINT 
          QUEUE IS EMPTY.  THIS WASTES NPU TIME AND MAY CAUSE PROBLEMS
          WITH SOME MODE 4A TERMINALS.
  
          THIS CODE ELIMINATES THE WRITE WHEN THE PRINTER IS ACTIVE.
  
          DEPENDENT ON MHO
  
          EPL            8/26/7/82      MODE4TIP
  
 MH0A358  THE MODE 4 AND ASYNC TRANSPARENT OUTPUT DOES NOT WORK.
  
          THE FIRMWARE ODD PROCESSOR HAD PROBLEMS CHAINING TO THE 
          RIGHT CHARACTER OF A NEW BUFFER.  ALSO THE NEW ASYNC TP 
          INSTRUSTION HAD PROBLEMS. 
  
          THIS CODE FIXES THESE TWO PROBLEMS. 
  
          NO DEPENDENCIES 
  
          EPL            9/16/82        MF
  
 MH0A353  AUTOLINK CREATES LINK DIRECTIVES FOR ADDR= MODS IF APPL NOT 
          DEFINED.
  
          LINK DIRECTIVES SHOULD NOT BE CREATED FOR MODULES WITH NO 
          APPLICATIONS DEFINED. 
  
          THIS CODE PREVENTS GENERATION OF LINK DIRECTIVES FOR MODULES
          WHICH HAVE HARD-WIRED ADDRESSES (ADDR=) AND HAVE NO APPLICATIONS
          DEFINED.
  
          DEPENDENT ON FCAULKMHF. 
  
          RWH           9/14/82        ALOUTDIRS
  
 CC40622  NO RESPONSE FROM NPU AFTER /*EOI SENT FROM WANG WORKSTATION 
          USING 3780 PROTOCOL.
  
          TERMINAL FOLLOWS (UPLINE) ETX WITH TTD.  CCP WAS NOT
          EXPECTING TTD FOLLOWING ETX.
  
          RESPOND TO A TTD FOLLOWING ETX WITH A NAK.
  
          JN             82/06/21       BSCLV2
  
 CC40728  USING -/*CONFIG,CR=1/2- CARD DURING HASP LOGIN YIELDS 
          -<BAD /*CONFIG>- DIAGNOSTIC.
  
          -CONFIG- CARD CRACKER IS MISHANDLING THE SLASH USED TO
          SEPARATE PARAMETER VALUES, E.G. CR=1/2. 
  
          CORRECTLY HANDLE THE SLASH SEPARATOR APPEARING ON THE -CONFIG-
          CARD. 
  
          JN             82/08/18       PTCNFCARD 
  
 *L580*    ************************************************ 
 CC5A004  HASP TERMINAL CLASS CHANGE FROM 9 TO 14 SHOULD BE ILLEGAL 
  
          CCP WAS MAKING NO CHECKS TO PRECLUDE THE USER FROM CHANGING 
          THE HASP TERMINAL CLASS TO/FROM *HPRE* OR *HASP*. 
  
          THE SOLUTION IS TO ADD A ACTION TABLE ENTRY TO *HASPAT* 
          THAT FORCES *PNCONFIGURE* TO ERROR OUT SUCH ATTEMPTS BY THE 
          USER. 
  
          RWF            82/11/23       SVMCONST
                                        ATBLEQUS
                                        MODECAT 
                                        PNCONFIGURE 
                                        HASPAT
  
          DEPENDICIES                   CC5A013 
  
 CC5A005  PERFORMANCE COUNTING OF ACTIVE BATCH DEVICES INCORRECT
  
          MODE4 AND BISYNC CARD-READERS ARE NOT PROPERLY COUNTED
  
          HJB            11/17/82       PBPERFORM 
  
 CC5A007  MODE 4 TIP USES TOO LARGE A BUFFER FOR TCBS 
  
          THE MODE 4 TIP ALLOCATES A 64 WORD BUFFER FOR ITS TCBS
          ALTHOUGH THE TRUE TCB SIZE IS ACTUALLY 40 WORDS.
  
          THE SOLUTION IS TO SPECIFY A TCB SIZE OF 48 WORDS FOR 
          MODE 4 TCBS. THIS WILL ALLOW FOR AN 8 WORD EXPANSION AREA.
  
          CJR            82/11/22        ZEXMD4 
  
 CC5A008  ASYNC AND X25 TIPS STRIP LEADING SOH CHARACTER. 
  
          THE LEADING SOH CHARACTER IS STRIPPED WHEN NON-XPT AND
          NON FULL-ASCII INPUT IS REQUESTED.
  
          HJB            11/17/82       ASYSPTIN,ASYNCTIP 
  
 CC5A009  SYNC-AUTO CANNED MESSAGES DO NOT SEND ENOUGH PADS 
  
          THE SYNC-AUTO REC CANNED MESSAGES ONLY CONTAINED 1 PAD ($FF)
          FOLLOWING THE *ENQ*/*EOT* MESSAGE.
  
          ADD AN ADDITIONAL 2 PADS TO THE CANNED MESSAGES TO ENSURE THAT
          MESSAGES CLEAR THE CLA AND IS RECEIVED BY THE TERMINAL. 
  
          RWF            82/11/23       SASTP 
  
 CC5A013  CCP DOES NOT PROCESS MORE THAN 56 FN/FV PAIRS 
  
          *PNCONFIGURE* WAS NEVER CODED TO PROCESS MORE THAN ONE (1)
          BUFFER OF FN/FV PAIRS.
  
          RE-CODE *PNCONFIGURE* TO PROCESS POSSIBLE MULTIPLE BUFFER(S)
          OF FN/FV PAIRS. 
  
          RWF            82/11/23       SVM 
  
          DEPENDICIES                   CC5A004 
  
 CC5A014  CCP DOES NOT ALWAYS RESPOND TO <CT>TM COMMAND 
  
          IF THE USER ENTERS THE TERMINATE CONNECTION TIP COMMAND 
          WHEN THE USER HAS NO CONNECTION TO A HOST, THEN CCP 
          DOES NOT SEND AN ACKNOWLEDGEMENT MESSAGE TO THE USER. 
  
          THE SOLUTION IS FOR CCP TO SEND THE "NO HOST CONNECTED" 
          MESSAGE TO THE USER TOGETHER WITH THE HOST AVAILABILITY 
          DISPLAY IF THE USER HAS SELECTED THAT OPTION. 
  
          CJR            82/11/23        PTIVTCMD 
                                         SVM
                                         SVMCONST 
  
 CC5A015  CCP DOES NOT HANDLE AUTO-CONNECT PROPERLY 
  
          CCP CURRENTLY CLEARS THE AUTO-CONNECT FLAG AFTER
          SUCCESSFULLY INITIATING A CONNECTION WITH A HOST. 
  
          CCP WILL NOW ONLY CLEAR THE AUTO-CONNECT FLAG WHEN
          1) THE USER ENTERS <CT>TM 
          2) THE USER ENTERS A VALID <CT>HN=NN
          3) CCP RECEIVES A TCN/TA/R FROM THE HOST
          IN ADDITION, THE HOST AVAILABILITY DISPLAY IS MODIFIED
          TO INDICATE A STATUS = "A" IF CCP IS CURRENTLY
          ATTEMPTING AN AUTO-CONNECT CONNECTION.
  
          CJR            82/11/23        PTIVTCMD 
                                         SVM
  
 CC5A017  UPLINE BACKS NOT ALWAYS SENT DURING DOWNLINE ABORT SEQUENCE 
  
          ADD A BOOLEAN TO THE TCB (BSWTOMRK) TO MAKE BIP REMEMBER
          THAT A TERMINATE OUTPUT SEQUENCE IS ACTIVE, SUCH THAT BIP 
          CAN ALWAYS BACK DISCARDED DOWNLINE DATA/CMD BLOCKS. 
  
          HJB            11/15/82       TYPE,PBBPM
  
 CC5A018  CCP HALT 20 
  
          THE MODE 4 TIP RECEIVED A SOFT ERROR WORKLIST AFTER 
          TERMINATING OUTPUT AND INPUT , AND RECEIVING THE INPUT
          TERMINATED WORKLIST FROM THE MUX SUBSYTEM.
          THIS WAS CAUSED BY THE MODEM STATES PASSING DCD DROPPED 
          INFORMATION TO THE TIP INPUT STATE PROGRAMS EVEN THOUGH 
          THE MODEM STATE FOR THE LINE WAS IDLE.
          THE NET RESULT WAS THE TIP ISSUING OUTPUT ON TOP OF OUTPUT. 
  
          THE SOLUTION IS TO MODIFY THE MODEM STATES TO NOT REPORT
          DCD DROPPED FOR LINE TYPES 1 AND 2 WHEN THE MODEM STATE 
          IS IDLE.
  
          CJR            82/11/16        MODMSTP
  
 CC5A021  HASP POST PRINT CONVERSION PROBLEM WITH PAGE EJECTS 
  
          COMMA IN STATE PROGRAM MACRO IS A PERIOD, WHICH IS NOT
          ANALYZED BY THE CROSS ASSEMBLER AS AN ERROR, BUT CAUSES 
          BAD CODE TO BE GENERATED. 
  
          HJB            11/15/82       HASPOTXP
  
 CC5A024  HOT BREAK KEY CAN CAUSE GARBAGE CHARACTER IF ECHOPLEX IS ON.
  
          WHEN THE HOT BREAK KEY (BR=Y) IS HIT WHILE OUTPUT IS ACTIVE 
          THE ASYNCTIP WILL TERMINATE OUTPUT, AND WITHOUT WAITING SEND
          OUT A CURSOR POSITIONING CR/LF, DURING WHICH TIME ECHOPLEX
          CAN BE TURNED BACK ON AFTER OUTPUT HAS BEEN TERMINATED. 
          THIS PSR ALSO FIXES THE PROBLEM OF A HANGING TERMINAL AFTER 
          AN ABORT BLOCK CHARACTER FOLLOWED BY A HOT BREAK KEY. 
  
          WAIT FOR COMPLETION OF THE TERMINATE OUTPUT BEFORE SENDING
          THE CR/LF FOR CURSOR POSITIONING. A MINOR PROBLEM WITH PW=0 
          HAS ALSO BEEN FIXED BY THIS CODE, ALLOWING APPLICATIONS TO
          SEND UP TO THE MAXIMUM DOWNLINE BLOCK SIZE (2043) LENGTH
          LOGICAL LINES (BY SAVING 12 BITS OF THE CHARACTER POSITION
          COUNTER IN THE TCB FIELD -BSACHCNT-). 
  
          HJB            11/19/82       TASYNC,ASYNCTIP 
  
 CC5A026  SEND NULLS INSTEAD OF DELAY AFTER CURSOR POSITIONING LF/CR. 
  
          THE ASYNC TIP DELAYS THE LINE FOR A LF/CR-IDLE NUMBER OF
          CHARACTERS AFTER SENDING A LF/CR TO POSITION THE CURSOR 
          AFTER USER INPUT. THIS CAUSES PROBLEMS IF USING STAT-MUXES. 
          THIS PSR FIXES A RELATED PROBLEM IN THE FIRMWARE WITH THE 
          STOP OUTPUT INSTRUCTION (STPOUT). THIS INSTRUCTION WAS
          TESTING THE WRONG BIT TO SEE IF A CANNED MESSAGE IS ACTIVE. 
          (WHICH COULD CAUSE THE FCD FROM ASYNC CANNED MESSAGES TO BE 
           PERMANENTLY ALTERED) 
          THIS PSR ALSO MAKES THE ASYNC TIP SEND OUT A CR AS A RESPONSE 
          TO A LF EVERY TIME A EMBEDDED CR IS ENTERED BY THE TERMINAL 
          USER, WITH THE INPUT DEVICE SET TO KEYBOARD.
  
          SEND NULLS INSTEAD. 
  
          DEPENDENCY: CC5A024 
  
          HJB            11/18/82       ASYNCTIP,ASYCMSGS 
  
 CC5A027  CARET PROMPT CANNED MESSAGE DOESNT CONTAIN BELL CHARACTER.
  
          INSERT BELL CHARACTER IN CARET PROMPT CANNED MESSAGES.
  
          HJB            11/22/82       ASYCMSGS
  
 CC5A029  INITIATING TRANSPARENT INPUT MODE BY A CONTROL DEF COMMAND
          DOES NOT WORK ON X25 TIP. 
  
          INTERFACE BETWEEN A TIP AND DOWNLINE COMMAND PROCESSOR
          HAS BEEN CHANGED.  TIP SHOULD CALL # PTDLCMD # INSTED 
          OF CALLING # PTIVTCMD #.
  
          NN              12/01/82       X25APPL
                                         X25PAD 
  
          PSR DEPENDENCIES : NONE 
  
          SRN = 1659
  
 CC5A030  CCP DOES NOT NOTIFY USERS WHEN INPUT IS DISCARDED 
  
          CCP CURRENTLY DISCARDS INPUT WHEN SUCH INPUT WOULD CAUSE
          THE UPLINE OUTSTANDING BLOCK COUNT TO OVERFLOW. THIS IS 
          DONE TO PREVENT MORE SERIOUS NPU REGULATION. HOWEVER THE
          USER IS NOT NOTIFIED IF THIS EVENT OCCURS.
  
          THE SOLUTION IS SEND THE MESSAGE "INPUT DISCARDED" TO 
          THE USER WHENEVER THE CONDITION ARISES. 
  
          CJR            82/11/23        PBBPM
  
          DEPENDICIES                    CC5A014
  
 CC5A031  MODE 4 TRANSPARENT OUTPUT DOES NOT WORK 
  
          TRANSPARENT OUTPUT TO A MODE 4 CONSOLE IS INCORRECTLY 
          TEXT PROCESSED, CAUSING THE TIP TO EVENTUALLY BRING DOWN
          THE DEVICE BECAUSE OF ERROR RESPONSES. THE TRANSMISSION 
          BLOCK FORMED DOES NOT TERMINATE WITH THE ETX CHARACTER. 
  
          THE SOLUTION IS TO ALWAYS STORE THE ETX CHARACTER AS THE
          LAST CHARACTER OF A TRANSPARENT TRANSMISSION BLOCK. 
  
          ALSO ENSURE THAT WHEN A TERMINAL IS DOWNED - THAT THE *BIP* 
          DOWNLINE QUEUE IS ALSO PURGED.
  
          ALSO REMOVE TRAP CODE FROM MODE 4 INPUT STATE PROGRAMS. 
  
          CJR            82/11/30       MODE4TIP
                                        SVM 
                                        MODE4ISP
  
 CC5A032  ACTIVE TERMINAL RECEIVES CONFUSING MESSAGE WHEN DISABLED
          BY THE NETWORK OPERATOR.
  
          THE HOST AVAILABILITY DISPLAY DOES NOT INFORM THE USER
          WHEN THE TERMINAL IS DISABLED.
  
          THE SOLUTION IS TO NOTIFY THE USER OF HIS CURRENT STATUS
          WHEN THE DISABLE TERMINAL COMMAND IS PROCESSED, AND TO
          INCLUDE A NEW TRAILER MESSAGE INDICATING THAT THE TERMINAL
          HAS BEEN DISABLED.
  
          CJR            82/12/04       SVM 
  
 CC5A033  NUMEROUS ERROR(S) IN PROCESSING ACTION TABLES AND DEFAULT 
          TERMINAL CHARACTERISTICS. 
  
          CORRECT ACTION TABLES AND *NJTECT* DEFAULT VALUES.
  
          RWF            82/12/06       ASYNCAT 
                                        ZCX25 
                                        BSCC3 
                                        ZEXHASP 
                                        ZEXUSR
  
 CC5A034  CCP NOT REPORTING CORRECT REGULATION LEVEL
  
          DO NOT USE OFFSET VALUE IN DETERMINE REGULATION VALUE 
  
          RWF            82/12/06       PB16ADJ 
  
  CC5A035 CCP MAY LOSE A 16 WORD BUFFER ON LINE HARD ERROR. 
  
          IF A CLEAR LINE IS ISSUED PRIOR TO A DISABLE LINE THE MLCB
          16 WORD BUFFER IS LOST.  THIS CODE CORRECTS THE PROBLEM.
  
          EPL            12/02/82       PMCDRV
  
 CC5A040  USERS ARE SOMETIMES UNABLE TO DIAL INTO CCP.
  
          IF SUPERVISION *CS* IS LOST WHILE CONFIGURATION IS PENDING
          THEN *PNENBLINES* WOULD REMOVE THE LINE FROM THE ACTIVE 
          TIMER CHAIN.
  
          SOLUTION: REMOVE THE CALL TO *PBLLRMOV* IN *PNENBLINES* 
          THEREBY LEAVING THE LINE IN THE ACTIVE TIMER CHAIN. 
  
          RWF            82/12/07       SVM 
  
 CC5A043  CCP SOFTWARE WILL NOT LOAD AFTER NPU IS POWERED OFF.
  
          SAM-P FAILED TO CORRECTLY INITIALIZE THE PAGE MODE 0 PAGE 
          REGISTERS BEFORE SWITCHING TO PAGE MODE 0.
  
          SOLUTION: INITIALIZE ALL 32 PAGE REGISTERS IN PAGE MODE 0 WHILE 
          SAM-P IS IN ABSOLUTE MODE AND THEN SWITCH TO PAGE MODE 0. 
  
          RWF            82/12/10       PMDEAD
  
 CC5A044  TRANSPARENT FIELD NUMBER (FN) NOT PROCESSED CORRECTLY 
  
          DOWNLINE TRANSPARENT FIELD NUMBERS (FROM *TRMDEF* OR *FSE*) 
          ARE BEING REJECTED BY CCP. THIS ERROR MAKES IT IMPOSSIBLE FOR 
          APPLICATIONS TO PUT THE TERMINAL IN TRANSPARENT INPUT MODE. 
  
          SOLUTION: REMOVE THE TRANSPARENT FIELD NUMBER FROM THE
          RESTRICTED FIELD NUMBER TABLE IN *PNCONFIGURE*. 
  
          RWF            82/12/10       SVM 
  
          DEPENDENCIES                  CC5A013 
  
 CC5A045  CCP HALT 0 CAUSED BY PIP BLOCK PROTOCOL ERROR 93. 
  
          A PIP BLOCK PROTOCOL ERROR WAS CAUSED BY AN INVALID UPLINE
          PRUB FROM THE HASP CARD READER. THIS PROBLEM WAS TRACED BACK
          TO A TIMING PROBLEM IN THE PBFCOPY FIRMWARE.
  
          THIS CODE CORRECTS THE FIRMWARE TIMING PROBLEM. 
  
          EPL            12/13/82       MF
  
 *L594*    ************************************************ 
 FCUTL01  FEATURE CODE FOR MERGE MULTIPLE PL-S INTO PCMB. 
  
          DEPENDENT ON FCUTL02 (EXPTEXT) AND SMUMD14 (BUILD DECKS). 
  
          RWH            02/04/83       EXPAND
  
 FCUTL02  FEATURE CODE FOR MERGE MULTIPLE PL-S INTO PCMB. 
  
          DEPENDENT ON FCUTL01 (EXPAND) AND SMUMD14 (BUILD DECKS).
  
          RWH            02/04/83       EXPTEXT 
  
 CC5A006  MODE 4 PAGE WAIT DOES NOT ALWAYS WORK CORRECTLY 
  
          WHEN A COMPLETE PAGE OF OUTPUT IS SENT TO A MODE 4C 
          CONSOLE , AND THE LAST LINE ON THE PAGE HAS FOLDED ,
          THE AN EXTRA LINE APPEARS WHICH OVERWRITES THE FIRST
          LINE OF THE PAGE. 
  
          THE SOLUTION IS TO BACK UP TO THE BEGINNING OF THE LAST 
          LINE (PROCESS ANY FORMAT EFFECTORS) WHEN THIS CONDITION 
          OCCURS FOR MODE 4C CONSOLES.
  
          ALSO FIX THE PROBLEM WHERE PAGE WAIT DOES NOT TAKE EFFECT.
  
          CJR            82/12/13       MODE4ITP
  
 CC5A039  EXTREMELY LONG PRINT LINE MAY CAUSE NPU REGULATION
  
          IF THE MODE 4 TIP RECEIVES A PRINT LINE CONTAINING
          AN ENORMOUS NUMBER OF BLANK CHARACTERS WHICH SPAN 
          SEVERAL PRU BLOCKS, THE NPU MAY EVENTUALLY BE FORCED
          INTO REGULATION. THIS IS POSSIBLE AS THE TIP DOES NOT 
          RELEASE SOURCE BUFFERS UNLESS THE ENTIRE PRINT LINE HAS 
          BEEN TEXT PROCESSED.
  
          THE SOLUTION IS TO MODIFY THE TEXT PROCESSING STATE 
          PROGRAMS SUCH THAT WHEN 255 BLANKS ARE ENCOUNTERED, THE 
          CURRENT LINE IS ENDED AT THE POINT WHERE LINE FOLDING 
          OCCURRED. TEXT PROCESSING WILL RESTART PROCESSING WITH
          THE NEXT CHARACTER AFTER THE LINE FOLD. 
  
          IN SITUATIONS WHERE WE ARE DISCARDING CHARACTERS -
            * LINE WITH Q,R,S OR T FORMS CONTROL
            * AFTER 78 CHARACTERS OF A PM MESSAGE 
          THE LEVEL 1 SOURCE MARKER WILL BE ADVANCED EACH CHARACTER 
          TO ALLOW THE TIP TO RELEASE THE SOURCE DATA.
  
          ALSO CHANGE THE TRANSMISSION BLOCK SIZE SLACK TO BE 
          HALF THE PAGE WIDTH OF THE PRINTER DEVICE.
  
          CJR            82/12/09       MODE4BTP
                                        MODE4TIP
  
 CC5A046  INSUFFICIENT INPUT REGULATION ON HASP CARD READERS
  
          NPU HANGING BECAUSE OF PIP WAS VERY SLOW ON ACCEPTING AND 
          BACKING PRUB-S FROM A HASP CARD-READER. 
  
          CALL PTREGL TO RETURN THE REGULATION CONDITION DESCRIBED
          ABOVE, CHANGE THE HASPTIP TO MAKE USE OF IT BY TURNING OFF
          THE FCS BIT WHILE IN UPLINE REGULATION. 
  
          HJB            12/14/82       HASPTIP,HASPTYPE
  
 CC5A047  AUTOLINK SHOULD USE SAM AREA BETTER.
  
          SHARED MODULES WHICH COULD BE ASSIGNED TO SAM AREA ARE
          NOT BECAUSE THEY ARE PAGEABLE.
  
          CHANGE ORDER OF MOD TABLE MANIPULATION TO CHANGE P=P TO 
          P=NP BEFORE ASSIGNING SAM AREA MODULES. 
  
          RWH            12/21/82       ALLDPH1 
  
 CC5A048  HALT C DURING MODE 4 PACER RUN
  
          THE MODE 4 TIP ENTERED INTERACTIVE TEXT PROCESSING WITH 
          AN EMPTY SOURCE BUFFER, CAUSING THE FIRMWARE TO REUSE 
          PREVIOUS SOURCE BUFFER INFORMATION. 
          AS A RESULT, AFTER TEXT PROCESSING THE TIP ATTEMPTED TO 
          RELEASE AN ALREADY RELEASED BUFFER. 
  
          THE SOLUTION IS TO ADD A NO ACTION FORMAT EFFECTOR AND / OR 
          A UNIT SEPARATOR TO THE EMPTY SOURCE DATA.
  
          CJR            82/12/18       MODE4TIP
  
 CC5A051  CCP DOES NOT CLEAR PARITY IN 2550 AFTER POWER OUT.
  
          PARITY IS NOT CLEARED IN MEMORY LOCATION FFFF DUE TO THE
          2550 ARITHMETIC UNIT CANNOT REACH THIS VALUE (-ZERO).  CCP
          SHOULD NOT USE THIS MEMORY LOCATION BUT DUE TO A BUG IN 
          PBPERFORM CCP WAS ACCESSING LOCATION FFFF.  BOTH PROBLEMS 
          ARE FIXED BY THIS CODE. 
  
          EPL/HJB        01/12/83       PBPERFORM/PIPROTECT 
  
 CC5A052  MODE 4 PRINTER NOT ALWAYS REPORTED NOT READY
  
          SOME MODE 4 PRINTERS DO NOT ALWAYS REPORT PRINTER NOT 
          READY. INSTEAD THEY WILL RESPOND TO THE WRITE MESSAGE 
          WITH A REJECT MESSAGE. THIS CAUSES THE TIP TO STAY IN 
          BATCH MODE AND NOT SERVICE THE CONSOLE. 
  
          THE SOLUTION IS TO TREAT AN ABNORMAL NUMBER OF REJECTS
          AS A NOT READY CONDITION FOR THE BATCH DEVICE.
  
          CJR            82/12/28       TMD4D1
                                        MODE4TIP
  
 CC5A053  HIP USES *OPS* WORKLIST ARRAY INSTEAD OF *LEVELNO* ARRAY
  
          *PTHIPOPS* WHEN MAKING A WORKLIST TO THE SERVICE MODULE 
          CAN DESTROY THE *OPS* INTERMEDIATE WORKLIST ARRAY.
  
          SOLUTION: MAKE ALL WORKLISTS USING *LEVELNO* INTERMEDIATE 
          WORKLIST ARRAY. 
  
          RWF            82/12/07       PTHIPOPS
                                        PTHIPINT
  
 CC5A054  CCP NOT PROPERLY RANGE CHECKING PAGE WIDTH SIZES
  
          LATEST DOCUMENTATION CHANGES REVISED LIMITS ON VALID
          PAGE WIDTHS.
  
          SOLUTION: CORRECT THE TIP ACTION TABLES.
  
          RWF            82/12/17       MODE4CAT
                                        BSCAT 
                                        HASPAT
  
          DEPENDENCIES                  CC5A013 
  
 CC5A055  BLOCK PROTOCOL ERROR 93 ON CARD READ STREAM.
  
          CCP MAY SEND A BAD BLOCK UPLINE ON A MODE 4, HASP OR BSC
          CARD READER STREAM.  THIS IS CAUSED BY PBFCOPY ABORTING 
          IN THE MIDDLE OF A COPY BUFFER IF AN ODD INTERRUPT FOLLOWED 
          BY A COUPLER INTERRUPT OCCURS. THIS CODE FIXES THE PROBLEM. 
  
          EPL            12/23/82            MF 
  
 CC5A056  HALT E WHILE RUNNING ON-LINE DIAGNOSTICS
  
          HALT OCCURRED DUE TO THE PERFORMANCE PROCEDURE CHAINING 
          THROUGH TCBS OF A LINE WHICH WAS RUNNING DIAGNOSTICS. 
          ON-LINE DIAGNOSTICS USES THE BZTCBPTR FIELD TO POINT TO 
          THE DIAGNOSTICS CONTROL BLOCK.
  
          THE SOLUTION IS TO CHECK FOR ON-LINE DIAGNOSTICS BEFORE 
          ACCUMULATING PERFORMANCE DATA FOR A LINE. 
  
          CJR            82/12/27       PBPERFORM 
  
 CC5A058  ASYNCTIP PERIODICALLY INSERT EXTRA LF IF PW-LENGTH LINES. 
  
          IF PL=0, OP=DI, AND OUTPUT LINES ARE OF PW-LENGTH, THE TIP
          OCCASIONALLY INSERTS A LF. PROBLEM IS CAUSED BY SAVING THE
          CURRENT PAGE LINE COUNTER IN A 8-BIT TCB FIELD, WHILE THE 
          COUNTER IS USING A 16-BIT TP-REGISTER. THIS CAUSES IT TO
          BE STORED AS A ZERO IF IT WRAPPES TO 256, WHICH MAKES 
          PTPREOUTPUT ASSUME THE TERMINAL USER HAS ENTERED INPUT. 
  
          MAKE SURE THE COUNTER WILL NEVER WRAP AROUND IF PL=0. 
  
          HJB            12/16/82       ASYSPTOU
  
 CC5A059  BSC 2780 PUNCH SELECTION IS INCORRECT.
  
          THE BSC TIP CANNED MESSAGE FOR PUNCH SELECTION IS 
          INCORRECT FOR THE 2780 TERMINAL.  THIS CODE CHANGES 
          THE SELECTION FROM 4 TO ESC 4.
  
          EPL            12/21/82       BSCMSGS 
  
 CC5A060  HALT 0 DURING BISYNC CARD INPUT.
  
          BISYNC TIP IS STORING THE CARD ACCOUNTING DATA AS THE LAST
          CHARACTER OF THE TEXT-PROCESSED INPUT, REMOVING THIS CHAR 
          AND DECREMENTING THE LCD (BY 1) AT PASCAL PRIOR TO PASSING
          THE DATA TO PBULTS. THIS CAUSES OCCASIONALLY AN EMPTY LAST
          BUFFER TO BE PASSED TO ULTS. THE ULTS INTERFACE DOES NOT
          ALLOW FOR EMPTY BUFFERS (EXCEPT THE FIRST ONE). 
  
          MAKE SURE THE BISYNC TIP RELEASES THIS EMPTY BUFFER.
  
          HJB            12/22/82       BSCTIP
  
 CC5A062  BUFFERED CLA LOGIC IN MF DOESNT WORK FOR ON-LINE DIAGNOSTICS. 
  
          THE ON-LINE DIAGNOSTICS (OLD) USES LINE TYPE 0.  THE FIRMWARE 
          ODD PROCESSOR NOW HANDLES BUFFERED CLA'S INCORRECTLY FOR OLD
          BECAUSE THE LINE TYPE DOES NOT INDICATE THE TYPE OF CLA USED. 
  
          OLD HAS BEEN CHANGED TO BUT A PSEUDO LINE TYPE IN WORD 15 OF
          MUX LCB.  THE ODD PROCESSOR HAS BEEN CHANGED TO USE THIS
          PSEUDO LCB TO DETERMINE THE CLA TYPE FOR LINE TYPE 0. 
  
          DEPENDENT ON DG5A001,CC5A055
  
          EPL            01/11/83       MF
  
 CC5A065  HELLO RESETS TERMINAL CHARACTERISTICS 
  
          PNCONFIGURE WAS INCORRECTLY PROCESSING A CTRL/RTC 
          SERVICE MESSAGE (REQUEST TERMINAL CHARACTERISTICS) AND
          RESTORING THE TCB TO IT'S DEFAULT SETTING.
  
          SOLUTION: SPECIAL CASE CTRL/RTC SERVICE MESSAGES IN 
          PNCONFIGURE.
  
          RWF            83/01/20       SVM 
  
          DEPENDENCIES                  CC5A013 
  
 CC5A066  OUTPUT HUNG ON X25 LINE.
  
          X25 LEVEL 2 DID NOT HANDLE THE EXPIRATION OF T1 TIMER 
          WORKLIST CORRECTLY BECAUSE OF THE T1 TIMER PACKET 
          POINTER WAS NEVER SET WHEN THE LEVEL 2 PROCESSED
          THE T1 TIMER WORKLIST.
          THE RESET INDICATION FLAG WAS NEVER RESET.
  
          SET THE T1 TIMER PACKET POINTER THE THE LOCAL PACKET
          POINTER FROM THE SUB-LCB TIMER PACKET POINTER.
          RESETTING REJ FLAG BEFORE SENDING AN I-FRAME. 
  
          NN/SW           01/24/83       X25LVL2
  
          PSR DEPENDENCIES : NONE 
  
          SRN = CC4BXXX 
  
 CC5A067 HALT 9 DURING MODE 4 UPLINE BANDWIDTH RUN
  
         CCP RUN OUT OF BUFFERS DUE TO THE MODE 4 INPUT STATE 
         PROGRAMS INCORRECTLY PROCESSING A MUX BUFFER THRESHOLD 
         CONDITION. THE STATE PROGRAMS CONTINUED TO STORE DATA
         CHARACTERS AFTER MUX BUFFER THRESHOLD WAS REACHED. 
  
         THE SOLUTION IS TO MODIFY THE INPUT STATE PROGRAMS TO
         CORRECTLY PROCESS MUX BUFFER THRESHOLD, AND ALSO A 
         BUFFER OVERFLOW CONDITION. 
  
          CJR            83/01/21       MODE4ISP
  
 CC5A068  CCP WONT RUN AFTER A POWER OFF CONDITION. 
  
          THE CODE FOR CC5A051 CAUSED A PARITY ERROR (HALT 2) AT
          LOCATION $FFFF.  THIS CODE CORRECTS THE PROBLEM.
  
          DEPENDENT ON PSR CC5A051
  
          EPL            01/27/83       PIPROTECT 
  
 CC5A069  BSCTIP DOES NOT DISABLE LINE
  
          THE BSC TIP DOES NOT DISABLE A LINE WHEN TOLD TO BY 
          THE SERVICE MODULE. THIS RESULTS IN THE MUX-LCB NOT BEING 
          DELETED AND THE MODEM STATE INDEX NOT BEING RESET BY THE
          THE COMMAND DRIVER ON AN ENABLE COMMAND.
  
          SOLUTION: HAVE THE BSCTIP ISSUE A DISABLE COMMAND TO THE
          MUX-SYSTEM WHEN A *A0SMDA* WORKCODE RECEIVED. 
  
          RWF            83/01/31       BSCLV2
  
 CC5A070  INTERFACE TO PSN THRU X.25 SOMETIMES FAILS AT FRAME LEVEL.
  
          CONDITIONS EXIST WHERE A FRAME REJECT FROM PSN IS NOT 
          PROPERLY PROCESSED BY CCP AS A REJECT FLAG IS SET BEFORE
          THE PROCESSING IS ENTERED AND THE PROCESSING IS BYPASSED. 
  
          THE REJECT FLAG IS SET ONLY AFTER THE PROCESSING IS DONE. 
  
          SW             83/02/07       X25LVL2 
 CC5A072  HALT 42 WHEN ENABLING AN ASYNC LINE 
  
          A HALT 42 OCCURRED WHEN ENABLING AN ASYNC LINE WHICH
          HAD BEEN DISABLED BECAUSE THE LINE WAS HUNG. THE LINE 
          GOT INTO A HUNG CONDITION BECAUSE THE ASYNC TIP DID NOT 
          CORRECTLY PROCESS A HARD ERROR CONDITION (OR A DISABLE
          LINE). CONSEQUENTLY WHEN TRYING TO ENABLE THE LINE , A
          RESIDUE TCB WAS DETECTED BY THE LINE INITIALIZER , THEREBY
          CAUSING A HALT 42.
  
          THE SOLUTION IS TO CORRECT THE TIP PROCESSING OF
          1) HARD ERROR 
          2) DISABLE LINE 
          3) DELETE TCB 
  
          CJR            83/01/31       ASYNCTIP
  
 CC5A074  TRMDEF PAGE LENGTH LESS THAN 8 HANGS TERMINAL 
  
          TERMINAL HANGS DUE TO SVM LOSING THE CORRECT PARITY 
          AND CHARACTER LENGTH SETTINGS OF THE TERMINAL WHEN
          PNCONFIGURE ENCOUNTERS AN ERROR 
  
          THE SOLUTION IS TO SAVE AND RESTORE THE PARITY AND
          CHARACTER LENGTH OF THE TERMINAL. 
  
          DEPENDENCIES                  CC5A013 
  
          CJR            83/04/11       SVM 
  
 CC5A076  HALT C IN ASYNC TIP 
  
          HALT OCCURRED DUE TO THE ASYNC TIP BACKING UP INTO
          A RELEASED BUFFER DURING TEXT PROCESSING. AFTER EXITING 
          TEXT PROCESSING THE TIP THEN ATTEMPTED TO RELEASE THE 
          ALREADY RELEASED BUFFER. SITUATION OCCURRED WHEN A CLEAR
          SCREEN FORMAT EFFECTOR WAS ENCOUNTERED IMMEDIATEDLY AFTER 
          A PAGE TURN WAS PERFORMED.
  
          THE SOLUTION IS TO MODIFY THE TIP TO SAVE AND RESTORE TEXT
          PROCESSING CONDITIONS WHEN PAGE WAIT IS ENCOUNTERED.
  
          CJR            82/03/09       TASYNC, ASYNCTIP
                                        ALASYNC, ALTIPS 
  
 CC5A078  THE VALUE OF NSVC IN NDL AND ACTUAL SVC CONNECTION
          DOES NOT MATCH. 
  
          THE USE OF CURRENT X.25 TIP, THE USER IS REQUIRED TO
          SPECIFY THE VALUE OF NSVC IN NDL TO THE ACTUAL NUMBER 
          OF SVC PLUS ONE.
  
          NN              03/11/83       PN5SRCH
                                         X25TIP 
                                         X25LVL3
  
          PSR DEPENDENCIES : NONE 
  
          SRN = X25003
  
 CC5A079  X.25 TIP DOES NOT SUPPRESS THE INITIAL HOST DISPLAY.
  
          CHECK FOR #BSACON# (AUTO CONNECT OPTION) FLAG TO
          DETERMIN WHETHER TO SEND HOST DISPLAY OR TO 
          PROCESS CONNECTION ESTABLISHMENT. 
  
          NN              03/15/83       X25LVL3
  
          PSR DEPENDENCIES : NONE 
  
          SRN = 109003
  
 CC5A084  THERE IS NO WORK LIST ARRAY INDEX FOR USER TIP 4. 
  
          SOLUTION - 4  DEFINE WORKLIST ARRAY INDEX FOR USER TIP 4. 
  
          WMB            83/04/07.       CONSTR4. 
  
          SRN = TLNP 144
  
 FCBF1    FEATURE CODE TO SUPPORT THE NEW BUFFER MANAGEMENT SCHEME
  
          CJR            82/02/26         TYPE
  
 FCUTL03  FEATURE CODE TO CHANGE METHOD OF DEVELOPMENT USE OF DEBUG CODE. 
  
          NO DEPENDENCIES.
  
          RWH            02/14/83       PGMDEBUG
  
 FCTCB01  FEATURE CODE TO DEFINE TCB FIELDS REQUIRED FOR
          1.  FC4363    TRUSTED PATH
          2.  FC4334    CHANGES TO BLOCK PROTOCOL 
          3.  FCPLE15   EOF SIGNAL TO MODE 4 LINE PRINTERS
  
          CJR            83/03/01       TYPE
  
 FC4334   FEATURE CODE TO SUPPORT CHANGES TO THE BLOCK PROTOCOL 
          1.  NEW USER BREAK INTERFACE
          2.  NEW BREAK / RESET PROTOCOL
          3.  SUPPORT OF QBLK AND QMSG BLOCK TYPES
  
          DEPENDENCIES                  FCTCB01 
  
          CJR            83/03/18       PBBPM 
  
 FC4376A  FEATURE CODE TO SUPPORT SWITCHED/HARD-WIRED LINE INDICATOR
          IN THE ICN/TE/R SERVICE MESSAGE 
  
          CJR            82/01/31       SVM 
  
 FC5392   THIS FEATURE CODE COMPLETES FOLDING THE TEN SPECIAL ANSI
          CHARACTERS,(COMMERCIAL AT, OPENING AND CLOSING BRACKETS,
          OPENING AND CLOSING BRACES, REVERSE SLANT, CIRCUMFLEX,
          GRAVE ACCENT, AND TILDE ). COLUMN SIX FOLDS INTO COLUMN 
          FOUR, AND COLUMN SEVEN FOLDS INTO COLUMN FIVE.
  
          NNN            03/29/83       ASKDC4  ASKDC3
 FCBSC01  TAKE ADVANTAGE OF FIRMWARE DOING CRC BY ELIMINATING CODE
          IN BSC LEVEL 2
  
          JDA            02/23/83       BSCLV2
  
          ADD US CHARACTER TO BSC CRC STATES. 
  
          THE BSC US CHARACTER IS ADDED TO THE ODD CRC STATES.
          THE US CHARACTER WILL BE TREATED LIKE ETX AND ETB CHARACTERS. 
  
          EPL            02/26/83       MF
  
 FCLS01   FEATURE CODE TO ALLOW TIPS ETC TO SAVE WORKLIST ENTRIES 
  
          CJR            83/03/21       TYPE
  
 FCPLE07  YES/NO ASYNC RE-AUTOREC OF SPEED (CCP R6.2 FEATURE CODE)
  
          THIS FEATURE CODE SHOULD GO IN SYNC WITH THE NDL PARAMETER
          (-ARSPD=Y/N-) ADDITION. IF ADDED PRIOR TO THE NDL CHANGES,
          RE-AUTORECOGNITION OF SPEED WILL NOT BE ALLOWED.
  
          HJB            12/22/82       ASYNCTIP,TYPE,PILCBINIT 
                                        ASYNCLCB
  
 FCPLE15  FEATURE CODE TO SUPPORT THE TRANSMISSION OF AN END-OF-FILE
          (END-OF-JOB) SIGNAL TO INTELLIGENT MODE 4 PRINTER SPOOLERS. 
          ALSO REDUCE THE SIZE OF THE DEBUG SAVED WORKLIST ARRAY. 
  
          DEPENDENCIES                  FCTCB01, FCLS01 
  
          CJR            83/03/21       CONST, MODE4TIP, MODE4BTP 
  
 FCPLE16  FEATURE CODE TO ALLOW HOST SELECTION BY NAME
  
          CJR            83/03/11       TYPBLK, PTIVTCMD, SVM 
  
 FCPLE17  FEATURE CODE TO SUPPORT CDC 721 TERMINALS.
          A NEW TERMINAL CLASS (TC=3) IS DEFINED. 
  
          JGS            83/03/24        ASYNCTIP 
                                         ASYNCAT
                                         CONSTR4
                                         ZEXUSR 
                                         X25AT
  
          DEPENDENCIES - LEVEL 580
  
 FCSVM01  FEATURE CODE TO ABORT NPU WHEN PIP DETECTS A BLOCK PROTOCOL 
          ERROR.  A NEW SERVICE MESSAGE IS DEFINED TO ACHIEVE THIS
          PURPOSE.
  
          CJR            83/03/23       CONST, SVMCONST, SVM
  
 FCX2501  X25 PROCESSING AT LEVEL 2 AND LEVEL 3 ARE COMBINED INTO 
          ONE PROCESSING LEVEL CALLED "TRANSPORT" TO SAVE CODE AND
          PROCESSING TIME.
  
          SUPPORT OF APPLICATION TO APPLICATION CONNECTION IS DONE
          ON A DIRECT X25 LINK OR THROUGH PUBLIC DATA NETWORK.
  
          SW/NN           83/04/06       SVM, X25-TRANSPORT 
  
          PSR DEPENDENCIES : $
  
          SRN = CC4BXXX 
  
 CC5A082  COUPLER ERROR 93
          ADD TEST TO DISCARD LAST BUFFER FROM CARD READER IF IT IS 
          EMPTY.  THAT OCCURS WHEN THE LCD EQUALS THE FCD.  THIS
          BUFFER WAS BEING SHIPPED UP IF AN EOR WAS ENCOUNTERED IN
          THE NEXT FEW CARDS READ.
  
          DEPENDENCIES CC5A060
  
          JDA            03/23/83       BSCTIP
  
 CC5A083  X780 TIP DOES NOT TURN OFF INPUT WHEN IT RECEIVES A A0TIP 
          D5FREE WORKLIST FROM SVM.  THIS ALLOWS INPUT ON BATCH DEVICES 
          WHEN THEY SHOULD BE STOPPED AND GENERATES COUPLER ERROR 90. 
  
          CODE INCLUDED ALSO REMOVES LOCAL DEFINITIONS OF GLOBAL PFC
          AND SFC IN CMD BLOCK PROCESSING AND IMPROPER HANDLING OF
          CTRL CMDS.
  
          NO DEPENDENCIES 
  
          JDA 04/12/83                  BSCTIP
  
 CC5AO87  FIRMWARE ERROR ON UNSOLICITED ODD.
  
          THE FIRMWARE WRITES INTO LOCATION 4 AND 100 WHEN AN 
          UNSOLICITED ODD IS RECEIVED FROM A CLA.  THIS CODE
          FIXES THE PROBLEM.
  
          EPL          4/9/83           MF
  
 CC5A088  HASP CARD READER STREAMS HANG WITH BSOBCNT = 63.
  
          THE HASP TIP DOES NOT CHECK FOR TCB REGULATION BEFORE GOING 
          INTO INPUT TEXT PROCESSING. 
  
          SOLUTION - MODIFY THE TIP NOT TO GO INTO TEXT PROCESSING IF 
                     THE TCB IS IN REGULATION.
  
          JGS/EPL/WMB    83/03/24        HASPTIP
  
          DEPENDENCIES - CC5A046
  
 CC5A089  CHARACTER LT $20 IN ASCII PRINT FILE HANGS MODE 4 TERMINAL
  
          THE PROBLEM OCCURS BECAUSE THE MODE 4 BATCH TEXT PROCESSING 
          STATE PROGRAMS DO NOT CONVERT THESE CHARACTERS TO BLANKS. 
  
          THE SOLUTION IS TO USE TRANSLATION TABLES WHICH CONVERT 
          CHARACTERS LT $20 TO BLANKS.
  
          CJR            83/04/16       VARMD4,   MODE4TIP, ALMODE4,
                                        ZARMD4,   ZEXMD4,   ASKFLD, 
                                        MD4ASSEM
  
 CC5A090  DOWNLINE IVT COMMNAD BUFFERS MAY GET LOST 
  
          JGS            83/04/20       PTDLCMD 
  
 CC5A091  USER CAN SEND ESCAPE SEQUENCES TO MODE 4 TERMINALS
  
          THE MODE 4 INTERACTIVE TEXT PROCESSING STATE PROGRAMS DO NOT
          CHECK FOR THE ESCAPE CHARACTER IN NON-TRANSPARENT DATA. THIS
          MAY ALLOW THE USER TO HANG THE TERMINAL.
  
          THE SOLUTION IS TO CHECK FOR AN ESCAPE CHARACTER AND CONVERT
          IT TO A BLANK.
  
          CJR            83/04/16       MODE4ITP
  
 CC50003  AUTO-LINK GENERATES BAD MPLINK DIRECTIVES FOR A 65K NPU 
  
          AUTO-LINK WAS ASSUMING THAT IF THE NPU SIZE IS 65K TERE 
          ARE NO PAGES. HOWEVER, CCP ALWAYS RUNS IN PAGE MODE EVEN
          IF THE MEMORY SIZE IS 65K.
          ADDRESSES $2000-$3FFF ARE ALWAYS PAGED. 
  
          SOLUTION - FIX SUBROUTINE ALLDPH1 TO ASSUME PAGE MODE.
  
          JGS            83/04/18       ALLDPH1 
  
 FCPLE16A FEATURE CODE TO CLEAR AUTO-CONNECT FLAG WHEN A VALID
          HS = NAME  IVT COMMAND IS ENTERED.
  
          CJR            83/04/16       PTIVTCMD
  
          DEPENDENCIES                  FCPLE16 
  
 FC4201   FEATURE CODE TO DETECT INTERMIXING OF QBLK/QMSG SEQUENCES 
          AND BLK/MSG SEQUENCES AT OTHER THAN QMSG OR MSG BOUNDARIES. 
  
          DETECTION OF THIS PHENOMENON WILL RESULT IN THE LOGICAL 
          CONNECTION BEING BROKEN.
  
          CJR            83/04/16      TYPE, PBBPM
  
          DEPENDENCIES                 FCTCB01, FC4334
  
 FCLS02   FEATURE CODE TO SAVE WORKLIST ENTRIES FOR DUMP ANALYSIS.
  
          CJR            83/04/16       PMWOLP,   PTLINIT,  PBBLOCKTR,
                                        HIP33,    HASPTIP,  BSCLCBL2, 
                                        BSCLV2,   BSCLCBML, BSCTIP, 
                                        ASYNCTIP, X25TIP,   X25TRANS, 
                                        SVM 
  
 FC4363A  FEATURE CODE TO SUPPORT THE TRUSTED PATH FEATURE OF 
          NOS MULTI-LEVEL SECURITY. 
  
          DEPENDENCIES                  FCTCB01 
  
          CJR            83/03/01       TYPE,     PBULTS,   MODE4TIP, 
                                        SVM,      X25PAD,   ASYNCON,
                                        ASYNCTIP, ZEXASYNC, ASYINCON, 
                                        ASYSPTIN, CONSTUSR, MUXMACROS,
                                        MF
  
  FC4401B FEATURE CODE FOR MULTIPLE ON-LINE DIAGNOSTICS OPERATORS.
  
          THIS CODE IS PART OF THE ENHANCMENTS TO THE NETWORK 
          OPERATOR INTERFACE.  THIS PART PROVIDES FOR MULTIPLE
